#!/usr/bin/env python
# -*- coding: UTF-8 -*-

d_index_by_keyterm_kb = {
    '1': ["1 minute's from now",
       "1 second's from now",
       "1 month's from now",
       '1 minute from now',
       "1 week's from now",
       '1 second from now',
       "1 year's from now",
       "1 hour's from now",
       "1 day's from now",
       '1 month from now',
       '1 year from now',
       "last 1 second's",
       "past 1 minute's",
       "past 1 second's",
       '1 hour from now',
       '1 week from now',
       "last 1 minute's",
       '1 day from now',
       '1 sec from now',
       "past 1 month's",
       "last 1 month's",
       '1 min from now',
       "in 1 second's",
       "past 1 week's",
       "past 1 hour's",
       '1 yr from now',
       'last 1 second',
       'past 1 second',
       "last 1 year's",
       '1 mo from now',
       "past 1 year's",
       "last 1 week's",
       '1 hr from now',
       'past 1 minute',
       'last 1 minute',
       "last 1 hour's",
       '1 wk from now',
       "in 1 minute's",
       'last 1 month',
       "in 1 month's",
       "last 1 day's",
       "past 1 day's",
       'past 1 month',
       'in 1 second',
       'last 1 week',
       "in 1 week's",
       "in 1 hour's",
       'past 1 year',
       'last 1 year',
       "in 1 year's",
       'past 1 week',
       'last 1 hour',
       'past 1 hour',
       'in 1 minute',
       'last 1 day',
       'last 1 min',
       'past 1 sec',
       'in 1 month',
       'past 1 day',
       'last 1 sec',
       'past 1 min',
       "in 1 day's",
       'past 1 yr',
       'in 1 hour',
       'past 1 wk',
       'in 1 year',
       'last 1 wk',
       'last 1 hr',
       'past 1 mo',
       'last 1 yr',
       'last 1 mo',
       'in 1 week',
       'past 1 hr',
       'in 1 min',
       'in 1 day',
       'in 1 sec',
       'in 1 mo',
       'in 1 hr',
       'in 1 yr',
       'in 1 wk'],
 '10': ['10 seconds from now',
        '10 minutes from now',
        '10 months from now',
        '10 years from now',
        '10 hours from now',
        '10 weeks from now',
        '10 mins from now',
        '10 days from now',
        '10 secs from now',
        'next 10 seconds',
        'last 10 seconds',
        'next 10 minutes',
        'past 10 seconds',
        '10 yrs from now',
        'last 10 minutes',
        '10 wks from now',
        '10 hrs from now',
        '10 mos from now',
        'past 10 minutes',
        'last 10 months',
        'next 10 months',
        '10 minutes ago',
        'past 10 months',
        '10 seconds ago',
        'last 10 weeks',
        'in 10 seconds',
        'last 10 hours',
        'next 10 weeks',
        'in 10 minutes',
        '10 months ago',
        'next 10 hours',
        'next 10 years',
        'last 10 years',
        'past 10 hours',
        'past 10 years',
        'past 10 weeks',
        'last 10 days',
        'past 10 secs',
        'last 10 secs',
        'last 10 mins',
        'next 10 days',
        '10 hours ago',
        'next 10 secs',
        'past 10 days',
        '10 weeks ago',
        '10 years ago',
        'in 10 months',
        'next 10 mins',
        'past 10 mins',
        'last 10 mos',
        'past 10 mos',
        'next 10 mos',
        '10 days ago',
        '10 secs ago',
        'past 10 hrs',
        'last 10 wks',
        'last 10 hrs',
        'last 10 yrs',
        'past 10 wks',
        'in 10 weeks',
        'past 10 yrs',
        'next 10 hrs',
        'next 10 yrs',
        'next 10 wks',
        '10 mins ago',
        'in 10 years',
        'in 10 hours',
        '10 yrs ago',
        'in 10 mins',
        'in 10 days',
        'in 10 secs',
        '10 mos ago',
        '10 wks ago',
        '10 hrs ago',
        'in 10 wks',
        'in 10 yrs',
        'in 10 hrs',
        'in 10 mos'],
 '100': ['100 years from now',
         '100 days from now',
         '100 yrs from now',
         'past 100 years',
         'next 100 years',
         'last 100 years',
         'next 100 days',
         'past 100 days',
         '100 years ago',
         'last 100 days',
         'in 100 years',
         'last 100 yrs',
         'next 100 yrs',
         '100 days ago',
         'past 100 yrs',
         '100 yrs ago',
         'in 100 days',
         'in 100 yrs'],
 '101': ['101 days from now',
         'next 101 days',
         'past 101 days',
         'last 101 days',
         '101 days ago',
         'in 101 days'],
 '102': ['102 days from now',
         'next 102 days',
         'past 102 days',
         'last 102 days',
         '102 days ago',
         'in 102 days'],
 '103': ['103 days from now',
         'next 103 days',
         'last 103 days',
         'past 103 days',
         '103 days ago',
         'in 103 days'],
 '104': ['104 days from now',
         'last 104 days',
         'past 104 days',
         'next 104 days',
         '104 days ago',
         'in 104 days'],
 '105': ['105 days from now',
         'past 105 days',
         'next 105 days',
         'last 105 days',
         '105 days ago',
         'in 105 days'],
 '106': ['106 days from now',
         'next 106 days',
         'last 106 days',
         'past 106 days',
         '106 days ago',
         'in 106 days'],
 '107': ['107 days from now',
         'past 107 days',
         'next 107 days',
         'last 107 days',
         '107 days ago',
         'in 107 days'],
 '108': ['108 days from now',
         'next 108 days',
         'past 108 days',
         'last 108 days',
         '108 days ago',
         'in 108 days'],
 '109': ['109 days from now',
         'last 109 days',
         'next 109 days',
         'past 109 days',
         '109 days ago',
         'in 109 days'],
 '11': ['11 minutes from now',
        '11 seconds from now',
        '11 months from now',
        '11 weeks from now',
        '11 hours from now',
        '11 years from now',
        '11 secs from now',
        '11 mins from now',
        '11 days from now',
        '11 mos from now',
        'past 11 seconds',
        'next 11 minutes',
        '11 wks from now',
        'last 11 minutes',
        'last 11 seconds',
        '11 hrs from now',
        'past 11 minutes',
        '11 yrs from now',
        'next 11 seconds',
        '11 seconds ago',
        'past 11 months',
        'next 11 months',
        '11 minutes ago',
        'last 11 months',
        'in 11 seconds',
        'last 11 hours',
        'past 11 weeks',
        'next 11 years',
        'last 11 weeks',
        'in 11 minutes',
        'next 11 weeks',
        '11 months ago',
        'next 11 hours',
        'past 11 hours',
        'past 11 years',
        'last 11 years',
        'next 11 days',
        '11 weeks ago',
        'past 11 days',
        'past 11 mins',
        'last 11 secs',
        '11 hours ago',
        'last 11 days',
        'next 11 secs',
        'in 11 months',
        '11 years ago',
        'next 11 mins',
        'past 11 secs',
        'last 11 mins',
        'past 11 wks',
        'last 11 wks',
        '11 days ago',
        '11 secs ago',
        'in 11 weeks',
        'next 11 hrs',
        '11 mins ago',
        'past 11 yrs',
        'in 11 years',
        'in 11 hours',
        'past 11 hrs',
        'next 11 mos',
        'past 11 mos',
        'last 11 yrs',
        'last 11 hrs',
        'next 11 yrs',
        'next 11 wks',
        'last 11 mos',
        '11 mos ago',
        '11 yrs ago',
        '11 wks ago',
        '11 hrs ago',
        'in 11 days',
        'in 11 secs',
        'in 11 mins',
        'in 11 mos',
        'in 11 yrs',
        'in 11 hrs',
        'in 11 wks'],
 '110': ['110 days from now',
         'past 110 days',
         'last 110 days',
         'next 110 days',
         '110 days ago',
         'in 110 days'],
 '111': ['111 days from now',
         'last 111 days',
         'past 111 days',
         'next 111 days',
         '111 days ago',
         'in 111 days'],
 '112': ['112 days from now',
         'past 112 days',
         'next 112 days',
         'last 112 days',
         '112 days ago',
         'in 112 days'],
 '113': ['113 days from now',
         'next 113 days',
         'last 113 days',
         'past 113 days',
         '113 days ago',
         'in 113 days'],
 '114': ['114 days from now',
         'past 114 days',
         'next 114 days',
         'last 114 days',
         '114 days ago',
         'in 114 days'],
 '115': ['115 days from now',
         'past 115 days',
         'last 115 days',
         'next 115 days',
         '115 days ago',
         'in 115 days'],
 '116': ['116 days from now',
         'last 116 days',
         'past 116 days',
         'next 116 days',
         '116 days ago',
         'in 116 days'],
 '117': ['117 days from now',
         'last 117 days',
         'past 117 days',
         'next 117 days',
         '117 days ago',
         'in 117 days'],
 '118': ['118 days from now',
         'last 118 days',
         'next 118 days',
         'past 118 days',
         '118 days ago',
         'in 118 days'],
 '119': ['119 days from now',
         'last 119 days',
         'next 119 days',
         'past 119 days',
         '119 days ago',
         'in 119 days'],
 '12': ['12 minutes from now',
        '12 seconds from now',
        '12 months from now',
        '12 weeks from now',
        '12 years from now',
        '12 hours from now',
        '12 secs from now',
        '12 mins from now',
        '12 days from now',
        '12 yrs from now',
        'past 12 minutes',
        'last 12 minutes',
        'past 12 seconds',
        'last 12 seconds',
        '12 wks from now',
        'next 12 seconds',
        'next 12 minutes',
        '12 hrs from now',
        '12 mos from now',
        '12 minutes ago',
        '12 seconds ago',
        'last 12 months',
        'next 12 months',
        'past 12 months',
        'last 12 weeks',
        'last 12 years',
        'in 12 seconds',
        '12 months ago',
        'next 12 hours',
        'in 12 minutes',
        'next 12 weeks',
        'past 12 years',
        'past 12 hours',
        'past 12 weeks',
        'last 12 hours',
        'next 12 years',
        'in 12 months',
        'past 12 secs',
        'next 12 days',
        'last 12 days',
        'past 12 days',
        'next 12 secs',
        'past 12 mins',
        'next 12 mins',
        'last 12 mins',
        '12 weeks ago',
        '12 hours ago',
        'last 12 secs',
        '12 years ago',
        'last 12 yrs',
        'next 12 hrs',
        '12 mins ago',
        'next 12 mos',
        'last 12 wks',
        'last 12 hrs',
        'next 12 wks',
        '12 secs ago',
        'in 12 hours',
        '12 days ago',
        'past 12 hrs',
        'in 12 years',
        'last 12 mos',
        'past 12 wks',
        'in 12 weeks',
        'next 12 yrs',
        'past 12 mos',
        'past 12 yrs',
        '12 hrs ago',
        '12 yrs ago',
        'in 12 secs',
        'in 12 days',
        'in 12 mins',
        '12 mos ago',
        '12 wks ago',
        'in 12 yrs',
        'in 12 hrs',
        'in 12 wks',
        'in 12 mos'],
 '120': ['120 days from now',
         'last 120 days',
         'past 120 days',
         'next 120 days',
         '120 days ago',
         'in 120 days'],
 '121': ['121 days from now',
         'past 121 days',
         'last 121 days',
         'next 121 days',
         '121 days ago',
         'in 121 days'],
 '122': ['122 days from now',
         'next 122 days',
         'last 122 days',
         'past 122 days',
         '122 days ago',
         'in 122 days'],
 '123': ['123 days from now',
         'next 123 days',
         'past 123 days',
         'last 123 days',
         '123 days ago',
         'in 123 days'],
 '124': ['124 days from now',
         'past 124 days',
         'next 124 days',
         'last 124 days',
         '124 days ago',
         'in 124 days'],
 '125': ['125 days from now',
         'past 125 days',
         'last 125 days',
         'next 125 days',
         '125 days ago',
         'in 125 days'],
 '126': ['126 days from now',
         'last 126 days',
         'next 126 days',
         'past 126 days',
         '126 days ago',
         'in 126 days'],
 '127': ['127 days from now',
         'last 127 days',
         'past 127 days',
         'next 127 days',
         '127 days ago',
         'in 127 days'],
 '128': ['128 days from now',
         'last 128 days',
         'next 128 days',
         'past 128 days',
         '128 days ago',
         'in 128 days'],
 '129': ['129 days from now',
         'next 129 days',
         'past 129 days',
         'last 129 days',
         '129 days ago',
         'in 129 days'],
 '13': ['13 seconds from now',
        '13 minutes from now',
        '13 months from now',
        '13 years from now',
        '13 hours from now',
        '13 weeks from now',
        '13 days from now',
        '13 mins from now',
        '13 secs from now',
        'past 13 minutes',
        '13 yrs from now',
        '13 wks from now',
        'last 13 seconds',
        'next 13 seconds',
        'past 13 seconds',
        '13 mos from now',
        'next 13 minutes',
        '13 hrs from now',
        'last 13 minutes',
        'past 13 months',
        'next 13 months',
        '13 minutes ago',
        'last 13 months',
        '13 seconds ago',
        'past 13 hours',
        'in 13 minutes',
        'next 13 weeks',
        'past 13 weeks',
        'in 13 seconds',
        'last 13 hours',
        '13 months ago',
        'next 13 years',
        'next 13 hours',
        'last 13 years',
        'last 13 weeks',
        'past 13 years',
        'next 13 secs',
        'next 13 mins',
        '13 weeks ago',
        '13 hours ago',
        'past 13 mins',
        '13 years ago',
        'next 13 days',
        'last 13 secs',
        'past 13 days',
        'last 13 days',
        'in 13 months',
        'last 13 mins',
        'past 13 secs',
        'next 13 hrs',
        'next 13 yrs',
        'last 13 wks',
        '13 secs ago',
        '13 days ago',
        'in 13 years',
        'past 13 hrs',
        'last 13 yrs',
        'past 13 yrs',
        'next 13 mos',
        'past 13 mos',
        'last 13 hrs',
        'in 13 hours',
        'next 13 wks',
        'past 13 wks',
        'last 13 mos',
        'in 13 weeks',
        '13 mins ago',
        '13 yrs ago',
        '13 hrs ago',
        '13 mos ago',
        '13 wks ago',
        'in 13 mins',
        'in 13 days',
        'in 13 secs',
        'in 13 yrs',
        'in 13 hrs',
        'in 13 mos',
        'in 13 wks'],
 '130': ['130 days from now',
         'next 130 days',
         'last 130 days',
         'past 130 days',
         '130 days ago',
         'in 130 days'],
 '131': ['131 days from now',
         'last 131 days',
         'past 131 days',
         'next 131 days',
         '131 days ago',
         'in 131 days'],
 '132': ['132 days from now',
         'next 132 days',
         'last 132 days',
         'past 132 days',
         '132 days ago',
         'in 132 days'],
 '133': ['133 days from now',
         'past 133 days',
         'next 133 days',
         'last 133 days',
         '133 days ago',
         'in 133 days'],
 '134': ['134 days from now',
         'last 134 days',
         'past 134 days',
         'next 134 days',
         '134 days ago',
         'in 134 days'],
 '135': ['135 days from now',
         'last 135 days',
         'next 135 days',
         'past 135 days',
         '135 days ago',
         'in 135 days'],
 '136': ['136 days from now',
         'last 136 days',
         'past 136 days',
         'next 136 days',
         '136 days ago',
         'in 136 days'],
 '137': ['137 days from now',
         'last 137 days',
         'past 137 days',
         'next 137 days',
         '137 days ago',
         'in 137 days'],
 '138': ['138 days from now',
         'next 138 days',
         'last 138 days',
         'past 138 days',
         '138 days ago',
         'in 138 days'],
 '139': ['139 days from now',
         'next 139 days',
         'last 139 days',
         'past 139 days',
         '139 days ago',
         'in 139 days'],
 '14': ['14 seconds from now',
        '14 minutes from now',
        '14 months from now',
        '14 years from now',
        '14 weeks from now',
        '14 hours from now',
        '14 secs from now',
        '14 days from now',
        '14 mins from now',
        'next 14 minutes',
        '14 yrs from now',
        'past 14 minutes',
        '14 mos from now',
        'last 14 minutes',
        '14 wks from now',
        'past 14 seconds',
        '14 hrs from now',
        'last 14 seconds',
        'next 14 seconds',
        'next 14 months',
        '14 minutes ago',
        'last 14 months',
        '14 seconds ago',
        'past 14 months',
        'last 14 hours',
        'in 14 seconds',
        'next 14 years',
        'past 14 weeks',
        'next 14 hours',
        'past 14 years',
        'in 14 minutes',
        'past 14 hours',
        'next 14 weeks',
        'last 14 weeks',
        '14 months ago',
        'last 14 years',
        'next 14 days',
        'last 14 secs',
        '14 hours ago',
        '14 years ago',
        'next 14 secs',
        'next 14 mins',
        'last 14 mins',
        '14 weeks ago',
        'in 14 months',
        'past 14 secs',
        'past 14 days',
        'last 14 days',
        'past 14 mins',
        '14 days ago',
        'past 14 yrs',
        'next 14 yrs',
        'last 14 mos',
        'in 14 weeks',
        'last 14 wks',
        'in 14 years',
        'next 14 wks',
        '14 secs ago',
        'past 14 mos',
        'past 14 hrs',
        'last 14 yrs',
        'next 14 mos',
        'last 14 hrs',
        'next 14 hrs',
        '14 mins ago',
        'in 14 hours',
        'past 14 wks',
        '14 hrs ago',
        '14 mos ago',
        '14 yrs ago',
        'in 14 mins',
        '14 wks ago',
        'in 14 days',
        'in 14 secs',
        'in 14 hrs',
        'in 14 mos',
        'in 14 yrs',
        'in 14 wks'],
 '140': ['140 days from now',
         'last 140 days',
         'next 140 days',
         'past 140 days',
         '140 days ago',
         'in 140 days'],
 '141': ['141 days from now',
         'past 141 days',
         'last 141 days',
         'next 141 days',
         '141 days ago',
         'in 141 days'],
 '142': ['142 days from now',
         'past 142 days',
         'last 142 days',
         'next 142 days',
         '142 days ago',
         'in 142 days'],
 '143': ['143 days from now',
         'next 143 days',
         'last 143 days',
         'past 143 days',
         '143 days ago',
         'in 143 days'],
 '144': ['144 days from now',
         'last 144 days',
         'next 144 days',
         'past 144 days',
         '144 days ago',
         'in 144 days'],
 '145': ['145 days from now',
         'past 145 days',
         'next 145 days',
         'last 145 days',
         '145 days ago',
         'in 145 days'],
 '146': ['146 days from now',
         'next 146 days',
         'last 146 days',
         'past 146 days',
         '146 days ago',
         'in 146 days'],
 '147': ['147 days from now',
         'last 147 days',
         'next 147 days',
         'past 147 days',
         '147 days ago',
         'in 147 days'],
 '148': ['148 days from now',
         'last 148 days',
         'next 148 days',
         'past 148 days',
         '148 days ago',
         'in 148 days'],
 '149': ['149 days from now',
         'last 149 days',
         'next 149 days',
         'past 149 days',
         '149 days ago',
         'in 149 days'],
 '15': ['15 seconds from now',
        '15 minutes from now',
        '15 months from now',
        '15 years from now',
        '15 hours from now',
        '15 weeks from now',
        '15 days from now',
        '15 secs from now',
        '15 mins from now',
        'next 15 seconds',
        'past 15 seconds',
        '15 wks from now',
        'next 15 minutes',
        '15 hrs from now',
        'past 15 minutes',
        'last 15 minutes',
        '15 yrs from now',
        'last 15 seconds',
        '15 mos from now',
        'last 15 months',
        'past 15 months',
        '15 minutes ago',
        'next 15 months',
        '15 seconds ago',
        'past 15 weeks',
        'last 15 years',
        'past 15 years',
        'last 15 weeks',
        'next 15 years',
        'in 15 seconds',
        '15 months ago',
        'in 15 minutes',
        'last 15 hours',
        'next 15 hours',
        'next 15 weeks',
        'past 15 hours',
        'next 15 days',
        'past 15 secs',
        'past 15 mins',
        '15 years ago',
        '15 weeks ago',
        '15 hours ago',
        'next 15 mins',
        'last 15 mins',
        'last 15 days',
        'in 15 months',
        'last 15 secs',
        'past 15 days',
        'next 15 secs',
        'next 15 hrs',
        'past 15 hrs',
        'next 15 mos',
        'last 15 yrs',
        '15 mins ago',
        '15 days ago',
        'in 15 years',
        'last 15 mos',
        'last 15 wks',
        'past 15 yrs',
        'past 15 mos',
        'next 15 wks',
        '15 secs ago',
        'in 15 weeks',
        'last 15 hrs',
        'past 15 wks',
        'next 15 yrs',
        'in 15 hours',
        '15 wks ago',
        'in 15 mins',
        '15 yrs ago',
        'in 15 days',
        '15 mos ago',
        '15 hrs ago',
        'in 15 secs',
        'in 15 wks',
        'in 15 mos',
        'in 15 hrs',
        'in 15 yrs'],
 '150': ['150 days from now',
         'next 150 days',
         'past 150 days',
         'last 150 days',
         '150 days ago',
         'in 150 days'],
 '151': ['151 days from now',
         'next 151 days',
         'last 151 days',
         'past 151 days',
         '151 days ago',
         'in 151 days'],
 '152': ['152 days from now',
         'last 152 days',
         'past 152 days',
         'next 152 days',
         '152 days ago',
         'in 152 days'],
 '153': ['153 days from now',
         'next 153 days',
         'last 153 days',
         'past 153 days',
         '153 days ago',
         'in 153 days'],
 '154': ['154 days from now',
         'last 154 days',
         'next 154 days',
         'past 154 days',
         '154 days ago',
         'in 154 days'],
 '155': ['155 days from now',
         'last 155 days',
         'past 155 days',
         'next 155 days',
         '155 days ago',
         'in 155 days'],
 '156': ['156 days from now',
         'last 156 days',
         'next 156 days',
         'past 156 days',
         '156 days ago',
         'in 156 days'],
 '157': ['157 days from now',
         'past 157 days',
         'last 157 days',
         'next 157 days',
         '157 days ago',
         'in 157 days'],
 '158': ['158 days from now',
         'past 158 days',
         'next 158 days',
         'last 158 days',
         '158 days ago',
         'in 158 days'],
 '159': ['159 days from now',
         'next 159 days',
         'past 159 days',
         'last 159 days',
         '159 days ago',
         'in 159 days'],
 '16': ['16 seconds from now',
        '16 minutes from now',
        '16 months from now',
        '16 hours from now',
        '16 weeks from now',
        '16 years from now',
        '16 days from now',
        '16 mins from now',
        '16 secs from now',
        '16 yrs from now',
        'last 16 seconds',
        'past 16 seconds',
        '16 hrs from now',
        'next 16 seconds',
        'last 16 minutes',
        '16 wks from now',
        '16 mos from now',
        'next 16 minutes',
        'past 16 minutes',
        'next 16 months',
        'past 16 months',
        'last 16 months',
        '16 seconds ago',
        '16 minutes ago',
        'last 16 weeks',
        'past 16 weeks',
        'next 16 hours',
        'last 16 years',
        '16 months ago',
        'last 16 hours',
        'in 16 minutes',
        'in 16 seconds',
        'next 16 weeks',
        'past 16 hours',
        'next 16 years',
        'past 16 years',
        '16 hours ago',
        'in 16 months',
        '16 years ago',
        'past 16 mins',
        'next 16 mins',
        'last 16 days',
        'next 16 secs',
        '16 weeks ago',
        'past 16 secs',
        'past 16 days',
        'next 16 days',
        'last 16 secs',
        'last 16 mins',
        'past 16 hrs',
        'next 16 mos',
        'last 16 wks',
        'past 16 yrs',
        '16 days ago',
        'in 16 hours',
        'past 16 wks',
        'last 16 hrs',
        'next 16 hrs',
        'in 16 weeks',
        'past 16 mos',
        'last 16 yrs',
        'in 16 years',
        '16 mins ago',
        'last 16 mos',
        'next 16 wks',
        'next 16 yrs',
        '16 secs ago',
        'in 16 mins',
        '16 wks ago',
        'in 16 secs',
        'in 16 days',
        '16 mos ago',
        '16 yrs ago',
        '16 hrs ago',
        'in 16 mos',
        'in 16 hrs',
        'in 16 yrs',
        'in 16 wks'],
 '160': ['160 days from now',
         'last 160 days',
         'past 160 days',
         'next 160 days',
         '160 days ago',
         'in 160 days'],
 '161': ['161 days from now',
         'last 161 days',
         'next 161 days',
         'past 161 days',
         '161 days ago',
         'in 161 days'],
 '162': ['162 days from now',
         'past 162 days',
         'next 162 days',
         'last 162 days',
         '162 days ago',
         'in 162 days'],
 '163': ['163 days from now',
         'last 163 days',
         'next 163 days',
         'past 163 days',
         '163 days ago',
         'in 163 days'],
 '164': ['164 days from now',
         'past 164 days',
         'next 164 days',
         'last 164 days',
         '164 days ago',
         'in 164 days'],
 '165': ['165 days from now',
         'last 165 days',
         'past 165 days',
         'next 165 days',
         '165 days ago',
         'in 165 days'],
 '166': ['166 days from now',
         'next 166 days',
         'past 166 days',
         'last 166 days',
         '166 days ago',
         'in 166 days'],
 '167': ['167 days from now',
         'past 167 days',
         'last 167 days',
         'next 167 days',
         '167 days ago',
         'in 167 days'],
 '168': ['168 days from now',
         'next 168 days',
         'last 168 days',
         'past 168 days',
         '168 days ago',
         'in 168 days'],
 '169': ['169 days from now',
         'past 169 days',
         'last 169 days',
         'next 169 days',
         '169 days ago',
         'in 169 days'],
 '17': ['17 seconds from now',
        '17 minutes from now',
        '17 months from now',
        '17 years from now',
        '17 hours from now',
        '17 weeks from now',
        '17 days from now',
        '17 secs from now',
        '17 mins from now',
        'past 17 minutes',
        '17 mos from now',
        'next 17 seconds',
        'last 17 minutes',
        'last 17 seconds',
        '17 hrs from now',
        '17 wks from now',
        '17 yrs from now',
        'next 17 minutes',
        'past 17 seconds',
        'next 17 months',
        '17 seconds ago',
        'past 17 months',
        'last 17 months',
        '17 minutes ago',
        'last 17 years',
        'next 17 years',
        'past 17 hours',
        '17 months ago',
        'next 17 hours',
        'last 17 weeks',
        'next 17 weeks',
        'last 17 hours',
        'in 17 minutes',
        'past 17 years',
        'in 17 seconds',
        'past 17 weeks',
        'past 17 secs',
        '17 weeks ago',
        '17 years ago',
        '17 hours ago',
        'next 17 secs',
        'past 17 mins',
        'next 17 days',
        'next 17 mins',
        'last 17 mins',
        'past 17 days',
        'last 17 secs',
        'in 17 months',
        'last 17 days',
        'next 17 wks',
        'in 17 weeks',
        'last 17 yrs',
        'next 17 yrs',
        'last 17 mos',
        'next 17 hrs',
        'in 17 years',
        'last 17 hrs',
        'next 17 mos',
        'past 17 wks',
        'past 17 yrs',
        'past 17 hrs',
        'in 17 hours',
        'last 17 wks',
        'past 17 mos',
        '17 secs ago',
        '17 mins ago',
        '17 days ago',
        '17 yrs ago',
        'in 17 days',
        '17 mos ago',
        'in 17 mins',
        '17 hrs ago',
        '17 wks ago',
        'in 17 secs',
        'in 17 wks',
        'in 17 mos',
        'in 17 hrs',
        'in 17 yrs'],
 '170': ['170 days from now',
         'past 170 days',
         'next 170 days',
         'last 170 days',
         '170 days ago',
         'in 170 days'],
 '171': ['171 days from now',
         'last 171 days',
         'past 171 days',
         'next 171 days',
         '171 days ago',
         'in 171 days'],
 '172': ['172 days from now',
         'next 172 days',
         'last 172 days',
         'past 172 days',
         '172 days ago',
         'in 172 days'],
 '173': ['173 days from now',
         'last 173 days',
         'past 173 days',
         'next 173 days',
         '173 days ago',
         'in 173 days'],
 '174': ['174 days from now',
         'past 174 days',
         'next 174 days',
         'last 174 days',
         '174 days ago',
         'in 174 days'],
 '175': ['175 days from now',
         'past 175 days',
         'last 175 days',
         'next 175 days',
         '175 days ago',
         'in 175 days'],
 '176': ['176 days from now',
         'last 176 days',
         'next 176 days',
         'past 176 days',
         '176 days ago',
         'in 176 days'],
 '177': ['177 days from now',
         'last 177 days',
         'past 177 days',
         'next 177 days',
         '177 days ago',
         'in 177 days'],
 '178': ['178 days from now',
         'last 178 days',
         'next 178 days',
         'past 178 days',
         '178 days ago',
         'in 178 days'],
 '179': ['179 days from now',
         'last 179 days',
         'past 179 days',
         'next 179 days',
         '179 days ago',
         'in 179 days'],
 '18': ['18 minutes from now',
        '18 seconds from now',
        '18 months from now',
        '18 hours from now',
        '18 weeks from now',
        '18 years from now',
        '18 mins from now',
        '18 days from now',
        '18 secs from now',
        'last 18 seconds',
        'next 18 seconds',
        '18 mos from now',
        'next 18 minutes',
        '18 hrs from now',
        '18 wks from now',
        'last 18 minutes',
        'past 18 minutes',
        '18 yrs from now',
        'past 18 seconds',
        'last 18 months',
        '18 minutes ago',
        'past 18 months',
        'next 18 months',
        '18 seconds ago',
        'past 18 hours',
        'next 18 years',
        'next 18 weeks',
        'in 18 seconds',
        'in 18 minutes',
        'past 18 years',
        'next 18 hours',
        '18 months ago',
        'last 18 years',
        'last 18 hours',
        'last 18 weeks',
        'past 18 weeks',
        '18 hours ago',
        'past 18 days',
        'last 18 mins',
        'last 18 days',
        'last 18 secs',
        'in 18 months',
        '18 weeks ago',
        'past 18 mins',
        'next 18 secs',
        'past 18 secs',
        '18 years ago',
        'next 18 days',
        'next 18 mins',
        'past 18 hrs',
        'next 18 hrs',
        'next 18 yrs',
        'past 18 yrs',
        'last 18 yrs',
        'past 18 mos',
        'next 18 mos',
        '18 secs ago',
        'last 18 mos',
        'in 18 weeks',
        'in 18 years',
        'last 18 hrs',
        'past 18 wks',
        'last 18 wks',
        'next 18 wks',
        'in 18 hours',
        '18 mins ago',
        '18 days ago',
        'in 18 days',
        '18 yrs ago',
        '18 wks ago',
        '18 hrs ago',
        'in 18 secs',
        'in 18 mins',
        '18 mos ago',
        'in 18 wks',
        'in 18 yrs',
        'in 18 hrs',
        'in 18 mos'],
 '180': ['180 days from now',
         'last 180 days',
         'next 180 days',
         'past 180 days',
         '180 days ago',
         'in 180 days'],
 '181': ['181 days from now',
         'last 181 days',
         'next 181 days',
         'past 181 days',
         '181 days ago',
         'in 181 days'],
 '182': ['182 days from now',
         'last 182 days',
         'next 182 days',
         'past 182 days',
         '182 days ago',
         'in 182 days'],
 '183': ['183 days from now',
         'last 183 days',
         'past 183 days',
         'next 183 days',
         '183 days ago',
         'in 183 days'],
 '184': ['184 days from now',
         'last 184 days',
         'past 184 days',
         'next 184 days',
         '184 days ago',
         'in 184 days'],
 '185': ['185 days from now',
         'past 185 days',
         'next 185 days',
         'last 185 days',
         '185 days ago',
         'in 185 days'],
 '186': ['186 days from now',
         'past 186 days',
         'next 186 days',
         'last 186 days',
         '186 days ago',
         'in 186 days'],
 '187': ['187 days from now',
         'past 187 days',
         'next 187 days',
         'last 187 days',
         '187 days ago',
         'in 187 days'],
 '188': ['188 days from now',
         'past 188 days',
         'last 188 days',
         'next 188 days',
         '188 days ago',
         'in 188 days'],
 '189': ['189 days from now',
         'past 189 days',
         'next 189 days',
         'last 189 days',
         '189 days ago',
         'in 189 days'],
 '19': ['19 minutes from now',
        '19 seconds from now',
        '19 months from now',
        '19 hours from now',
        '19 weeks from now',
        '19 years from now',
        '19 secs from now',
        '19 days from now',
        '19 mins from now',
        'past 19 minutes',
        'next 19 seconds',
        'past 19 seconds',
        'next 19 minutes',
        '19 yrs from now',
        'last 19 minutes',
        '19 wks from now',
        'last 19 seconds',
        '19 mos from now',
        '19 hrs from now',
        'past 19 months',
        'next 19 months',
        'last 19 months',
        '19 seconds ago',
        '19 minutes ago',
        'next 19 weeks',
        'in 19 seconds',
        'next 19 years',
        'last 19 years',
        'past 19 years',
        '19 months ago',
        'past 19 hours',
        'past 19 weeks',
        'next 19 hours',
        'last 19 hours',
        'in 19 minutes',
        'last 19 weeks',
        '19 hours ago',
        'next 19 secs',
        '19 years ago',
        'in 19 months',
        'past 19 mins',
        'past 19 days',
        'next 19 mins',
        'last 19 secs',
        'next 19 days',
        'last 19 mins',
        'last 19 days',
        'past 19 secs',
        '19 weeks ago',
        'past 19 yrs',
        '19 mins ago',
        '19 days ago',
        'last 19 mos',
        'in 19 hours',
        'next 19 mos',
        '19 secs ago',
        'last 19 hrs',
        'last 19 yrs',
        'last 19 wks',
        'in 19 years',
        'past 19 mos',
        'in 19 weeks',
        'next 19 wks',
        'next 19 yrs',
        'past 19 wks',
        'past 19 hrs',
        'next 19 hrs',
        'in 19 days',
        'in 19 secs',
        '19 mos ago',
        '19 hrs ago',
        '19 yrs ago',
        '19 wks ago',
        'in 19 mins',
        'in 19 yrs',
        'in 19 mos',
        'in 19 hrs',
        'in 19 wks'],
 '190': ['190 days from now',
         'last 190 days',
         'next 190 days',
         'past 190 days',
         '190 days ago',
         'in 190 days'],
 '191': ['191 days from now',
         'last 191 days',
         'past 191 days',
         'next 191 days',
         '191 days ago',
         'in 191 days'],
 '192': ['192 days from now',
         'last 192 days',
         'past 192 days',
         'next 192 days',
         '192 days ago',
         'in 192 days'],
 '193': ['193 days from now',
         'last 193 days',
         'past 193 days',
         'next 193 days',
         '193 days ago',
         'in 193 days'],
 '194': ['194 days from now',
         'last 194 days',
         'past 194 days',
         'next 194 days',
         '194 days ago',
         'in 194 days'],
 '195': ['195 days from now',
         'last 195 days',
         'next 195 days',
         'past 195 days',
         '195 days ago',
         'in 195 days'],
 '196': ['196 days from now',
         'past 196 days',
         'last 196 days',
         'next 196 days',
         '196 days ago',
         'in 196 days'],
 '197': ['197 days from now',
         'past 197 days',
         'next 197 days',
         'last 197 days',
         '197 days ago',
         'in 197 days'],
 '198': ['198 days from now',
         'next 198 days',
         'last 198 days',
         'past 198 days',
         '198 days ago',
         'in 198 days'],
 '199': ['199 days from now',
         'past 199 days',
         'last 199 days',
         'next 199 days',
         '199 days ago',
         'in 199 days'],
 '2': ['2 minutes from now',
       '2 seconds from now',
       '2 months from now',
       '2 years from now',
       '2 hours from now',
       '2 weeks from now',
       '2 secs from now',
       '2 mins from now',
       '2 days from now',
       '2 wks from now',
       '2 yrs from now',
       'last 2 minutes',
       '2 mos from now',
       'past 2 minutes',
       'past 2 seconds',
       'next 2 seconds',
       'next 2 minutes',
       '2 hrs from now',
       'last 2 seconds',
       'past 2 months',
       '2 minutes ago',
       'next 2 months',
       '2 seconds ago',
       'last 2 months',
       'last 2 years',
       'past 2 weeks',
       '2 months ago',
       'next 2 weeks',
       'last 2 weeks',
       'next 2 years',
       'in 2 minutes',
       'in 2 seconds',
       'next 2 hours',
       'past 2 years',
       'last 2 hours',
       'past 2 hours',
       '2 weeks ago',
       'past 2 mins',
       'next 2 days',
       'next 2 secs',
       '2 years ago',
       'last 2 mins',
       'last 2 days',
       'past 2 secs',
       'last 2 secs',
       'in 2 months',
       '2 hours ago',
       'next 2 mins',
       'past 2 days',
       'past 2 yrs',
       'next 2 mos',
       'last 2 mos',
       '2 days ago',
       'in 2 years',
       '2 mins ago',
       'next 2 hrs',
       'past 2 hrs',
       'past 2 wks',
       'next 2 wks',
       'past 2 mos',
       'in 2 hours',
       '2 secs ago',
       'last 2 wks',
       'next 2 yrs',
       'last 2 yrs',
       'in 2 weeks',
       'last 2 hrs',
       'in 2 mins',
       'in 2 secs',
       '2 wks ago',
       'in 2 days',
       '2 mos ago',
       '2 hrs ago',
       '2 yrs ago',
       'in 2 hrs',
       'in 2 mos',
       'in 2 yrs',
       'in 2 wks'],
 '20': ['20 minutes from now',
        '20 seconds from now',
        '20 months from now',
        '20 hours from now',
        '20 weeks from now',
        '20 years from now',
        '20 secs from now',
        '20 days from now',
        '20 mins from now',
        '20 hrs from now',
        'next 20 minutes',
        'past 20 minutes',
        'last 20 seconds',
        'next 20 seconds',
        '20 yrs from now',
        '20 mos from now',
        '20 wks from now',
        'last 20 minutes',
        'past 20 seconds',
        'next 20 months',
        '20 seconds ago',
        'past 20 months',
        'last 20 months',
        '20 minutes ago',
        'in 20 minutes',
        'next 20 hours',
        'next 20 weeks',
        '20 months ago',
        'last 20 years',
        'next 20 years',
        'past 20 hours',
        'past 20 weeks',
        'in 20 seconds',
        'last 20 weeks',
        'past 20 years',
        'last 20 hours',
        'next 20 secs',
        '20 years ago',
        'past 20 secs',
        'past 20 days',
        'last 20 mins',
        '20 weeks ago',
        'next 20 days',
        'last 20 days',
        'last 20 secs',
        'in 20 months',
        'past 20 mins',
        'next 20 mins',
        '20 hours ago',
        'in 20 weeks',
        'past 20 yrs',
        'last 20 hrs',
        '20 days ago',
        'in 20 years',
        'last 20 wks',
        'past 20 mos',
        'next 20 wks',
        'last 20 yrs',
        'next 20 mos',
        '20 mins ago',
        'in 20 hours',
        'past 20 wks',
        'next 20 yrs',
        'last 20 mos',
        'next 20 hrs',
        '20 secs ago',
        'past 20 hrs',
        '20 yrs ago',
        '20 hrs ago',
        'in 20 days',
        'in 20 secs',
        'in 20 mins',
        '20 wks ago',
        '20 mos ago',
        'in 20 mos',
        'in 20 yrs',
        'in 20 hrs',
        'in 20 wks'],
 '200': ['200 days from now',
         'past 200 days',
         'next 200 days',
         'last 200 days',
         '200 days ago',
         'in 200 days'],
 '201': ['201 days from now',
         'next 201 days',
         'last 201 days',
         'past 201 days',
         '201 days ago',
         'in 201 days'],
 '202': ['202 days from now',
         'next 202 days',
         'last 202 days',
         'past 202 days',
         '202 days ago',
         'in 202 days'],
 '203': ['203 days from now',
         'past 203 days',
         'last 203 days',
         'next 203 days',
         '203 days ago',
         'in 203 days'],
 '204': ['204 days from now',
         'last 204 days',
         'next 204 days',
         'past 204 days',
         '204 days ago',
         'in 204 days'],
 '205': ['205 days from now',
         'next 205 days',
         'past 205 days',
         'last 205 days',
         '205 days ago',
         'in 205 days'],
 '206': ['206 days from now',
         'next 206 days',
         'last 206 days',
         'past 206 days',
         '206 days ago',
         'in 206 days'],
 '207': ['207 days from now',
         'next 207 days',
         'past 207 days',
         'last 207 days',
         '207 days ago',
         'in 207 days'],
 '208': ['208 days from now',
         'next 208 days',
         'past 208 days',
         'last 208 days',
         '208 days ago',
         'in 208 days'],
 '209': ['209 days from now',
         'last 209 days',
         'next 209 days',
         'past 209 days',
         '209 days ago',
         'in 209 days'],
 '21': ['21 seconds from now',
        '21 minutes from now',
        '21 months from now',
        '21 weeks from now',
        '21 hours from now',
        '21 years from now',
        '21 secs from now',
        '21 days from now',
        '21 mins from now',
        'last 21 seconds',
        '21 mos from now',
        '21 yrs from now',
        'past 21 minutes',
        'next 21 seconds',
        'last 21 minutes',
        'next 21 minutes',
        '21 hrs from now',
        '21 wks from now',
        'past 21 seconds',
        'past 21 months',
        'next 21 months',
        'last 21 months',
        '21 minutes ago',
        '21 seconds ago',
        'last 21 years',
        'next 21 years',
        'last 21 weeks',
        'next 21 weeks',
        '21 months ago',
        'in 21 minutes',
        'last 21 hours',
        'next 21 hours',
        'past 21 years',
        'in 21 seconds',
        'past 21 hours',
        'past 21 weeks',
        '21 years ago',
        '21 weeks ago',
        'next 21 mins',
        'last 21 mins',
        '21 hours ago',
        'last 21 secs',
        'next 21 days',
        'next 21 secs',
        'past 21 mins',
        'past 21 days',
        'past 21 secs',
        'last 21 days',
        'in 21 months',
        'past 21 yrs',
        'in 21 years',
        'in 21 hours',
        'last 21 mos',
        'past 21 mos',
        'past 21 wks',
        '21 days ago',
        'last 21 wks',
        'next 21 mos',
        '21 mins ago',
        'last 21 yrs',
        '21 secs ago',
        'next 21 hrs',
        'in 21 weeks',
        'last 21 hrs',
        'past 21 hrs',
        'next 21 wks',
        'next 21 yrs',
        'in 21 secs',
        '21 wks ago',
        'in 21 days',
        'in 21 mins',
        '21 hrs ago',
        '21 mos ago',
        '21 yrs ago',
        'in 21 hrs',
        'in 21 yrs',
        'in 21 mos',
        'in 21 wks'],
 '210': ['210 days from now',
         'past 210 days',
         'last 210 days',
         'next 210 days',
         '210 days ago',
         'in 210 days'],
 '211': ['211 days from now',
         'next 211 days',
         'past 211 days',
         'last 211 days',
         '211 days ago',
         'in 211 days'],
 '212': ['212 days from now',
         'past 212 days',
         'next 212 days',
         'last 212 days',
         '212 days ago',
         'in 212 days'],
 '213': ['213 days from now',
         'last 213 days',
         'past 213 days',
         'next 213 days',
         '213 days ago',
         'in 213 days'],
 '214': ['214 days from now',
         'past 214 days',
         'last 214 days',
         'next 214 days',
         '214 days ago',
         'in 214 days'],
 '215': ['215 days from now',
         'last 215 days',
         'next 215 days',
         'past 215 days',
         '215 days ago',
         'in 215 days'],
 '216': ['216 days from now',
         'last 216 days',
         'next 216 days',
         'past 216 days',
         '216 days ago',
         'in 216 days'],
 '217': ['217 days from now',
         'past 217 days',
         'next 217 days',
         'last 217 days',
         '217 days ago',
         'in 217 days'],
 '218': ['218 days from now',
         'next 218 days',
         'last 218 days',
         'past 218 days',
         '218 days ago',
         'in 218 days'],
 '219': ['219 days from now',
         'past 219 days',
         'next 219 days',
         'last 219 days',
         '219 days ago',
         'in 219 days'],
 '22': ['22 minutes from now',
        '22 seconds from now',
        '22 months from now',
        '22 weeks from now',
        '22 years from now',
        '22 hours from now',
        '22 secs from now',
        '22 days from now',
        '22 mins from now',
        '22 wks from now',
        'last 22 minutes',
        '22 hrs from now',
        'last 22 seconds',
        '22 mos from now',
        'past 22 seconds',
        '22 yrs from now',
        'past 22 minutes',
        'next 22 seconds',
        'next 22 minutes',
        '22 seconds ago',
        'past 22 months',
        'next 22 months',
        'last 22 months',
        '22 minutes ago',
        'past 22 weeks',
        'last 22 years',
        'in 22 seconds',
        'next 22 years',
        '22 months ago',
        'past 22 years',
        'last 22 hours',
        'last 22 weeks',
        'in 22 minutes',
        'next 22 weeks',
        'next 22 hours',
        'past 22 hours',
        'last 22 secs',
        '22 years ago',
        'next 22 secs',
        'next 22 days',
        'past 22 mins',
        'last 22 days',
        'next 22 mins',
        'last 22 mins',
        'past 22 secs',
        '22 weeks ago',
        '22 hours ago',
        'past 22 days',
        'in 22 months',
        'last 22 hrs',
        'last 22 mos',
        'past 22 wks',
        '22 secs ago',
        'last 22 yrs',
        'next 22 wks',
        'next 22 mos',
        'next 22 hrs',
        'in 22 weeks',
        'last 22 wks',
        'past 22 hrs',
        '22 mins ago',
        'next 22 yrs',
        '22 days ago',
        'past 22 mos',
        'in 22 years',
        'in 22 hours',
        'past 22 yrs',
        'in 22 secs',
        'in 22 days',
        '22 mos ago',
        '22 hrs ago',
        '22 wks ago',
        '22 yrs ago',
        'in 22 mins',
        'in 22 hrs',
        'in 22 wks',
        'in 22 mos',
        'in 22 yrs'],
 '220': ['220 days from now',
         'last 220 days',
         'next 220 days',
         'past 220 days',
         '220 days ago',
         'in 220 days'],
 '221': ['221 days from now',
         'next 221 days',
         'past 221 days',
         'last 221 days',
         '221 days ago',
         'in 221 days'],
 '222': ['222 days from now',
         'past 222 days',
         'last 222 days',
         'next 222 days',
         '222 days ago',
         'in 222 days'],
 '223': ['223 days from now',
         'next 223 days',
         'last 223 days',
         'past 223 days',
         '223 days ago',
         'in 223 days'],
 '224': ['224 days from now',
         'next 224 days',
         'past 224 days',
         'last 224 days',
         '224 days ago',
         'in 224 days'],
 '225': ['225 days from now',
         'last 225 days',
         'next 225 days',
         'past 225 days',
         '225 days ago',
         'in 225 days'],
 '226': ['226 days from now',
         'last 226 days',
         'next 226 days',
         'past 226 days',
         '226 days ago',
         'in 226 days'],
 '227': ['227 days from now',
         'past 227 days',
         'next 227 days',
         'last 227 days',
         '227 days ago',
         'in 227 days'],
 '228': ['228 days from now',
         'past 228 days',
         'next 228 days',
         'last 228 days',
         '228 days ago',
         'in 228 days'],
 '229': ['229 days from now',
         'past 229 days',
         'next 229 days',
         'last 229 days',
         '229 days ago',
         'in 229 days'],
 '23': ['23 seconds from now',
        '23 minutes from now',
        '23 months from now',
        '23 weeks from now',
        '23 hours from now',
        '23 years from now',
        '23 mins from now',
        '23 secs from now',
        '23 days from now',
        'last 23 minutes',
        'next 23 seconds',
        'past 23 minutes',
        '23 hrs from now',
        'next 23 minutes',
        'last 23 seconds',
        'past 23 seconds',
        '23 yrs from now',
        '23 mos from now',
        '23 wks from now',
        'next 23 months',
        'past 23 months',
        '23 minutes ago',
        '23 seconds ago',
        'last 23 months',
        'past 23 hours',
        'in 23 minutes',
        'next 23 hours',
        'next 23 years',
        'last 23 weeks',
        'last 23 hours',
        'last 23 years',
        'past 23 years',
        'in 23 seconds',
        '23 months ago',
        'next 23 weeks',
        'past 23 weeks',
        '23 weeks ago',
        'next 23 secs',
        'last 23 mins',
        'next 23 days',
        'past 23 mins',
        '23 years ago',
        'last 23 days',
        'in 23 months',
        'past 23 days',
        '23 hours ago',
        'last 23 secs',
        'next 23 mins',
        'past 23 secs',
        'last 23 yrs',
        'past 23 hrs',
        'next 23 mos',
        'in 23 weeks',
        'in 23 years',
        '23 secs ago',
        'past 23 mos',
        'last 23 hrs',
        'last 23 mos',
        'in 23 hours',
        'past 23 yrs',
        'next 23 yrs',
        '23 mins ago',
        'next 23 hrs',
        '23 days ago',
        'last 23 wks',
        'past 23 wks',
        'next 23 wks',
        '23 mos ago',
        '23 yrs ago',
        '23 hrs ago',
        '23 wks ago',
        'in 23 mins',
        'in 23 secs',
        'in 23 days',
        'in 23 wks',
        'in 23 hrs',
        'in 23 yrs',
        'in 23 mos'],
 '230': ['230 days from now',
         'last 230 days',
         'past 230 days',
         'next 230 days',
         '230 days ago',
         'in 230 days'],
 '231': ['231 days from now',
         'last 231 days',
         'past 231 days',
         'next 231 days',
         '231 days ago',
         'in 231 days'],
 '232': ['232 days from now',
         'last 232 days',
         'past 232 days',
         'next 232 days',
         '232 days ago',
         'in 232 days'],
 '233': ['233 days from now',
         'last 233 days',
         'next 233 days',
         'past 233 days',
         '233 days ago',
         'in 233 days'],
 '234': ['234 days from now',
         'past 234 days',
         'last 234 days',
         'next 234 days',
         '234 days ago',
         'in 234 days'],
 '235': ['235 days from now',
         'past 235 days',
         'last 235 days',
         'next 235 days',
         '235 days ago',
         'in 235 days'],
 '236': ['236 days from now',
         'past 236 days',
         'next 236 days',
         'last 236 days',
         '236 days ago',
         'in 236 days'],
 '237': ['237 days from now',
         'past 237 days',
         'next 237 days',
         'last 237 days',
         '237 days ago',
         'in 237 days'],
 '238': ['238 days from now',
         'last 238 days',
         'next 238 days',
         'past 238 days',
         '238 days ago',
         'in 238 days'],
 '239': ['239 days from now',
         'next 239 days',
         'last 239 days',
         'past 239 days',
         '239 days ago',
         'in 239 days'],
 '24': ['24 seconds from now',
        '24 minutes from now',
        '24 months from now',
        '24 years from now',
        '24 weeks from now',
        '24 hours from now',
        '24 days from now',
        '24 secs from now',
        '24 mins from now',
        '24 yrs from now',
        'next 24 seconds',
        'next 24 minutes',
        'last 24 seconds',
        'last 24 minutes',
        'past 24 seconds',
        'past 24 minutes',
        '24 hrs from now',
        '24 wks from now',
        '24 mos from now',
        '24 minutes ago',
        'last 24 months',
        'next 24 months',
        'past 24 months',
        '24 seconds ago',
        'in 24 seconds',
        'last 24 years',
        'past 24 hours',
        'next 24 weeks',
        'past 24 weeks',
        'next 24 hours',
        'last 24 hours',
        '24 months ago',
        'in 24 minutes',
        'next 24 years',
        'last 24 weeks',
        'past 24 years',
        'past 24 secs',
        'last 24 secs',
        '24 years ago',
        'next 24 secs',
        'last 24 days',
        'past 24 mins',
        'last 24 mins',
        '24 weeks ago',
        'past 24 days',
        'next 24 mins',
        'next 24 days',
        '24 hours ago',
        'in 24 months',
        'past 24 mos',
        'next 24 yrs',
        '24 mins ago',
        'past 24 yrs',
        'past 24 wks',
        'next 24 mos',
        'in 24 weeks',
        '24 secs ago',
        'in 24 hours',
        'last 24 yrs',
        'past 24 hrs',
        '24 days ago',
        'last 24 mos',
        'last 24 hrs',
        'next 24 hrs',
        'in 24 years',
        'last 24 wks',
        'next 24 wks',
        '24 yrs ago',
        '24 mos ago',
        'in 24 secs',
        '24 hrs ago',
        'in 24 mins',
        'in 24 days',
        '24 wks ago',
        'in 24 wks',
        'in 24 hrs',
        'in 24 yrs',
        'in 24 mos'],
 '240': ['240 days from now',
         'last 240 days',
         'past 240 days',
         'next 240 days',
         '240 days ago',
         'in 240 days'],
 '241': ['241 days from now',
         'next 241 days',
         'past 241 days',
         'last 241 days',
         '241 days ago',
         'in 241 days'],
 '242': ['242 days from now',
         'next 242 days',
         'last 242 days',
         'past 242 days',
         '242 days ago',
         'in 242 days'],
 '243': ['243 days from now',
         'past 243 days',
         'last 243 days',
         'next 243 days',
         '243 days ago',
         'in 243 days'],
 '244': ['244 days from now',
         'past 244 days',
         'next 244 days',
         'last 244 days',
         '244 days ago',
         'in 244 days'],
 '245': ['245 days from now',
         'last 245 days',
         'next 245 days',
         'past 245 days',
         '245 days ago',
         'in 245 days'],
 '246': ['246 days from now',
         'past 246 days',
         'next 246 days',
         'last 246 days',
         '246 days ago',
         'in 246 days'],
 '247': ['247 days from now',
         'last 247 days',
         'past 247 days',
         'next 247 days',
         '247 days ago',
         'in 247 days'],
 '248': ['248 days from now',
         'last 248 days',
         'next 248 days',
         'past 248 days',
         '248 days ago',
         'in 248 days'],
 '249': ['249 days from now',
         'next 249 days',
         'past 249 days',
         'last 249 days',
         '249 days ago',
         'in 249 days'],
 '25': ['25 minutes from now',
        '25 seconds from now',
        '25 weeks from now',
        '25 years from now',
        '25 days from now',
        '25 mins from now',
        '25 secs from now',
        'next 25 minutes',
        'past 25 minutes',
        'last 25 minutes',
        'next 25 seconds',
        'past 25 seconds',
        'last 25 seconds',
        '25 wks from now',
        '25 yrs from now',
        '25 seconds ago',
        '25 minutes ago',
        'next 25 weeks',
        'last 25 weeks',
        'next 25 years',
        'past 25 years',
        'in 25 minutes',
        'past 25 weeks',
        'last 25 years',
        'in 25 seconds',
        '25 years ago',
        'past 25 days',
        'next 25 secs',
        'past 25 mins',
        'past 25 secs',
        'next 25 mins',
        'last 25 mins',
        'last 25 days',
        '25 weeks ago',
        'last 25 secs',
        'next 25 days',
        'last 25 wks',
        'in 25 years',
        '25 secs ago',
        'past 25 yrs',
        'last 25 yrs',
        '25 days ago',
        'past 25 wks',
        '25 mins ago',
        'next 25 wks',
        'in 25 weeks',
        'next 25 yrs',
        '25 wks ago',
        'in 25 days',
        'in 25 secs',
        '25 yrs ago',
        'in 25 mins',
        'in 25 yrs',
        'in 25 wks'],
 '250': ['250 days from now',
         'last 250 days',
         'next 250 days',
         'past 250 days',
         '250 days ago',
         'in 250 days'],
 '251': ['251 days from now',
         'past 251 days',
         'last 251 days',
         'next 251 days',
         '251 days ago',
         'in 251 days'],
 '252': ['252 days from now',
         'last 252 days',
         'next 252 days',
         'past 252 days',
         '252 days ago',
         'in 252 days'],
 '253': ['253 days from now',
         'last 253 days',
         'next 253 days',
         'past 253 days',
         '253 days ago',
         'in 253 days'],
 '254': ['254 days from now',
         'next 254 days',
         'past 254 days',
         'last 254 days',
         '254 days ago',
         'in 254 days'],
 '255': ['255 days from now',
         'next 255 days',
         'past 255 days',
         'last 255 days',
         '255 days ago',
         'in 255 days'],
 '256': ['256 days from now',
         'next 256 days',
         'last 256 days',
         'past 256 days',
         '256 days ago',
         'in 256 days'],
 '257': ['257 days from now',
         'past 257 days',
         'last 257 days',
         'next 257 days',
         '257 days ago',
         'in 257 days'],
 '258': ['258 days from now',
         'past 258 days',
         'last 258 days',
         'next 258 days',
         '258 days ago',
         'in 258 days'],
 '259': ['259 days from now',
         'past 259 days',
         'next 259 days',
         'last 259 days',
         '259 days ago',
         'in 259 days'],
 '26': ['26 minutes from now',
        '26 seconds from now',
        '26 years from now',
        '26 weeks from now',
        '26 days from now',
        '26 secs from now',
        '26 mins from now',
        'past 26 minutes',
        '26 wks from now',
        'next 26 minutes',
        'past 26 seconds',
        'last 26 minutes',
        'last 26 seconds',
        '26 yrs from now',
        'next 26 seconds',
        '26 minutes ago',
        '26 seconds ago',
        'in 26 seconds',
        'past 26 years',
        'past 26 weeks',
        'next 26 years',
        'last 26 years',
        'next 26 weeks',
        'in 26 minutes',
        'last 26 weeks',
        'next 26 secs',
        'next 26 days',
        '26 weeks ago',
        '26 years ago',
        'next 26 mins',
        'past 26 secs',
        'last 26 days',
        'last 26 secs',
        'last 26 mins',
        'past 26 days',
        'past 26 mins',
        'next 26 yrs',
        '26 secs ago',
        'past 26 yrs',
        'last 26 yrs',
        'in 26 years',
        '26 mins ago',
        'past 26 wks',
        'last 26 wks',
        '26 days ago',
        'next 26 wks',
        'in 26 weeks',
        'in 26 days',
        'in 26 mins',
        'in 26 secs',
        '26 yrs ago',
        '26 wks ago',
        'in 26 yrs',
        'in 26 wks'],
 '260': ['260 days from now',
         'last 260 days',
         'past 260 days',
         'next 260 days',
         '260 days ago',
         'in 260 days'],
 '261': ['261 days from now',
         'next 261 days',
         'last 261 days',
         'past 261 days',
         '261 days ago',
         'in 261 days'],
 '262': ['262 days from now',
         'past 262 days',
         'next 262 days',
         'last 262 days',
         '262 days ago',
         'in 262 days'],
 '263': ['263 days from now',
         'next 263 days',
         'last 263 days',
         'past 263 days',
         '263 days ago',
         'in 263 days'],
 '264': ['264 days from now',
         'next 264 days',
         'past 264 days',
         'last 264 days',
         '264 days ago',
         'in 264 days'],
 '265': ['265 days from now',
         'past 265 days',
         'last 265 days',
         'next 265 days',
         '265 days ago',
         'in 265 days'],
 '266': ['266 days from now',
         'next 266 days',
         'past 266 days',
         'last 266 days',
         '266 days ago',
         'in 266 days'],
 '267': ['267 days from now',
         'next 267 days',
         'last 267 days',
         'past 267 days',
         '267 days ago',
         'in 267 days'],
 '268': ['268 days from now',
         'past 268 days',
         'last 268 days',
         'next 268 days',
         '268 days ago',
         'in 268 days'],
 '269': ['269 days from now',
         'next 269 days',
         'past 269 days',
         'last 269 days',
         '269 days ago',
         'in 269 days'],
 '27': ['27 seconds from now',
        '27 minutes from now',
        '27 years from now',
        '27 weeks from now',
        '27 days from now',
        '27 secs from now',
        '27 mins from now',
        'next 27 seconds',
        'past 27 minutes',
        '27 wks from now',
        'past 27 seconds',
        '27 yrs from now',
        'last 27 seconds',
        'last 27 minutes',
        'next 27 minutes',
        '27 minutes ago',
        '27 seconds ago',
        'in 27 minutes',
        'past 27 years',
        'in 27 seconds',
        'next 27 weeks',
        'next 27 years',
        'past 27 weeks',
        'last 27 years',
        'last 27 weeks',
        'past 27 days',
        'last 27 days',
        'past 27 secs',
        'next 27 mins',
        '27 weeks ago',
        'next 27 days',
        'next 27 secs',
        '27 years ago',
        'last 27 mins',
        'past 27 mins',
        'last 27 secs',
        'next 27 wks',
        '27 mins ago',
        'in 27 weeks',
        '27 days ago',
        'last 27 wks',
        'next 27 yrs',
        'last 27 yrs',
        'in 27 years',
        'past 27 yrs',
        'past 27 wks',
        '27 secs ago',
        'in 27 secs',
        '27 yrs ago',
        'in 27 mins',
        '27 wks ago',
        'in 27 days',
        'in 27 wks',
        'in 27 yrs'],
 '270': ['270 days from now',
         'past 270 days',
         'last 270 days',
         'next 270 days',
         '270 days ago',
         'in 270 days'],
 '271': ['271 days from now',
         'next 271 days',
         'past 271 days',
         'last 271 days',
         '271 days ago',
         'in 271 days'],
 '272': ['272 days from now',
         'last 272 days',
         'next 272 days',
         'past 272 days',
         '272 days ago',
         'in 272 days'],
 '273': ['273 days from now',
         'last 273 days',
         'next 273 days',
         'past 273 days',
         '273 days ago',
         'in 273 days'],
 '274': ['274 days from now',
         'last 274 days',
         'past 274 days',
         'next 274 days',
         '274 days ago',
         'in 274 days'],
 '275': ['275 days from now',
         'past 275 days',
         'next 275 days',
         'last 275 days',
         '275 days ago',
         'in 275 days'],
 '276': ['276 days from now',
         'next 276 days',
         'past 276 days',
         'last 276 days',
         '276 days ago',
         'in 276 days'],
 '277': ['277 days from now',
         'last 277 days',
         'past 277 days',
         'next 277 days',
         '277 days ago',
         'in 277 days'],
 '278': ['278 days from now',
         'past 278 days',
         'next 278 days',
         'last 278 days',
         '278 days ago',
         'in 278 days'],
 '279': ['279 days from now',
         'next 279 days',
         'last 279 days',
         'past 279 days',
         '279 days ago',
         'in 279 days'],
 '28': ['28 seconds from now',
        '28 minutes from now',
        '28 weeks from now',
        '28 years from now',
        '28 days from now',
        '28 mins from now',
        '28 secs from now',
        '28 yrs from now',
        'past 28 minutes',
        'next 28 seconds',
        '28 wks from now',
        'next 28 minutes',
        'last 28 seconds',
        'past 28 seconds',
        'last 28 minutes',
        '28 minutes ago',
        '28 seconds ago',
        'next 28 years',
        'last 28 weeks',
        'in 28 minutes',
        'last 28 years',
        'in 28 seconds',
        'past 28 weeks',
        'past 28 years',
        'next 28 weeks',
        'past 28 secs',
        'next 28 secs',
        'next 28 days',
        'last 28 secs',
        '28 years ago',
        'last 28 mins',
        '28 weeks ago',
        'past 28 mins',
        'past 28 days',
        'last 28 days',
        'next 28 mins',
        'in 28 years',
        'in 28 weeks',
        '28 days ago',
        'next 28 yrs',
        'next 28 wks',
        'past 28 yrs',
        'past 28 wks',
        '28 mins ago',
        '28 secs ago',
        'last 28 yrs',
        'last 28 wks',
        'in 28 days',
        'in 28 secs',
        'in 28 mins',
        '28 wks ago',
        '28 yrs ago',
        'in 28 yrs',
        'in 28 wks'],
 '280': ['280 days from now',
         'next 280 days',
         'last 280 days',
         'past 280 days',
         '280 days ago',
         'in 280 days'],
 '281': ['281 days from now',
         'last 281 days',
         'next 281 days',
         'past 281 days',
         '281 days ago',
         'in 281 days'],
 '282': ['282 days from now',
         'last 282 days',
         'next 282 days',
         'past 282 days',
         '282 days ago',
         'in 282 days'],
 '283': ['283 days from now',
         'past 283 days',
         'next 283 days',
         'last 283 days',
         '283 days ago',
         'in 283 days'],
 '284': ['284 days from now',
         'past 284 days',
         'last 284 days',
         'next 284 days',
         '284 days ago',
         'in 284 days'],
 '285': ['285 days from now',
         'next 285 days',
         'past 285 days',
         'last 285 days',
         '285 days ago',
         'in 285 days'],
 '286': ['286 days from now',
         'next 286 days',
         'last 286 days',
         'past 286 days',
         '286 days ago',
         'in 286 days'],
 '287': ['287 days from now',
         'past 287 days',
         'last 287 days',
         'next 287 days',
         '287 days ago',
         'in 287 days'],
 '288': ['288 days from now',
         'next 288 days',
         'last 288 days',
         'past 288 days',
         '288 days ago',
         'in 288 days'],
 '289': ['289 days from now',
         'past 289 days',
         'next 289 days',
         'last 289 days',
         '289 days ago',
         'in 289 days'],
 '29': ['29 minutes from now',
        '29 seconds from now',
        '29 years from now',
        '29 weeks from now',
        '29 days from now',
        '29 mins from now',
        '29 secs from now',
        'last 29 minutes',
        'past 29 minutes',
        'next 29 seconds',
        'last 29 seconds',
        '29 yrs from now',
        '29 wks from now',
        'next 29 minutes',
        'past 29 seconds',
        '29 seconds ago',
        '29 minutes ago',
        'in 29 minutes',
        'next 29 years',
        'last 29 years',
        'past 29 weeks',
        'past 29 years',
        'in 29 seconds',
        'last 29 weeks',
        'next 29 weeks',
        'past 29 days',
        'next 29 mins',
        'last 29 mins',
        'last 29 secs',
        'past 29 mins',
        'next 29 secs',
        'next 29 days',
        '29 weeks ago',
        '29 years ago',
        'last 29 days',
        'past 29 secs',
        'next 29 wks',
        '29 days ago',
        'past 29 wks',
        'last 29 wks',
        'in 29 years',
        'in 29 weeks',
        'past 29 yrs',
        '29 mins ago',
        'last 29 yrs',
        'next 29 yrs',
        '29 secs ago',
        '29 wks ago',
        'in 29 secs',
        'in 29 days',
        'in 29 mins',
        '29 yrs ago',
        'in 29 wks',
        'in 29 yrs'],
 '290': ['290 days from now',
         'next 290 days',
         'past 290 days',
         'last 290 days',
         '290 days ago',
         'in 290 days'],
 '291': ['291 days from now',
         'last 291 days',
         'past 291 days',
         'next 291 days',
         '291 days ago',
         'in 291 days'],
 '292': ['292 days from now',
         'next 292 days',
         'last 292 days',
         'past 292 days',
         '292 days ago',
         'in 292 days'],
 '293': ['293 days from now',
         'next 293 days',
         'past 293 days',
         'last 293 days',
         '293 days ago',
         'in 293 days'],
 '294': ['294 days from now',
         'last 294 days',
         'next 294 days',
         'past 294 days',
         '294 days ago',
         'in 294 days'],
 '295': ['295 days from now',
         'next 295 days',
         'last 295 days',
         'past 295 days',
         '295 days ago',
         'in 295 days'],
 '296': ['296 days from now',
         'next 296 days',
         'past 296 days',
         'last 296 days',
         '296 days ago',
         'in 296 days'],
 '297': ['297 days from now',
         'past 297 days',
         'last 297 days',
         'next 297 days',
         '297 days ago',
         'in 297 days'],
 '298': ['298 days from now',
         'last 298 days',
         'next 298 days',
         'past 298 days',
         '298 days ago',
         'in 298 days'],
 '299': ['299 days from now',
         'last 299 days',
         'next 299 days',
         'past 299 days',
         '299 days ago',
         'in 299 days'],
 '3': ['3 minutes from now',
       '3 seconds from now',
       '3 months from now',
       '3 hours from now',
       '3 years from now',
       '3 weeks from now',
       '3 mins from now',
       '3 days from now',
       '3 secs from now',
       '3 mos from now',
       '3 yrs from now',
       'last 3 seconds',
       'past 3 minutes',
       '3 wks from now',
       'last 3 minutes',
       'next 3 seconds',
       '3 hrs from now',
       'next 3 minutes',
       'past 3 seconds',
       'next 3 months',
       '3 minutes ago',
       'past 3 months',
       '3 seconds ago',
       'last 3 months',
       'next 3 hours',
       'in 3 seconds',
       '3 months ago',
       'past 3 hours',
       'last 3 weeks',
       'past 3 years',
       'last 3 hours',
       'in 3 minutes',
       'last 3 years',
       'past 3 weeks',
       'next 3 years',
       'next 3 weeks',
       'last 3 mins',
       '3 years ago',
       'last 3 secs',
       '3 weeks ago',
       'past 3 secs',
       'last 3 days',
       'next 3 days',
       'next 3 mins',
       'in 3 months',
       'past 3 mins',
       'past 3 days',
       'next 3 secs',
       '3 hours ago',
       'next 3 wks',
       '3 secs ago',
       'last 3 hrs',
       '3 mins ago',
       'next 3 mos',
       'past 3 hrs',
       'in 3 hours',
       'in 3 weeks',
       'past 3 yrs',
       'past 3 mos',
       'past 3 wks',
       'next 3 hrs',
       'in 3 years',
       'last 3 mos',
       '3 days ago',
       'last 3 wks',
       'next 3 yrs',
       'last 3 yrs',
       'in 3 mins',
       '3 yrs ago',
       '3 hrs ago',
       'in 3 secs',
       'in 3 days',
       '3 mos ago',
       '3 wks ago',
       'in 3 mos',
       'in 3 wks',
       'in 3 hrs',
       'in 3 yrs'],
 '30': ['30 minutes from now',
        '30 seconds from now',
        '30 weeks from now',
        '30 years from now',
        '30 days from now',
        '30 mins from now',
        '30 secs from now',
        '30 yrs from now',
        'last 30 seconds',
        '30 wks from now',
        'next 30 seconds',
        'last 30 minutes',
        'past 30 minutes',
        'next 30 minutes',
        'past 30 seconds',
        '30 seconds ago',
        '30 minutes ago',
        'next 30 weeks',
        'last 30 weeks',
        'in 30 minutes',
        'in 30 seconds',
        'past 30 weeks',
        'past 30 years',
        'last 30 years',
        'next 30 years',
        'next 30 secs',
        'last 30 mins',
        'next 30 days',
        '30 years ago',
        'next 30 mins',
        'past 30 days',
        'last 30 days',
        '30 weeks ago',
        'past 30 secs',
        'last 30 secs',
        'past 30 mins',
        'past 30 wks',
        'in 30 years',
        '30 days ago',
        '30 mins ago',
        'next 30 yrs',
        'next 30 wks',
        '30 secs ago',
        'in 30 weeks',
        'last 30 yrs',
        'last 30 wks',
        'past 30 yrs',
        'in 30 days',
        '30 yrs ago',
        '30 wks ago',
        'in 30 mins',
        'in 30 secs',
        'in 30 yrs',
        'in 30 wks'],
 '300': ['300 days from now',
         'next 300 days',
         'past 300 days',
         'last 300 days',
         '300 days ago',
         'in 300 days'],
 '301': ['301 days from now',
         'past 301 days',
         'next 301 days',
         'last 301 days',
         '301 days ago',
         'in 301 days'],
 '302': ['302 days from now',
         'last 302 days',
         'next 302 days',
         'past 302 days',
         '302 days ago',
         'in 302 days'],
 '303': ['303 days from now',
         'last 303 days',
         'next 303 days',
         'past 303 days',
         '303 days ago',
         'in 303 days'],
 '304': ['304 days from now',
         'past 304 days',
         'last 304 days',
         'next 304 days',
         '304 days ago',
         'in 304 days'],
 '305': ['305 days from now',
         'past 305 days',
         'next 305 days',
         'last 305 days',
         '305 days ago',
         'in 305 days'],
 '306': ['306 days from now',
         'next 306 days',
         'past 306 days',
         'last 306 days',
         '306 days ago',
         'in 306 days'],
 '307': ['307 days from now',
         'past 307 days',
         'next 307 days',
         'last 307 days',
         '307 days ago',
         'in 307 days'],
 '308': ['308 days from now',
         'next 308 days',
         'last 308 days',
         'past 308 days',
         '308 days ago',
         'in 308 days'],
 '309': ['309 days from now',
         'last 309 days',
         'past 309 days',
         'next 309 days',
         '309 days ago',
         'in 309 days'],
 '31': ['31 seconds from now',
        '31 minutes from now',
        '31 years from now',
        '31 weeks from now',
        '31 mins from now',
        '31 days from now',
        '31 secs from now',
        'next 31 minutes',
        '31 yrs from now',
        '31 wks from now',
        'last 31 seconds',
        'past 31 minutes',
        'past 31 seconds',
        'next 31 seconds',
        'last 31 minutes',
        '31 minutes ago',
        '31 seconds ago',
        'in 31 seconds',
        'next 31 years',
        'last 31 years',
        'in 31 minutes',
        'last 31 weeks',
        'past 31 weeks',
        'past 31 years',
        'next 31 weeks',
        '31 years ago',
        'past 31 secs',
        'next 31 mins',
        'next 31 days',
        'last 31 secs',
        'next 31 secs',
        'last 31 mins',
        '31 weeks ago',
        'last 31 days',
        'past 31 mins',
        'past 31 days',
        'in 31 years',
        '31 secs ago',
        'past 31 wks',
        '31 mins ago',
        'next 31 yrs',
        'past 31 yrs',
        'last 31 wks',
        '31 days ago',
        'last 31 yrs',
        'in 31 weeks',
        'next 31 wks',
        'in 31 secs',
        'in 31 days',
        '31 wks ago',
        '31 yrs ago',
        'in 31 mins',
        'in 31 yrs',
        'in 31 wks'],
 '310': ['310 days from now',
         'past 310 days',
         'last 310 days',
         'next 310 days',
         '310 days ago',
         'in 310 days'],
 '311': ['311 days from now',
         'last 311 days',
         'past 311 days',
         'next 311 days',
         '311 days ago',
         'in 311 days'],
 '312': ['312 days from now',
         'last 312 days',
         'past 312 days',
         'next 312 days',
         '312 days ago',
         'in 312 days'],
 '313': ['313 days from now',
         'last 313 days',
         'next 313 days',
         'past 313 days',
         '313 days ago',
         'in 313 days'],
 '314': ['314 days from now',
         'past 314 days',
         'last 314 days',
         'next 314 days',
         '314 days ago',
         'in 314 days'],
 '315': ['315 days from now',
         'last 315 days',
         'past 315 days',
         'next 315 days',
         '315 days ago',
         'in 315 days'],
 '316': ['316 days from now',
         'next 316 days',
         'past 316 days',
         'last 316 days',
         '316 days ago',
         'in 316 days'],
 '317': ['317 days from now',
         'last 317 days',
         'next 317 days',
         'past 317 days',
         '317 days ago',
         'in 317 days'],
 '318': ['318 days from now',
         'past 318 days',
         'next 318 days',
         'last 318 days',
         '318 days ago',
         'in 318 days'],
 '319': ['319 days from now',
         'past 319 days',
         'next 319 days',
         'last 319 days',
         '319 days ago',
         'in 319 days'],
 '32': ['32 minutes from now',
        '32 seconds from now',
        '32 weeks from now',
        '32 years from now',
        '32 days from now',
        '32 mins from now',
        '32 secs from now',
        'past 32 minutes',
        'next 32 minutes',
        'last 32 minutes',
        'last 32 seconds',
        '32 yrs from now',
        'next 32 seconds',
        '32 wks from now',
        'past 32 seconds',
        '32 minutes ago',
        '32 seconds ago',
        'next 32 years',
        'next 32 weeks',
        'last 32 weeks',
        'in 32 seconds',
        'in 32 minutes',
        'past 32 years',
        'past 32 weeks',
        'last 32 years',
        'last 32 mins',
        '32 weeks ago',
        'next 32 days',
        'last 32 days',
        'last 32 secs',
        'next 32 mins',
        'next 32 secs',
        'past 32 days',
        '32 years ago',
        'past 32 mins',
        'past 32 secs',
        'past 32 yrs',
        'in 32 weeks',
        '32 mins ago',
        '32 days ago',
        'in 32 years',
        'last 32 yrs',
        'next 32 yrs',
        '32 secs ago',
        'next 32 wks',
        'past 32 wks',
        'last 32 wks',
        '32 yrs ago',
        '32 wks ago',
        'in 32 secs',
        'in 32 days',
        'in 32 mins',
        'in 32 yrs',
        'in 32 wks'],
 '320': ['320 days from now',
         'past 320 days',
         'last 320 days',
         'next 320 days',
         '320 days ago',
         'in 320 days'],
 '321': ['321 days from now',
         'last 321 days',
         'next 321 days',
         'past 321 days',
         '321 days ago',
         'in 321 days'],
 '322': ['322 days from now',
         'next 322 days',
         'past 322 days',
         'last 322 days',
         '322 days ago',
         'in 322 days'],
 '323': ['323 days from now',
         'last 323 days',
         'past 323 days',
         'next 323 days',
         '323 days ago',
         'in 323 days'],
 '324': ['324 days from now',
         'past 324 days',
         'last 324 days',
         'next 324 days',
         '324 days ago',
         'in 324 days'],
 '325': ['325 days from now',
         'last 325 days',
         'next 325 days',
         'past 325 days',
         '325 days ago',
         'in 325 days'],
 '326': ['326 days from now',
         'last 326 days',
         'next 326 days',
         'past 326 days',
         '326 days ago',
         'in 326 days'],
 '327': ['327 days from now',
         'past 327 days',
         'last 327 days',
         'next 327 days',
         '327 days ago',
         'in 327 days'],
 '328': ['328 days from now',
         'last 328 days',
         'past 328 days',
         'next 328 days',
         '328 days ago',
         'in 328 days'],
 '329': ['329 days from now',
         'past 329 days',
         'next 329 days',
         'last 329 days',
         '329 days ago',
         'in 329 days'],
 '33': ['33 seconds from now',
        '33 minutes from now',
        '33 weeks from now',
        '33 years from now',
        '33 secs from now',
        '33 days from now',
        '33 mins from now',
        'past 33 seconds',
        '33 yrs from now',
        'last 33 minutes',
        'next 33 minutes',
        'past 33 minutes',
        'next 33 seconds',
        'last 33 seconds',
        '33 wks from now',
        '33 minutes ago',
        '33 seconds ago',
        'next 33 years',
        'in 33 seconds',
        'last 33 weeks',
        'past 33 years',
        'next 33 weeks',
        'in 33 minutes',
        'last 33 years',
        'past 33 weeks',
        '33 years ago',
        'next 33 days',
        'last 33 mins',
        'past 33 days',
        'next 33 secs',
        'last 33 days',
        'last 33 secs',
        'past 33 mins',
        '33 weeks ago',
        'next 33 mins',
        'past 33 secs',
        '33 mins ago',
        'last 33 yrs',
        'in 33 years',
        '33 secs ago',
        'next 33 wks',
        'past 33 wks',
        '33 days ago',
        'next 33 yrs',
        'past 33 yrs',
        'in 33 weeks',
        'last 33 wks',
        'in 33 mins',
        'in 33 secs',
        '33 wks ago',
        '33 yrs ago',
        'in 33 days',
        'in 33 wks',
        'in 33 yrs'],
 '330': ['330 days from now',
         'past 330 days',
         'last 330 days',
         'next 330 days',
         '330 days ago',
         'in 330 days'],
 '331': ['331 days from now',
         'past 331 days',
         'last 331 days',
         'next 331 days',
         '331 days ago',
         'in 331 days'],
 '332': ['332 days from now',
         'past 332 days',
         'last 332 days',
         'next 332 days',
         '332 days ago',
         'in 332 days'],
 '333': ['333 days from now',
         'past 333 days',
         'last 333 days',
         'next 333 days',
         '333 days ago',
         'in 333 days'],
 '334': ['334 days from now',
         'next 334 days',
         'past 334 days',
         'last 334 days',
         '334 days ago',
         'in 334 days'],
 '335': ['335 days from now',
         'next 335 days',
         'past 335 days',
         'last 335 days',
         '335 days ago',
         'in 335 days'],
 '336': ['336 days from now',
         'past 336 days',
         'next 336 days',
         'last 336 days',
         '336 days ago',
         'in 336 days'],
 '337': ['337 days from now',
         'last 337 days',
         'past 337 days',
         'next 337 days',
         '337 days ago',
         'in 337 days'],
 '338': ['338 days from now',
         'past 338 days',
         'last 338 days',
         'next 338 days',
         '338 days ago',
         'in 338 days'],
 '339': ['339 days from now',
         'last 339 days',
         'next 339 days',
         'past 339 days',
         '339 days ago',
         'in 339 days'],
 '34': ['34 minutes from now',
        '34 seconds from now',
        '34 weeks from now',
        '34 years from now',
        '34 secs from now',
        '34 days from now',
        '34 mins from now',
        '34 wks from now',
        'last 34 seconds',
        'past 34 minutes',
        '34 yrs from now',
        'next 34 seconds',
        'next 34 minutes',
        'past 34 seconds',
        'last 34 minutes',
        '34 minutes ago',
        '34 seconds ago',
        'next 34 weeks',
        'in 34 seconds',
        'next 34 years',
        'in 34 minutes',
        'last 34 years',
        'last 34 weeks',
        'past 34 years',
        'past 34 weeks',
        'past 34 days',
        'next 34 mins',
        '34 years ago',
        'next 34 secs',
        'past 34 mins',
        'last 34 days',
        'next 34 days',
        'last 34 mins',
        '34 weeks ago',
        'last 34 secs',
        'past 34 secs',
        'next 34 yrs',
        'last 34 yrs',
        'next 34 wks',
        '34 secs ago',
        'past 34 yrs',
        'in 34 years',
        'in 34 weeks',
        '34 days ago',
        'past 34 wks',
        '34 mins ago',
        'last 34 wks',
        '34 wks ago',
        'in 34 mins',
        'in 34 secs',
        '34 yrs ago',
        'in 34 days',
        'in 34 yrs',
        'in 34 wks'],
 '340': ['340 days from now',
         'next 340 days',
         'past 340 days',
         'last 340 days',
         '340 days ago',
         'in 340 days'],
 '341': ['341 days from now',
         'past 341 days',
         'next 341 days',
         'last 341 days',
         '341 days ago',
         'in 341 days'],
 '342': ['342 days from now',
         'past 342 days',
         'next 342 days',
         'last 342 days',
         '342 days ago',
         'in 342 days'],
 '343': ['343 days from now',
         'next 343 days',
         'past 343 days',
         'last 343 days',
         '343 days ago',
         'in 343 days'],
 '344': ['344 days from now',
         'past 344 days',
         'next 344 days',
         'last 344 days',
         '344 days ago',
         'in 344 days'],
 '345': ['345 days from now',
         'last 345 days',
         'next 345 days',
         'past 345 days',
         '345 days ago',
         'in 345 days'],
 '346': ['346 days from now',
         'last 346 days',
         'past 346 days',
         'next 346 days',
         '346 days ago',
         'in 346 days'],
 '347': ['347 days from now',
         'next 347 days',
         'past 347 days',
         'last 347 days',
         '347 days ago',
         'in 347 days'],
 '348': ['348 days from now',
         'last 348 days',
         'past 348 days',
         'next 348 days',
         '348 days ago',
         'in 348 days'],
 '349': ['349 days from now',
         'past 349 days',
         'next 349 days',
         'last 349 days',
         '349 days ago',
         'in 349 days'],
 '35': ['35 seconds from now',
        '35 minutes from now',
        '35 years from now',
        '35 weeks from now',
        '35 days from now',
        '35 mins from now',
        '35 secs from now',
        'next 35 seconds',
        'last 35 minutes',
        'last 35 seconds',
        '35 wks from now',
        'next 35 minutes',
        'past 35 seconds',
        '35 yrs from now',
        'past 35 minutes',
        '35 seconds ago',
        '35 minutes ago',
        'past 35 weeks',
        'last 35 weeks',
        'next 35 years',
        'next 35 weeks',
        'last 35 years',
        'past 35 years',
        'in 35 seconds',
        'in 35 minutes',
        'last 35 mins',
        '35 years ago',
        'last 35 days',
        'next 35 mins',
        'past 35 days',
        '35 weeks ago',
        'next 35 secs',
        'past 35 mins',
        'last 35 secs',
        'next 35 days',
        'past 35 secs',
        'next 35 yrs',
        'next 35 wks',
        'last 35 yrs',
        '35 secs ago',
        '35 mins ago',
        'last 35 wks',
        'past 35 yrs',
        'in 35 weeks',
        '35 days ago',
        'in 35 years',
        'past 35 wks',
        'in 35 secs',
        'in 35 days',
        '35 yrs ago',
        '35 wks ago',
        'in 35 mins',
        'in 35 wks',
        'in 35 yrs'],
 '350': ['350 days from now',
         'next 350 days',
         'past 350 days',
         'last 350 days',
         '350 days ago',
         'in 350 days'],
 '351': ['351 days from now',
         'past 351 days',
         'last 351 days',
         'next 351 days',
         '351 days ago',
         'in 351 days'],
 '352': ['352 days from now',
         'past 352 days',
         'next 352 days',
         'last 352 days',
         '352 days ago',
         'in 352 days'],
 '353': ['353 days from now',
         'past 353 days',
         'last 353 days',
         'next 353 days',
         '353 days ago',
         'in 353 days'],
 '354': ['354 days from now',
         'last 354 days',
         'next 354 days',
         'past 354 days',
         '354 days ago',
         'in 354 days'],
 '355': ['355 days from now',
         'next 355 days',
         'last 355 days',
         'past 355 days',
         '355 days ago',
         'in 355 days'],
 '356': ['356 days from now',
         'next 356 days',
         'past 356 days',
         'last 356 days',
         '356 days ago',
         'in 356 days'],
 '357': ['357 days from now',
         'last 357 days',
         'past 357 days',
         'next 357 days',
         '357 days ago',
         'in 357 days'],
 '358': ['358 days from now',
         'past 358 days',
         'last 358 days',
         'next 358 days',
         '358 days ago',
         'in 358 days'],
 '359': ['359 days from now',
         'last 359 days',
         'past 359 days',
         'next 359 days',
         '359 days ago',
         'in 359 days'],
 '36': ['36 seconds from now',
        '36 minutes from now',
        '36 weeks from now',
        '36 years from now',
        '36 mins from now',
        '36 days from now',
        '36 secs from now',
        'past 36 seconds',
        '36 yrs from now',
        '36 wks from now',
        'next 36 minutes',
        'last 36 seconds',
        'last 36 minutes',
        'next 36 seconds',
        'past 36 minutes',
        '36 seconds ago',
        '36 minutes ago',
        'last 36 years',
        'past 36 weeks',
        'next 36 weeks',
        'next 36 years',
        'last 36 weeks',
        'in 36 minutes',
        'past 36 years',
        'in 36 seconds',
        'last 36 mins',
        'past 36 secs',
        'next 36 mins',
        'next 36 days',
        'last 36 secs',
        '36 years ago',
        'next 36 secs',
        'past 36 days',
        'last 36 days',
        '36 weeks ago',
        'past 36 mins',
        'past 36 yrs',
        'next 36 wks',
        '36 mins ago',
        '36 secs ago',
        'last 36 wks',
        'last 36 yrs',
        'in 36 years',
        'past 36 wks',
        '36 days ago',
        'in 36 weeks',
        'next 36 yrs',
        'in 36 days',
        '36 yrs ago',
        'in 36 mins',
        'in 36 secs',
        '36 wks ago',
        'in 36 yrs',
        'in 36 wks'],
 '360': ['360 days from now',
         'next 360 days',
         'last 360 days',
         'past 360 days',
         '360 days ago',
         'in 360 days'],
 '361': ['361 days from now',
         'last 361 days',
         'next 361 days',
         'past 361 days',
         '361 days ago',
         'in 361 days'],
 '362': ['362 days from now',
         'next 362 days',
         'past 362 days',
         'last 362 days',
         '362 days ago',
         'in 362 days'],
 '363': ['363 days from now',
         'last 363 days',
         'next 363 days',
         'past 363 days',
         '363 days ago',
         'in 363 days'],
 '364': ['364 days from now',
         'last 364 days',
         'next 364 days',
         'past 364 days',
         '364 days ago',
         'in 364 days'],
 '365': ['365 days from now',
         'last 365 days',
         'next 365 days',
         'past 365 days',
         '365 days ago',
         'in 365 days'],
 '37': ['37 minutes from now',
        '37 seconds from now',
        '37 weeks from now',
        '37 years from now',
        '37 secs from now',
        '37 days from now',
        '37 mins from now',
        '37 wks from now',
        'next 37 minutes',
        'last 37 seconds',
        'past 37 minutes',
        'last 37 minutes',
        '37 yrs from now',
        'next 37 seconds',
        'past 37 seconds',
        '37 seconds ago',
        '37 minutes ago',
        'last 37 years',
        'next 37 weeks',
        'past 37 years',
        'past 37 weeks',
        'next 37 years',
        'last 37 weeks',
        'in 37 minutes',
        'in 37 seconds',
        'last 37 mins',
        'next 37 days',
        'past 37 days',
        'next 37 mins',
        'next 37 secs',
        '37 weeks ago',
        'last 37 days',
        'past 37 mins',
        'last 37 secs',
        '37 years ago',
        'past 37 secs',
        'next 37 wks',
        'past 37 wks',
        '37 secs ago',
        'next 37 yrs',
        'in 37 years',
        'in 37 weeks',
        'past 37 yrs',
        '37 days ago',
        '37 mins ago',
        'last 37 wks',
        'last 37 yrs',
        'in 37 secs',
        '37 yrs ago',
        'in 37 days',
        'in 37 mins',
        '37 wks ago',
        'in 37 wks',
        'in 37 yrs'],
 '38': ['38 minutes from now',
        '38 seconds from now',
        '38 years from now',
        '38 weeks from now',
        '38 mins from now',
        '38 days from now',
        '38 secs from now',
        'next 38 minutes',
        'past 38 seconds',
        '38 yrs from now',
        'last 38 seconds',
        'last 38 minutes',
        'past 38 minutes',
        'next 38 seconds',
        '38 wks from now',
        '38 minutes ago',
        '38 seconds ago',
        'past 38 weeks',
        'last 38 weeks',
        'next 38 years',
        'last 38 years',
        'next 38 weeks',
        'in 38 minutes',
        'past 38 years',
        'in 38 seconds',
        'past 38 secs',
        'last 38 days',
        'past 38 mins',
        '38 years ago',
        'next 38 mins',
        'last 38 secs',
        'next 38 days',
        'next 38 secs',
        '38 weeks ago',
        'last 38 mins',
        'past 38 days',
        'next 38 wks',
        'past 38 wks',
        'next 38 yrs',
        'last 38 yrs',
        '38 days ago',
        '38 secs ago',
        '38 mins ago',
        'in 38 weeks',
        'in 38 years',
        'past 38 yrs',
        'last 38 wks',
        'in 38 days',
        '38 wks ago',
        'in 38 mins',
        'in 38 secs',
        '38 yrs ago',
        'in 38 yrs',
        'in 38 wks'],
 '39': ['39 minutes from now',
        '39 seconds from now',
        '39 years from now',
        '39 weeks from now',
        '39 secs from now',
        '39 days from now',
        '39 mins from now',
        'next 39 minutes',
        'last 39 minutes',
        'last 39 seconds',
        'past 39 seconds',
        '39 wks from now',
        '39 yrs from now',
        'past 39 minutes',
        'next 39 seconds',
        '39 seconds ago',
        '39 minutes ago',
        'in 39 seconds',
        'in 39 minutes',
        'past 39 years',
        'past 39 weeks',
        'next 39 weeks',
        'next 39 years',
        'last 39 weeks',
        'last 39 years',
        'past 39 secs',
        'next 39 secs',
        'next 39 days',
        'next 39 mins',
        'last 39 mins',
        '39 years ago',
        'last 39 secs',
        'past 39 mins',
        '39 weeks ago',
        'past 39 days',
        'last 39 days',
        'last 39 wks',
        'past 39 wks',
        'past 39 yrs',
        'in 39 weeks',
        '39 secs ago',
        'next 39 yrs',
        '39 mins ago',
        'last 39 yrs',
        '39 days ago',
        'in 39 years',
        'next 39 wks',
        'in 39 secs',
        'in 39 days',
        'in 39 mins',
        '39 wks ago',
        '39 yrs ago',
        'in 39 yrs',
        'in 39 wks'],
 '4': ['4 minutes from now',
       '4 seconds from now',
       '4 months from now',
       '4 weeks from now',
       '4 hours from now',
       '4 years from now',
       '4 secs from now',
       '4 mins from now',
       '4 days from now',
       '4 hrs from now',
       '4 mos from now',
       '4 wks from now',
       'past 4 minutes',
       'last 4 seconds',
       'last 4 minutes',
       'past 4 seconds',
       'next 4 minutes',
       '4 yrs from now',
       'next 4 seconds',
       'next 4 months',
       'last 4 months',
       'past 4 months',
       '4 seconds ago',
       '4 minutes ago',
       'in 4 minutes',
       'in 4 seconds',
       'past 4 hours',
       'past 4 years',
       'next 4 weeks',
       'last 4 hours',
       'last 4 weeks',
       'next 4 hours',
       'last 4 years',
       'next 4 years',
       'past 4 weeks',
       '4 months ago',
       'past 4 mins',
       'last 4 mins',
       'next 4 mins',
       'last 4 days',
       'past 4 days',
       '4 hours ago',
       'past 4 secs',
       '4 years ago',
       '4 weeks ago',
       'last 4 secs',
       'in 4 months',
       'next 4 days',
       'next 4 secs',
       '4 mins ago',
       'last 4 mos',
       'past 4 mos',
       'past 4 wks',
       'in 4 hours',
       'last 4 yrs',
       'next 4 yrs',
       'next 4 wks',
       'past 4 yrs',
       'in 4 years',
       'last 4 hrs',
       '4 secs ago',
       'next 4 hrs',
       'past 4 hrs',
       '4 days ago',
       'in 4 weeks',
       'next 4 mos',
       'last 4 wks',
       '4 hrs ago',
       'in 4 secs',
       'in 4 days',
       '4 wks ago',
       'in 4 mins',
       '4 yrs ago',
       '4 mos ago',
       'in 4 wks',
       'in 4 yrs',
       'in 4 hrs',
       'in 4 mos'],
 '40': ['40 seconds from now',
        '40 minutes from now',
        '40 years from now',
        '40 weeks from now',
        '40 mins from now',
        '40 secs from now',
        '40 days from now',
        'next 40 minutes',
        'last 40 minutes',
        'past 40 minutes',
        'past 40 seconds',
        '40 yrs from now',
        'next 40 seconds',
        'last 40 seconds',
        '40 wks from now',
        '40 minutes ago',
        '40 seconds ago',
        'in 40 seconds',
        'next 40 weeks',
        'last 40 years',
        'past 40 weeks',
        'next 40 years',
        'past 40 years',
        'in 40 minutes',
        'last 40 weeks',
        'last 40 days',
        'past 40 secs',
        'last 40 mins',
        'last 40 secs',
        'next 40 mins',
        'next 40 days',
        '40 weeks ago',
        'past 40 days',
        'next 40 secs',
        '40 years ago',
        'past 40 mins',
        'in 40 years',
        'next 40 yrs',
        '40 days ago',
        '40 mins ago',
        'in 40 weeks',
        '40 secs ago',
        'next 40 wks',
        'past 40 yrs',
        'last 40 yrs',
        'last 40 wks',
        'past 40 wks',
        'in 40 days',
        '40 yrs ago',
        'in 40 mins',
        'in 40 secs',
        '40 wks ago',
        'in 40 yrs',
        'in 40 wks'],
 '41': ['41 minutes from now',
        '41 seconds from now',
        '41 weeks from now',
        '41 years from now',
        '41 secs from now',
        '41 days from now',
        '41 mins from now',
        'past 41 seconds',
        'last 41 seconds',
        'next 41 seconds',
        'past 41 minutes',
        'last 41 minutes',
        '41 wks from now',
        '41 yrs from now',
        'next 41 minutes',
        '41 seconds ago',
        '41 minutes ago',
        'next 41 years',
        'in 41 seconds',
        'next 41 weeks',
        'last 41 years',
        'last 41 weeks',
        'in 41 minutes',
        'past 41 years',
        'past 41 weeks',
        '41 weeks ago',
        '41 years ago',
        'last 41 secs',
        'last 41 days',
        'next 41 days',
        'next 41 secs',
        'past 41 days',
        'past 41 mins',
        'last 41 mins',
        'past 41 secs',
        'next 41 mins',
        '41 days ago',
        'next 41 wks',
        'last 41 yrs',
        'in 41 weeks',
        'last 41 wks',
        '41 mins ago',
        '41 secs ago',
        'next 41 yrs',
        'past 41 wks',
        'past 41 yrs',
        'in 41 years',
        'in 41 mins',
        '41 yrs ago',
        'in 41 secs',
        'in 41 days',
        '41 wks ago',
        'in 41 yrs',
        'in 41 wks'],
 '42': ['42 seconds from now',
        '42 minutes from now',
        '42 years from now',
        '42 weeks from now',
        '42 secs from now',
        '42 days from now',
        '42 mins from now',
        '42 yrs from now',
        'next 42 minutes',
        'next 42 seconds',
        'past 42 minutes',
        '42 wks from now',
        'last 42 seconds',
        'last 42 minutes',
        'past 42 seconds',
        '42 seconds ago',
        '42 minutes ago',
        'last 42 years',
        'in 42 minutes',
        'past 42 weeks',
        'in 42 seconds',
        'last 42 weeks',
        'past 42 years',
        'next 42 weeks',
        'next 42 years',
        '42 years ago',
        '42 weeks ago',
        'last 42 mins',
        'last 42 secs',
        'past 42 secs',
        'past 42 mins',
        'next 42 secs',
        'next 42 days',
        'next 42 mins',
        'past 42 days',
        'last 42 days',
        'next 42 yrs',
        'next 42 wks',
        'last 42 yrs',
        'past 42 wks',
        'last 42 wks',
        '42 mins ago',
        'in 42 weeks',
        '42 secs ago',
        'in 42 years',
        'past 42 yrs',
        '42 days ago',
        'in 42 secs',
        'in 42 mins',
        '42 wks ago',
        'in 42 days',
        '42 yrs ago',
        'in 42 yrs',
        'in 42 wks'],
 '43': ['43 seconds from now',
        '43 minutes from now',
        '43 weeks from now',
        '43 years from now',
        '43 days from now',
        '43 mins from now',
        '43 secs from now',
        'last 43 minutes',
        'past 43 seconds',
        'last 43 seconds',
        'past 43 minutes',
        '43 wks from now',
        'next 43 minutes',
        'next 43 seconds',
        '43 yrs from now',
        '43 seconds ago',
        '43 minutes ago',
        'in 43 seconds',
        'in 43 minutes',
        'last 43 weeks',
        'past 43 years',
        'last 43 years',
        'past 43 weeks',
        'next 43 weeks',
        'next 43 years',
        'next 43 mins',
        '43 years ago',
        'past 43 secs',
        'past 43 days',
        'last 43 mins',
        '43 weeks ago',
        'next 43 days',
        'last 43 secs',
        'next 43 secs',
        'last 43 days',
        'past 43 mins',
        'past 43 yrs',
        '43 secs ago',
        'next 43 yrs',
        '43 days ago',
        'last 43 wks',
        '43 mins ago',
        'in 43 years',
        'next 43 wks',
        'last 43 yrs',
        'past 43 wks',
        'in 43 weeks',
        'in 43 mins',
        '43 yrs ago',
        '43 wks ago',
        'in 43 days',
        'in 43 secs',
        'in 43 yrs',
        'in 43 wks'],
 '44': ['44 minutes from now',
        '44 seconds from now',
        '44 years from now',
        '44 weeks from now',
        '44 secs from now',
        '44 days from now',
        '44 mins from now',
        'past 44 seconds',
        'next 44 minutes',
        'last 44 minutes',
        'last 44 seconds',
        'past 44 minutes',
        'next 44 seconds',
        '44 yrs from now',
        '44 wks from now',
        '44 seconds ago',
        '44 minutes ago',
        'in 44 minutes',
        'past 44 weeks',
        'past 44 years',
        'next 44 weeks',
        'last 44 weeks',
        'in 44 seconds',
        'last 44 years',
        'next 44 years',
        'last 44 mins',
        'next 44 days',
        'last 44 days',
        'past 44 secs',
        'next 44 mins',
        '44 weeks ago',
        'last 44 secs',
        '44 years ago',
        'past 44 mins',
        'past 44 days',
        'next 44 secs',
        '44 days ago',
        'next 44 yrs',
        'in 44 weeks',
        'last 44 yrs',
        '44 mins ago',
        'last 44 wks',
        'past 44 yrs',
        '44 secs ago',
        'past 44 wks',
        'next 44 wks',
        'in 44 years',
        '44 wks ago',
        'in 44 mins',
        'in 44 secs',
        'in 44 days',
        '44 yrs ago',
        'in 44 wks',
        'in 44 yrs'],
 '45': ['45 minutes from now',
        '45 seconds from now',
        '45 weeks from now',
        '45 years from now',
        '45 secs from now',
        '45 days from now',
        '45 mins from now',
        'last 45 minutes',
        'next 45 minutes',
        'last 45 seconds',
        '45 wks from now',
        'past 45 seconds',
        '45 yrs from now',
        'next 45 seconds',
        'past 45 minutes',
        '45 minutes ago',
        '45 seconds ago',
        'past 45 years',
        'last 45 weeks',
        'last 45 years',
        'in 45 seconds',
        'in 45 minutes',
        'next 45 years',
        'next 45 weeks',
        'past 45 weeks',
        '45 years ago',
        'last 45 secs',
        'next 45 days',
        'next 45 mins',
        'past 45 days',
        'past 45 mins',
        '45 weeks ago',
        'last 45 mins',
        'next 45 secs',
        'past 45 secs',
        'last 45 days',
        '45 mins ago',
        'past 45 yrs',
        'next 45 wks',
        'past 45 wks',
        '45 days ago',
        'last 45 wks',
        'in 45 years',
        '45 secs ago',
        'last 45 yrs',
        'next 45 yrs',
        'in 45 weeks',
        '45 wks ago',
        '45 yrs ago',
        'in 45 mins',
        'in 45 days',
        'in 45 secs',
        'in 45 wks',
        'in 45 yrs'],
 '46': ['46 minutes from now',
        '46 seconds from now',
        '46 weeks from now',
        '46 years from now',
        '46 secs from now',
        '46 mins from now',
        '46 days from now',
        'last 46 seconds',
        'past 46 minutes',
        '46 yrs from now',
        'last 46 minutes',
        'next 46 seconds',
        '46 wks from now',
        'next 46 minutes',
        'past 46 seconds',
        '46 minutes ago',
        '46 seconds ago',
        'past 46 years',
        'in 46 minutes',
        'next 46 weeks',
        'last 46 years',
        'past 46 weeks',
        'next 46 years',
        'in 46 seconds',
        'last 46 weeks',
        'past 46 days',
        '46 years ago',
        'last 46 days',
        'next 46 mins',
        'past 46 mins',
        'next 46 days',
        'last 46 mins',
        'last 46 secs',
        'past 46 secs',
        '46 weeks ago',
        'next 46 secs',
        'last 46 yrs',
        'last 46 wks',
        '46 mins ago',
        'next 46 yrs',
        '46 days ago',
        '46 secs ago',
        'in 46 years',
        'in 46 weeks',
        'past 46 yrs',
        'next 46 wks',
        'past 46 wks',
        '46 wks ago',
        'in 46 secs',
        'in 46 days',
        'in 46 mins',
        '46 yrs ago',
        'in 46 yrs',
        'in 46 wks'],
 '47': ['47 seconds from now',
        '47 minutes from now',
        '47 years from now',
        '47 weeks from now',
        '47 days from now',
        '47 secs from now',
        '47 mins from now',
        '47 yrs from now',
        'past 47 seconds',
        'last 47 minutes',
        'next 47 seconds',
        'past 47 minutes',
        '47 wks from now',
        'next 47 minutes',
        'last 47 seconds',
        '47 seconds ago',
        '47 minutes ago',
        'past 47 weeks',
        'in 47 seconds',
        'past 47 years',
        'last 47 weeks',
        'in 47 minutes',
        'next 47 weeks',
        'last 47 years',
        'next 47 years',
        'next 47 days',
        'past 47 mins',
        'last 47 secs',
        'next 47 secs',
        '47 years ago',
        'past 47 secs',
        'last 47 days',
        'past 47 days',
        'next 47 mins',
        'last 47 mins',
        '47 weeks ago',
        'in 47 weeks',
        'next 47 wks',
        'last 47 wks',
        '47 days ago',
        'past 47 yrs',
        'next 47 yrs',
        '47 mins ago',
        '47 secs ago',
        'past 47 wks',
        'in 47 years',
        'last 47 yrs',
        '47 yrs ago',
        'in 47 days',
        'in 47 mins',
        'in 47 secs',
        '47 wks ago',
        'in 47 wks',
        'in 47 yrs'],
 '48': ['48 minutes from now',
        '48 seconds from now',
        '48 years from now',
        '48 weeks from now',
        '48 secs from now',
        '48 days from now',
        '48 mins from now',
        'past 48 minutes',
        'last 48 minutes',
        'past 48 seconds',
        '48 yrs from now',
        'next 48 minutes',
        'next 48 seconds',
        'last 48 seconds',
        '48 wks from now',
        '48 minutes ago',
        '48 seconds ago',
        'in 48 seconds',
        'next 48 years',
        'last 48 years',
        'last 48 weeks',
        'past 48 years',
        'past 48 weeks',
        'in 48 minutes',
        'next 48 weeks',
        'past 48 mins',
        'next 48 mins',
        'last 48 secs',
        '48 weeks ago',
        '48 years ago',
        'next 48 days',
        'last 48 mins',
        'next 48 secs',
        'past 48 days',
        'past 48 secs',
        'last 48 days',
        '48 secs ago',
        'last 48 wks',
        'in 48 years',
        '48 days ago',
        'in 48 weeks',
        'last 48 yrs',
        '48 mins ago',
        'next 48 yrs',
        'past 48 yrs',
        'next 48 wks',
        'past 48 wks',
        'in 48 mins',
        'in 48 secs',
        '48 yrs ago',
        '48 wks ago',
        'in 48 days',
        'in 48 yrs',
        'in 48 wks'],
 '49': ['49 minutes from now',
        '49 seconds from now',
        '49 weeks from now',
        '49 years from now',
        '49 secs from now',
        '49 days from now',
        '49 mins from now',
        'last 49 minutes',
        'past 49 seconds',
        '49 yrs from now',
        'next 49 seconds',
        'last 49 seconds',
        'past 49 minutes',
        '49 wks from now',
        'next 49 minutes',
        '49 minutes ago',
        '49 seconds ago',
        'in 49 minutes',
        'next 49 years',
        'last 49 years',
        'in 49 seconds',
        'past 49 years',
        'last 49 weeks',
        'next 49 weeks',
        'past 49 weeks',
        'next 49 days',
        'last 49 days',
        'next 49 secs',
        '49 years ago',
        'last 49 mins',
        'past 49 mins',
        '49 weeks ago',
        'next 49 mins',
        'past 49 secs',
        'past 49 days',
        'last 49 secs',
        'next 49 wks',
        'in 49 weeks',
        '49 days ago',
        'last 49 yrs',
        '49 secs ago',
        'last 49 wks',
        'past 49 wks',
        'next 49 yrs',
        'past 49 yrs',
        'in 49 years',
        '49 mins ago',
        'in 49 secs',
        'in 49 days',
        '49 yrs ago',
        'in 49 mins',
        '49 wks ago',
        'in 49 yrs',
        'in 49 wks'],
 '5': ['5 minutes from now',
       '5 seconds from now',
       '5 months from now',
       '5 weeks from now',
       '5 hours from now',
       '5 years from now',
       '5 mins from now',
       '5 secs from now',
       '5 days from now',
       '5 hrs from now',
       'next 5 seconds',
       'last 5 seconds',
       'next 5 minutes',
       'past 5 minutes',
       '5 mos from now',
       '5 wks from now',
       'last 5 minutes',
       '5 yrs from now',
       'past 5 seconds',
       'next 5 months',
       'last 5 months',
       '5 minutes ago',
       'past 5 months',
       '5 seconds ago',
       'last 5 hours',
       '5 months ago',
       'next 5 years',
       'last 5 years',
       'past 5 weeks',
       'in 5 seconds',
       'past 5 years',
       'past 5 hours',
       'last 5 weeks',
       'next 5 weeks',
       'next 5 hours',
       'in 5 minutes',
       'last 5 mins',
       '5 weeks ago',
       'in 5 months',
       'next 5 secs',
       '5 hours ago',
       'past 5 mins',
       'next 5 mins',
       'past 5 days',
       'last 5 days',
       '5 years ago',
       'last 5 secs',
       'next 5 days',
       'past 5 secs',
       '5 days ago',
       'in 5 weeks',
       'next 5 mos',
       'last 5 yrs',
       'last 5 mos',
       'last 5 wks',
       'in 5 hours',
       '5 mins ago',
       'past 5 wks',
       '5 secs ago',
       'last 5 hrs',
       'next 5 wks',
       'next 5 hrs',
       'in 5 years',
       'next 5 yrs',
       'past 5 yrs',
       'past 5 mos',
       'past 5 hrs',
       'in 5 secs',
       'in 5 days',
       '5 mos ago',
       '5 hrs ago',
       '5 wks ago',
       'in 5 mins',
       '5 yrs ago',
       'in 5 hrs',
       'in 5 yrs',
       'in 5 wks',
       'in 5 mos'],
 '50': ['50 seconds from now',
        '50 minutes from now',
        '50 weeks from now',
        '50 years from now',
        '50 mins from now',
        '50 days from now',
        '50 secs from now',
        'past 50 minutes',
        'last 50 minutes',
        '50 yrs from now',
        'last 50 seconds',
        '50 wks from now',
        'past 50 seconds',
        'next 50 seconds',
        'next 50 minutes',
        '50 seconds ago',
        '50 minutes ago',
        'last 50 years',
        'in 50 seconds',
        'next 50 weeks',
        'next 50 years',
        'past 50 weeks',
        'last 50 weeks',
        'in 50 minutes',
        'past 50 years',
        'last 50 days',
        'last 50 mins',
        'past 50 secs',
        '50 weeks ago',
        'past 50 mins',
        'last 50 secs',
        'next 50 mins',
        'next 50 days',
        'next 50 secs',
        'past 50 days',
        '50 years ago',
        'in 50 weeks',
        '50 days ago',
        'next 50 wks',
        'next 50 yrs',
        '50 mins ago',
        'last 50 wks',
        '50 secs ago',
        'in 50 years',
        'past 50 wks',
        'last 50 yrs',
        'past 50 yrs',
        '50 wks ago',
        'in 50 mins',
        '50 yrs ago',
        'in 50 days',
        'in 50 secs',
        'in 50 yrs',
        'in 50 wks'],
 '51': ['51 seconds from now',
        '51 minutes from now',
        '51 years from now',
        '51 weeks from now',
        '51 days from now',
        '51 secs from now',
        '51 mins from now',
        'next 51 minutes',
        'last 51 seconds',
        '51 wks from now',
        'past 51 seconds',
        'next 51 seconds',
        'past 51 minutes',
        'last 51 minutes',
        '51 yrs from now',
        '51 seconds ago',
        '51 minutes ago',
        'in 51 minutes',
        'next 51 years',
        'last 51 years',
        'past 51 weeks',
        'last 51 weeks',
        'in 51 seconds',
        'past 51 years',
        'next 51 weeks',
        'past 51 mins',
        'next 51 mins',
        'last 51 secs',
        'next 51 days',
        'past 51 secs',
        'past 51 days',
        '51 weeks ago',
        'last 51 days',
        'last 51 mins',
        '51 years ago',
        'next 51 secs',
        'past 51 wks',
        'past 51 yrs',
        'next 51 wks',
        'next 51 yrs',
        '51 mins ago',
        'last 51 wks',
        '51 days ago',
        '51 secs ago',
        'last 51 yrs',
        'in 51 weeks',
        'in 51 years',
        'in 51 mins',
        'in 51 secs',
        '51 wks ago',
        'in 51 days',
        '51 yrs ago',
        'in 51 wks',
        'in 51 yrs'],
 '52': ['52 minutes from now',
        '52 seconds from now',
        '52 weeks from now',
        '52 years from now',
        '52 secs from now',
        '52 days from now',
        '52 mins from now',
        'past 52 minutes',
        'next 52 seconds',
        '52 yrs from now',
        'next 52 minutes',
        'last 52 minutes',
        'past 52 seconds',
        'last 52 seconds',
        '52 wks from now',
        '52 minutes ago',
        '52 seconds ago',
        'in 52 seconds',
        'past 52 weeks',
        'in 52 minutes',
        'past 52 years',
        'last 52 weeks',
        'next 52 weeks',
        'last 52 years',
        'next 52 years',
        'next 52 mins',
        'past 52 secs',
        'next 52 days',
        'past 52 days',
        'past 52 mins',
        'next 52 secs',
        'last 52 mins',
        '52 weeks ago',
        'last 52 days',
        '52 years ago',
        'last 52 secs',
        '52 days ago',
        '52 secs ago',
        'next 52 wks',
        'in 52 years',
        'in 52 weeks',
        'past 52 wks',
        'past 52 yrs',
        'last 52 wks',
        '52 mins ago',
        'next 52 yrs',
        'last 52 yrs',
        '52 yrs ago',
        '52 wks ago',
        'in 52 secs',
        'in 52 days',
        'in 52 mins',
        'in 52 yrs',
        'in 52 wks'],
 '53': ['53 minutes from now',
        '53 seconds from now',
        '53 years from now',
        '53 mins from now',
        '53 days from now',
        '53 secs from now',
        'next 53 seconds',
        'past 53 seconds',
        '53 yrs from now',
        'past 53 minutes',
        'last 53 minutes',
        'last 53 seconds',
        'next 53 minutes',
        '53 minutes ago',
        '53 seconds ago',
        'past 53 years',
        'in 53 minutes',
        'next 53 years',
        'in 53 seconds',
        'last 53 years',
        'past 53 mins',
        '53 years ago',
        'past 53 days',
        'next 53 secs',
        'past 53 secs',
        'last 53 secs',
        'last 53 days',
        'next 53 days',
        'last 53 mins',
        'next 53 mins',
        'in 53 years',
        'last 53 yrs',
        'past 53 yrs',
        '53 mins ago',
        'next 53 yrs',
        '53 days ago',
        '53 secs ago',
        '53 yrs ago',
        'in 53 secs',
        'in 53 days',
        'in 53 mins',
        'in 53 yrs'],
 '54': ['54 minutes from now',
        '54 seconds from now',
        '54 years from now',
        '54 days from now',
        '54 mins from now',
        '54 secs from now',
        'last 54 seconds',
        '54 yrs from now',
        'past 54 minutes',
        'next 54 minutes',
        'last 54 minutes',
        'past 54 seconds',
        'next 54 seconds',
        '54 minutes ago',
        '54 seconds ago',
        'next 54 years',
        'in 54 minutes',
        'last 54 years',
        'in 54 seconds',
        'past 54 years',
        'past 54 mins',
        'next 54 secs',
        'past 54 days',
        'last 54 days',
        'past 54 secs',
        'last 54 mins',
        'next 54 mins',
        'last 54 secs',
        '54 years ago',
        'next 54 days',
        'past 54 yrs',
        '54 days ago',
        'last 54 yrs',
        '54 mins ago',
        '54 secs ago',
        'in 54 years',
        'next 54 yrs',
        'in 54 secs',
        'in 54 mins',
        'in 54 days',
        '54 yrs ago',
        'in 54 yrs'],
 '55': ['55 minutes from now',
        '55 seconds from now',
        '55 years from now',
        '55 secs from now',
        '55 mins from now',
        '55 days from now',
        'last 55 seconds',
        'next 55 minutes',
        'last 55 minutes',
        'past 55 seconds',
        '55 yrs from now',
        'past 55 minutes',
        'next 55 seconds',
        '55 seconds ago',
        '55 minutes ago',
        'in 55 minutes',
        'last 55 years',
        'past 55 years',
        'in 55 seconds',
        'next 55 years',
        'last 55 mins',
        'last 55 secs',
        'next 55 secs',
        'past 55 secs',
        'next 55 days',
        'past 55 mins',
        'last 55 days',
        '55 years ago',
        'next 55 mins',
        'past 55 days',
        '55 days ago',
        'last 55 yrs',
        '55 secs ago',
        'in 55 years',
        'past 55 yrs',
        '55 mins ago',
        'next 55 yrs',
        'in 55 days',
        '55 yrs ago',
        'in 55 mins',
        'in 55 secs',
        'in 55 yrs'],
 '56': ['56 minutes from now',
        '56 seconds from now',
        '56 years from now',
        '56 secs from now',
        '56 days from now',
        '56 mins from now',
        'last 56 seconds',
        'past 56 minutes',
        '56 yrs from now',
        'next 56 minutes',
        'past 56 seconds',
        'next 56 seconds',
        'last 56 minutes',
        '56 minutes ago',
        '56 seconds ago',
        'in 56 seconds',
        'next 56 years',
        'past 56 years',
        'last 56 years',
        'in 56 minutes',
        'last 56 days',
        'next 56 days',
        'next 56 mins',
        'next 56 secs',
        'past 56 secs',
        'last 56 mins',
        'past 56 mins',
        'last 56 secs',
        '56 years ago',
        'past 56 days',
        'in 56 years',
        '56 secs ago',
        '56 days ago',
        'next 56 yrs',
        'past 56 yrs',
        'last 56 yrs',
        '56 mins ago',
        'in 56 mins',
        'in 56 secs',
        '56 yrs ago',
        'in 56 days',
        'in 56 yrs'],
 '57': ['57 seconds from now',
        '57 minutes from now',
        '57 years from now',
        '57 days from now',
        '57 secs from now',
        '57 mins from now',
        '57 yrs from now',
        'last 57 seconds',
        'past 57 seconds',
        'past 57 minutes',
        'next 57 seconds',
        'next 57 minutes',
        'last 57 minutes',
        '57 seconds ago',
        '57 minutes ago',
        'next 57 years',
        'last 57 years',
        'in 57 seconds',
        'past 57 years',
        'in 57 minutes',
        'last 57 mins',
        'next 57 mins',
        'next 57 secs',
        '57 years ago',
        'last 57 days',
        'past 57 days',
        'past 57 secs',
        'past 57 mins',
        'next 57 days',
        'last 57 secs',
        '57 secs ago',
        'next 57 yrs',
        'in 57 years',
        'last 57 yrs',
        '57 mins ago',
        'past 57 yrs',
        '57 days ago',
        'in 57 days',
        '57 yrs ago',
        'in 57 secs',
        'in 57 mins',
        'in 57 yrs'],
 '58': ['58 minutes from now',
        '58 seconds from now',
        '58 years from now',
        '58 secs from now',
        '58 days from now',
        '58 mins from now',
        'next 58 seconds',
        'next 58 minutes',
        'last 58 minutes',
        'past 58 seconds',
        'last 58 seconds',
        '58 yrs from now',
        'past 58 minutes',
        '58 minutes ago',
        '58 seconds ago',
        'in 58 seconds',
        'in 58 minutes',
        'past 58 years',
        'next 58 years',
        'last 58 years',
        'past 58 days',
        '58 years ago',
        'next 58 mins',
        'past 58 mins',
        'last 58 days',
        'past 58 secs',
        'next 58 secs',
        'last 58 secs',
        'last 58 mins',
        'next 58 days',
        'last 58 yrs',
        '58 days ago',
        'past 58 yrs',
        '58 mins ago',
        'next 58 yrs',
        '58 secs ago',
        'in 58 years',
        '58 yrs ago',
        'in 58 secs',
        'in 58 days',
        'in 58 mins',
        'in 58 yrs'],
 '59': ['59 minutes from now',
        '59 seconds from now',
        '59 years from now',
        '59 secs from now',
        '59 days from now',
        '59 mins from now',
        'next 59 seconds',
        'past 59 seconds',
        'next 59 minutes',
        'last 59 seconds',
        '59 yrs from now',
        'past 59 minutes',
        'last 59 minutes',
        '59 seconds ago',
        '59 minutes ago',
        'in 59 minutes',
        'last 59 years',
        'past 59 years',
        'in 59 seconds',
        'next 59 years',
        'next 59 mins',
        'past 59 mins',
        'next 59 secs',
        'next 59 days',
        'past 59 days',
        'last 59 days',
        'past 59 secs',
        'last 59 secs',
        'last 59 mins',
        '59 years ago',
        'past 59 yrs',
        '59 secs ago',
        'next 59 yrs',
        '59 mins ago',
        'in 59 years',
        'last 59 yrs',
        '59 days ago',
        'in 59 days',
        'in 59 secs',
        'in 59 mins',
        '59 yrs ago',
        'in 59 yrs'],
 '6': ['6 minutes from now',
       '6 seconds from now',
       '6 months from now',
       '6 years from now',
       '6 hours from now',
       '6 weeks from now',
       '6 secs from now',
       '6 mins from now',
       '6 days from now',
       'next 6 minutes',
       'past 6 seconds',
       '6 mos from now',
       'last 6 minutes',
       '6 hrs from now',
       'last 6 seconds',
       '6 yrs from now',
       'next 6 seconds',
       '6 wks from now',
       'past 6 minutes',
       'past 6 months',
       '6 seconds ago',
       '6 minutes ago',
       'last 6 months',
       'next 6 months',
       'past 6 years',
       'next 6 weeks',
       'past 6 weeks',
       'last 6 hours',
       'past 6 hours',
       '6 months ago',
       'in 6 minutes',
       'next 6 years',
       'last 6 weeks',
       'last 6 years',
       'in 6 seconds',
       'next 6 hours',
       'past 6 secs',
       'in 6 months',
       '6 weeks ago',
       'last 6 mins',
       'last 6 secs',
       'next 6 mins',
       'past 6 days',
       '6 hours ago',
       'last 6 days',
       '6 years ago',
       'next 6 secs',
       'next 6 days',
       'past 6 mins',
       'last 6 yrs',
       'in 6 years',
       '6 secs ago',
       'in 6 hours',
       'next 6 mos',
       'next 6 hrs',
       'past 6 yrs',
       '6 days ago',
       'past 6 hrs',
       'in 6 weeks',
       'last 6 wks',
       'last 6 mos',
       'next 6 yrs',
       'next 6 wks',
       'past 6 wks',
       'past 6 mos',
       '6 mins ago',
       'last 6 hrs',
       '6 hrs ago',
       '6 wks ago',
       'in 6 days',
       '6 mos ago',
       '6 yrs ago',
       'in 6 secs',
       'in 6 mins',
       'in 6 mos',
       'in 6 wks',
       'in 6 yrs',
       'in 6 hrs'],
 '60': ['60 seconds from now',
        '60 minutes from now',
        '60 years from now',
        '60 days from now',
        '60 secs from now',
        '60 mins from now',
        'past 60 minutes',
        'next 60 minutes',
        'past 60 seconds',
        'last 60 seconds',
        'next 60 seconds',
        '60 yrs from now',
        'last 60 minutes',
        '60 seconds ago',
        '60 minutes ago',
        'last 60 years',
        'in 60 seconds',
        'next 60 years',
        'past 60 years',
        'in 60 minutes',
        'next 60 mins',
        'next 60 days',
        'last 60 days',
        '60 years ago',
        'past 60 secs',
        'last 60 mins',
        'past 60 days',
        'next 60 secs',
        'last 60 secs',
        'past 60 mins',
        'last 60 yrs',
        '60 mins ago',
        '60 days ago',
        'next 60 yrs',
        'past 60 yrs',
        'in 60 years',
        '60 secs ago',
        'in 60 mins',
        '60 yrs ago',
        'in 60 secs',
        'in 60 days',
        'in 60 yrs'],
 '61': ['61 years from now',
        '61 days from now',
        '61 yrs from now',
        'past 61 years',
        'last 61 years',
        'next 61 years',
        'last 61 days',
        '61 years ago',
        'next 61 days',
        'past 61 days',
        'last 61 yrs',
        'past 61 yrs',
        'in 61 years',
        'next 61 yrs',
        '61 days ago',
        '61 yrs ago',
        'in 61 days',
        'in 61 yrs'],
 '62': ['62 years from now',
        '62 days from now',
        '62 yrs from now',
        'last 62 years',
        'next 62 years',
        'past 62 years',
        'past 62 days',
        'next 62 days',
        '62 years ago',
        'last 62 days',
        'in 62 years',
        'next 62 yrs',
        '62 days ago',
        'last 62 yrs',
        'past 62 yrs',
        '62 yrs ago',
        'in 62 days',
        'in 62 yrs'],
 '63': ['63 years from now',
        '63 days from now',
        '63 yrs from now',
        'past 63 years',
        'next 63 years',
        'last 63 years',
        'last 63 days',
        'past 63 days',
        '63 years ago',
        'next 63 days',
        'next 63 yrs',
        'in 63 years',
        '63 days ago',
        'last 63 yrs',
        'past 63 yrs',
        'in 63 days',
        '63 yrs ago',
        'in 63 yrs'],
 '64': ['64 years from now',
        '64 days from now',
        '64 yrs from now',
        'next 64 years',
        'past 64 years',
        'last 64 years',
        'past 64 days',
        'next 64 days',
        'last 64 days',
        '64 years ago',
        'past 64 yrs',
        '64 days ago',
        'last 64 yrs',
        'in 64 years',
        'next 64 yrs',
        '64 yrs ago',
        'in 64 days',
        'in 64 yrs'],
 '65': ['65 years from now',
        '65 days from now',
        '65 yrs from now',
        'past 65 years',
        'next 65 years',
        'last 65 years',
        'last 65 days',
        '65 years ago',
        'past 65 days',
        'next 65 days',
        'past 65 yrs',
        'in 65 years',
        'next 65 yrs',
        '65 days ago',
        'last 65 yrs',
        '65 yrs ago',
        'in 65 days',
        'in 65 yrs'],
 '66': ['66 years from now',
        '66 days from now',
        '66 yrs from now',
        'next 66 years',
        'past 66 years',
        'last 66 years',
        'past 66 days',
        'last 66 days',
        '66 years ago',
        'next 66 days',
        '66 days ago',
        'in 66 years',
        'past 66 yrs',
        'next 66 yrs',
        'last 66 yrs',
        'in 66 days',
        '66 yrs ago',
        'in 66 yrs'],
 '67': ['67 years from now',
        '67 days from now',
        '67 yrs from now',
        'next 67 years',
        'last 67 years',
        'past 67 years',
        'last 67 days',
        'next 67 days',
        'past 67 days',
        '67 years ago',
        '67 days ago',
        'next 67 yrs',
        'last 67 yrs',
        'in 67 years',
        'past 67 yrs',
        '67 yrs ago',
        'in 67 days',
        'in 67 yrs'],
 '68': ['68 years from now',
        '68 days from now',
        '68 yrs from now',
        'next 68 years',
        'last 68 years',
        'past 68 years',
        '68 years ago',
        'next 68 days',
        'last 68 days',
        'past 68 days',
        'in 68 years',
        'past 68 yrs',
        'last 68 yrs',
        'next 68 yrs',
        '68 days ago',
        'in 68 days',
        '68 yrs ago',
        'in 68 yrs'],
 '69': ['69 years from now',
        '69 days from now',
        '69 yrs from now',
        'next 69 years',
        'last 69 years',
        'past 69 years',
        'next 69 days',
        'past 69 days',
        '69 years ago',
        'last 69 days',
        'past 69 yrs',
        'next 69 yrs',
        '69 days ago',
        'in 69 years',
        'last 69 yrs',
        'in 69 days',
        '69 yrs ago',
        'in 69 yrs'],
 '7': ['7 minutes from now',
       '7 seconds from now',
       '7 months from now',
       '7 hours from now',
       '7 weeks from now',
       '7 years from now',
       '7 days from now',
       '7 secs from now',
       '7 mins from now',
       'past 7 seconds',
       'past 7 minutes',
       'next 7 minutes',
       '7 mos from now',
       '7 yrs from now',
       'next 7 seconds',
       '7 wks from now',
       '7 hrs from now',
       'last 7 seconds',
       'last 7 minutes',
       '7 minutes ago',
       'last 7 months',
       'next 7 months',
       'past 7 months',
       '7 seconds ago',
       'next 7 weeks',
       'past 7 years',
       'in 7 seconds',
       'last 7 years',
       'in 7 minutes',
       'last 7 hours',
       'next 7 hours',
       'past 7 hours',
       'next 7 years',
       'last 7 weeks',
       '7 months ago',
       'past 7 weeks',
       '7 weeks ago',
       'next 7 secs',
       'next 7 mins',
       'last 7 secs',
       '7 years ago',
       'past 7 days',
       'past 7 mins',
       'past 7 secs',
       'in 7 months',
       'last 7 days',
       '7 hours ago',
       'next 7 days',
       'last 7 mins',
       'last 7 wks',
       'past 7 wks',
       'in 7 years',
       'in 7 hours',
       'next 7 yrs',
       'past 7 yrs',
       'next 7 mos',
       'last 7 yrs',
       '7 mins ago',
       'last 7 hrs',
       'in 7 weeks',
       '7 secs ago',
       'next 7 wks',
       '7 days ago',
       'last 7 mos',
       'past 7 mos',
       'past 7 hrs',
       'next 7 hrs',
       '7 yrs ago',
       'in 7 mins',
       '7 mos ago',
       '7 wks ago',
       '7 hrs ago',
       'in 7 days',
       'in 7 secs',
       'in 7 yrs',
       'in 7 wks',
       'in 7 mos',
       'in 7 hrs'],
 '70': ['70 years from now',
        '70 days from now',
        '70 yrs from now',
        'next 70 years',
        'last 70 years',
        'past 70 years',
        'last 70 days',
        'next 70 days',
        'past 70 days',
        '70 years ago',
        '70 days ago',
        'next 70 yrs',
        'past 70 yrs',
        'in 70 years',
        'last 70 yrs',
        'in 70 days',
        '70 yrs ago',
        'in 70 yrs'],
 '71': ['71 years from now',
        '71 days from now',
        '71 yrs from now',
        'past 71 years',
        'next 71 years',
        'last 71 years',
        'past 71 days',
        '71 years ago',
        'next 71 days',
        'last 71 days',
        'next 71 yrs',
        'last 71 yrs',
        'in 71 years',
        'past 71 yrs',
        '71 days ago',
        '71 yrs ago',
        'in 71 days',
        'in 71 yrs'],
 '72': ['72 years from now',
        '72 days from now',
        '72 yrs from now',
        'past 72 years',
        'last 72 years',
        'next 72 years',
        '72 years ago',
        'past 72 days',
        'next 72 days',
        'last 72 days',
        'last 72 yrs',
        '72 days ago',
        'past 72 yrs',
        'in 72 years',
        'next 72 yrs',
        'in 72 days',
        '72 yrs ago',
        'in 72 yrs'],
 '73': ['73 years from now',
        '73 days from now',
        '73 yrs from now',
        'next 73 years',
        'last 73 years',
        'past 73 years',
        '73 years ago',
        'past 73 days',
        'last 73 days',
        'next 73 days',
        'past 73 yrs',
        'in 73 years',
        'next 73 yrs',
        'last 73 yrs',
        '73 days ago',
        'in 73 days',
        '73 yrs ago',
        'in 73 yrs'],
 '74': ['74 years from now',
        '74 days from now',
        '74 yrs from now',
        'next 74 years',
        'last 74 years',
        'past 74 years',
        'last 74 days',
        '74 years ago',
        'next 74 days',
        'past 74 days',
        'next 74 yrs',
        'last 74 yrs',
        '74 days ago',
        'past 74 yrs',
        'in 74 years',
        'in 74 days',
        '74 yrs ago',
        'in 74 yrs'],
 '75': ['75 years from now',
        '75 days from now',
        '75 yrs from now',
        'past 75 years',
        'last 75 years',
        'next 75 years',
        '75 years ago',
        'last 75 days',
        'past 75 days',
        'next 75 days',
        'past 75 yrs',
        'next 75 yrs',
        '75 days ago',
        'in 75 years',
        'last 75 yrs',
        '75 yrs ago',
        'in 75 days',
        'in 75 yrs'],
 '76': ['76 years from now',
        '76 days from now',
        '76 yrs from now',
        'next 76 years',
        'last 76 years',
        'past 76 years',
        'last 76 days',
        '76 years ago',
        'next 76 days',
        'past 76 days',
        'last 76 yrs',
        'next 76 yrs',
        '76 days ago',
        'past 76 yrs',
        'in 76 years',
        '76 yrs ago',
        'in 76 days',
        'in 76 yrs'],
 '77': ['77 years from now',
        '77 days from now',
        '77 yrs from now',
        'next 77 years',
        'past 77 years',
        'last 77 years',
        'next 77 days',
        'last 77 days',
        'past 77 days',
        '77 years ago',
        '77 days ago',
        'last 77 yrs',
        'next 77 yrs',
        'in 77 years',
        'past 77 yrs',
        'in 77 days',
        '77 yrs ago',
        'in 77 yrs'],
 '78': ['78 years from now',
        '78 days from now',
        '78 yrs from now',
        'last 78 years',
        'next 78 years',
        'past 78 years',
        '78 years ago',
        'next 78 days',
        'past 78 days',
        'last 78 days',
        'next 78 yrs',
        'in 78 years',
        'last 78 yrs',
        '78 days ago',
        'past 78 yrs',
        '78 yrs ago',
        'in 78 days',
        'in 78 yrs'],
 '79': ['79 years from now',
        '79 days from now',
        '79 yrs from now',
        'last 79 years',
        'past 79 years',
        'next 79 years',
        'past 79 days',
        'next 79 days',
        '79 years ago',
        'last 79 days',
        'last 79 yrs',
        'past 79 yrs',
        'in 79 years',
        '79 days ago',
        'next 79 yrs',
        '79 yrs ago',
        'in 79 days',
        'in 79 yrs'],
 '8': ['8 seconds from now',
       '8 minutes from now',
       '8 months from now',
       '8 hours from now',
       '8 years from now',
       '8 weeks from now',
       '8 mins from now',
       '8 secs from now',
       '8 days from now',
       '8 hrs from now',
       'last 8 seconds',
       'past 8 minutes',
       'next 8 seconds',
       '8 yrs from now',
       'next 8 minutes',
       'last 8 minutes',
       '8 wks from now',
       'past 8 seconds',
       '8 mos from now',
       'next 8 months',
       '8 seconds ago',
       'past 8 months',
       'last 8 months',
       '8 minutes ago',
       'past 8 hours',
       'past 8 years',
       '8 months ago',
       'next 8 years',
       'past 8 weeks',
       'last 8 hours',
       'next 8 weeks',
       'next 8 hours',
       'last 8 years',
       'in 8 minutes',
       'last 8 weeks',
       'in 8 seconds',
       'last 8 secs',
       'past 8 mins',
       'next 8 mins',
       'last 8 days',
       'next 8 secs',
       '8 weeks ago',
       'in 8 months',
       'next 8 days',
       '8 hours ago',
       '8 years ago',
       'past 8 days',
       'past 8 secs',
       'last 8 mins',
       '8 mins ago',
       'next 8 mos',
       'next 8 wks',
       'in 8 years',
       'next 8 yrs',
       'last 8 wks',
       'past 8 yrs',
       'in 8 hours',
       'past 8 mos',
       'last 8 hrs',
       '8 secs ago',
       'last 8 yrs',
       'in 8 weeks',
       'past 8 wks',
       '8 days ago',
       'past 8 hrs',
       'last 8 mos',
       'next 8 hrs',
       '8 mos ago',
       '8 wks ago',
       'in 8 mins',
       'in 8 days',
       '8 yrs ago',
       '8 hrs ago',
       'in 8 secs',
       'in 8 hrs',
       'in 8 mos',
       'in 8 wks',
       'in 8 yrs'],
 '80': ['80 years from now',
        '80 days from now',
        '80 yrs from now',
        'next 80 years',
        'past 80 years',
        'last 80 years',
        'next 80 days',
        'last 80 days',
        'past 80 days',
        '80 years ago',
        'last 80 yrs',
        'past 80 yrs',
        'next 80 yrs',
        'in 80 years',
        '80 days ago',
        '80 yrs ago',
        'in 80 days',
        'in 80 yrs'],
 '81': ['81 years from now',
        '81 days from now',
        '81 yrs from now',
        'next 81 years',
        'past 81 years',
        'last 81 years',
        'past 81 days',
        'next 81 days',
        'last 81 days',
        '81 years ago',
        '81 days ago',
        'last 81 yrs',
        'next 81 yrs',
        'past 81 yrs',
        'in 81 years',
        'in 81 days',
        '81 yrs ago',
        'in 81 yrs'],
 '82': ['82 years from now',
        '82 days from now',
        '82 yrs from now',
        'next 82 years',
        'last 82 years',
        'past 82 years',
        '82 years ago',
        'next 82 days',
        'past 82 days',
        'last 82 days',
        '82 days ago',
        'past 82 yrs',
        'in 82 years',
        'last 82 yrs',
        'next 82 yrs',
        '82 yrs ago',
        'in 82 days',
        'in 82 yrs'],
 '83': ['83 years from now',
        '83 days from now',
        '83 yrs from now',
        'last 83 years',
        'next 83 years',
        'past 83 years',
        'next 83 days',
        '83 years ago',
        'past 83 days',
        'last 83 days',
        'next 83 yrs',
        'past 83 yrs',
        'last 83 yrs',
        '83 days ago',
        'in 83 years',
        'in 83 days',
        '83 yrs ago',
        'in 83 yrs'],
 '84': ['84 years from now',
        '84 days from now',
        '84 yrs from now',
        'past 84 years',
        'last 84 years',
        'next 84 years',
        '84 years ago',
        'past 84 days',
        'last 84 days',
        'next 84 days',
        '84 days ago',
        'next 84 yrs',
        'in 84 years',
        'past 84 yrs',
        'last 84 yrs',
        'in 84 days',
        '84 yrs ago',
        'in 84 yrs'],
 '85': ['85 years from now',
        '85 days from now',
        '85 yrs from now',
        'last 85 years',
        'next 85 years',
        'past 85 years',
        'last 85 days',
        '85 years ago',
        'past 85 days',
        'next 85 days',
        '85 days ago',
        'last 85 yrs',
        'in 85 years',
        'next 85 yrs',
        'past 85 yrs',
        '85 yrs ago',
        'in 85 days',
        'in 85 yrs'],
 '86': ['86 years from now',
        '86 days from now',
        '86 yrs from now',
        'past 86 years',
        'last 86 years',
        'next 86 years',
        'next 86 days',
        '86 years ago',
        'past 86 days',
        'last 86 days',
        'next 86 yrs',
        'in 86 years',
        'past 86 yrs',
        'last 86 yrs',
        '86 days ago',
        '86 yrs ago',
        'in 86 days',
        'in 86 yrs'],
 '87': ['87 years from now',
        '87 days from now',
        '87 yrs from now',
        'past 87 years',
        'last 87 years',
        'next 87 years',
        '87 years ago',
        'last 87 days',
        'past 87 days',
        'next 87 days',
        'past 87 yrs',
        'in 87 years',
        'next 87 yrs',
        'last 87 yrs',
        '87 days ago',
        '87 yrs ago',
        'in 87 days',
        'in 87 yrs'],
 '88': ['88 years from now',
        '88 days from now',
        '88 yrs from now',
        'next 88 years',
        'past 88 years',
        'last 88 years',
        '88 years ago',
        'last 88 days',
        'past 88 days',
        'next 88 days',
        'last 88 yrs',
        '88 days ago',
        'in 88 years',
        'next 88 yrs',
        'past 88 yrs',
        'in 88 days',
        '88 yrs ago',
        'in 88 yrs'],
 '89': ['89 years from now',
        '89 days from now',
        '89 yrs from now',
        'next 89 years',
        'last 89 years',
        'past 89 years',
        'last 89 days',
        '89 years ago',
        'past 89 days',
        'next 89 days',
        'last 89 yrs',
        'next 89 yrs',
        'in 89 years',
        'past 89 yrs',
        '89 days ago',
        'in 89 days',
        '89 yrs ago',
        'in 89 yrs'],
 '9': ['9 seconds from now',
       '9 minutes from now',
       '9 months from now',
       '9 hours from now',
       '9 weeks from now',
       '9 years from now',
       '9 days from now',
       '9 mins from now',
       '9 secs from now',
       '9 hrs from now',
       'next 9 minutes',
       '9 mos from now',
       'last 9 seconds',
       'past 9 minutes',
       '9 yrs from now',
       'past 9 seconds',
       'last 9 minutes',
       'next 9 seconds',
       '9 wks from now',
       '9 minutes ago',
       'last 9 months',
       'past 9 months',
       '9 seconds ago',
       'next 9 months',
       'past 9 weeks',
       'next 9 weeks',
       '9 months ago',
       'last 9 hours',
       'last 9 weeks',
       'in 9 seconds',
       'next 9 years',
       'past 9 years',
       'past 9 hours',
       'last 9 years',
       'in 9 minutes',
       'next 9 hours',
       '9 years ago',
       'next 9 secs',
       '9 hours ago',
       'past 9 days',
       'last 9 secs',
       'next 9 mins',
       'in 9 months',
       'past 9 mins',
       'last 9 days',
       'next 9 days',
       'last 9 mins',
       '9 weeks ago',
       'past 9 secs',
       'past 9 mos',
       'past 9 hrs',
       'last 9 wks',
       'next 9 hrs',
       'next 9 mos',
       'next 9 yrs',
       'in 9 hours',
       'next 9 wks',
       'last 9 hrs',
       '9 secs ago',
       'in 9 years',
       'last 9 mos',
       'in 9 weeks',
       '9 mins ago',
       'last 9 yrs',
       'past 9 yrs',
       'past 9 wks',
       '9 days ago',
       'in 9 days',
       '9 wks ago',
       '9 hrs ago',
       '9 yrs ago',
       'in 9 secs',
       '9 mos ago',
       'in 9 mins',
       'in 9 hrs',
       'in 9 mos',
       'in 9 wks',
       'in 9 yrs'],
 '90': ['90 years from now',
        '90 days from now',
        '90 yrs from now',
        'next 90 years',
        'past 90 years',
        'last 90 years',
        'last 90 days',
        '90 years ago',
        'past 90 days',
        'next 90 days',
        '90 days ago',
        'in 90 years',
        'past 90 yrs',
        'next 90 yrs',
        'last 90 yrs',
        '90 yrs ago',
        'in 90 days',
        'in 90 yrs'],
 '91': ['91 years from now',
        '91 days from now',
        '91 yrs from now',
        'past 91 years',
        'next 91 years',
        'last 91 years',
        '91 years ago',
        'next 91 days',
        'past 91 days',
        'last 91 days',
        '91 days ago',
        'in 91 years',
        'last 91 yrs',
        'past 91 yrs',
        'next 91 yrs',
        'in 91 days',
        '91 yrs ago',
        'in 91 yrs'],
 '92': ['92 years from now',
        '92 days from now',
        '92 yrs from now',
        'past 92 years',
        'last 92 years',
        'next 92 years',
        'last 92 days',
        '92 years ago',
        'next 92 days',
        'past 92 days',
        'last 92 yrs',
        'in 92 years',
        'next 92 yrs',
        '92 days ago',
        'past 92 yrs',
        '92 yrs ago',
        'in 92 days',
        'in 92 yrs'],
 '93': ['93 years from now',
        '93 days from now',
        '93 yrs from now',
        'last 93 years',
        'past 93 years',
        'next 93 years',
        '93 years ago',
        'past 93 days',
        'next 93 days',
        'last 93 days',
        'next 93 yrs',
        '93 days ago',
        'last 93 yrs',
        'in 93 years',
        'past 93 yrs',
        '93 yrs ago',
        'in 93 days',
        'in 93 yrs'],
 '94': ['94 years from now',
        '94 days from now',
        '94 yrs from now',
        'next 94 years',
        'last 94 years',
        'past 94 years',
        'next 94 days',
        '94 years ago',
        'past 94 days',
        'last 94 days',
        'past 94 yrs',
        '94 days ago',
        'in 94 years',
        'last 94 yrs',
        'next 94 yrs',
        '94 yrs ago',
        'in 94 days',
        'in 94 yrs'],
 '95': ['95 years from now',
        '95 days from now',
        '95 yrs from now',
        'next 95 years',
        'last 95 years',
        'past 95 years',
        'past 95 days',
        'last 95 days',
        '95 years ago',
        'next 95 days',
        'last 95 yrs',
        'next 95 yrs',
        'past 95 yrs',
        '95 days ago',
        'in 95 years',
        '95 yrs ago',
        'in 95 days',
        'in 95 yrs'],
 '96': ['96 years from now',
        '96 days from now',
        '96 yrs from now',
        'past 96 years',
        'next 96 years',
        'last 96 years',
        'past 96 days',
        'last 96 days',
        'next 96 days',
        '96 years ago',
        'in 96 years',
        'past 96 yrs',
        'last 96 yrs',
        '96 days ago',
        'next 96 yrs',
        'in 96 days',
        '96 yrs ago',
        'in 96 yrs'],
 '97': ['97 years from now',
        '97 days from now',
        '97 yrs from now',
        'last 97 years',
        'next 97 years',
        'past 97 years',
        'next 97 days',
        'past 97 days',
        'last 97 days',
        '97 years ago',
        'in 97 years',
        'next 97 yrs',
        '97 days ago',
        'last 97 yrs',
        'past 97 yrs',
        'in 97 days',
        '97 yrs ago',
        'in 97 yrs'],
 '98': ['98 years from now',
        '98 days from now',
        '98 yrs from now',
        'past 98 years',
        'next 98 years',
        'last 98 years',
        'last 98 days',
        '98 years ago',
        'next 98 days',
        'past 98 days',
        'in 98 years',
        '98 days ago',
        'next 98 yrs',
        'past 98 yrs',
        'last 98 yrs',
        '98 yrs ago',
        'in 98 days',
        'in 98 yrs'],
 '99': ['99 years from now',
        '99 days from now',
        '99 yrs from now',
        'last 99 years',
        'past 99 years',
        'next 99 years',
        'last 99 days',
        '99 years ago',
        'next 99 days',
        'past 99 days',
        'in 99 years',
        'last 99 yrs',
        'past 99 yrs',
        '99 days ago',
        'next 99 yrs',
        '99 yrs ago',
        'in 99 days',
        'in 99 yrs'],
 'a': ["a single minute's later",
       "a single second's later",
       "a single month's later",
       "a single year's later",
       'a single second later',
       "a single week's later",
       'a single minute later',
       "a single hour's later",
       "a single day's later",
       'a single month later',
       'a single hour later',
       'a single week later',
       'a single year later',
       'a single sec later',
       'a single min later',
       'a single day later',
       'a single yr later',
       'a few seconds ago',
       'a single wk later',
       'a single hr later',
       'a few minutes ago',
       'a single mo later',
       'a few months ago',
       'a few hours ago',
       'a few weeks ago',
       'a few years ago',
       'a few secs ago',
       'a few mins ago',
       'a few days ago',
       'a few hrs ago',
       "in a second's",
       "in a minute's",
       'a few mos ago',
       'a few wks ago',
       'a few yrs ago',
       "in a month's",
       'in a minute',
       'in a second',
       "in a year's",
       "in a week's",
       "in a hour's",
       "in a day's",
       'in a month',
       'in a hour',
       'in a week',
       'in a year',
       'in a day',
       'in a sec',
       'in a min',
       'in a hr',
       'in a wk',
       'in a yr',
       'in a mo'],
 'ago': ['couple of minutes ago',
         'couple of seconds ago',
         'couple of months ago',
         'couple of years ago',
         'couple of weeks ago',
         'couple of hours ago',
         'couple of days ago',
         'couple of secs ago',
         'couple of mins ago',
         'a few seconds ago',
         'couple of hrs ago',
         'a few minutes ago',
         'couple of yrs ago',
         'couple of mos ago',
         'couple of wks ago',
         'a few months ago',
         'a few weeks ago',
         'a few hours ago',
         'a few years ago',
         '33 minutes ago',
         '51 seconds ago',
         '40 minutes ago',
         '40 seconds ago',
         '18 minutes ago',
         '58 seconds ago',
         '14 minutes ago',
         '31 minutes ago',
         '15 minutes ago',
         '47 minutes ago',
         '57 minutes ago',
         '60 minutes ago',
         '59 seconds ago',
         '23 minutes ago',
         '57 seconds ago',
         '13 minutes ago',
         '32 minutes ago',
         '30 minutes ago',
         '19 seconds ago',
         '35 minutes ago',
         '42 seconds ago',
         '38 seconds ago',
         '30 seconds ago',
         '32 seconds ago',
         '34 seconds ago',
         '58 minutes ago',
         '35 seconds ago',
         '45 seconds ago',
         '49 minutes ago',
         '24 minutes ago',
         '25 minutes ago',
         '48 seconds ago',
         '29 minutes ago',
         '22 seconds ago',
         '36 seconds ago',
         '53 minutes ago',
         '48 minutes ago',
         '17 seconds ago',
         '31 seconds ago',
         '37 minutes ago',
         '16 seconds ago',
         '54 minutes ago',
         '52 minutes ago',
         '47 seconds ago',
         '14 seconds ago',
         '23 seconds ago',
         '45 minutes ago',
         '43 seconds ago',
         '26 minutes ago',
         '41 minutes ago',
         '42 minutes ago',
         '60 seconds ago',
         '25 seconds ago',
         '12 minutes ago',
         '36 minutes ago',
         '44 minutes ago',
         '12 seconds ago',
         '46 seconds ago',
         '20 minutes ago',
         '27 minutes ago',
         '41 seconds ago',
         '55 seconds ago',
         '46 minutes ago',
         '38 minutes ago',
         '20 seconds ago',
         'a few secs ago',
         '39 minutes ago',
         '18 seconds ago',
         '43 minutes ago',
         '33 seconds ago',
         '54 seconds ago',
         '11 minutes ago',
         '10 minutes ago',
         '16 minutes ago',
         '50 seconds ago',
         '22 minutes ago',
         '28 minutes ago',
         '24 seconds ago',
         '27 seconds ago',
         '15 seconds ago',
         '10 seconds ago',
         '11 seconds ago',
         '56 minutes ago',
         '49 seconds ago',
         '59 minutes ago',
         '55 minutes ago',
         '53 seconds ago',
         '26 seconds ago',
         '37 seconds ago',
         '50 minutes ago',
         '34 minutes ago',
         '56 seconds ago',
         '51 minutes ago',
         '44 seconds ago',
         'a few mins ago',
         '28 seconds ago',
         '29 seconds ago',
         '21 minutes ago',
         '21 seconds ago',
         '39 seconds ago',
         '19 minutes ago',
         '13 seconds ago',
         '17 minutes ago',
         '52 seconds ago',
         'a few days ago',
         'a few hrs ago',
         '21 months ago',
         '16 months ago',
         '6 minutes ago',
         '22 months ago',
         '100 years ago',
         '8 minutes ago',
         '20 months ago',
         '12 months ago',
         '5 minutes ago',
         '24 months ago',
         '11 months ago',
         '10 months ago',
         'a few wks ago',
         'a few yrs ago',
         '9 minutes ago',
         '2 minutes ago',
         '17 months ago',
         '3 minutes ago',
         '19 months ago',
         '3 seconds ago',
         '8 seconds ago',
         '5 seconds ago',
         '4 seconds ago',
         '23 months ago',
         '18 months ago',
         '9 seconds ago',
         '4 minutes ago',
         '7 seconds ago',
         'a few mos ago',
         '6 seconds ago',
         '13 months ago',
         '7 minutes ago',
         '15 months ago',
         '2 seconds ago',
         '14 months ago',
         '309 days ago',
         '195 days ago',
         '316 days ago',
         '23 weeks ago',
         '315 days ago',
         '100 days ago',
         '38 years ago',
         '147 days ago',
         '141 days ago',
         '18 hours ago',
         '170 days ago',
         '198 days ago',
         '111 days ago',
         '27 weeks ago',
         '127 days ago',
         '39 weeks ago',
         '22 years ago',
         '276 days ago',
         '25 weeks ago',
         '11 weeks ago',
         '219 days ago',
         '269 days ago',
         '201 days ago',
         '85 years ago',
         '68 years ago',
         '126 days ago',
         '45 years ago',
         '9 months ago',
         '42 years ago',
         '86 years ago',
         '350 days ago',
         '24 weeks ago',
         '214 days ago',
         '328 days ago',
         '363 days ago',
         '13 weeks ago',
         '218 days ago',
         '308 days ago',
         '21 hours ago',
         '47 years ago',
         '15 weeks ago',
         '336 days ago',
         '156 days ago',
         '209 days ago',
         '103 days ago',
         '62 years ago',
         '66 years ago',
         '37 years ago',
         '20 weeks ago',
         '15 hours ago',
         '72 years ago',
         '13 years ago',
         '36 weeks ago',
         '50 years ago',
         '150 days ago',
         '206 days ago',
         '337 days ago',
         '226 days ago',
         '35 weeks ago',
         '233 days ago',
         '113 days ago',
         '115 days ago',
         '352 days ago',
         '53 years ago',
         '45 weeks ago',
         '30 years ago',
         '159 days ago',
         '101 days ago',
         '120 days ago',
         '173 days ago',
         '90 years ago',
         '294 days ago',
         '196 days ago',
         '93 years ago',
         '345 days ago',
         '213 days ago',
         '312 days ago',
         '169 days ago',
         '238 days ago',
         '51 years ago',
         '174 days ago',
         '297 days ago',
         '88 years ago',
         '153 days ago',
         '356 days ago',
         '285 days ago',
         '49 years ago',
         '70 years ago',
         '18 years ago',
         '346 days ago',
         '193 days ago',
         '349 days ago',
         '253 days ago',
         '22 weeks ago',
         '191 days ago',
         '149 days ago',
         '323 days ago',
         '332 days ago',
         '225 days ago',
         '162 days ago',
         '343 days ago',
         '223 days ago',
         '7 months ago',
         '185 days ago',
         '256 days ago',
         '118 days ago',
         '121 days ago',
         '4 months ago',
         '123 days ago',
         '301 days ago',
         '261 days ago',
         '275 days ago',
         '330 days ago',
         '358 days ago',
         '19 hours ago',
         '84 years ago',
         '172 days ago',
         '165 days ago',
         '20 years ago',
         '348 days ago',
         '227 days ago',
         '313 days ago',
         '67 years ago',
         '288 days ago',
         '355 days ago',
         '221 days ago',
         '212 days ago',
         '52 weeks ago',
         '96 years ago',
         '189 days ago',
         '357 days ago',
         '63 years ago',
         '8 months ago',
         '158 days ago',
         '77 years ago',
         '6 months ago',
         '116 days ago',
         '39 years ago',
         '2 months ago',
         '15 years ago',
         '188 days ago',
         '11 hours ago',
         '155 days ago',
         '98 years ago',
         '163 days ago',
         '265 days ago',
         '326 days ago',
         '102 days ago',
         '278 days ago',
         '18 weeks ago',
         '27 years ago',
         '293 days ago',
         '327 days ago',
         '29 years ago',
         '10 hours ago',
         '33 weeks ago',
         '74 years ago',
         '241 days ago',
         '31 years ago',
         '128 days ago',
         '25 years ago',
         '138 days ago',
         '203 days ago',
         '298 days ago',
         '234 days ago',
         '144 days ago',
         '83 years ago',
         '92 years ago',
         '95 years ago',
         '107 days ago',
         '143 days ago',
         '263 days ago',
         '299 days ago',
         '51 weeks ago',
         '30 weeks ago',
         '335 days ago',
         '64 years ago',
         '40 weeks ago',
         '122 days ago',
         '179 days ago',
         '40 years ago',
         '99 years ago',
         '71 years ago',
         '52 years ago',
         '46 weeks ago',
         '228 days ago',
         '16 weeks ago',
         '359 days ago',
         '187 days ago',
         '199 days ago',
         '76 years ago',
         '41 years ago',
         '42 weeks ago',
         '364 days ago',
         '12 weeks ago',
         '340 days ago',
         '354 days ago',
         '230 days ago',
         '302 days ago',
         '289 days ago',
         '318 days ago',
         '79 years ago',
         '11 years ago',
         '310 days ago',
         '194 days ago',
         '290 days ago',
         '78 years ago',
         '237 days ago',
         '182 days ago',
         '176 days ago',
         '361 days ago',
         '124 days ago',
         '168 days ago',
         '58 years ago',
         '80 years ago',
         '125 days ago',
         '271 days ago',
         '60 years ago',
         '362 days ago',
         '333 days ago',
         '151 days ago',
         '145 days ago',
         '16 hours ago',
         '48 weeks ago',
         '133 days ago',
         '142 days ago',
         '245 days ago',
         '178 days ago',
         '342 days ago',
         '17 weeks ago',
         '365 days ago',
         '229 days ago',
         '19 years ago',
         '220 days ago',
         '175 days ago',
         '197 days ago',
         '205 days ago',
         '17 years ago',
         '54 years ago',
         '148 days ago',
         '270 days ago',
         '61 years ago',
         '41 weeks ago',
         '216 days ago',
         '26 years ago',
         '222 days ago',
         '17 hours ago',
         '244 days ago',
         '36 years ago',
         '273 days ago',
         '43 weeks ago',
         '13 hours ago',
         '344 days ago',
         '246 days ago',
         '89 years ago',
         '267 days ago',
         '114 days ago',
         '23 years ago',
         '251 days ago',
         '300 days ago',
         '46 years ago',
         '59 years ago',
         '69 years ago',
         '268 days ago',
         '353 days ago',
         '305 days ago',
         '33 years ago',
         '34 years ago',
         '32 weeks ago',
         '284 days ago',
         '10 weeks ago',
         '171 days ago',
         '130 days ago',
         '177 days ago',
         '283 days ago',
         '280 days ago',
         '240 days ago',
         '146 days ago',
         '303 days ago',
         '249 days ago',
         '14 weeks ago',
         '255 days ago',
         '295 days ago',
         '307 days ago',
         '94 years ago',
         '236 days ago',
         '34 weeks ago',
         '31 weeks ago',
         '32 years ago',
         '260 days ago',
         '347 days ago',
         '104 days ago',
         '28 weeks ago',
         '360 days ago',
         '250 days ago',
         '152 days ago',
         '154 days ago',
         '210 days ago',
         '65 years ago',
         '37 weeks ago',
         '44 years ago',
         '180 days ago',
         '200 days ago',
         '81 years ago',
         '75 years ago',
         '204 days ago',
         '29 weeks ago',
         '56 years ago',
         '167 days ago',
         '20 hours ago',
         '12 years ago',
         '311 days ago',
         '109 days ago',
         '19 weeks ago',
         '47 weeks ago',
         '325 days ago',
         '320 days ago',
         '292 days ago',
         '282 days ago',
         '21 years ago',
         '160 days ago',
         '57 years ago',
         '252 days ago',
         '135 days ago',
         '117 days ago',
         '207 days ago',
         '44 weeks ago',
         '28 years ago',
         '21 weeks ago',
         '14 hours ago',
         '242 days ago',
         '274 days ago',
         '87 years ago',
         '48 years ago',
         '3 months ago',
         '5 months ago',
         '49 weeks ago',
         '24 years ago',
         '119 days ago',
         '140 days ago',
         '14 years ago',
         '82 years ago',
         '215 days ago',
         '132 days ago',
         '339 days ago',
         '231 days ago',
         '184 days ago',
         '35 years ago',
         '129 days ago',
         '192 days ago',
         '264 days ago',
         '321 days ago',
         '224 days ago',
         '262 days ago',
         '211 days ago',
         '232 days ago',
         '16 years ago',
         '50 weeks ago',
         '287 days ago',
         '291 days ago',
         '304 days ago',
         '306 days ago',
         '108 days ago',
         '243 days ago',
         '314 days ago',
         '341 days ago',
         '279 days ago',
         '331 days ago',
         '112 days ago',
         '259 days ago',
         '134 days ago',
         '319 days ago',
         '137 days ago',
         '338 days ago',
         '286 days ago',
         '281 days ago',
         '43 years ago',
         '55 years ago',
         '248 days ago',
         '324 days ago',
         '91 years ago',
         '10 years ago',
         '329 days ago',
         '157 days ago',
         '131 days ago',
         '97 years ago',
         '334 days ago',
         '266 days ago',
         '110 days ago',
         '296 days ago',
         '202 days ago',
         '73 years ago',
         '272 days ago',
         '26 weeks ago',
         '247 days ago',
         '23 hours ago',
         '164 days ago',
         '183 days ago',
         '12 hours ago',
         '190 days ago',
         '322 days ago',
         '181 days ago',
         '186 days ago',
         '22 hours ago',
         '106 days ago',
         '24 hours ago',
         '105 days ago',
         '217 days ago',
         '317 days ago',
         '139 days ago',
         '38 weeks ago',
         '351 days ago',
         '277 days ago',
         '239 days ago',
         '258 days ago',
         '208 days ago',
         '166 days ago',
         '235 days ago',
         '136 days ago',
         '254 days ago',
         '161 days ago',
         '257 days ago',
         '26 secs ago',
         '55 days ago',
         '19 mins ago',
         '7 weeks ago',
         '20 days ago',
         '84 days ago',
         '54 secs ago',
         '2 weeks ago',
         '34 secs ago',
         '10 days ago',
         '39 mins ago',
         '83 days ago',
         '11 days ago',
         '10 secs ago',
         '3 years ago',
         '11 secs ago',
         '49 mins ago',
         '42 days ago',
         '54 days ago',
         '13 days ago',
         '28 days ago',
         '36 secs ago',
         '32 mins ago',
         '19 secs ago',
         '5 hours ago',
         '59 mins ago',
         '48 mins ago',
         '72 days ago',
         '56 days ago',
         '27 secs ago',
         '59 days ago',
         '33 mins ago',
         '73 days ago',
         '96 days ago',
         '61 days ago',
         '7 hours ago',
         '31 days ago',
         '51 mins ago',
         '15 secs ago',
         '24 secs ago',
         '17 secs ago',
         '34 days ago',
         '37 days ago',
         '6 years ago',
         '8 hours ago',
         '50 days ago',
         '70 days ago',
         '45 days ago',
         '18 mins ago',
         '55 secs ago',
         '42 secs ago',
         '28 secs ago',
         '52 mins ago',
         '74 days ago',
         '57 days ago',
         '43 days ago',
         '9 years ago',
         '47 days ago',
         '14 days ago',
         '69 days ago',
         '60 mins ago',
         '19 days ago',
         '46 secs ago',
         '42 mins ago',
         '53 mins ago',
         '88 days ago',
         '35 days ago',
         '97 days ago',
         '18 secs ago',
         '60 secs ago',
         '32 days ago',
         '34 mins ago',
         '45 mins ago',
         '52 days ago',
         '76 days ago',
         '6 weeks ago',
         '3 weeks ago',
         '80 days ago',
         '15 days ago',
         '2 years ago',
         '90 days ago',
         '62 days ago',
         '81 days ago',
         '40 mins ago',
         '26 days ago',
         '7 years ago',
         '12 secs ago',
         '77 days ago',
         '16 days ago',
         '57 secs ago',
         '54 mins ago',
         '37 secs ago',
         '29 days ago',
         '25 secs ago',
         '21 days ago',
         '40 days ago',
         '2 hours ago',
         '44 mins ago',
         '38 mins ago',
         '14 secs ago',
         '93 days ago',
         '50 secs ago',
         '21 mins ago',
         '4 weeks ago',
         '44 secs ago',
         '47 mins ago',
         '21 secs ago',
         '91 days ago',
         '82 days ago',
         '48 secs ago',
         '44 days ago',
         '36 mins ago',
         '38 days ago',
         '60 days ago',
         '22 days ago',
         '17 days ago',
         '43 mins ago',
         '33 days ago',
         '10 mins ago',
         '86 days ago',
         '9 weeks ago',
         '55 mins ago',
         '75 days ago',
         '13 mins ago',
         '16 secs ago',
         '92 days ago',
         '30 mins ago',
         '12 mins ago',
         '46 days ago',
         '58 mins ago',
         '68 days ago',
         '13 secs ago',
         '53 days ago',
         '85 days ago',
         '15 mins ago',
         '30 days ago',
         '98 days ago',
         '49 secs ago',
         '38 secs ago',
         '27 days ago',
         '65 days ago',
         '41 secs ago',
         '47 secs ago',
         '57 mins ago',
         '32 secs ago',
         '24 mins ago',
         '51 days ago',
         '8 weeks ago',
         '12 days ago',
         '20 mins ago',
         '6 hours ago',
         '39 secs ago',
         '58 secs ago',
         '5 years ago',
         '95 days ago',
         '43 secs ago',
         '22 mins ago',
         '23 days ago',
         '48 days ago',
         '8 years ago',
         '52 secs ago',
         '20 secs ago',
         '14 mins ago',
         '36 days ago',
         '25 mins ago',
         '40 secs ago',
         '29 secs ago',
         '3 hours ago',
         '56 mins ago',
         '59 secs ago',
         '9 hours ago',
         '5 weeks ago',
         '27 mins ago',
         '66 days ago',
         '31 secs ago',
         '45 secs ago',
         '64 days ago',
         '100 yrs ago',
         '99 days ago',
         '89 days ago',
         '63 days ago',
         '71 days ago',
         '23 secs ago',
         '31 mins ago',
         '22 secs ago',
         '50 mins ago',
         '11 mins ago',
         '29 mins ago',
         '4 hours ago',
         '37 mins ago',
         '94 days ago',
         '78 days ago',
         '4 years ago',
         '49 days ago',
         '46 mins ago',
         '58 days ago',
         '23 mins ago',
         '56 secs ago',
         '33 secs ago',
         '35 secs ago',
         '35 mins ago',
         '26 mins ago',
         '30 secs ago',
         '87 days ago',
         '67 days ago',
         '53 secs ago',
         '24 days ago',
         '79 days ago',
         '41 days ago',
         '16 mins ago',
         '41 mins ago',
         '17 mins ago',
         '18 days ago',
         '25 days ago',
         '51 secs ago',
         '39 days ago',
         '28 mins ago',
         '52 yrs ago',
         '76 yrs ago',
         '10 yrs ago',
         '44 wks ago',
         '24 yrs ago',
         '38 wks ago',
         '20 yrs ago',
         '14 hrs ago',
         '13 mos ago',
         '23 mos ago',
         '51 yrs ago',
         '23 yrs ago',
         '23 hrs ago',
         '18 wks ago',
         '2 mins ago',
         '50 wks ago',
         '30 wks ago',
         '62 yrs ago',
         '14 wks ago',
         '39 wks ago',
         '5 secs ago',
         '29 wks ago',
         '4 secs ago',
         '17 mos ago',
         '88 yrs ago',
         '74 yrs ago',
         '40 yrs ago',
         '19 yrs ago',
         '43 wks ago',
         '84 yrs ago',
         '80 yrs ago',
         '34 yrs ago',
         '17 hrs ago',
         '86 yrs ago',
         '31 wks ago',
         '96 yrs ago',
         '45 yrs ago',
         '9 mins ago',
         '16 yrs ago',
         '42 yrs ago',
         '37 wks ago',
         '12 wks ago',
         '41 yrs ago',
         '93 yrs ago',
         '51 wks ago',
         '79 yrs ago',
         '13 hrs ago',
         '3 secs ago',
         '70 yrs ago',
         '12 hrs ago',
         '36 wks ago',
         '33 yrs ago',
         '16 wks ago',
         '47 yrs ago',
         '45 wks ago',
         '7 mins ago',
         '11 yrs ago',
         '34 wks ago',
         '23 wks ago',
         '52 wks ago',
         '35 wks ago',
         '10 mos ago',
         '27 wks ago',
         '24 hrs ago',
         '30 yrs ago',
         '53 yrs ago',
         '7 days ago',
         '32 wks ago',
         '48 yrs ago',
         '19 hrs ago',
         '20 wks ago',
         '18 hrs ago',
         '68 yrs ago',
         '4 days ago',
         '50 yrs ago',
         '22 mos ago',
         '39 yrs ago',
         '82 yrs ago',
         '44 yrs ago',
         '58 yrs ago',
         '22 yrs ago',
         '21 hrs ago',
         '21 mos ago',
         '92 yrs ago',
         '2 secs ago',
         '12 mos ago',
         '10 wks ago',
         '35 yrs ago',
         '3 days ago',
         '64 yrs ago',
         '18 mos ago',
         '24 wks ago',
         '16 hrs ago',
         '66 yrs ago',
         '43 yrs ago',
         '67 yrs ago',
         '13 yrs ago',
         '24 mos ago',
         '20 hrs ago',
         '78 yrs ago',
         '2 days ago',
         '17 yrs ago',
         '6 secs ago',
         '11 mos ago',
         '31 yrs ago',
         '65 yrs ago',
         '47 wks ago',
         '14 mos ago',
         '49 wks ago',
         '63 yrs ago',
         '18 yrs ago',
         '77 yrs ago',
         '75 yrs ago',
         '6 days ago',
         '3 mins ago',
         '99 yrs ago',
         '5 mins ago',
         '56 yrs ago',
         '26 yrs ago',
         '54 yrs ago',
         '13 wks ago',
         '8 secs ago',
         '40 wks ago',
         '87 yrs ago',
         '19 mos ago',
         '57 yrs ago',
         '83 yrs ago',
         '19 wks ago',
         '61 yrs ago',
         '28 wks ago',
         '49 yrs ago',
         '90 yrs ago',
         '28 yrs ago',
         '20 mos ago',
         '22 wks ago',
         '73 yrs ago',
         '15 mos ago',
         '21 yrs ago',
         '17 wks ago',
         '55 yrs ago',
         '6 mins ago',
         '33 wks ago',
         '26 wks ago',
         '41 wks ago',
         '10 hrs ago',
         '15 hrs ago',
         '69 yrs ago',
         '94 yrs ago',
         '8 mins ago',
         '5 days ago',
         '46 wks ago',
         '4 mins ago',
         '81 yrs ago',
         '15 wks ago',
         '91 yrs ago',
         '85 yrs ago',
         '98 yrs ago',
         '15 yrs ago',
         '29 yrs ago',
         '32 yrs ago',
         '95 yrs ago',
         '21 wks ago',
         '37 yrs ago',
         '97 yrs ago',
         '7 secs ago',
         '14 yrs ago',
         '12 yrs ago',
         '48 wks ago',
         '11 wks ago',
         '11 hrs ago',
         '72 yrs ago',
         '9 secs ago',
         '60 yrs ago',
         '42 wks ago',
         '16 mos ago',
         '22 hrs ago',
         '8 days ago',
         '25 wks ago',
         '27 yrs ago',
         '71 yrs ago',
         '36 yrs ago',
         '89 yrs ago',
         '25 yrs ago',
         '38 yrs ago',
         '46 yrs ago',
         '9 days ago',
         '59 yrs ago',
         '6 wks ago',
         '7 mos ago',
         '9 yrs ago',
         '9 wks ago',
         '4 hrs ago',
         '5 mos ago',
         '6 mos ago',
         '4 wks ago',
         '2 hrs ago',
         '5 yrs ago',
         '6 hrs ago',
         '8 mos ago',
         '7 hrs ago',
         '8 wks ago',
         '2 wks ago',
         '8 yrs ago',
         '7 wks ago',
         '5 wks ago',
         '2 mos ago',
         '9 mos ago',
         '4 mos ago',
         '7 yrs ago',
         '9 hrs ago',
         '5 hrs ago',
         '3 yrs ago',
         '8 hrs ago',
         '6 yrs ago',
         '3 hrs ago',
         '4 yrs ago',
         '3 mos ago',
         '3 wks ago',
         '2 yrs ago'],
 'couple': ['past couple of seconds',
            'past couple of minutes',
            'last couple of minutes',
            'last couple of seconds',
            'couple of minutes ago',
            'last couple of months',
            'past couple of months',
            'couple of seconds ago',
            'past couple of weeks',
            'last couple of weeks',
            'last couple of years',
            'couple of months ago',
            'past couple of hours',
            'past couple of years',
            'last couple of hours',
            'couple of years ago',
            'past couple of secs',
            'last couple seconds',
            'couple of hours ago',
            'past couple of mins',
            'past couple of days',
            'past couple minutes',
            'last couple of secs',
            'past couple seconds',
            'last couple minutes',
            'last couple of days',
            'couple of weeks ago',
            'last couple of mins',
            'couple of secs ago',
            'last couple of wks',
            'last couple of hrs',
            'past couple of yrs',
            'couple of days ago',
            'past couple of wks',
            'last couple of mos',
            'couple of mins ago',
            'past couple of hrs',
            'last couple of yrs',
            'past couple of mos',
            'past couple months',
            'last couple months',
            'past couple hours',
            'last couple years',
            'last couple weeks',
            'past couple years',
            'couple of wks ago',
            'past couple weeks',
            'last couple hours',
            'couple of mos ago',
            'couple of hrs ago',
            'couple of yrs ago',
            'past couple mins',
            'past couple secs',
            'last couple secs',
            'last couple days',
            'last couple mins',
            'past couple days',
            'last couple hrs',
            'past couple yrs',
            'last couple mos',
            'past couple hrs',
            'last couple wks',
            'past couple wks',
            'last couple yrs',
            'past couple mos'],
 'day': ['a single day later',
         '1 day from now',
         'last 1 day',
         'in one day',
         'past 1 day',
         'in 1 day',
         'last day',
         'next day',
         'past day',
         'in a day'],
 "day's": ["a single day's later",
           "1 day's from now",
           "last 1 day's",
           "in one day's",
           "past 1 day's",
           "last day's",
           "next day's",
           "in 1 day's",
           "past day's",
           "in a day's"],
 'days': ['past couple of days',
          'last couple of days',
          'couple of days ago',
          '276 days from now',
          '151 days from now',
          '108 days from now',
          '118 days from now',
          '137 days from now',
          '275 days from now',
          '120 days from now',
          '158 days from now',
          '171 days from now',
          '365 days from now',
          '267 days from now',
          '164 days from now',
          '187 days from now',
          '193 days from now',
          '197 days from now',
          '167 days from now',
          '170 days from now',
          '223 days from now',
          '254 days from now',
          '203 days from now',
          '324 days from now',
          '353 days from now',
          '123 days from now',
          '213 days from now',
          '270 days from now',
          '190 days from now',
          '261 days from now',
          '296 days from now',
          '140 days from now',
          '252 days from now',
          '127 days from now',
          '165 days from now',
          '166 days from now',
          '255 days from now',
          '224 days from now',
          '155 days from now',
          '295 days from now',
          '268 days from now',
          '338 days from now',
          '293 days from now',
          '273 days from now',
          '227 days from now',
          '280 days from now',
          '348 days from now',
          '253 days from now',
          '350 days from now',
          '258 days from now',
          '221 days from now',
          '111 days from now',
          '149 days from now',
          '207 days from now',
          '271 days from now',
          '264 days from now',
          '246 days from now',
          '198 days from now',
          '184 days from now',
          '107 days from now',
          '256 days from now',
          '173 days from now',
          '363 days from now',
          '250 days from now',
          '311 days from now',
          '361 days from now',
          '162 days from now',
          '139 days from now',
          '160 days from now',
          '359 days from now',
          '308 days from now',
          '201 days from now',
          '191 days from now',
          '262 days from now',
          '132 days from now',
          '208 days from now',
          '226 days from now',
          '285 days from now',
          '301 days from now',
          '174 days from now',
          '195 days from now',
          '312 days from now',
          '315 days from now',
          '334 days from now',
          '299 days from now',
          '336 days from now',
          '291 days from now',
          '194 days from now',
          '300 days from now',
          '349 days from now',
          '102 days from now',
          '146 days from now',
          '248 days from now',
          '290 days from now',
          '230 days from now',
          '302 days from now',
          '125 days from now',
          '234 days from now',
          '114 days from now',
          '247 days from now',
          '106 days from now',
          '136 days from now',
          '323 days from now',
          '110 days from now',
          '177 days from now',
          '321 days from now',
          '289 days from now',
          '200 days from now',
          '297 days from now',
          '168 days from now',
          '144 days from now',
          '281 days from now',
          '309 days from now',
          '222 days from now',
          '233 days from now',
          '240 days from now',
          '283 days from now',
          '354 days from now',
          '286 days from now',
          '330 days from now',
          '337 days from now',
          '325 days from now',
          '138 days from now',
          '238 days from now',
          '156 days from now',
          '101 days from now',
          '157 days from now',
          '241 days from now',
          '333 days from now',
          '212 days from now',
          '182 days from now',
          '266 days from now',
          '148 days from now',
          '228 days from now',
          '192 days from now',
          '346 days from now',
          '202 days from now',
          '205 days from now',
          '277 days from now',
          '318 days from now',
          '327 days from now',
          '265 days from now',
          '305 days from now',
          '303 days from now',
          '153 days from now',
          '316 days from now',
          '358 days from now',
          '116 days from now',
          '119 days from now',
          '218 days from now',
          '314 days from now',
          '237 days from now',
          '152 days from now',
          '163 days from now',
          '214 days from now',
          '239 days from now',
          '310 days from now',
          '103 days from now',
          '288 days from now',
          '124 days from now',
          '345 days from now',
          '326 days from now',
          '357 days from now',
          '259 days from now',
          '319 days from now',
          '355 days from now',
          '128 days from now',
          '169 days from now',
          '272 days from now',
          '121 days from now',
          '317 days from now',
          '341 days from now',
          '347 days from now',
          '145 days from now',
          '364 days from now',
          '340 days from now',
          '131 days from now',
          '331 days from now',
          '189 days from now',
          '360 days from now',
          '225 days from now',
          '217 days from now',
          '287 days from now',
          '284 days from now',
          '154 days from now',
          '143 days from now',
          '185 days from now',
          '135 days from now',
          '282 days from now',
          '100 days from now',
          '278 days from now',
          '115 days from now',
          '133 days from now',
          '183 days from now',
          '294 days from now',
          '243 days from now',
          '117 days from now',
          '304 days from now',
          '186 days from now',
          '215 days from now',
          '210 days from now',
          '113 days from now',
          '298 days from now',
          '313 days from now',
          '251 days from now',
          '216 days from now',
          '211 days from now',
          '161 days from now',
          '142 days from now',
          '362 days from now',
          '229 days from now',
          '232 days from now',
          '244 days from now',
          '181 days from now',
          '322 days from now',
          '352 days from now',
          '176 days from now',
          '356 days from now',
          '219 days from now',
          '188 days from now',
          '206 days from now',
          '179 days from now',
          '242 days from now',
          '172 days from now',
          '175 days from now',
          '129 days from now',
          '320 days from now',
          '209 days from now',
          '141 days from now',
          '332 days from now',
          '196 days from now',
          '344 days from now',
          '220 days from now',
          '231 days from now',
          '204 days from now',
          '279 days from now',
          '342 days from now',
          '126 days from now',
          '343 days from now',
          '150 days from now',
          '105 days from now',
          '122 days from now',
          '199 days from now',
          '245 days from now',
          '112 days from now',
          '257 days from now',
          '269 days from now',
          '329 days from now',
          '236 days from now',
          '159 days from now',
          '178 days from now',
          '307 days from now',
          '351 days from now',
          '130 days from now',
          '109 days from now',
          '306 days from now',
          '292 days from now',
          '147 days from now',
          '260 days from now',
          '104 days from now',
          '274 days from now',
          '180 days from now',
          '249 days from now',
          '134 days from now',
          '335 days from now',
          '328 days from now',
          '263 days from now',
          '235 days from now',
          '339 days from now',
          '52 days from now',
          '75 days from now',
          '24 days from now',
          '39 days from now',
          '32 days from now',
          '54 days from now',
          'past couple days',
          '94 days from now',
          '31 days from now',
          '28 days from now',
          '49 days from now',
          '20 days from now',
          '99 days from now',
          '51 days from now',
          '92 days from now',
          '85 days from now',
          '69 days from now',
          '96 days from now',
          '89 days from now',
          '45 days from now',
          '73 days from now',
          '59 days from now',
          '10 days from now',
          '86 days from now',
          '17 days from now',
          '40 days from now',
          '79 days from now',
          '98 days from now',
          '25 days from now',
          '34 days from now',
          '93 days from now',
          '13 days from now',
          '48 days from now',
          'last couple days',
          '30 days from now',
          '29 days from now',
          '70 days from now',
          '22 days from now',
          '41 days from now',
          '55 days from now',
          '67 days from now',
          '61 days from now',
          '72 days from now',
          '74 days from now',
          '53 days from now',
          '23 days from now',
          '87 days from now',
          '43 days from now',
          '38 days from now',
          '91 days from now',
          '76 days from now',
          '81 days from now',
          '88 days from now',
          '47 days from now',
          '56 days from now',
          '37 days from now',
          '97 days from now',
          '60 days from now',
          '64 days from now',
          '27 days from now',
          '11 days from now',
          '50 days from now',
          '57 days from now',
          '21 days from now',
          '15 days from now',
          '16 days from now',
          '66 days from now',
          '14 days from now',
          '62 days from now',
          '84 days from now',
          '90 days from now',
          '71 days from now',
          '58 days from now',
          '95 days from now',
          '63 days from now',
          '12 days from now',
          '42 days from now',
          '80 days from now',
          '77 days from now',
          '46 days from now',
          '19 days from now',
          '78 days from now',
          '44 days from now',
          '35 days from now',
          '18 days from now',
          '26 days from now',
          '68 days from now',
          '36 days from now',
          '83 days from now',
          '82 days from now',
          '33 days from now',
          '65 days from now',
          '2 days from now',
          '9 days from now',
          '5 days from now',
          '7 days from now',
          '4 days from now',
          '6 days from now',
          '8 days from now',
          '3 days from now',
          'a few days ago',
          'last 180 days',
          'next 304 days',
          'past 355 days',
          'next 335 days',
          'next 349 days',
          'next 327 days',
          'next 256 days',
          'next 233 days',
          'next 220 days',
          'next 316 days',
          'last 267 days',
          'last 139 days',
          'last 202 days',
          'next 282 days',
          'next 302 days',
          'next 214 days',
          'next 149 days',
          'past 122 days',
          'next 106 days',
          'next 219 days',
          'last 204 days',
          'next 307 days',
          'past 163 days',
          'past 137 days',
          'last 148 days',
          'last 364 days',
          'last 232 days',
          'past 313 days',
          'next 241 days',
          'past 165 days',
          'next 246 days',
          'last 283 days',
          'past 232 days',
          'last 183 days',
          'past 279 days',
          'next 324 days',
          'next 286 days',
          'next 283 days',
          'past 153 days',
          'past 247 days',
          'next 124 days',
          'past 218 days',
          'last 108 days',
          'next 116 days',
          'past 200 days',
          'last 249 days',
          'past 238 days',
          'past 317 days',
          'next 132 days',
          'past 209 days',
          'last 137 days',
          'past 144 days',
          'next 262 days',
          'next 194 days',
          'last 302 days',
          'next 135 days',
          'past 322 days',
          'next 175 days',
          'next 331 days',
          'past 202 days',
          'next 267 days',
          'last 309 days',
          'last 196 days',
          'next 248 days',
          'past 349 days',
          'past 271 days',
          'last 240 days',
          'next 147 days',
          'next 230 days',
          'last 130 days',
          'next 271 days',
          'last 340 days',
          'last 294 days',
          'last 270 days',
          'next 358 days',
          'next 285 days',
          'last 181 days',
          'last 272 days',
          'next 263 days',
          'last 344 days',
          'next 238 days',
          'past 323 days',
          'next 345 days',
          'past 261 days',
          'last 351 days',
          'past 220 days',
          'past 178 days',
          'next 352 days',
          'past 274 days',
          'next 156 days',
          'last 250 days',
          'last 118 days',
          'next 305 days',
          'past 177 days',
          'past 236 days',
          'past 267 days',
          'next 265 days',
          'next 310 days',
          'past 139 days',
          'past 101 days',
          'past 104 days',
          'past 119 days',
          'past 312 days',
          'next 333 days',
          'past 223 days',
          'next 292 days',
          'next 225 days',
          'next 253 days',
          'past 266 days',
          'past 206 days',
          'next 356 days',
          'past 143 days',
          'past 108 days',
          'past 308 days',
          'last 356 days',
          'past 124 days',
          'last 156 days',
          'past 237 days',
          'last 233 days',
          'past 208 days',
          'past 132 days',
          'last 105 days',
          'past 353 days',
          'next 130 days',
          'last 200 days',
          'past 296 days',
          'last 301 days',
          'next 166 days',
          'past 172 days',
          'past 131 days',
          'last 252 days',
          'last 347 days',
          'past 189 days',
          'past 310 days',
          'last 126 days',
          'last 172 days',
          'past 183 days',
          'last 134 days',
          'next 185 days',
          'last 165 days',
          'next 141 days',
          'next 193 days',
          'past 300 days',
          'past 151 days',
          'next 326 days',
          'next 117 days',
          'last 234 days',
          'next 216 days',
          'past 321 days',
          'next 110 days',
          'past 239 days',
          'last 306 days',
          'last 277 days',
          'next 146 days',
          'past 259 days',
          'next 287 days',
          'next 290 days',
          'next 108 days',
          'last 119 days',
          'past 175 days',
          'next 254 days',
          'last 157 days',
          'past 262 days',
          'next 297 days',
          'last 259 days',
          'next 322 days',
          'last 159 days',
          'past 216 days',
          'next 183 days',
          'past 186 days',
          'past 263 days',
          'last 188 days',
          'past 156 days',
          'next 210 days',
          'past 145 days',
          'next 177 days',
          'past 162 days',
          'last 288 days',
          'last 164 days',
          'next 128 days',
          'next 228 days',
          'next 192 days',
          'last 274 days',
          'past 113 days',
          'last 269 days',
          'past 147 days',
          'last 362 days',
          'last 265 days',
          'past 235 days',
          'next 188 days',
          'past 228 days',
          'last 197 days',
          'past 230 days',
          'next 167 days',
          'past 103 days',
          'last 363 days',
          'last 328 days',
          'last 311 days',
          'next 277 days',
          'next 101 days',
          'past 192 days',
          'past 168 days',
          'last 216 days',
          'last 341 days',
          'last 287 days',
          'past 314 days',
          'past 319 days',
          'past 226 days',
          'past 291 days',
          'past 190 days',
          'last 205 days',
          'last 187 days',
          'last 177 days',
          'next 280 days',
          'next 309 days',
          'last 304 days',
          'next 113 days',
          'past 352 days',
          'next 299 days',
          'last 158 days',
          'past 227 days',
          'next 207 days',
          'last 144 days',
          'next 317 days',
          'last 352 days',
          'next 234 days',
          'next 247 days',
          'last 127 days',
          'past 197 days',
          'next 301 days',
          'last 170 days',
          'past 128 days',
          'next 181 days',
          'last 255 days',
          'past 328 days',
          'next 260 days',
          'past 289 days',
          'next 294 days',
          'next 231 days',
          'next 160 days',
          'last 271 days',
          'past 118 days',
          'last 220 days',
          'last 315 days',
          'next 154 days',
          'next 269 days',
          'last 106 days',
          'last 325 days',
          'next 364 days',
          'past 141 days',
          'next 176 days',
          'past 134 days',
          'next 258 days',
          'last 280 days',
          'past 316 days',
          'next 159 days',
          'next 281 days',
          'past 211 days',
          'last 242 days',
          'next 229 days',
          'last 163 days',
          'past 335 days',
          'past 133 days',
          'past 303 days',
          'last 152 days',
          'last 312 days',
          'past 180 days',
          'past 213 days',
          'last 198 days',
          'last 285 days',
          'next 266 days',
          'last 149 days',
          'next 354 days',
          'next 190 days',
          'last 263 days',
          'past 201 days',
          'past 138 days',
          'next 131 days',
          'next 298 days',
          'past 256 days',
          'past 231 days',
          'next 344 days',
          'past 204 days',
          'last 201 days',
          'next 237 days',
          'next 162 days',
          'last 276 days',
          'next 239 days',
          'last 169 days',
          'past 341 days',
          'past 280 days',
          'next 158 days',
          'last 332 days',
          'past 191 days',
          'next 270 days',
          'last 317 days',
          'last 125 days',
          'last 206 days',
          'next 204 days',
          'last 365 days',
          'next 226 days',
          'next 121 days',
          'past 149 days',
          'past 326 days',
          'next 211 days',
          'last 211 days',
          'past 286 days',
          'last 243 days',
          'past 233 days',
          'past 357 days',
          'past 333 days',
          'past 117 days',
          'next 314 days',
          'next 133 days',
          'last 327 days',
          'past 195 days',
          'next 120 days',
          'last 199 days',
          'next 105 days',
          'last 236 days',
          'next 205 days',
          'past 121 days',
          'last 273 days',
          'last 235 days',
          'last 308 days',
          'last 335 days',
          'next 257 days',
          'last 168 days',
          'last 254 days',
          'past 277 days',
          'next 191 days',
          'next 250 days',
          'past 295 days',
          'next 140 days',
          'next 165 days',
          'next 195 days',
          'next 320 days',
          'past 187 days',
          'past 248 days',
          'next 111 days',
          'next 169 days',
          'past 260 days',
          'last 246 days',
          'last 190 days',
          'past 106 days',
          'past 182 days',
          'next 311 days',
          'past 152 days',
          'next 318 days',
          'last 133 days',
          'next 143 days',
          'past 246 days',
          'last 345 days',
          'next 107 days',
          'past 217 days',
          'next 168 days',
          'next 213 days',
          'next 284 days',
          'past 348 days',
          'last 141 days',
          'past 269 days',
          'past 281 days',
          'next 178 days',
          'past 292 days',
          'last 333 days',
          'last 132 days',
          'last 123 days',
          'next 350 days',
          'last 293 days',
          'next 174 days',
          'last 337 days',
          'last 150 days',
          'past 193 days',
          'next 268 days',
          'last 228 days',
          'next 186 days',
          'next 323 days',
          'next 339 days',
          'next 198 days',
          'past 288 days',
          'last 101 days',
          'past 331 days',
          'past 354 days',
          'next 242 days',
          'past 166 days',
          'past 293 days',
          'last 215 days',
          'next 346 days',
          'past 120 days',
          'past 159 days',
          'last 261 days',
          'last 218 days',
          'next 272 days',
          'past 224 days',
          'last 207 days',
          'last 326 days',
          'next 118 days',
          'last 193 days',
          'next 187 days',
          'past 215 days',
          'past 282 days',
          'past 325 days',
          'next 264 days',
          'next 223 days',
          'past 255 days',
          'next 244 days',
          'past 351 days',
          'past 115 days',
          'past 290 days',
          'last 289 days',
          'last 297 days',
          'last 357 days',
          'past 302 days',
          'past 114 days',
          'last 300 days',
          'last 131 days',
          'past 301 days',
          'last 174 days',
          'past 364 days',
          'past 111 days',
          'last 298 days',
          'past 126 days',
          'last 210 days',
          'past 318 days',
          'past 272 days',
          'next 296 days',
          'last 320 days',
          'next 184 days',
          'past 339 days',
          'past 158 days',
          'next 279 days',
          'last 257 days',
          'next 102 days',
          'last 361 days',
          'past 249 days',
          'next 252 days',
          'last 151 days',
          'last 239 days',
          'last 124 days',
          'next 236 days',
          'next 152 days',
          'last 355 days',
          'next 145 days',
          'last 212 days',
          'next 361 days',
          'last 113 days',
          'last 104 days',
          'last 154 days',
          'past 184 days',
          'next 240 days',
          'last 275 days',
          'last 290 days',
          'next 341 days',
          'last 336 days',
          'past 109 days',
          'past 198 days',
          'past 207 days',
          'next 115 days',
          'next 276 days',
          'last 140 days',
          'past 125 days',
          'last 219 days',
          'next 303 days',
          'last 129 days',
          'last 358 days',
          'past 315 days',
          'last 262 days',
          'last 230 days',
          'last 166 days',
          'last 224 days',
          'last 109 days',
          'next 153 days',
          'past 307 days',
          'last 138 days',
          'next 161 days',
          'next 206 days',
          'last 192 days',
          'next 189 days',
          'last 195 days',
          'last 260 days',
          'last 179 days',
          'next 125 days',
          'past 243 days',
          'past 305 days',
          'last 268 days',
          'last 162 days',
          'next 155 days',
          'past 219 days',
          'next 136 days',
          'past 294 days',
          'last 103 days',
          'last 303 days',
          'next 227 days',
          'next 342 days',
          'past 229 days',
          'last 184 days',
          'last 111 days',
          'past 285 days',
          'last 102 days',
          'past 283 days',
          'past 330 days',
          'last 147 days',
          'past 258 days',
          'past 265 days',
          'next 332 days',
          'next 330 days',
          'last 143 days',
          'last 296 days',
          'next 232 days',
          'past 273 days',
          'past 344 days',
          'last 346 days',
          'next 171 days',
          'past 203 days',
          'next 172 days',
          'past 276 days',
          'past 332 days',
          'past 362 days',
          'past 268 days',
          'last 318 days',
          'last 266 days',
          'past 342 days',
          'last 191 days',
          'last 348 days',
          'next 208 days',
          'past 142 days',
          'past 222 days',
          'past 253 days',
          'next 336 days',
          'last 310 days',
          'last 186 days',
          'next 182 days',
          'next 134 days',
          'next 340 days',
          'last 278 days',
          'last 316 days',
          'last 360 days',
          'last 286 days',
          'past 146 days',
          'last 329 days',
          'past 350 days',
          'past 358 days',
          'next 148 days',
          'last 146 days',
          'past 361 days',
          'past 212 days',
          'next 122 days',
          'last 349 days',
          'last 319 days',
          'next 275 days',
          'last 324 days',
          'last 338 days',
          'past 275 days',
          'next 150 days',
          'past 340 days',
          'last 292 days',
          'next 355 days',
          'last 182 days',
          'past 130 days',
          'next 338 days',
          'past 157 days',
          'next 126 days',
          'next 138 days',
          'past 210 days',
          'next 201 days',
          'last 231 days',
          'last 291 days',
          'next 129 days',
          'past 116 days',
          'next 351 days',
          'past 336 days',
          'past 129 days',
          'past 337 days',
          'next 357 days',
          'last 282 days',
          'last 160 days',
          'last 107 days',
          'next 278 days',
          'next 365 days',
          'last 225 days',
          'past 155 days',
          'next 319 days',
          'next 306 days',
          'next 119 days',
          'next 235 days',
          'past 167 days',
          'past 102 days',
          'last 237 days',
          'next 359 days',
          'next 217 days',
          'next 249 days',
          'next 144 days',
          'past 161 days',
          'last 354 days',
          'last 279 days',
          'next 300 days',
          'past 306 days',
          'past 311 days',
          'last 100 days',
          'next 196 days',
          'last 238 days',
          'past 169 days',
          'past 284 days',
          'last 122 days',
          'last 112 days',
          'last 110 days',
          'past 107 days',
          'last 214 days',
          'next 180 days',
          'last 321 days',
          'past 179 days',
          'last 339 days',
          'last 117 days',
          'last 178 days',
          'next 313 days',
          'last 353 days',
          'last 350 days',
          'last 185 days',
          'next 255 days',
          'next 295 days',
          'next 157 days',
          'past 304 days',
          'next 363 days',
          'past 100 days',
          'last 258 days',
          'past 343 days',
          'next 328 days',
          'past 185 days',
          'next 362 days',
          'next 212 days',
          'past 356 days',
          'past 225 days',
          'past 245 days',
          'next 215 days',
          'next 353 days',
          'past 240 days',
          'last 299 days',
          'last 173 days',
          'last 176 days',
          'last 175 days',
          'last 222 days',
          'past 324 days',
          'last 305 days',
          'next 200 days',
          'past 160 days',
          'next 221 days',
          'past 270 days',
          'next 179 days',
          'past 309 days',
          'last 330 days',
          'last 121 days',
          'last 331 days',
          'next 289 days',
          'last 251 days',
          'past 320 days',
          'past 105 days',
          'last 161 days',
          'past 252 days',
          'past 188 days',
          'past 181 days',
          'past 359 days',
          'next 114 days',
          'next 202 days',
          'past 136 days',
          'past 251 days',
          'next 123 days',
          'past 127 days',
          'past 334 days',
          'next 164 days',
          'next 312 days',
          'last 208 days',
          'last 343 days',
          'last 142 days',
          'past 347 days',
          'next 139 days',
          'next 293 days',
          'last 217 days',
          'past 110 days',
          'last 264 days',
          'past 254 days',
          'next 197 days',
          'next 288 days',
          'past 154 days',
          'past 164 days',
          'next 325 days',
          'last 155 days',
          'past 171 days',
          'last 136 days',
          'next 127 days',
          'past 250 days',
          'next 273 days',
          'next 291 days',
          'last 120 days',
          'past 173 days',
          'last 209 days',
          'last 223 days',
          'next 218 days',
          'last 167 days',
          'last 116 days',
          'last 221 days',
          'last 114 days',
          'past 360 days',
          'last 247 days',
          'past 170 days',
          'next 321 days',
          'last 284 days',
          'past 196 days',
          'past 244 days',
          'past 234 days',
          'last 115 days',
          'last 194 days',
          'past 297 days',
          'next 337 days',
          'past 112 days',
          'next 259 days',
          'next 334 days',
          'next 343 days',
          'next 222 days',
          'next 151 days',
          'last 153 days',
          'next 137 days',
          'next 142 days',
          'past 140 days',
          'next 308 days',
          'past 363 days',
          'past 176 days',
          'last 323 days',
          'past 329 days',
          'past 346 days',
          'next 315 days',
          'last 171 days',
          'next 170 days',
          'next 224 days',
          'past 123 days',
          'past 257 days',
          'next 203 days',
          'last 313 days',
          'past 299 days',
          'last 314 days',
          'last 128 days',
          'next 112 days',
          'next 209 days',
          'last 245 days',
          'past 221 days',
          'next 100 days',
          'next 348 days',
          'next 243 days',
          'last 145 days',
          'last 253 days',
          'last 189 days',
          'last 227 days',
          'next 104 days',
          'next 173 days',
          'past 365 days',
          'next 347 days',
          'past 298 days',
          'last 135 days',
          'past 199 days',
          'next 360 days',
          'last 342 days',
          'next 103 days',
          'past 287 days',
          'next 199 days',
          'past 135 days',
          'next 245 days',
          'past 241 days',
          'last 248 days',
          'last 359 days',
          'last 203 days',
          'next 329 days',
          'past 327 days',
          'past 194 days',
          'next 274 days',
          'past 278 days',
          'last 213 days',
          'past 345 days',
          'past 242 days',
          'next 251 days',
          'past 338 days',
          'next 109 days',
          'past 150 days',
          'last 281 days',
          'last 226 days',
          'last 256 days',
          'next 163 days',
          'last 241 days',
          'next 261 days',
          'past 214 days',
          'last 295 days',
          'last 307 days',
          'past 174 days',
          'last 244 days',
          'last 334 days',
          'last 229 days',
          'past 264 days',
          'past 205 days',
          'past 148 days',
          'last 322 days',
          'last 50 days',
          'next 37 days',
          '141 days ago',
          'next 70 days',
          '276 days ago',
          '219 days ago',
          'last 71 days',
          'past 35 days',
          '214 days ago',
          'last 98 days',
          '363 days ago',
          '218 days ago',
          'past 24 days',
          '336 days ago',
          '103 days ago',
          'past 31 days',
          'last 70 days',
          '206 days ago',
          'next 13 days',
          'last 57 days',
          'last 93 days',
          'past 33 days',
          '159 days ago',
          '120 days ago',
          '173 days ago',
          'last 53 days',
          '196 days ago',
          '312 days ago',
          'past 94 days',
          '174 days ago',
          'next 41 days',
          'past 98 days',
          '323 days ago',
          '332 days ago',
          'past 44 days',
          '223 days ago',
          '118 days ago',
          'next 11 days',
          'last 41 days',
          '348 days ago',
          '227 days ago',
          'next 88 days',
          'next 87 days',
          '221 days ago',
          '212 days ago',
          'next 96 days',
          'next 23 days',
          'next 58 days',
          'next 84 days',
          'next 45 days',
          'past 97 days',
          'past 20 days',
          '188 days ago',
          '155 days ago',
          '163 days ago',
          'last 25 days',
          'past 12 days',
          '293 days ago',
          '327 days ago',
          'last 40 days',
          'next 20 days',
          'next 34 days',
          '298 days ago',
          'next 79 days',
          'last 37 days',
          '107 days ago',
          '143 days ago',
          '335 days ago',
          '199 days ago',
          'next 39 days',
          'last 76 days',
          'last 19 days',
          'last 14 days',
          '340 days ago',
          '230 days ago',
          '289 days ago',
          '124 days ago',
          '168 days ago',
          '125 days ago',
          'past 99 days',
          'next 69 days',
          '151 days ago',
          '142 days ago',
          '365 days ago',
          'past 52 days',
          'next 91 days',
          '220 days ago',
          'next 81 days',
          'past 18 days',
          'last 81 days',
          'past 34 days',
          '270 days ago',
          'last 68 days',
          '244 days ago',
          'next 92 days',
          '344 days ago',
          '300 days ago',
          'past 91 days',
          '305 days ago',
          'last 22 days',
          'last 67 days',
          'next 57 days',
          'next 43 days',
          '307 days ago',
          '347 days ago',
          '360 days ago',
          '250 days ago',
          'last 58 days',
          'past 69 days',
          'last 21 days',
          '117 days ago',
          'past 57 days',
          '274 days ago',
          'next 71 days',
          '119 days ago',
          '140 days ago',
          'last 43 days',
          'past 11 days',
          'last 90 days',
          'next 67 days',
          '192 days ago',
          'past 64 days',
          '304 days ago',
          '108 days ago',
          'past 67 days',
          '243 days ago',
          'past 72 days',
          '286 days ago',
          '281 days ago',
          'past 43 days',
          '324 days ago',
          '157 days ago',
          'past 61 days',
          'next 48 days',
          'last 20 days',
          'last 60 days',
          'next 16 days',
          '105 days ago',
          '208 days ago',
          '309 days ago',
          'past 84 days',
          '170 days ago',
          '127 days ago',
          'past 90 days',
          'past 26 days',
          '201 days ago',
          'last 66 days',
          '350 days ago',
          'past 45 days',
          'next 98 days',
          '150 days ago',
          'past 29 days',
          '337 days ago',
          '233 days ago',
          '115 days ago',
          'last 15 days',
          '352 days ago',
          '101 days ago',
          '213 days ago',
          '169 days ago',
          '238 days ago',
          '297 days ago',
          '153 days ago',
          'next 61 days',
          '149 days ago',
          '256 days ago',
          'past 32 days',
          'last 17 days',
          '275 days ago',
          'next 15 days',
          'next 55 days',
          '172 days ago',
          '165 days ago',
          '288 days ago',
          'last 64 days',
          '355 days ago',
          'next 82 days',
          'last 63 days',
          '326 days ago',
          '278 days ago',
          'past 66 days',
          'next 66 days',
          'last 38 days',
          'last 86 days',
          '203 days ago',
          'past 93 days',
          'past 83 days',
          '299 days ago',
          'past 39 days',
          'past 47 days',
          'past 68 days',
          'last 56 days',
          'past 89 days',
          'last 30 days',
          '310 days ago',
          'last 45 days',
          '194 days ago',
          '290 days ago',
          'next 78 days',
          'past 56 days',
          '237 days ago',
          '182 days ago',
          'past 82 days',
          '176 days ago',
          'past 79 days',
          'past 86 days',
          '333 days ago',
          'next 95 days',
          '178 days ago',
          '197 days ago',
          'past 75 days',
          '216 days ago',
          '222 days ago',
          'next 94 days',
          'last 32 days',
          '273 days ago',
          'last 28 days',
          '267 days ago',
          '114 days ago',
          'past 48 days',
          'past 85 days',
          '353 days ago',
          'past 63 days',
          '171 days ago',
          '130 days ago',
          '283 days ago',
          '240 days ago',
          'last 88 days',
          '295 days ago',
          '236 days ago',
          'last 29 days',
          'past 49 days',
          '104 days ago',
          'last 42 days',
          'past 76 days',
          'past 22 days',
          '311 days ago',
          '325 days ago',
          '207 days ago',
          'next 68 days',
          'next 80 days',
          'next 12 days',
          '215 days ago',
          'last 24 days',
          'next 49 days',
          '129 days ago',
          '264 days ago',
          'past 27 days',
          '232 days ago',
          '291 days ago',
          '314 days ago',
          'next 97 days',
          '279 days ago',
          '331 days ago',
          'last 11 days',
          '112 days ago',
          'past 71 days',
          '319 days ago',
          '248 days ago',
          '329 days ago',
          '131 days ago',
          '334 days ago',
          'last 61 days',
          'past 95 days',
          '296 days ago',
          'last 65 days',
          'past 21 days',
          '322 days ago',
          '186 days ago',
          'next 18 days',
          'next 24 days',
          'next 74 days',
          '351 days ago',
          '217 days ago',
          '139 days ago',
          'last 33 days',
          'last 36 days',
          '239 days ago',
          'past 15 days',
          '136 days ago',
          '254 days ago',
          '257 days ago',
          'next 26 days',
          '316 days ago',
          'last 46 days',
          'last 10 days',
          '198 days ago',
          '111 days ago',
          'past 42 days',
          'past 25 days',
          'last 12 days',
          '328 days ago',
          'past 70 days',
          'next 52 days',
          '209 days ago',
          'next 53 days',
          'past 40 days',
          'next 17 days',
          'next 56 days',
          '226 days ago',
          'last 87 days',
          'past 17 days',
          '285 days ago',
          'next 72 days',
          '193 days ago',
          '191 days ago',
          '162 days ago',
          'next 89 days',
          '123 days ago',
          '261 days ago',
          '330 days ago',
          'past 58 days',
          'last 84 days',
          'past 92 days',
          'next 40 days',
          'last 83 days',
          'next 50 days',
          'last 49 days',
          '357 days ago',
          'past 80 days',
          '116 days ago',
          'last 16 days',
          '265 days ago',
          'last 52 days',
          '241 days ago',
          'last 73 days',
          '138 days ago',
          'next 19 days',
          'next 85 days',
          '263 days ago',
          'last 23 days',
          '179 days ago',
          'past 65 days',
          'past 55 days',
          'last 99 days',
          '187 days ago',
          'last 35 days',
          'next 73 days',
          '354 days ago',
          '361 days ago',
          'next 47 days',
          '271 days ago',
          '145 days ago',
          'next 29 days',
          '229 days ago',
          'next 59 days',
          '205 days ago',
          '148 days ago',
          'next 76 days',
          '246 days ago',
          '251 days ago',
          '268 days ago',
          'past 37 days',
          '284 days ago',
          '177 days ago',
          'next 21 days',
          '303 days ago',
          '260 days ago',
          'last 97 days',
          '152 days ago',
          'past 30 days',
          'next 64 days',
          '109 days ago',
          'last 80 days',
          '320 days ago',
          '292 days ago',
          '282 days ago',
          '160 days ago',
          '252 days ago',
          '135 days ago',
          'next 83 days',
          'last 74 days',
          '132 days ago',
          '339 days ago',
          '184 days ago',
          '262 days ago',
          '211 days ago',
          'next 31 days',
          'past 54 days',
          'past 73 days',
          'past 78 days',
          'past 51 days',
          '341 days ago',
          'past 19 days',
          'last 31 days',
          '259 days ago',
          'next 44 days',
          '338 days ago',
          'next 93 days',
          'next 25 days',
          '266 days ago',
          '110 days ago',
          '202 days ago',
          '164 days ago',
          '183 days ago',
          '190 days ago',
          'past 60 days',
          '181 days ago',
          'last 59 days',
          '106 days ago',
          '277 days ago',
          '166 days ago',
          '235 days ago',
          '161 days ago',
          'last 91 days',
          'next 77 days',
          '195 days ago',
          'past 77 days',
          '315 days ago',
          '100 days ago',
          '147 days ago',
          '269 days ago',
          '126 days ago',
          'last 75 days',
          'next 51 days',
          '308 days ago',
          '156 days ago',
          'next 38 days',
          'past 10 days',
          'last 69 days',
          '113 days ago',
          'last 72 days',
          'next 86 days',
          '294 days ago',
          'past 74 days',
          '345 days ago',
          'past 13 days',
          '356 days ago',
          'last 44 days',
          '346 days ago',
          '349 days ago',
          '253 days ago',
          '225 days ago',
          '343 days ago',
          'last 78 days',
          'last 51 days',
          '185 days ago',
          '121 days ago',
          '301 days ago',
          '358 days ago',
          '313 days ago',
          'past 53 days',
          '189 days ago',
          '158 days ago',
          '102 days ago',
          'past 36 days',
          'past 28 days',
          'last 89 days',
          '128 days ago',
          'last 27 days',
          'next 62 days',
          '234 days ago',
          '144 days ago',
          'last 62 days',
          '122 days ago',
          'last 39 days',
          '228 days ago',
          '359 days ago',
          'last 13 days',
          'last 77 days',
          'past 16 days',
          '364 days ago',
          'past 14 days',
          'last 34 days',
          '302 days ago',
          '318 days ago',
          'last 95 days',
          'next 54 days',
          'past 46 days',
          '362 days ago',
          '133 days ago',
          '245 days ago',
          '342 days ago',
          '175 days ago',
          'last 18 days',
          'past 38 days',
          'next 22 days',
          'last 48 days',
          'next 10 days',
          'last 94 days',
          'past 41 days',
          'past 50 days',
          'last 79 days',
          '280 days ago',
          '146 days ago',
          'last 26 days',
          'next 27 days',
          '249 days ago',
          '255 days ago',
          'past 96 days',
          'past 23 days',
          '154 days ago',
          '210 days ago',
          'next 46 days',
          'next 33 days',
          '180 days ago',
          '200 days ago',
          '204 days ago',
          '167 days ago',
          'past 88 days',
          'next 65 days',
          'last 82 days',
          'next 32 days',
          'next 14 days',
          'next 36 days',
          '242 days ago',
          'next 90 days',
          'last 47 days',
          'last 92 days',
          'next 35 days',
          '231 days ago',
          '321 days ago',
          '224 days ago',
          'next 60 days',
          'next 28 days',
          'past 62 days',
          '287 days ago',
          '306 days ago',
          'next 42 days',
          'next 75 days',
          '134 days ago',
          '137 days ago',
          'last 96 days',
          'next 99 days',
          'last 54 days',
          'past 87 days',
          'next 30 days',
          'last 55 days',
          'past 59 days',
          'past 81 days',
          '272 days ago',
          'last 85 days',
          'next 63 days',
          '247 days ago',
          '317 days ago',
          '258 days ago',
          'in 227 days',
          '55 days ago',
          'in 302 days',
          '20 days ago',
          'in 147 days',
          'in 125 days',
          '83 days ago',
          '42 days ago',
          'in 249 days',
          '54 days ago',
          '13 days ago',
          'in 317 days',
          'in 314 days',
          'in 264 days',
          '59 days ago',
          '73 days ago',
          'in 359 days',
          'in 291 days',
          '37 days ago',
          'in 273 days',
          '50 days ago',
          'in 195 days',
          'in 257 days',
          'in 226 days',
          'in 152 days',
          '74 days ago',
          'in 197 days',
          '47 days ago',
          'in 232 days',
          'in 103 days',
          'in 183 days',
          'in 124 days',
          '80 days ago',
          'in 242 days',
          'last 2 days',
          '81 days ago',
          'past 4 days',
          'in 243 days',
          'past 6 days',
          'in 216 days',
          '21 days ago',
          'in 263 days',
          'in 180 days',
          '91 days ago',
          'in 251 days',
          '44 days ago',
          '38 days ago',
          '17 days ago',
          'in 349 days',
          'in 119 days',
          'in 271 days',
          'in 123 days',
          'in 167 days',
          'in 297 days',
          '68 days ago',
          'in 140 days',
          'in 268 days',
          '98 days ago',
          'in 210 days',
          'in 330 days',
          'in 186 days',
          'past 7 days',
          'in 331 days',
          'in 172 days',
          'in 199 days',
          'next 8 days',
          'in 364 days',
          'in 310 days',
          'in 111 days',
          'in 305 days',
          'in 321 days',
          'in 250 days',
          'past 8 days',
          '36 days ago',
          'in 171 days',
          'in 269 days',
          'in 244 days',
          'in 234 days',
          '66 days ago',
          '64 days ago',
          'in 344 days',
          'in 225 days',
          'in 105 days',
          '94 days ago',
          'in 272 days',
          '49 days ago',
          'last 5 days',
          'in 301 days',
          'in 204 days',
          'in 329 days',
          '24 days ago',
          '79 days ago',
          'in 313 days',
          'in 279 days',
          'in 289 days',
          'in 300 days',
          'in 293 days',
          '84 days ago',
          'in 133 days',
          'in 318 days',
          'in 154 days',
          'in 246 days',
          'in 299 days',
          'in 218 days',
          'in 161 days',
          'in 228 days',
          'in 115 days',
          '28 days ago',
          '72 days ago',
          'last 4 days',
          'last 9 days',
          '56 days ago',
          'in 134 days',
          'in 327 days',
          '61 days ago',
          'in 118 days',
          '34 days ago',
          'in 159 days',
          'in 101 days',
          'next 5 days',
          'in 236 days',
          '45 days ago',
          'in 363 days',
          '57 days ago',
          'in 292 days',
          'in 174 days',
          '97 days ago',
          'in 255 days',
          '76 days ago',
          'in 126 days',
          '16 days ago',
          '40 days ago',
          '93 days ago',
          'in 278 days',
          'in 295 days',
          'in 258 days',
          '33 days ago',
          '86 days ago',
          'in 233 days',
          'in 141 days',
          'in 342 days',
          'next 6 days',
          'in 201 days',
          'in 354 days',
          'in 346 days',
          'in 143 days',
          'in 334 days',
          'in 179 days',
          'in 248 days',
          'in 237 days',
          '53 days ago',
          'in 348 days',
          'in 116 days',
          'in 191 days',
          'in 351 days',
          'in 231 days',
          'in 158 days',
          '12 days ago',
          'last 3 days',
          'in 194 days',
          'in 308 days',
          'in 160 days',
          'in 149 days',
          'in 217 days',
          'in 290 days',
          'in 165 days',
          'in 275 days',
          'in 144 days',
          'in 193 days',
          'in 306 days',
          'in 303 days',
          'in 277 days',
          '71 days ago',
          'in 198 days',
          '78 days ago',
          'in 151 days',
          'in 110 days',
          'in 352 days',
          'in 360 days',
          'in 261 days',
          '67 days ago',
          'in 137 days',
          'in 162 days',
          'in 219 days',
          'in 135 days',
          'in 309 days',
          '18 days ago',
          '25 days ago',
          'in 239 days',
          'in 280 days',
          'in 107 days',
          'in 211 days',
          'in 276 days',
          'in 132 days',
          '10 days ago',
          'in 324 days',
          'in 235 days',
          'in 189 days',
          'in 176 days',
          'in 102 days',
          'in 311 days',
          'in 286 days',
          'in 230 days',
          'in 188 days',
          '31 days ago',
          'in 340 days',
          'in 247 days',
          'in 274 days',
          '70 days ago',
          'in 323 days',
          'in 213 days',
          'in 203 days',
          'in 178 days',
          'in 146 days',
          'in 254 days',
          'in 339 days',
          '69 days ago',
          'in 157 days',
          'in 312 days',
          'in 170 days',
          '35 days ago',
          'in 296 days',
          'in 238 days',
          '15 days ago',
          '90 days ago',
          'in 343 days',
          'in 221 days',
          '26 days ago',
          'in 281 days',
          'in 205 days',
          '77 days ago',
          'in 285 days',
          '29 days ago',
          'in 153 days',
          'in 104 days',
          'in 322 days',
          'in 332 days',
          'in 259 days',
          'in 223 days',
          'in 252 days',
          '60 days ago',
          'in 357 days',
          '46 days ago',
          'in 215 days',
          'in 241 days',
          'in 362 days',
          'in 175 days',
          'in 288 days',
          'in 142 days',
          'in 150 days',
          'in 328 days',
          'in 253 days',
          'in 294 days',
          'in 182 days',
          '95 days ago',
          'in 358 days',
          '48 days ago',
          'past 3 days',
          'in 173 days',
          'in 284 days',
          'in 320 days',
          '99 days ago',
          'in 356 days',
          'in 185 days',
          'in 240 days',
          'in 139 days',
          'in 333 days',
          'in 267 days',
          'in 117 days',
          'in 122 days',
          '58 days ago',
          'in 192 days',
          'in 282 days',
          'in 355 days',
          'in 129 days',
          'in 196 days',
          'in 163 days',
          'in 336 days',
          'in 325 days',
          'in 145 days',
          'in 319 days',
          'in 262 days',
          'in 169 days',
          'in 270 days',
          '11 days ago',
          'in 130 days',
          'in 287 days',
          'in 114 days',
          'last 8 days',
          'in 113 days',
          'past 5 days',
          'in 220 days',
          '96 days ago',
          'last 7 days',
          'in 307 days',
          'in 326 days',
          'next 3 days',
          'in 136 days',
          'in 202 days',
          'in 108 days',
          'in 229 days',
          'in 260 days',
          'in 164 days',
          '43 days ago',
          'in 266 days',
          'in 177 days',
          '14 days ago',
          '19 days ago',
          '88 days ago',
          'in 206 days',
          'in 245 days',
          '32 days ago',
          'next 2 days',
          '52 days ago',
          'in 190 days',
          '62 days ago',
          'in 109 days',
          'in 341 days',
          'in 127 days',
          'in 181 days',
          'in 100 days',
          'in 337 days',
          'in 184 days',
          '82 days ago',
          'in 207 days',
          'in 222 days',
          '22 days ago',
          'next 4 days',
          '75 days ago',
          'in 361 days',
          'in 166 days',
          '92 days ago',
          'past 9 days',
          'in 214 days',
          'in 168 days',
          '85 days ago',
          'in 265 days',
          '30 days ago',
          'in 345 days',
          '27 days ago',
          '65 days ago',
          'in 224 days',
          'in 350 days',
          '51 days ago',
          'in 353 days',
          'in 315 days',
          'next 9 days',
          'in 120 days',
          'last 6 days',
          'in 347 days',
          'in 283 days',
          '23 days ago',
          'in 131 days',
          'next 7 days',
          'in 156 days',
          'in 121 days',
          'in 155 days',
          'in 138 days',
          'in 304 days',
          'in 212 days',
          '89 days ago',
          'in 365 days',
          '63 days ago',
          'in 298 days',
          'in 112 days',
          'in 106 days',
          'in 209 days',
          'in 335 days',
          'in 208 days',
          'in 187 days',
          '87 days ago',
          'past 2 days',
          'in 316 days',
          '41 days ago',
          'in 148 days',
          'in 338 days',
          'in 200 days',
          'in 128 days',
          '39 days ago',
          'in 256 days',
          'in 62 days',
          'in 97 days',
          'in 20 days',
          'in 86 days',
          'in 73 days',
          'in 68 days',
          'in 36 days',
          'in 77 days',
          'in 35 days',
          'in 11 days',
          'in 26 days',
          'in 54 days',
          'in 16 days',
          'in 12 days',
          'in 95 days',
          'in 58 days',
          'in 51 days',
          'in 43 days',
          'in 82 days',
          'in 24 days',
          'in 39 days',
          'in 18 days',
          'in 80 days',
          'in 29 days',
          'in 84 days',
          '8 days ago',
          'in 79 days',
          'in 47 days',
          'in 66 days',
          'in 55 days',
          'in 91 days',
          'in 72 days',
          'in 83 days',
          'in 92 days',
          'in 94 days',
          'in 21 days',
          'in 67 days',
          'in 96 days',
          'in 13 days',
          'in 57 days',
          'in 93 days',
          'in 88 days',
          'in 59 days',
          'in 64 days',
          'in 46 days',
          'in 41 days',
          'in 85 days',
          'in 19 days',
          'in 38 days',
          '6 days ago',
          'in 17 days',
          'in 74 days',
          'in 15 days',
          'in 98 days',
          'in 52 days',
          'in 90 days',
          'in 78 days',
          'in 33 days',
          '9 days ago',
          'in 65 days',
          'in 81 days',
          'in 10 days',
          'in 48 days',
          'in 60 days',
          'in 28 days',
          'in 25 days',
          '7 days ago',
          'in 37 days',
          'in 63 days',
          '2 days ago',
          'in 49 days',
          'in 42 days',
          'in 40 days',
          'in 50 days',
          'in 99 days',
          'in 53 days',
          'in 27 days',
          '5 days ago',
          'in 61 days',
          'in 69 days',
          'in 44 days',
          'in 23 days',
          'in 71 days',
          'in 34 days',
          'in 89 days',
          'in 70 days',
          'in 87 days',
          'in 75 days',
          '4 days ago',
          '3 days ago',
          'in 76 days',
          'in 45 days',
          'in 30 days',
          'in 31 days',
          'in 22 days',
          'in 32 days',
          'in 14 days',
          'in 56 days',
          'in 9 days',
          'in 4 days',
          'in 7 days',
          'in 8 days',
          'in 6 days',
          'in 2 days',
          'in 5 days',
          'in 3 days'],
 'few': ['a few minutes ago',
         'a few seconds ago',
         'a few months ago',
         'a few hours ago',
         'a few weeks ago',
         'a few years ago',
         'a few secs ago',
         'a few mins ago',
         'a few days ago',
         'a few hrs ago',
         'a few wks ago',
         'a few yrs ago',
         'a few mos ago'],
 'from': ['53 minutes from now',
          '21 seconds from now',
          '59 minutes from now',
          '31 seconds from now',
          '26 minutes from now',
          '32 seconds from now',
          '50 minutes from now',
          '19 seconds from now',
          '18 minutes from now',
          '47 seconds from now',
          '45 minutes from now',
          '16 seconds from now',
          '17 seconds from now',
          '41 seconds from now',
          '18 seconds from now',
          '36 minutes from now',
          '13 minutes from now',
          '30 minutes from now',
          '59 seconds from now',
          '38 seconds from now',
          '39 minutes from now',
          '25 minutes from now',
          '10 seconds from now',
          '54 minutes from now',
          "1 second's from now",
          '12 seconds from now',
          '12 minutes from now',
          '34 seconds from now',
          '22 minutes from now',
          '33 minutes from now',
          '20 minutes from now',
          '36 seconds from now',
          '51 seconds from now',
          '35 seconds from now',
          '31 minutes from now',
          '46 minutes from now',
          '21 minutes from now',
          '37 minutes from now',
          '30 seconds from now',
          '14 seconds from now',
          '29 minutes from now',
          '53 seconds from now',
          '49 minutes from now',
          '29 seconds from now',
          '26 seconds from now',
          '58 seconds from now',
          '44 seconds from now',
          '28 seconds from now',
          '51 minutes from now',
          '35 minutes from now',
          '56 minutes from now',
          '43 seconds from now',
          "1 minute's from now",
          '58 minutes from now',
          '52 seconds from now',
          '13 seconds from now',
          '23 seconds from now',
          '16 minutes from now',
          '48 minutes from now',
          '27 seconds from now',
          '55 minutes from now',
          '27 minutes from now',
          '57 seconds from now',
          '38 minutes from now',
          '23 minutes from now',
          '15 minutes from now',
          '37 seconds from now',
          '54 seconds from now',
          '45 seconds from now',
          '20 seconds from now',
          '14 minutes from now',
          '10 minutes from now',
          '48 seconds from now',
          '19 minutes from now',
          '43 minutes from now',
          '55 seconds from now',
          '50 seconds from now',
          '47 minutes from now',
          '42 seconds from now',
          '49 seconds from now',
          '24 seconds from now',
          '39 seconds from now',
          '60 seconds from now',
          '34 minutes from now',
          '41 minutes from now',
          '40 minutes from now',
          '52 minutes from now',
          '46 seconds from now',
          '42 minutes from now',
          '15 seconds from now',
          '32 minutes from now',
          '22 seconds from now',
          '44 minutes from now',
          '57 minutes from now',
          '60 minutes from now',
          '40 seconds from now',
          '56 seconds from now',
          '24 minutes from now',
          '11 minutes from now',
          '33 seconds from now',
          '11 seconds from now',
          '25 seconds from now',
          '17 minutes from now',
          '28 minutes from now',
          '3 minutes from now',
          '21 months from now',
          '5 seconds from now',
          '17 months from now',
          '12 months from now',
          '16 months from now',
          '100 years from now',
          '2 minutes from now',
          '7 minutes from now',
          '10 months from now',
          '24 months from now',
          '14 months from now',
          '7 seconds from now',
          '22 months from now',
          '15 months from now',
          '13 months from now',
          '23 months from now',
          '5 minutes from now',
          '8 seconds from now',
          '19 months from now',
          '9 minutes from now',
          '11 months from now',
          '2 seconds from now',
          '6 seconds from now',
          '20 months from now',
          "1 month's from now",
          '4 minutes from now',
          '4 seconds from now',
          '9 seconds from now',
          '8 minutes from now',
          '3 seconds from now',
          '6 minutes from now',
          '18 months from now',
          '1 minute from now',
          '276 days from now',
          '113 days from now',
          '26 years from now',
          '182 days from now',
          '266 days from now',
          '29 years from now',
          '88 years from now',
          '151 days from now',
          '160 days from now',
          '59 years from now',
          '8 months from now',
          '47 weeks from now',
          '359 days from now',
          '308 days from now',
          '201 days from now',
          '23 weeks from now',
          '148 days from now',
          '108 days from now',
          '298 days from now',
          '313 days from now',
          '228 days from now',
          '24 years from now',
          '192 days from now',
          '11 weeks from now',
          '35 years from now',
          '98 years from now',
          "1 week's from now",
          '346 days from now',
          '251 days from now',
          '19 hours from now',
          '30 years from now',
          '202 days from now',
          '46 weeks from now',
          '29 weeks from now',
          '118 days from now',
          '205 days from now',
          '21 hours from now',
          '191 days from now',
          '69 years from now',
          '216 days from now',
          '277 days from now',
          '94 years from now',
          '12 years from now',
          '339 days from now',
          '211 days from now',
          '51 weeks from now',
          '2 months from now',
          '81 years from now',
          '19 weeks from now',
          '24 weeks from now',
          '137 days from now',
          '262 days from now',
          '275 days from now',
          '318 days from now',
          '161 days from now',
          '72 years from now',
          '14 weeks from now',
          '142 days from now',
          '93 years from now',
          '50 weeks from now',
          '120 days from now',
          '158 days from now',
          '327 days from now',
          '132 days from now',
          '10 years from now',
          '265 days from now',
          '208 days from now',
          '362 days from now',
          '171 days from now',
          '21 years from now',
          '27 weeks from now',
          '305 days from now',
          '303 days from now',
          '229 days from now',
          '232 days from now',
          '6 months from now',
          '153 days from now',
          '365 days from now',
          '226 days from now',
          '267 days from now',
          '285 days from now',
          '187 days from now',
          '164 days from now',
          '316 days from now',
          '40 weeks from now',
          '41 weeks from now',
          '33 weeks from now',
          '358 days from now',
          '65 years from now',
          '42 weeks from now',
          '244 days from now',
          '116 days from now',
          '301 days from now',
          '7 months from now',
          '181 days from now',
          '193 days from now',
          '119 days from now',
          '52 years from now',
          '39 years from now',
          '90 years from now',
          '197 days from now',
          '167 days from now',
          '170 days from now',
          '218 days from now',
          '314 days from now',
          '237 days from now',
          '11 years from now',
          '71 years from now',
          '48 weeks from now',
          '223 days from now',
          '322 days from now',
          '352 days from now',
          '56 years from now',
          '176 days from now',
          '356 days from now',
          '174 days from now',
          '68 years from now',
          '254 days from now',
          '195 days from now',
          '16 hours from now',
          '84 years from now',
          '203 days from now',
          '324 days from now',
          '96 years from now',
          '16 weeks from now',
          '152 days from now',
          '163 days from now',
          '312 days from now',
          '353 days from now',
          '97 years from now',
          '123 days from now',
          '37 years from now',
          '32 years from now',
          '12 weeks from now',
          '315 days from now',
          '219 days from now',
          '188 days from now',
          '206 days from now',
          '334 days from now',
          '15 years from now',
          '213 days from now',
          '270 days from now',
          '179 days from now',
          '299 days from now',
          '190 days from now',
          '214 days from now',
          '15 weeks from now',
          '43 weeks from now',
          '92 years from now',
          '57 years from now',
          '261 days from now',
          '78 years from now',
          '336 days from now',
          '296 days from now',
          '41 years from now',
          '242 days from now',
          '291 days from now',
          '194 days from now',
          '43 years from now',
          '13 years from now',
          '239 days from now',
          '172 days from now',
          '140 days from now',
          '310 days from now',
          '252 days from now',
          '127 days from now',
          '175 days from now',
          '129 days from now',
          '103 days from now',
          '320 days from now',
          '300 days from now',
          '77 years from now',
          '64 years from now',
          '23 years from now',
          '349 days from now',
          '209 days from now',
          '288 days from now',
          '165 days from now',
          '18 weeks from now',
          '28 weeks from now',
          '124 days from now',
          '54 years from now',
          '102 days from now',
          '36 weeks from now',
          '53 years from now',
          '146 days from now',
          '10 hours from now',
          '166 days from now',
          '141 days from now',
          '26 weeks from now',
          '255 days from now',
          '51 years from now',
          '224 days from now',
          '17 hours from now',
          '31 years from now',
          '86 years from now',
          '20 weeks from now',
          '345 days from now',
          '248 days from now',
          '155 days from now',
          '326 days from now',
          '16 years from now',
          '34 weeks from now',
          '357 days from now',
          '45 weeks from now',
          '290 days from now',
          '295 days from now',
          '259 days from now',
          '17 weeks from now',
          '319 days from now',
          '82 years from now',
          '355 days from now',
          '19 years from now',
          '4 months from now',
          '332 days from now',
          '85 years from now',
          '230 days from now',
          '39 weeks from now',
          "1 hour's from now",
          '128 days from now',
          '67 years from now',
          '20 years from now',
          '169 days from now',
          '38 weeks from now',
          '302 days from now',
          '272 days from now',
          '268 days from now',
          '3 months from now',
          '121 days from now',
          '125 days from now',
          '196 days from now',
          '344 days from now',
          '234 days from now',
          '220 days from now',
          '317 days from now',
          '338 days from now',
          '114 days from now',
          '28 years from now',
          '231 days from now',
          '46 years from now',
          '247 days from now',
          '38 years from now',
          '293 days from now',
          '23 hours from now',
          '21 weeks from now',
          '273 days from now',
          '95 years from now',
          '27 years from now',
          '42 years from now',
          '204 days from now',
          '279 days from now',
          '341 days from now',
          '227 days from now',
          '33 years from now',
          '106 days from now',
          '342 days from now',
          '347 days from now',
          '145 days from now',
          '91 years from now',
          '136 days from now',
          '364 days from now',
          '280 days from now',
          '340 days from now',
          '44 weeks from now',
          '131 days from now',
          '348 days from now',
          '126 days from now',
          '331 days from now',
          '60 years from now',
          '253 days from now',
          '189 days from now',
          '360 days from now',
          '343 days from now',
          '24 hours from now',
          '30 weeks from now',
          '350 days from now',
          '150 days from now',
          '75 years from now',
          '37 weeks from now',
          '258 days from now',
          '323 days from now',
          '225 days from now',
          '221 days from now',
          '70 years from now',
          '105 days from now',
          '55 years from now',
          '89 years from now',
          '217 days from now',
          '22 weeks from now',
          '74 years from now',
          '287 days from now',
          '110 days from now',
          '177 days from now',
          '58 years from now',
          '35 weeks from now',
          '111 days from now',
          '5 months from now',
          '149 days from now',
          '47 years from now',
          '52 weeks from now',
          '122 days from now',
          '10 weeks from now',
          '207 days from now',
          '73 years from now',
          '199 days from now',
          '13 hours from now',
          '284 days from now',
          '112 days from now',
          '245 days from now',
          '289 days from now',
          '83 years from now',
          '321 days from now',
          '257 days from now',
          '99 years from now',
          '271 days from now',
          '61 years from now',
          '154 days from now',
          '143 days from now',
          '264 days from now',
          '22 hours from now',
          '200 days from now',
          '246 days from now',
          '198 days from now',
          '80 years from now',
          '269 days from now',
          '18 hours from now',
          '329 days from now',
          '185 days from now',
          '236 days from now',
          '297 days from now',
          '159 days from now',
          '168 days from now',
          '76 years from now',
          '144 days from now',
          '34 years from now',
          '135 days from now',
          '282 days from now',
          '178 days from now',
          '307 days from now',
          '184 days from now',
          '100 days from now',
          '281 days from now',
          '309 days from now',
          '222 days from now',
          '63 years from now',
          '20 hours from now',
          '278 days from now',
          '40 years from now',
          '115 days from now',
          '233 days from now',
          '15 hours from now',
          '107 days from now',
          '351 days from now',
          '130 days from now',
          '25 weeks from now',
          '62 years from now',
          '133 days from now',
          '240 days from now',
          '109 days from now',
          '183 days from now',
          '294 days from now',
          '283 days from now',
          '79 years from now',
          '44 years from now',
          '256 days from now',
          '49 weeks from now',
          '173 days from now',
          '306 days from now',
          '363 days from now',
          '354 days from now',
          '17 years from now',
          '292 days from now',
          '250 days from now',
          '14 years from now',
          '45 years from now',
          '147 days from now',
          '243 days from now',
          '117 days from now',
          '12 hours from now',
          '286 days from now',
          '330 days from now',
          '337 days from now',
          '48 years from now',
          '31 weeks from now',
          '304 days from now',
          '325 days from now',
          '9 months from now',
          '138 days from now',
          '66 years from now',
          '238 days from now',
          '1 second from now',
          '260 days from now',
          '104 days from now',
          '25 years from now',
          '18 years from now',
          '311 days from now',
          '14 hours from now',
          '156 days from now',
          '186 days from now',
          '36 years from now',
          '274 days from now',
          '50 years from now',
          '180 days from now',
          '249 days from now',
          '49 years from now',
          '101 days from now',
          '134 days from now',
          '157 days from now',
          '241 days from now',
          '335 days from now',
          '328 days from now',
          '32 weeks from now',
          '263 days from now',
          "1 year's from now",
          '22 years from now',
          '87 years from now',
          '215 days from now',
          '235 days from now',
          '333 days from now',
          '361 days from now',
          '162 days from now',
          '212 days from now',
          '11 hours from now',
          '13 weeks from now',
          '139 days from now',
          '210 days from now',
          '21 secs from now',
          '57 days from now',
          '21 days from now',
          '22 secs from now',
          '72 days from now',
          '15 days from now',
          '16 days from now',
          '5 weeks from now',
          '17 days from now',
          '52 days from now',
          '32 mins from now',
          '75 days from now',
          '6 hours from now',
          '60 mins from now',
          '24 days from now',
          '36 mins from now',
          '17 secs from now',
          '39 days from now',
          '26 secs from now',
          '36 secs from now',
          '49 secs from now',
          '58 secs from now',
          '74 days from now',
          '40 days from now',
          '66 days from now',
          '26 mins from now',
          '57 secs from now',
          '79 days from now',
          '58 mins from now',
          '59 secs from now',
          '32 days from now',
          '54 days from now',
          '14 days from now',
          '37 secs from now',
          '53 days from now',
          '40 secs from now',
          '62 days from now',
          '8 weeks from now',
          '84 days from now',
          '90 days from now',
          '5 hours from now',
          '46 mins from now',
          '27 secs from now',
          '25 mins from now',
          '50 mins from now',
          '45 secs from now',
          '94 days from now',
          '71 days from now',
          '33 mins from now',
          '23 days from now',
          '35 mins from now',
          '58 days from now',
          '98 days from now',
          '17 mins from now',
          '16 secs from now',
          '25 days from now',
          '38 secs from now',
          '31 days from now',
          '87 days from now',
          '43 days from now',
          '38 days from now',
          '95 days from now',
          '48 secs from now',
          '55 mins from now',
          '11 secs from now',
          '47 secs from now',
          '28 mins from now',
          '34 days from now',
          '7 hours from now',
          '53 secs from now',
          '25 secs from now',
          '28 secs from now',
          '8 hours from now',
          '31 mins from now',
          '93 days from now',
          '44 secs from now',
          '54 mins from now',
          '6 weeks from now',
          '13 days from now',
          '29 secs from now',
          '4 hours from now',
          '59 mins from now',
          '28 days from now',
          '48 days from now',
          '41 mins from now',
          '63 days from now',
          '56 secs from now',
          '38 mins from now',
          '34 secs from now',
          '14 mins from now',
          '12 days from now',
          '42 days from now',
          '10 secs from now',
          '18 secs from now',
          '91 days from now',
          '49 days from now',
          '20 days from now',
          '49 mins from now',
          '80 days from now',
          '52 mins from now',
          '54 secs from now',
          '77 days from now',
          '46 days from now',
          '1 month from now',
          '48 mins from now',
          '20 mins from now',
          '99 days from now',
          '51 days from now',
          '2 years from now',
          '2 hours from now',
          '51 secs from now',
          '6 years from now',
          '29 mins from now',
          '14 secs from now',
          '20 secs from now',
          '35 secs from now',
          '43 secs from now',
          '53 mins from now',
          '31 secs from now',
          '30 mins from now',
          '30 secs from now',
          '46 secs from now',
          '50 secs from now',
          '19 days from now',
          '78 days from now',
          '76 days from now',
          '4 years from now',
          '81 days from now',
          '44 days from now',
          '9 hours from now',
          '60 secs from now',
          '22 mins from now',
          '13 secs from now',
          '92 days from now',
          '30 days from now',
          '3 hours from now',
          '34 mins from now',
          '19 mins from now',
          '85 days from now',
          '15 mins from now',
          '35 days from now',
          '9 weeks from now',
          '18 days from now',
          '26 days from now',
          '88 days from now',
          '24 secs from now',
          '55 secs from now',
          '16 mins from now',
          '2 weeks from now',
          '47 days from now',
          '29 days from now',
          '69 days from now',
          '51 mins from now',
          '32 secs from now',
          '27 mins from now',
          '56 days from now',
          '12 secs from now',
          '68 days from now',
          '39 secs from now',
          '96 days from now',
          '33 secs from now',
          '19 secs from now',
          '36 days from now',
          '89 days from now',
          '45 days from now',
          '42 mins from now',
          '70 days from now',
          '22 days from now',
          '45 mins from now',
          '23 mins from now',
          '73 days from now',
          '21 mins from now',
          '40 mins from now',
          '10 mins from now',
          '43 mins from now',
          '13 mins from now',
          '41 days from now',
          '44 mins from now',
          '55 days from now',
          '4 weeks from now',
          '37 days from now',
          '12 mins from now',
          '18 mins from now',
          '23 secs from now',
          '56 mins from now',
          '83 days from now',
          '37 mins from now',
          '97 days from now',
          '7 weeks from now',
          '82 days from now',
          '60 days from now',
          '100 yrs from now',
          '52 secs from now',
          '59 days from now',
          '11 mins from now',
          '15 secs from now',
          '8 years from now',
          '7 years from now',
          '10 days from now',
          '64 days from now',
          '57 mins from now',
          '39 mins from now',
          '5 years from now',
          '41 secs from now',
          '42 secs from now',
          "1 day's from now",
          '67 days from now',
          '86 days from now',
          '27 days from now',
          '33 days from now',
          '3 years from now',
          '24 mins from now',
          '11 days from now',
          '9 years from now',
          '50 days from now',
          '47 mins from now',
          '65 days from now',
          '3 weeks from now',
          '61 days from now',
          '20 hrs from now',
          '14 yrs from now',
          '21 mos from now',
          '45 wks from now',
          '37 yrs from now',
          '68 yrs from now',
          '96 yrs from now',
          '63 yrs from now',
          '64 yrs from now',
          '42 yrs from now',
          '18 hrs from now',
          '8 mins from now',
          '14 mos from now',
          '29 yrs from now',
          '88 yrs from now',
          '18 wks from now',
          '87 yrs from now',
          '5 days from now',
          '44 yrs from now',
          '11 wks from now',
          '17 yrs from now',
          '10 wks from now',
          '8 days from now',
          '69 yrs from now',
          '4 mins from now',
          '19 wks from now',
          '22 yrs from now',
          '20 mos from now',
          '70 yrs from now',
          '47 wks from now',
          '1 week from now',
          '21 wks from now',
          '58 yrs from now',
          '89 yrs from now',
          '10 hrs from now',
          '33 wks from now',
          '10 mos from now',
          '47 yrs from now',
          '14 wks from now',
          '40 yrs from now',
          '16 mos from now',
          '34 yrs from now',
          '42 wks from now',
          '77 yrs from now',
          '86 yrs from now',
          '3 secs from now',
          '73 yrs from now',
          '35 yrs from now',
          '1 year from now',
          '24 yrs from now',
          '22 wks from now',
          '92 yrs from now',
          '21 yrs from now',
          '40 wks from now',
          '22 hrs from now',
          '78 yrs from now',
          '51 wks from now',
          '52 yrs from now',
          '17 hrs from now',
          '36 yrs from now',
          '38 yrs from now',
          '90 yrs from now',
          '17 wks from now',
          '4 secs from now',
          '12 wks from now',
          '54 yrs from now',
          '1 hour from now',
          '27 wks from now',
          '16 hrs from now',
          '21 hrs from now',
          '95 yrs from now',
          '56 yrs from now',
          '85 yrs from now',
          '24 hrs from now',
          '39 wks from now',
          '44 wks from now',
          '94 yrs from now',
          '38 wks from now',
          '84 yrs from now',
          '98 yrs from now',
          '51 yrs from now',
          '25 yrs from now',
          '2 days from now',
          '46 yrs from now',
          '50 yrs from now',
          '11 yrs from now',
          '30 wks from now',
          '12 hrs from now',
          '13 hrs from now',
          '62 yrs from now',
          '60 yrs from now',
          '32 wks from now',
          '14 hrs from now',
          '25 wks from now',
          '31 yrs from now',
          '48 yrs from now',
          '49 yrs from now',
          '15 wks from now',
          '35 wks from now',
          '15 hrs from now',
          '7 days from now',
          '34 wks from now',
          '23 hrs from now',
          '36 wks from now',
          '8 secs from now',
          '13 yrs from now',
          '67 yrs from now',
          '83 yrs from now',
          '26 yrs from now',
          '7 secs from now',
          '72 yrs from now',
          '22 mos from now',
          '19 yrs from now',
          '41 yrs from now',
          '30 yrs from now',
          '7 mins from now',
          '33 yrs from now',
          '28 yrs from now',
          '32 yrs from now',
          '43 wks from now',
          '29 wks from now',
          '50 wks from now',
          '37 wks from now',
          '11 hrs from now',
          '82 yrs from now',
          '16 wks from now',
          '9 mins from now',
          '4 days from now',
          '26 wks from now',
          '19 hrs from now',
          '15 mos from now',
          '71 yrs from now',
          '99 yrs from now',
          '12 mos from now',
          '48 wks from now',
          '9 secs from now',
          '17 mos from now',
          '61 yrs from now',
          '80 yrs from now',
          '66 yrs from now',
          '11 mos from now',
          '27 yrs from now',
          '55 yrs from now',
          '81 yrs from now',
          '5 mins from now',
          '93 yrs from now',
          '6 secs from now',
          '18 mos from now',
          '39 yrs from now',
          '41 wks from now',
          '74 yrs from now',
          '16 yrs from now',
          '3 mins from now',
          '5 secs from now',
          '3 days from now',
          '12 yrs from now',
          '76 yrs from now',
          '10 yrs from now',
          '13 wks from now',
          '2 secs from now',
          '59 yrs from now',
          '52 wks from now',
          '49 wks from now',
          '6 mins from now',
          '97 yrs from now',
          '2 mins from now',
          '53 yrs from now',
          '15 yrs from now',
          '75 yrs from now',
          '20 yrs from now',
          '20 wks from now',
          '79 yrs from now',
          '6 days from now',
          '91 yrs from now',
          '13 mos from now',
          '43 yrs from now',
          '19 mos from now',
          '18 yrs from now',
          '65 yrs from now',
          '9 days from now',
          '57 yrs from now',
          '24 wks from now',
          '46 wks from now',
          '28 wks from now',
          '23 yrs from now',
          '31 wks from now',
          '23 mos from now',
          '23 wks from now',
          '24 mos from now',
          '45 yrs from now',
          '7 mos from now',
          '8 hrs from now',
          '6 mos from now',
          '3 wks from now',
          '7 hrs from now',
          '5 yrs from now',
          '6 wks from now',
          '3 hrs from now',
          '8 wks from now',
          '4 yrs from now',
          '9 hrs from now',
          '2 yrs from now',
          '5 mos from now',
          '3 yrs from now',
          '4 mos from now',
          '9 mos from now',
          '2 wks from now',
          '1 day from now',
          '1 sec from now',
          '7 yrs from now',
          '7 wks from now',
          '2 hrs from now',
          '9 wks from now',
          '5 hrs from now',
          '3 mos from now',
          '4 hrs from now',
          '4 wks from now',
          '2 mos from now',
          '8 yrs from now',
          '6 hrs from now',
          '9 yrs from now',
          '6 yrs from now',
          '5 wks from now',
          '1 min from now',
          '8 mos from now',
          '1 yr from now',
          '1 mo from now',
          '1 wk from now',
          '1 hr from now'],
 'hour': ['a single hour later',
          '1 hour from now',
          'past 1 hour',
          'last 1 hour',
          'in one hour',
          'last hour',
          'in 1 hour',
          'past hour',
          'in a hour',
          'next hour'],
 "hour's": ["a single hour's later",
            "1 hour's from now",
            "in one hour's",
            "last 1 hour's",
            "past 1 hour's",
            "in 1 hour's",
            "next hour's",
            "past hour's",
            "in a hour's",
            "last hour's"],
 'hours': ['last couple of hours',
           'past couple of hours',
           'couple of hours ago',
           '18 hours from now',
           '16 hours from now',
           'last couple hours',
           '20 hours from now',
           '15 hours from now',
           '23 hours from now',
           'past couple hours',
           '19 hours from now',
           '21 hours from now',
           '12 hours from now',
           '24 hours from now',
           '14 hours from now',
           '10 hours from now',
           '17 hours from now',
           '13 hours from now',
           '11 hours from now',
           '22 hours from now',
           '2 hours from now',
           '7 hours from now',
           '6 hours from now',
           '8 hours from now',
           '4 hours from now',
           '9 hours from now',
           '3 hours from now',
           '5 hours from now',
           'a few hours ago',
           'past 18 hours',
           'past 23 hours',
           'past 13 hours',
           'last 14 hours',
           'last 11 hours',
           'past 17 hours',
           'next 20 hours',
           'next 23 hours',
           'last 23 hours',
           'past 24 hours',
           'last 10 hours',
           'next 16 hours',
           'last 13 hours',
           'next 17 hours',
           'next 14 hours',
           'next 12 hours',
           'past 19 hours',
           'next 24 hours',
           'next 13 hours',
           'last 24 hours',
           'last 16 hours',
           'next 19 hours',
           'last 19 hours',
           'past 14 hours',
           'last 22 hours',
           'last 17 hours',
           'next 11 hours',
           'past 11 hours',
           'past 20 hours',
           'past 12 hours',
           'last 21 hours',
           'past 16 hours',
           'next 10 hours',
           'next 21 hours',
           'next 18 hours',
           'last 15 hours',
           'last 12 hours',
           'next 15 hours',
           'past 21 hours',
           'next 22 hours',
           'last 18 hours',
           'last 20 hours',
           'past 10 hours',
           'past 15 hours',
           'past 22 hours',
           '19 hours ago',
           'last 5 hours',
           'next 3 hours',
           '16 hours ago',
           '14 hours ago',
           'past 8 hours',
           '18 hours ago',
           'last 6 hours',
           'past 4 hours',
           'past 3 hours',
           'past 6 hours',
           '17 hours ago',
           '11 hours ago',
           '21 hours ago',
           'last 7 hours',
           'last 4 hours',
           '13 hours ago',
           'next 7 hours',
           'last 9 hours',
           'past 7 hours',
           '10 hours ago',
           '15 hours ago',
           'next 4 hours',
           'last 8 hours',
           'next 8 hours',
           'past 9 hours',
           'last 3 hours',
           'past 5 hours',
           '23 hours ago',
           'next 6 hours',
           '12 hours ago',
           'next 2 hours',
           '22 hours ago',
           'next 5 hours',
           '24 hours ago',
           'last 2 hours',
           '20 hours ago',
           'past 2 hours',
           'next 9 hours',
           '9 hours ago',
           'in 19 hours',
           'in 21 hours',
           '5 hours ago',
           'in 11 hours',
           '4 hours ago',
           'in 12 hours',
           'in 23 hours',
           'in 16 hours',
           'in 13 hours',
           '2 hours ago',
           '6 hours ago',
           'in 17 hours',
           '7 hours ago',
           'in 20 hours',
           'in 24 hours',
           '8 hours ago',
           'in 18 hours',
           'in 14 hours',
           'in 22 hours',
           'in 10 hours',
           'in 15 hours',
           '3 hours ago',
           'in 7 hours',
           'in 4 hours',
           'in 8 hours',
           'in 6 hours',
           'in 5 hours',
           'in 9 hours',
           'in 3 hours',
           'in 2 hours'],
 'hr': ['a single hr later',
        '1 hr from now',
        'past 1 hr',
        'in one hr',
        'last 1 hr',
        'next hr',
        'in 1 hr',
        'in a hr',
        'past hr',
        'last hr'],
 'hrs': ['last couple of hrs',
         'past couple of hrs',
         'couple of hrs ago',
         '20 hrs from now',
         '15 hrs from now',
         '22 hrs from now',
         '23 hrs from now',
         '18 hrs from now',
         '17 hrs from now',
         'last couple hrs',
         '16 hrs from now',
         '21 hrs from now',
         'past couple hrs',
         '24 hrs from now',
         '10 hrs from now',
         '11 hrs from now',
         '19 hrs from now',
         '12 hrs from now',
         '13 hrs from now',
         '14 hrs from now',
         '5 hrs from now',
         '4 hrs from now',
         '9 hrs from now',
         '8 hrs from now',
         '6 hrs from now',
         '7 hrs from now',
         '3 hrs from now',
         '2 hrs from now',
         'a few hrs ago',
         'past 18 hrs',
         'next 13 hrs',
         'next 12 hrs',
         'last 20 hrs',
         'next 18 hrs',
         'next 15 hrs',
         'past 16 hrs',
         'last 22 hrs',
         'past 15 hrs',
         'next 17 hrs',
         'past 23 hrs',
         'past 10 hrs',
         'last 12 hrs',
         'last 10 hrs',
         'last 17 hrs',
         'next 11 hrs',
         'past 13 hrs',
         'last 19 hrs',
         'last 23 hrs',
         'past 11 hrs',
         'next 22 hrs',
         'past 12 hrs',
         'last 13 hrs',
         'past 17 hrs',
         'next 23 hrs',
         'last 18 hrs',
         'last 16 hrs',
         'past 22 hrs',
         'next 16 hrs',
         'past 14 hrs',
         'past 24 hrs',
         'next 10 hrs',
         'next 20 hrs',
         'next 21 hrs',
         'last 21 hrs',
         'last 14 hrs',
         'last 11 hrs',
         'last 15 hrs',
         'past 21 hrs',
         'last 24 hrs',
         'next 14 hrs',
         'past 19 hrs',
         'next 24 hrs',
         'past 20 hrs',
         'next 19 hrs',
         '20 hrs ago',
         '14 hrs ago',
         '13 hrs ago',
         '12 hrs ago',
         'next 6 hrs',
         'past 9 hrs',
         '23 hrs ago',
         'last 7 hrs',
         'last 3 hrs',
         'next 9 hrs',
         'next 2 hrs',
         'past 6 hrs',
         '11 hrs ago',
         'last 8 hrs',
         '24 hrs ago',
         'past 2 hrs',
         'last 4 hrs',
         'last 9 hrs',
         'past 3 hrs',
         '19 hrs ago',
         'next 4 hrs',
         'past 4 hrs',
         '18 hrs ago',
         'last 5 hrs',
         '22 hrs ago',
         'next 3 hrs',
         '17 hrs ago',
         'past 7 hrs',
         'past 8 hrs',
         '21 hrs ago',
         'next 5 hrs',
         'next 7 hrs',
         'next 8 hrs',
         'past 5 hrs',
         'last 6 hrs',
         '15 hrs ago',
         '10 hrs ago',
         '16 hrs ago',
         'last 2 hrs',
         '6 hrs ago',
         'in 14 hrs',
         'in 21 hrs',
         '9 hrs ago',
         '4 hrs ago',
         'in 22 hrs',
         'in 12 hrs',
         'in 19 hrs',
         'in 20 hrs',
         '5 hrs ago',
         'in 24 hrs',
         '8 hrs ago',
         'in 15 hrs',
         'in 23 hrs',
         'in 16 hrs',
         'in 10 hrs',
         '3 hrs ago',
         '7 hrs ago',
         '2 hrs ago',
         'in 18 hrs',
         'in 11 hrs',
         'in 13 hrs',
         'in 17 hrs',
         'in 5 hrs',
         'in 2 hrs',
         'in 8 hrs',
         'in 9 hrs',
         'in 3 hrs',
         'in 4 hrs',
         'in 7 hrs',
         'in 6 hrs'],
 'in': ["in one second's",
        "in one minute's",
        "in one month's",
        "in 1 second's",
        'in one minute',
        'in 28 minutes',
        'in 58 minutes',
        'in 51 minutes',
        'in 41 minutes',
        'in 13 seconds',
        'in 46 seconds',
        'in 48 seconds',
        'in 60 seconds',
        'in 52 seconds',
        'in 21 minutes',
        'in 22 seconds',
        'in 18 minutes',
        'in 15 seconds',
        'in 16 seconds',
        'in 49 seconds',
        'in 29 seconds',
        'in 20 seconds',
        'in 25 minutes',
        'in 49 minutes',
        'in 56 seconds',
        "in a minute's",
        'in 17 seconds',
        'in 41 seconds',
        'in 13 minutes',
        'in 43 minutes',
        'in 55 minutes',
        'in 57 minutes',
        'in 50 seconds',
        'in 45 minutes',
        'in 59 minutes',
        'in 44 minutes',
        'in 54 minutes',
        'in 27 minutes',
        "in one year's",
        'in 27 seconds',
        'in 17 minutes',
        'in 56 minutes',
        'in 34 minutes',
        'in 26 minutes',
        'in 29 minutes',
        'in 19 minutes',
        'in 21 seconds',
        'in 33 seconds',
        'in 42 minutes',
        'in 52 minutes',
        'in 53 seconds',
        'in 48 minutes',
        'in 60 minutes',
        'in 30 minutes',
        'in 57 seconds',
        'in 20 minutes',
        'in 11 seconds',
        'in 10 seconds',
        'in 30 seconds',
        "in one hour's",
        'in 47 minutes',
        'in 31 minutes',
        "in one week's",
        'in 40 seconds',
        'in 46 minutes',
        'in 16 minutes',
        'in 58 seconds',
        'in 43 seconds',
        'in 53 minutes',
        'in 26 seconds',
        'in 28 seconds',
        'in 36 minutes',
        'in 33 minutes',
        'in 50 minutes',
        'in 51 seconds',
        'in 15 minutes',
        'in 24 minutes',
        'in 39 minutes',
        'in 31 seconds',
        'in 32 seconds',
        'in 37 minutes',
        'in 35 minutes',
        'in 38 minutes',
        "in 1 minute's",
        'in 24 seconds',
        'in 34 seconds',
        'in 19 seconds',
        'in 44 seconds',
        'in 45 seconds',
        'in 47 seconds',
        'in 32 minutes',
        "in a second's",
        'in 23 minutes',
        'in 18 seconds',
        'in 14 seconds',
        'in one second',
        'in 36 seconds',
        'in 12 seconds',
        'in 54 seconds',
        'in 42 seconds',
        'in 55 seconds',
        'in 11 minutes',
        'in 12 minutes',
        'in 38 seconds',
        'in 14 minutes',
        'in 25 seconds',
        'in 10 minutes',
        'in 39 seconds',
        'in 37 seconds',
        'in 23 seconds',
        'in 35 seconds',
        'in 22 minutes',
        'in 40 minutes',
        'in 59 seconds',
        'in 12 months',
        "in 1 month's",
        'in 19 months',
        'in 3 seconds',
        'in 6 minutes',
        'in 100 years',
        'in 14 months',
        'in 20 months',
        'in 6 seconds',
        'in 8 seconds',
        'in 16 months',
        'in one month',
        'in 5 seconds',
        'in 15 months',
        'in 2 minutes',
        'in 2 seconds',
        'in 9 minutes',
        'in 17 months',
        'in 22 months',
        'in 4 minutes',
        'in 7 minutes',
        "in a month's",
        'in 18 months',
        'in 9 seconds',
        'in 3 minutes',
        'in 10 months',
        'in 8 minutes',
        'in 5 minutes',
        'in 21 months',
        'in 7 seconds',
        'in 4 seconds',
        'in 11 months',
        "in one day's",
        'in 23 months',
        'in 13 months',
        'in 24 months',
        'in 262 days',
        'in 227 days',
        'in 80 years',
        'in 107 days',
        'in 28 years',
        'in 48 years',
        'in 25 years',
        "in 1 week's",
        'in 62 years',
        'in 211 days',
        'in 96 years',
        'in 20 years',
        'in 133 days',
        'in 276 days',
        'in 52 weeks',
        'in 132 days',
        'in 147 days',
        'in 169 days',
        'in 125 days',
        'in 270 days',
        'in 318 days',
        'in 154 days',
        'in 21 years',
        'in 130 days',
        'in 324 days',
        'in 246 days',
        'in 299 days',
        'in 25 weeks',
        'in 218 days',
        'in 235 days',
        'in 161 days',
        'in 228 days',
        'in 11 weeks',
        'in 47 weeks',
        'in 249 days',
        'in 189 days',
        'in 17 years',
        'in 287 days',
        'in 23 years',
        'in 115 days',
        'in 176 days',
        'in 317 days',
        'in 102 days',
        'in 114 days',
        'in 311 days',
        'in 314 days',
        "in a year's",
        'in 264 days',
        'in 286 days',
        'in 43 years',
        'in 230 days',
        "in a week's",
        'in 15 years',
        'in 33 weeks',
        'in 11 hours',
        'in 10 weeks',
        'in 134 days',
        'in 49 years',
        'in 113 days',
        'in 44 years',
        'in 327 days',
        'in 14 years',
        'in 220 days',
        'in 48 weeks',
        'in 118 days',
        'in 2 months',
        'in a second',
        'in 24 weeks',
        'in 307 days',
        'in 188 days',
        'in 59 years',
        'in 326 days',
        'in 340 days',
        'in 359 days',
        'in 291 days',
        'in 16 weeks',
        'in 47 years',
        'in 159 days',
        'in 101 days',
        'in 247 days',
        'in 136 days',
        'in 302 days',
        'in 30 years',
        'in 274 days',
        'in 236 days',
        'in a minute',
        'in 202 days',
        'in 32 weeks',
        'in 273 days',
        'in 108 days',
        'in 52 years',
        'in 195 days',
        'in 37 years',
        'in 257 days',
        'in 323 days',
        'in 54 years',
        'in 213 days',
        'in 32 years',
        'in 229 days',
        'in 226 days',
        'in 203 days',
        'in 363 days',
        'in 260 days',
        'in 178 days',
        'in 152 days',
        'in 164 days',
        'in 1 minute',
        'in 42 years',
        "in a hour's",
        'in 197 days',
        'in 35 years',
        'in 20 weeks',
        'in 146 days',
        'in 254 days',
        'in 266 days',
        'in 339 days',
        'in 292 days',
        'in 177 days',
        'in one hour',
        'in 27 weeks',
        'in 232 days',
        'in 103 days',
        'in 82 years',
        'in 183 days',
        'in 157 days',
        'in 312 days',
        'in 170 days',
        'in 29 weeks',
        'in 26 years',
        'in 174 days',
        'in 46 weeks',
        'in 245 days',
        'in 206 days',
        'in 34 weeks',
        'in 70 years',
        'in 255 days',
        'in 296 days',
        'in 77 years',
        'in 23 weeks',
        'in 50 weeks',
        'in 61 years',
        'in 64 years',
        'in 6 months',
        'in 41 weeks',
        'in 124 days',
        'in 238 days',
        'in 73 years',
        'in 46 years',
        'in 190 days',
        'in 242 days',
        'in 343 days',
        'in 34 years',
        'in 109 days',
        'in 11 years',
        'in 221 days',
        'in 341 days',
        'in 84 years',
        'in 281 days',
        'in 205 days',
        'in 35 weeks',
        'in 126 days',
        'in 127 days',
        'in 181 days',
        'in 243 days',
        'in 12 hours',
        'in 285 days',
        'in 75 years',
        'in 42 weeks',
        'in 63 years',
        'in 74 years',
        'in 79 years',
        'in 216 days',
        'in 153 days',
        'in 104 days',
        'in 322 days',
        'in 100 days',
        'in 45 years',
        'in 337 days',
        'in 20 hours',
        'in 45 weeks',
        'in 85 years',
        'in 263 days',
        'in 24 hours',
        'in 184 days',
        'in 332 days',
        'in 259 days',
        'in 180 days',
        'in 207 days',
        'in 49 weeks',
        'in one week',
        'in 251 days',
        'in 278 days',
        'in 295 days',
        'in 4 months',
        'in 222 days',
        'in 223 days',
        'in 252 days',
        'in 18 hours',
        'in 258 days',
        'in 349 days',
        'in 27 years',
        'in 50 years',
        'in 13 weeks',
        'in 119 days',
        'in 24 years',
        'in 233 days',
        'in 141 days',
        'in 342 days',
        'in 361 days',
        'in 201 days',
        'in 1 second',
        'in 271 days',
        'in 354 days',
        'in 17 weeks',
        'in 93 years',
        'in 346 days',
        'in 357 days',
        'in 166 days',
        'in 123 days',
        'in 167 days',
        'in 143 days',
        'in 334 days',
        'in 68 years',
        'in 179 days',
        'in 248 days',
        'in 297 days',
        "in 1 hour's",
        'in 40 weeks',
        'in 237 days',
        'in 214 days',
        'in 215 days',
        'in 168 days',
        'in 30 weeks',
        'in 69 years',
        'in 14 weeks',
        'in 241 days',
        'in 140 days',
        'in 265 days',
        'in 78 years',
        'in 56 years',
        'in 268 days',
        'in 345 days',
        'in 86 years',
        'in 44 weeks',
        'in 362 days',
        'in 9 months',
        'in 71 years',
        'in 348 days',
        'in 175 days',
        'in 13 years',
        'in 210 days',
        'in 288 days',
        'in 330 days',
        'in 186 days',
        'in 224 days',
        'in 55 years',
        'in 142 days',
        'in 116 days',
        'in 191 days',
        'in 351 days',
        'in 350 days',
        'in 31 weeks',
        'in 331 days',
        'in 19 years',
        'in 150 days',
        'in 172 days',
        'in 19 weeks',
        'in 353 days',
        'in 31 years',
        'in 40 years',
        'in 231 days',
        'in 199 days',
        'in 315 days',
        'in 22 weeks',
        'in 158 days',
        'in 88 years',
        'in 16 hours',
        'in 13 hours',
        'in 328 days',
        'in 7 months',
        'in 12 years',
        'in 81 years',
        'in 364 days',
        'in 57 years',
        'in 194 days',
        'in 253 days',
        'in 308 days',
        'in 310 days',
        'in 97 years',
        'in 294 days',
        'in 111 days',
        'in 120 days',
        'in 182 days',
        'in 358 days',
        'in 347 days',
        'in 160 days',
        'in 305 days',
        'in 149 days',
        'in 3 months',
        'in 12 weeks',
        'in 283 days',
        'in 321 days',
        'in 16 years',
        'in 131 days',
        'in 33 years',
        'in 250 days',
        'in 217 days',
        'in 290 days',
        'in 156 days',
        'in 165 days',
        'in 38 weeks',
        'in 171 days',
        'in 173 days',
        'in 38 years',
        'in 26 weeks',
        'in 269 days',
        'in 275 days',
        'in 121 days',
        'in 92 years',
        'in 155 days',
        'in 244 days',
        'in 234 days',
        'in 144 days',
        'in 284 days',
        'in 138 days',
        'in 29 years',
        'in 39 weeks',
        'in 193 days',
        'in 304 days',
        'in 212 days',
        'in 306 days',
        'in 303 days',
        'in 19 hours',
        'in 320 days',
        'in 344 days',
        'in 21 hours',
        'in 277 days',
        'in 58 years',
        'in 356 days',
        'in 365 days',
        'in 185 days',
        'in 98 years',
        'in 298 days',
        'in 5 months',
        'in 112 days',
        'in one year',
        'in 89 years',
        'in 106 days',
        'in 18 weeks',
        'in 240 days',
        'in 209 days',
        'in 198 days',
        'in 36 years',
        'in 225 days',
        'in 139 days',
        'in 335 days',
        'in 43 weeks',
        'in 83 years',
        'in 51 weeks',
        'in 105 days',
        'in 333 days',
        'in 94 years',
        'in 267 days',
        'in 66 years',
        'in 41 years',
        'in 117 days',
        'in 122 days',
        'in 151 days',
        'in 110 days',
        'in 51 years',
        'in 272 days',
        'in 23 hours',
        "in 1 year's",
        'in 208 days',
        'in 72 years',
        'in 352 days',
        'in 8 months',
        'in 28 weeks',
        'in 18 years',
        'in 360 days',
        'in 87 years',
        'in 261 days',
        'in 192 days',
        'in 17 hours',
        'in 187 days',
        'in 99 years',
        'in 301 days',
        'in 36 weeks',
        'in 204 days',
        'in 60 years',
        'in 316 days',
        'in 76 years',
        'in 329 days',
        'in 67 years',
        'in 21 weeks',
        'in 282 days',
        'in 355 days',
        'in 15 weeks',
        'in 137 days',
        'in 162 days',
        'in 313 days',
        'in 148 days',
        'in 53 years',
        'in 219 days',
        'in 135 days',
        'in 309 days',
        'in 129 days',
        'in 90 years',
        'in 65 years',
        'in 91 years',
        'in 196 days',
        'in 37 weeks',
        'in 163 days',
        'in 14 hours',
        'in 338 days',
        'in 22 years',
        'in 10 years',
        'in 200 days',
        'in 279 days',
        'in 128 days',
        'in 289 days',
        'in 336 days',
        'in 10 hours',
        'in 325 days',
        'in 22 hours',
        'in 39 years',
        'in 239 days',
        'in 280 days',
        'in 300 days',
        'in 15 hours',
        'in 145 days',
        'in 95 years',
        'in 319 days',
        'in 256 days',
        'in 293 days',
        'in 7 years',
        'in 62 days',
        'in 24 secs',
        'in 65 days',
        'in 42 mins',
        'in 72 days',
        'in 4 hours',
        'in 81 days',
        'in 97 days',
        'in 36 secs',
        'in 46 mins',
        'in 8 hours',
        'in 83 days',
        'in 19 secs',
        'in 10 days',
        'in 20 days',
        'in 51 secs',
        'in 56 secs',
        'in 5 hours',
        'in 22 secs',
        'in 14 mins',
        'in 55 secs',
        'in 92 days',
        'in 94 days',
        'in 53 mins',
        'in 86 days',
        'in 48 days',
        'in 23 days',
        'in 21 days',
        'in 35 secs',
        'in 41 mins',
        'in 67 days',
        'in 53 secs',
        'in 3 hours',
        'in 44 secs',
        'in 52 secs',
        'in 96 days',
        'in 34 secs',
        'in 13 days',
        'in 42 secs',
        'in 21 mins',
        'in 9 weeks',
        'in 25 secs',
        'in 41 secs',
        'in 60 days',
        'in 71 days',
        'in 17 secs',
        'in 2 weeks',
        'in 36 mins',
        'in 37 mins',
        'in 39 mins',
        'in 30 secs',
        'in 73 days',
        'in 68 days',
        'in 34 days',
        'in 28 secs',
        'in 28 days',
        'in 43 mins',
        'in 36 days',
        'in 57 days',
        'in 58 secs',
        'in 5 weeks',
        'in 56 mins',
        'in 77 days',
        'in 27 mins',
        'in 52 mins',
        'in 60 secs',
        'in 93 days',
        'in 89 days',
        'in 70 days',
        'in 2 years',
        'in 15 mins',
        'in 31 mins',
        'in 48 mins',
        'in 35 days',
        'in 57 secs',
        'in 23 mins',
        'in 40 mins',
        'in 26 secs',
        'in 88 days',
        'in 6 weeks',
        'in 45 secs',
        'in 11 days',
        'in 87 days',
        'in 75 days',
        'in 20 mins',
        'in 12 secs',
        'in 59 days',
        'in 31 secs',
        'in 25 days',
        'in 54 mins',
        'in 29 secs',
        'in 3 weeks',
        'in 26 days',
        'in 28 mins',
        'in 29 mins',
        'in 54 days',
        'in 58 mins',
        'in 16 days',
        'in 12 days',
        'in 32 mins',
        'in 3 years',
        'in 60 mins',
        'in 18 mins',
        'in 95 days',
        'in 64 days',
        'in 50 mins',
        'in 37 days',
        'in 19 mins',
        'in 46 days',
        'in 41 days',
        'in 76 days',
        "in 1 day's",
        'in 85 days',
        'in 45 days',
        'in 15 secs',
        'in 30 days',
        'in 37 secs',
        'in 7 hours',
        'in 19 days',
        'in 58 days',
        'in 48 secs',
        'in 63 days',
        'in 6 years',
        'in 16 mins',
        'in 49 days',
        'in 40 secs',
        'in 55 mins',
        'in 30 mins',
        'in 42 days',
        'in 6 hours',
        'in 35 mins',
        'in 38 days',
        'in 40 days',
        'in 21 secs',
        'in 10 mins',
        'in 10 secs',
        'in 1 month',
        'in 26 mins',
        'in 32 secs',
        'in 17 days',
        'in 50 days',
        'in 74 days',
        'in 43 secs',
        'in 15 days',
        'in 17 mins',
        'in 31 days',
        'in 98 days',
        'in 8 weeks',
        'in 18 secs',
        'in 4 weeks',
        'in 51 days',
        'in 11 secs',
        'in 49 mins',
        'in 43 days',
        'in 82 days',
        'in 2 hours',
        'in 24 mins',
        'in 14 secs',
        'in 12 mins',
        'in 34 mins',
        'in 54 secs',
        'in one day',
        'in 99 days',
        'in 53 days',
        'in 45 mins',
        'in 5 years',
        'in 24 days',
        'in 52 days',
        'in 39 secs',
        'in 39 days',
        'in 22 mins',
        'in 27 days',
        'in 25 mins',
        'in one min',
        'in 11 mins',
        'in 90 days',
        'in 18 days',
        'in 47 mins',
        'in 8 years',
        'in 80 days',
        "in a day's",
        'in 78 days',
        'in 27 secs',
        'in 61 days',
        'in 20 secs',
        'in 7 weeks',
        'in 29 days',
        'in 33 mins',
        'in 22 days',
        'in one sec',
        'in 23 secs',
        'in 16 secs',
        'in 4 years',
        'in 9 hours',
        'in 51 mins',
        'in 13 mins',
        'in 84 days',
        'in 49 secs',
        'in 57 mins',
        'in 33 secs',
        'in 38 secs',
        'in 100 yrs',
        'in 32 days',
        'in 13 secs',
        'in 14 days',
        'in 50 secs',
        'in 56 days',
        'in 33 days',
        'in 9 years',
        'in 79 days',
        'in 47 days',
        'in 69 days',
        'in 66 days',
        'in 55 days',
        'in 44 mins',
        'in 91 days',
        'in 38 mins',
        'in 46 secs',
        'in 59 secs',
        'in 44 days',
        'in 47 secs',
        'in 59 mins',
        'in a month',
        'in 9 days',
        'in 39 yrs',
        'in 28 yrs',
        'in 56 yrs',
        'in 94 yrs',
        'in 5 days',
        'in 16 mos',
        'in 52 wks',
        'in 86 yrs',
        'in 19 hrs',
        'in 15 wks',
        'in 2 mins',
        'in 96 yrs',
        'in 4 days',
        'in 19 wks',
        'in 11 yrs',
        'in 8 mins',
        'in 87 yrs',
        'in 38 yrs',
        'in 89 yrs',
        'in 23 wks',
        'in 24 mos',
        'in 9 secs',
        'in 23 hrs',
        'in 41 wks',
        'in 27 yrs',
        'in 50 wks',
        'in 18 hrs',
        'in 18 mos',
        'in 13 hrs',
        'in 10 mos',
        'in 90 yrs',
        'in 80 yrs',
        'in 70 yrs',
        'in 34 yrs',
        'in 58 yrs',
        'in 7 secs',
        'in 97 yrs',
        'in 26 wks',
        'in 76 yrs',
        'in 35 wks',
        'in 17 wks',
        'in 82 yrs',
        'in 60 yrs',
        'in 53 yrs',
        'in 10 wks',
        'in 14 hrs',
        'in 3 mins',
        'in 14 mos',
        'in one mo',
        'in 19 yrs',
        'in 81 yrs',
        'in 20 mos',
        'in 22 wks',
        'in a year',
        'in 74 yrs',
        'in 31 wks',
        'in 29 yrs',
        'in 66 yrs',
        'in 31 yrs',
        'in one yr',
        'in 24 hrs',
        'in 18 yrs',
        'in 63 yrs',
        'in 46 wks',
        'in 20 wks',
        'in 14 yrs',
        'in 16 hrs',
        'in 10 hrs',
        'in 65 yrs',
        'in 23 yrs',
        'in 12 wks',
        'in 54 yrs',
        'in 51 yrs',
        'in 2 days',
        'in 17 mos',
        'in 3 secs',
        'in 4 mins',
        'in 8 secs',
        'in 42 yrs',
        'in 33 yrs',
        'in 88 yrs',
        'in 15 yrs',
        'in 68 yrs',
        'in 93 yrs',
        'in one hr',
        'in 21 mos',
        'in 29 wks',
        'in 32 yrs',
        'in 27 wks',
        'in 17 hrs',
        'in 6 mins',
        'in 45 yrs',
        'in 44 yrs',
        'in 16 wks',
        'in 13 wks',
        'in 59 yrs',
        'in 13 yrs',
        'in 26 yrs',
        'in 11 mos',
        'in 12 yrs',
        'in 5 secs',
        'in 12 hrs',
        'in 43 wks',
        'in 25 yrs',
        'in 20 yrs',
        'in 2 secs',
        'in 37 yrs',
        'in 24 wks',
        'in 25 wks',
        'in 48 wks',
        'in 18 wks',
        'in 52 yrs',
        'in 61 yrs',
        'in 22 mos',
        'in 15 mos',
        'in 36 wks',
        'in 1 hour',
        'in 37 wks',
        'in 24 yrs',
        'in 15 hrs',
        'in 47 yrs',
        'in 23 mos',
        'in 47 wks',
        'in 6 secs',
        'in 30 yrs',
        'in 14 wks',
        'in 12 mos',
        'in 62 yrs',
        'in 83 yrs',
        'in 22 yrs',
        'in 95 yrs',
        'in 57 yrs',
        'in 21 yrs',
        'in 44 wks',
        'in 7 days',
        'in 13 mos',
        'in 39 wks',
        'in 35 yrs',
        'in 32 wks',
        'in 21 wks',
        'in 55 yrs',
        'in 48 yrs',
        'in 46 yrs',
        'in 9 mins',
        'in a week',
        'in 34 wks',
        'in 45 wks',
        'in 7 mins',
        'in 21 hrs',
        'in 79 yrs',
        'in 19 mos',
        'in 73 yrs',
        'in 22 hrs',
        'in 84 yrs',
        'in 28 wks',
        'in 78 yrs',
        'in 4 secs',
        'in 40 wks',
        'in 20 hrs',
        'in 10 yrs',
        'in 8 days',
        'in 49 yrs',
        'in 30 wks',
        'in 49 wks',
        'in 6 days',
        'in 71 yrs',
        'in 92 yrs',
        'in 98 yrs',
        'in 91 yrs',
        'in 77 yrs',
        'in 1 year',
        'in 75 yrs',
        'in 5 mins',
        'in 51 wks',
        'in 36 yrs',
        'in 3 days',
        'in 50 yrs',
        'in 41 yrs',
        'in 64 yrs',
        'in 40 yrs',
        'in 85 yrs',
        'in 11 hrs',
        'in 67 yrs',
        'in one wk',
        'in 17 yrs',
        'in a hour',
        'in 69 yrs',
        'in 1 week',
        'in 33 wks',
        'in 72 yrs',
        'in 42 wks',
        'in 43 yrs',
        'in 16 yrs',
        'in 38 wks',
        'in 11 wks',
        'in 99 yrs',
        'in 3 mos',
        'in 7 yrs',
        'in 6 mos',
        'in 2 hrs',
        'in 7 wks',
        'in 2 mos',
        'in 1 day',
        'in 5 mos',
        'in a sec',
        'in 3 yrs',
        'in 2 wks',
        'in 6 hrs',
        'in 8 wks',
        'in 5 hrs',
        'in a day',
        'in 7 mos',
        'in 4 hrs',
        'in 4 mos',
        'in 2 yrs',
        'in 8 yrs',
        'in 6 wks',
        'in 1 min',
        'in 5 yrs',
        'in 9 wks',
        'in 1 sec',
        'in 8 mos',
        'in a min',
        'in 3 wks',
        'in 4 wks',
        'in 8 hrs',
        'in 4 yrs',
        'in 9 hrs',
        'in 3 hrs',
        'in 5 wks',
        'in 9 mos',
        'in 6 yrs',
        'in 7 hrs',
        'in 9 yrs',
        'in a mo',
        'in 1 mo',
        'in a wk',
        'in a hr',
        'in 1 yr',
        'in 1 wk',
        'in a yr',
        'in 1 hr'],
 'last': ['last couple of minutes',
          'last couple of seconds',
          'last couple of months',
          'last couple of years',
          'last couple of hours',
          'last couple of weeks',
          'last couple seconds',
          'last couple of mins',
          'last couple minutes',
          'last couple of days',
          'last couple of secs',
          'last couple months',
          'last couple of hrs',
          'last couple of mos',
          'last couple of wks',
          'last couple of yrs',
          'last couple weeks',
          'last couple years',
          'last couple hours',
          'last couple days',
          'last couple secs',
          'last couple mins',
          'last 23 minutes',
          'last 33 minutes',
          'last 28 seconds',
          'last 22 minutes',
          'last 33 seconds',
          'last 28 minutes',
          'last 51 minutes',
          'last 49 minutes',
          'last 50 minutes',
          'last 21 minutes',
          'last 52 minutes',
          'last 12 seconds',
          'last 60 minutes',
          'last 34 seconds',
          'last 45 minutes',
          'last 37 seconds',
          'last 11 minutes',
          'last 48 seconds',
          'last 41 minutes',
          'last 14 minutes',
          'last 30 seconds',
          'last 56 minutes',
          'last 29 minutes',
          'last 43 seconds',
          'last 55 minutes',
          'last 40 seconds',
          'last 41 seconds',
          'last 10 seconds',
          'last 34 minutes',
          'last 48 minutes',
          'last 15 minutes',
          'last 37 minutes',
          'last 27 seconds',
          'last 23 seconds',
          'last 20 seconds',
          'last 57 seconds',
          'last 11 seconds',
          'last 53 seconds',
          'last 38 seconds',
          'last 44 seconds',
          'last 38 minutes',
          'last 39 seconds',
          'last 26 minutes',
          'last 36 seconds',
          'last 13 minutes',
          'last 53 minutes',
          'last 25 seconds',
          'last 14 seconds',
          'last 40 minutes',
          'last 18 seconds',
          "last 1 second's",
          'last 25 minutes',
          'last 36 minutes',
          'last 42 minutes',
          'last 17 minutes',
          'last 17 seconds',
          'last 22 seconds',
          'last 24 minutes',
          'last 50 seconds',
          'last 30 minutes',
          'last 57 minutes',
          'last 31 minutes',
          'last 19 minutes',
          'last couple wks',
          'last 20 minutes',
          'last 46 seconds',
          'last 16 minutes',
          'last 51 seconds',
          'last 35 minutes',
          'last 58 seconds',
          'last 27 minutes',
          'last 59 seconds',
          'last 21 seconds',
          'last 60 seconds',
          'last 42 seconds',
          'last 24 seconds',
          'last 46 minutes',
          'last 54 minutes',
          'last 47 minutes',
          'last 12 minutes',
          'last 39 minutes',
          'last 32 seconds',
          'last 18 minutes',
          'last 44 minutes',
          'last 45 seconds',
          'last 52 seconds',
          'last 10 minutes',
          'last 16 seconds',
          'last 59 minutes',
          'last 54 seconds',
          'last 56 seconds',
          'last couple hrs',
          'last 13 seconds',
          'last 29 seconds',
          'last 15 seconds',
          'last 32 minutes',
          'last 43 minutes',
          'last 35 seconds',
          'last 31 seconds',
          'last couple yrs',
          'last 19 seconds',
          'last 55 seconds',
          'last couple mos',
          'last 58 minutes',
          'last 26 seconds',
          'last 49 seconds',
          "last 1 minute's",
          'last 47 seconds',
          'last 10 months',
          'last 5 seconds',
          'last 2 minutes',
          'last 3 minutes',
          'last 11 months',
          'last 17 months',
          'last 23 months',
          'last 16 months',
          'last 24 months',
          "last 1 month's",
          'last 22 months',
          'last 100 years',
          'last 9 minutes',
          'last 21 months',
          'last 8 minutes',
          'last 5 minutes',
          'last 4 minutes',
          'last 13 months',
          'last 7 minutes',
          'last 18 months',
          'last 3 seconds',
          'last 8 seconds',
          'last 12 months',
          'last 7 seconds',
          'last 14 months',
          'last 15 months',
          'last 9 seconds',
          'last 6 minutes',
          'last 4 seconds',
          'last 6 seconds',
          'last 19 months',
          'last 20 months',
          'last 2 seconds',
          'last 131 days',
          'last 180 days',
          'last 17 years',
          'last 177 days',
          'last 174 days',
          'last 1 minute',
          'last 43 weeks',
          'last 16 weeks',
          'last 225 days',
          'last 298 days',
          'last 304 days',
          'last 12 years',
          'last 210 days',
          'last 11 hours',
          'last 158 days',
          'last 10 weeks',
          'last 49 weeks',
          'last 267 days',
          'last 144 days',
          'last 26 weeks',
          'last 237 days',
          'last 352 days',
          'last 80 years',
          'last 320 days',
          'last 127 days',
          'last 139 days',
          'last 95 years',
          'last 202 days',
          'last 170 days',
          'last 354 days',
          'last 31 years',
          'last 255 days',
          'last 257 days',
          'last 361 days',
          'last 279 days',
          'last 84 years',
          'last 151 days',
          'last 239 days',
          'last 51 weeks',
          'last 100 days',
          'last 124 days',
          'last 204 days',
          'last 238 days',
          'last 97 years',
          'last 122 days',
          'last 32 years',
          'last 355 days',
          'last 78 years',
          'last 6 months',
          'last 212 days',
          'last 271 days',
          'last 16 hours',
          'last 220 days',
          'last 315 days',
          'last 19 hours',
          'last 62 years',
          'last 113 days',
          'last 90 years',
          'last 110 days',
          'last 112 days',
          'last 148 days',
          'last 104 days',
          'last 214 days',
          'last 187 days',
          'last 321 days',
          'last 106 days',
          'last 325 days',
          'last 364 days',
          'last 232 days',
          'last 154 days',
          'last 339 days',
          'last 38 years',
          'last 280 days',
          'last 117 days',
          'last 178 days',
          'last 65 years',
          'last 242 days',
          'last 71 years',
          'last 353 days',
          'last 275 days',
          'last 350 days',
          'last 185 days',
          'last 18 years',
          'last 163 days',
          'last 24 weeks',
          'last 91 years',
          'last 283 days',
          'last 290 days',
          'last 11 years',
          'last 152 days',
          'last 32 weeks',
          'last 312 days',
          'last 3 months',
          'last 37 weeks',
          'last 183 days',
          'last 336 days',
          'last 258 days',
          'last 44 years',
          'last 198 days',
          'last 285 days',
          'last 35 years',
          'last 149 days',
          'last 140 days',
          'last 263 days',
          'last 108 days',
          'last 70 years',
          'last 219 days',
          'last 299 days',
          'last 173 days',
          'last 176 days',
          'last 175 days',
          'last 21 years',
          'last 222 days',
          'last 249 days',
          'last 49 years',
          'last 48 years',
          'last 129 days',
          'last 79 years',
          'last 137 days',
          'last 358 days',
          'last 73 years',
          'last 305 days',
          'last 14 hours',
          'last 262 days',
          'last 41 years',
          'last 302 days',
          'last 230 days',
          'last 31 weeks',
          'last 15 years',
          'last 309 days',
          'last 196 days',
          'last 166 days',
          'last 224 days',
          'last 240 days',
          'last 27 weeks',
          'last 201 days',
          'last 13 hours',
          'last 16 years',
          'last 130 days',
          'last 19 years',
          'last 276 days',
          'last 109 days',
          'last 45 years',
          'last 169 days',
          'last 121 days',
          'last 330 days',
          'last 331 days',
          'last 340 days',
          'last 1 second',
          'last 294 days',
          'last 23 years',
          'last 138 days',
          'last 270 days',
          'last 92 years',
          "last second's",
          'last 11 weeks',
          'last 63 years',
          'last 59 years',
          'last 251 days',
          'last 53 years',
          'last 192 days',
          'last 50 weeks',
          'last 332 days',
          'last 20 years',
          'last 161 days',
          'last 25 years',
          'last 5 months',
          'last 181 days',
          'last 195 days',
          'last 260 days',
          'last 272 days',
          'last 344 days',
          'last 317 days',
          'last 125 days',
          'last 179 days',
          'last 206 days',
          'last 351 days',
          'last 36 years',
          'last 57 years',
          'last 96 years',
          'last 365 days',
          'last 17 hours',
          'last 250 days',
          'last 118 days',
          'last 56 years',
          'last 208 days',
          'last 343 days',
          'last 46 weeks',
          'last 142 days',
          'last 211 days',
          'last 268 days',
          'last 162 days',
          'last 52 years',
          'last 7 months',
          'last 25 weeks',
          'last 15 hours',
          'last 42 years',
          'last 44 weeks',
          'last 243 days',
          'last 217 days',
          "last 1 hour's",
          'last 36 weeks',
          'last 356 days',
          'last 18 hours',
          'last 33 years',
          'last 264 days',
          'last 98 years',
          "last minute's",
          'last 86 years',
          'last 156 days',
          'last 20 hours',
          'last 82 years',
          'last 18 weeks',
          'last 103 days',
          'last 233 days',
          'last 303 days',
          'last 69 years',
          'last 105 days',
          'last 93 years',
          'last 66 years',
          'last 205 days',
          'last 327 days',
          'last 200 days',
          'last 64 years',
          'last 9 months',
          'last 301 days',
          'last 199 days',
          'last 111 days',
          'last 184 days',
          'last 155 days',
          'last 136 days',
          'last 26 years',
          'last 252 days',
          'last 30 years',
          'last 236 days',
          'last 347 days',
          'last 102 days',
          'last 126 days',
          'last 34 years',
          'last 172 days',
          'last 74 years',
          'last 147 days',
          'last 23 weeks',
          'last 273 days',
          'last 235 days',
          'last 134 days',
          'last 120 days',
          'last 10 hours',
          'last 308 days',
          'last 37 years',
          'last 335 days',
          'last 75 years',
          'last 168 days',
          'last 165 days',
          'last 209 days',
          'last 54 years',
          'last 254 days',
          'last 223 days',
          'last 167 days',
          'last 143 days',
          'last 116 days',
          'last 29 weeks',
          'last 87 years',
          'last 221 days',
          'last 114 days',
          'last 296 days',
          'last 52 weeks',
          'last 247 days',
          'last 47 years',
          'last 24 hours',
          'last 284 days',
          'last 77 years',
          'last 346 days',
          'last 115 days',
          'last 194 days',
          'last 35 weeks',
          'last 234 days',
          'last 246 days',
          'last 4 months',
          'last 55 years',
          'last 190 days',
          'last 318 days',
          'last 266 days',
          'last 153 days',
          'last 191 days',
          'last 306 days',
          'last 277 days',
          'last 348 days',
          'last 14 weeks',
          'last 12 hours',
          'last 45 weeks',
          'last 2 months',
          'last 133 days',
          'last 323 days',
          'last 310 days',
          'last 72 years',
          'last 186 days',
          'last 46 years',
          'last 19 weeks',
          'last 345 days',
          'last 119 days',
          'last 8 months',
          'last 171 days',
          'last 278 days',
          'last 10 years',
          'last 316 days',
          'last 360 days',
          'last 286 days',
          'last 313 days',
          'last 40 weeks',
          'last 141 days',
          'last 314 days',
          'last 128 days',
          'last 39 years',
          'last 245 days',
          'last 99 years',
          'last 157 days',
          'last 333 days',
          'last 12 weeks',
          'last 132 days',
          'last 259 days',
          'last 123 days',
          'last 329 days',
          'last 159 days',
          'last 145 days',
          'last 68 years',
          'last 293 days',
          'last 83 years',
          'last 253 days',
          'last 41 weeks',
          'last 21 weeks',
          'last 146 days',
          'last 189 days',
          'last 227 days',
          'last 337 days',
          'last 188 days',
          'last 24 years',
          'last 150 days',
          'last 23 hours',
          'last 50 years',
          'last 349 days',
          'last 319 days',
          'last 228 days',
          'last 76 years',
          'last 28 years',
          'last 38 weeks',
          'last 15 weeks',
          'last 324 days',
          'last 338 days',
          'last 288 days',
          'last 22 years',
          'last 17 weeks',
          'last 94 years',
          'last 164 days',
          'last 135 days',
          'last 67 years',
          'last 42 weeks',
          'last 292 days',
          'last 101 days',
          'last 342 days',
          'last 274 days',
          'last 58 years',
          'last 182 days',
          'last 81 years',
          'last 248 days',
          'last 269 days',
          'last 359 days',
          "last 1 year's",
          'last 60 years',
          'last 89 years',
          'last 30 weeks',
          'last 203 days',
          'last 29 years',
          'last 13 years',
          'last 88 years',
          'last 40 years',
          "last 1 week's",
          'last 22 hours',
          'last 215 days',
          'last 362 days',
          'last 265 days',
          'last 33 weeks',
          'last 22 weeks',
          'last 51 years',
          'last 213 days',
          'last 261 days',
          'last 21 hours',
          'last 218 days',
          'last 197 days',
          'last 13 weeks',
          'last 363 days',
          'last 328 days',
          'last 39 weeks',
          'last 207 days',
          'last 281 days',
          'last 231 days',
          'last 226 days',
          'last 291 days',
          'last 326 days',
          'last 193 days',
          'last 256 days',
          'last 241 days',
          'last 311 days',
          'last 28 weeks',
          'last 85 years',
          'last 48 weeks',
          'last 295 days',
          'last 14 years',
          'last 307 days',
          'last 43 years',
          'last 20 weeks',
          'last 47 weeks',
          'last 289 days',
          'last 357 days',
          'last 216 days',
          'last 297 days',
          'last 341 days',
          'last 244 days',
          'last 334 days',
          'last 287 days',
          'last 61 years',
          'last 282 days',
          'last 160 days',
          'last 34 weeks',
          'last 229 days',
          'last 27 years',
          'last 107 days',
          'last 322 days',
          'last 300 days',
          'last 50 days',
          'last 1 month',
          'last 50 mins',
          'last 46 days',
          'last 10 days',
          'last 24 secs',
          'last 22 secs',
          'last 60 mins',
          'last 31 secs',
          'last 18 secs',
          'last 66 days',
          'last 57 secs',
          'last 45 secs',
          'last 32 mins',
          'last 71 days',
          'last 12 days',
          'last 98 days',
          'last 75 days',
          'last 34 mins',
          'last 25 mins',
          'last 49 mins',
          'last 4 weeks',
          'last 49 secs',
          'last 70 days',
          'last 36 mins',
          'last 9 weeks',
          'last 15 mins',
          'last 42 mins',
          'last 69 days',
          'last 19 secs',
          'last 57 days',
          'last 87 days',
          'last 15 days',
          'last 72 days',
          'last 93 days',
          'last 3 weeks',
          'last 17 mins',
          'last 40 secs',
          'last 53 days',
          'last 38 mins',
          'last 20 secs',
          'last 6 years',
          'last 44 days',
          'last 16 secs',
          'last 50 secs',
          'last 47 secs',
          'last 12 secs',
          'last 56 mins',
          'last 2 hours',
          'last 78 days',
          'last 51 days',
          'last 17 days',
          'last 11 mins',
          'last 41 days',
          'last 84 days',
          'last 51 secs',
          'last 43 mins',
          'last 23 mins',
          'last 53 secs',
          'last 64 days',
          'last 83 days',
          'last 25 secs',
          'last 49 days',
          'last 41 secs',
          'last 63 days',
          'last 16 days',
          'last 40 mins',
          'last 25 days',
          'last 52 days',
          'last 27 mins',
          'last 73 days',
          'last 40 days',
          'last 89 days',
          'last 2 weeks',
          'last 38 days',
          'last 27 days',
          'last 86 days',
          'last 29 secs',
          'last 48 secs',
          'last 62 days',
          'last 100 yrs',
          'last 37 days',
          'last 23 days',
          'last 3 hours',
          'last 39 days',
          'last 6 weeks',
          'last 48 mins',
          'last 51 mins',
          'last 99 days',
          'last 56 days',
          'last 13 days',
          'last 35 days',
          'last 77 days',
          'last 76 days',
          'last 44 mins',
          'last 19 days',
          'last 14 days',
          'last 34 days',
          'last 38 secs',
          'last 13 mins',
          'last 8 weeks',
          'last 30 days',
          'last 41 mins',
          'last 56 secs',
          'last 45 days',
          'last 95 days',
          'last 59 mins',
          'last 14 secs',
          'last 81 days',
          'last 6 hours',
          'last 2 years',
          'last 46 secs',
          'last 5 years',
          'last 18 days',
          'last 48 days',
          'last 68 days',
          'last 30 mins',
          'last 36 secs',
          'last 32 days',
          'last 21 mins',
          'last 20 mins',
          'last 94 days',
          'last 4 hours',
          "last 1 day's",
          'last 9 hours',
          'last 21 secs',
          'last 28 days',
          'last 52 secs',
          'last 55 mins',
          'last 39 mins',
          'last 79 days',
          'last 22 days',
          'last 67 days',
          'last 14 mins',
          'last 46 mins',
          'last 39 secs',
          'last 88 days',
          'last 26 days',
          'last 45 mins',
          'last 13 secs',
          'last 26 mins',
          'last 43 secs',
          'last 8 years',
          'last 35 secs',
          'last 29 days',
          'last 47 mins',
          'last 58 mins',
          'last 42 days',
          'last 35 mins',
          'last 97 days',
          'last 12 mins',
          'last 58 days',
          'last 23 secs',
          'last 22 mins',
          'last 17 secs',
          'last 16 mins',
          'last 60 secs',
          'last 33 secs',
          "last month's",
          'last 80 days',
          'last 21 days',
          'last 27 secs',
          'last 30 secs',
          'last 82 days',
          'last 55 secs',
          'last 5 hours',
          'last 32 secs',
          'last 7 years',
          'last 10 secs',
          'last 74 days',
          'last 54 secs',
          'last 18 mins',
          'last 52 mins',
          'last 47 days',
          'last 43 days',
          'last 92 days',
          'last 59 secs',
          'last 10 mins',
          'last 24 days',
          'last 90 days',
          'last 24 mins',
          'last 57 mins',
          'last 11 secs',
          'last 29 mins',
          'last 44 secs',
          'last 7 hours',
          'last 28 mins',
          'last 26 secs',
          'last 53 mins',
          'last 31 days',
          'last 11 days',
          'last 37 mins',
          'last 42 secs',
          'last 8 hours',
          'last 96 days',
          'last 28 secs',
          'last 54 days',
          'last 33 mins',
          'last 55 days',
          'last 4 years',
          'last 20 days',
          'last 61 days',
          'last 37 secs',
          'last 9 years',
          'last 34 secs',
          'last 19 mins',
          'last 3 years',
          'last 65 days',
          'last 15 secs',
          'last 85 days',
          'last 60 days',
          'last 5 weeks',
          'last 7 weeks',
          'last 31 mins',
          'last 54 mins',
          'last 59 days',
          'last 33 days',
          'last 36 days',
          'last 58 secs',
          'last 91 days',
          'last 1 week',
          'last 41 yrs',
          'last 12 yrs',
          'last 23 yrs',
          'last 20 hrs',
          'last 69 yrs',
          'last 17 yrs',
          'last 53 yrs',
          'last 45 wks',
          'last 50 wks',
          'last 22 mos',
          'last 13 wks',
          'last 10 hrs',
          'last 3 secs',
          'last 64 yrs',
          'last 98 yrs',
          'last 20 yrs',
          'last 31 wks',
          'last 34 yrs',
          'last 10 yrs',
          'last 19 hrs',
          'last 2 secs',
          'last 8 days',
          'last 81 yrs',
          'last 4 days',
          'last 9 days',
          'last 23 hrs',
          'last 6 secs',
          'last 73 yrs',
          'last 15 wks',
          'last 93 yrs',
          'last 85 yrs',
          'last 23 mos',
          'last 89 yrs',
          'last 84 yrs',
          'last 22 wks',
          'last 36 wks',
          'last 7 days',
          'last 16 hrs',
          'last 94 yrs',
          'last 51 yrs',
          'last 14 yrs',
          'last 16 yrs',
          'last 21 yrs',
          'last 67 yrs',
          'last 9 mins',
          'last 16 mos',
          'last 44 yrs',
          'last 55 yrs',
          'last 86 yrs',
          'last 57 yrs',
          'last 75 yrs',
          'last 80 yrs',
          'last second',
          'last 37 yrs',
          'last 39 wks',
          'last 48 wks',
          'last 49 yrs',
          'last 22 hrs',
          'last 8 secs',
          'last 42 wks',
          'last 45 yrs',
          'last 18 yrs',
          'last 63 yrs',
          'last 17 mos',
          'last 15 yrs',
          'last 74 yrs',
          'last 4 mins',
          'last 9 secs',
          'last 58 yrs',
          'last 42 yrs',
          'last 48 yrs',
          'last 22 yrs',
          'last 2 days',
          "last year's",
          'last 6 mins',
          'last 15 mos',
          'last 47 yrs',
          'last 40 yrs',
          'last 43 wks',
          'last 83 yrs',
          'last 33 yrs',
          'last 13 hrs',
          'last 96 yrs',
          'last 17 wks',
          'last 44 wks',
          'last 35 yrs',
          'last 95 yrs',
          'last 90 yrs',
          'last 24 yrs',
          'last 37 wks',
          'last 79 yrs',
          'last 47 wks',
          'last 68 yrs',
          'last 21 hrs',
          'last 14 hrs',
          'last 11 yrs',
          'last 11 hrs',
          'last 23 wks',
          'last 11 mos',
          'last 30 yrs',
          'last 76 yrs',
          'last 7 mins',
          'last 62 yrs',
          'last 71 yrs',
          'last 19 mos',
          'last 35 wks',
          'last 3 mins',
          'last 29 yrs',
          'last 18 mos',
          'last 25 wks',
          'last 54 yrs',
          'last 17 hrs',
          'last 46 wks',
          'last 60 yrs',
          'last 66 yrs',
          'last 49 wks',
          'last 7 secs',
          'last 29 wks',
          'last 51 wks',
          'last 32 yrs',
          'last 13 yrs',
          'last 50 yrs',
          'last 59 yrs',
          'last 28 yrs',
          'last 65 yrs',
          'last 56 yrs',
          'last 18 hrs',
          'last 21 wks',
          'last 27 wks',
          'last 97 yrs',
          'last 3 days',
          'last 12 mos',
          'last 77 yrs',
          'last 5 secs',
          'last 6 days',
          'last 32 wks',
          'last 20 mos',
          'last 72 yrs',
          'last 91 yrs',
          'last 61 yrs',
          'last minute',
          'last 24 hrs',
          'last 99 yrs',
          'last 39 yrs',
          'last 8 mins',
          'last 5 mins',
          'last 10 mos',
          'last 38 yrs',
          'last 78 yrs',
          'last 20 wks',
          'last 11 wks',
          'last 14 mos',
          'last 12 wks',
          'last 12 hrs',
          'last 10 wks',
          'last 52 yrs',
          'last 21 mos',
          'last 38 wks',
          'last 14 wks',
          'last 16 wks',
          'last 41 wks',
          'last 2 mins',
          'last 26 wks',
          'last 31 yrs',
          'last 19 yrs',
          'last 1 year',
          'last 28 wks',
          'last 19 wks',
          'last 30 wks',
          'last 34 wks',
          'last 70 yrs',
          'last 5 days',
          'last 26 yrs',
          'last 18 wks',
          'last 52 wks',
          'last 92 yrs',
          'last 33 wks',
          'last 87 yrs',
          "last hour's",
          'last 46 yrs',
          'last 4 secs',
          'last 24 mos',
          'last 15 hrs',
          'last 13 mos',
          'last 36 yrs',
          'last 27 yrs',
          'last 1 hour',
          'last 25 yrs',
          'last 88 yrs',
          'last 43 yrs',
          'last 24 wks',
          "last week's",
          'last 82 yrs',
          'last 40 wks',
          'last 7 wks',
          'last 7 yrs',
          'last 8 yrs',
          'last 6 mos',
          'last 7 mos',
          'last 9 mos',
          'last 9 yrs',
          'last 2 wks',
          'last 2 yrs',
          'last 3 wks',
          'last 6 hrs',
          'last 2 hrs',
          'last 1 day',
          'last 4 mos',
          'last 1 min',
          'last 9 wks',
          'last 5 wks',
          'last 1 sec',
          'last 9 hrs',
          'last month',
          'last 3 mos',
          'last 6 yrs',
          'last 4 yrs',
          'last 8 wks',
          'last 3 hrs',
          'last 6 wks',
          'last 8 mos',
          'last 3 yrs',
          'last 2 mos',
          'last 5 yrs',
          'last 5 mos',
          'last 7 hrs',
          "last day's",
          'last 8 hrs',
          'last 4 hrs',
          'last 5 hrs',
          'last 4 wks',
          'last 1 mo',
          'last year',
          'last 1 wk',
          'last 1 hr',
          'last week',
          'last 1 yr',
          'last hour',
          'last min',
          'last sec',
          'last day',
          'last wk',
          'last hr',
          'last mo',
          'last yr'],
 'later': ["a single minute's later",
           "a single second's later",
           "a single month's later",
           "a single year's later",
           'a single second later',
           "a single week's later",
           'a single minute later',
           "a single hour's later",
           "a single day's later",
           'a single month later',
           'a single hour later',
           'a single week later',
           'a single year later',
           'a single sec later',
           'a single min later',
           'a single day later',
           'a single yr later',
           'a single wk later',
           'a single hr later',
           'a single mo later'],
 'min': ['a single min later',
         '1 min from now',
         'last 1 min',
         'past 1 min',
         'in one min',
         'next min',
         'in a min',
         'in 1 min',
         'last min',
         'past min'],
 'mins': ['last couple of mins',
          'past couple of mins',
          'couple of mins ago',
          '32 mins from now',
          '60 mins from now',
          '36 mins from now',
          '26 mins from now',
          '58 mins from now',
          '46 mins from now',
          '25 mins from now',
          '50 mins from now',
          '33 mins from now',
          '35 mins from now',
          '17 mins from now',
          'past couple mins',
          '55 mins from now',
          '28 mins from now',
          '31 mins from now',
          '54 mins from now',
          '59 mins from now',
          '41 mins from now',
          '38 mins from now',
          '14 mins from now',
          '49 mins from now',
          '52 mins from now',
          '48 mins from now',
          '20 mins from now',
          '29 mins from now',
          'last couple mins',
          '53 mins from now',
          '30 mins from now',
          '22 mins from now',
          '34 mins from now',
          '19 mins from now',
          '15 mins from now',
          '16 mins from now',
          '51 mins from now',
          '27 mins from now',
          '42 mins from now',
          '45 mins from now',
          '23 mins from now',
          '21 mins from now',
          '40 mins from now',
          '10 mins from now',
          '43 mins from now',
          '13 mins from now',
          '44 mins from now',
          '12 mins from now',
          '18 mins from now',
          '56 mins from now',
          '37 mins from now',
          '11 mins from now',
          '57 mins from now',
          '39 mins from now',
          '24 mins from now',
          '47 mins from now',
          '8 mins from now',
          '4 mins from now',
          '7 mins from now',
          '9 mins from now',
          '5 mins from now',
          '3 mins from now',
          '6 mins from now',
          '2 mins from now',
          'a few mins ago',
          'next 59 mins',
          'next 35 mins',
          'next 57 mins',
          'last 50 mins',
          'past 51 mins',
          'next 31 mins',
          'next 36 mins',
          'last 60 mins',
          'next 45 mins',
          'next 54 mins',
          'next 21 mins',
          'past 11 mins',
          'past 24 mins',
          'last 32 mins',
          'last 34 mins',
          'next 25 mins',
          'last 25 mins',
          'last 49 mins',
          'past 32 mins',
          'next 43 mins',
          'last 36 mins',
          'last 15 mins',
          'last 42 mins',
          'next 48 mins',
          'past 34 mins',
          'past 25 mins',
          'past 57 mins',
          'next 55 mins',
          'last 17 mins',
          'next 53 mins',
          'last 38 mins',
          'past 12 mins',
          'past 48 mins',
          'past 21 mins',
          'past 46 mins',
          'next 32 mins',
          'last 56 mins',
          'past 41 mins',
          'past 10 mins',
          'next 40 mins',
          'next 20 mins',
          'last 11 mins',
          'next 38 mins',
          'next 27 mins',
          'next 44 mins',
          'last 43 mins',
          'past 44 mins',
          'last 23 mins',
          'past 19 mins',
          'next 29 mins',
          'next 39 mins',
          'past 29 mins',
          'past 16 mins',
          'past 59 mins',
          'last 40 mins',
          'past 22 mins',
          'past 33 mins',
          'past 13 mins',
          'last 27 mins',
          'past 38 mins',
          'past 55 mins',
          'last 48 mins',
          'last 51 mins',
          'next 60 mins',
          'last 44 mins',
          'past 50 mins',
          'last 13 mins',
          'past 20 mins',
          'next 10 mins',
          'last 41 mins',
          'past 37 mins',
          'past 27 mins',
          'last 59 mins',
          'next 46 mins',
          'next 50 mins',
          'past 39 mins',
          'next 13 mins',
          'past 58 mins',
          'last 30 mins',
          'past 23 mins',
          'past 15 mins',
          'last 21 mins',
          'next 16 mins',
          'last 20 mins',
          'past 17 mins',
          'next 47 mins',
          'next 41 mins',
          'next 28 mins',
          'next 19 mins',
          'last 55 mins',
          'last 39 mins',
          'last 14 mins',
          'next 22 mins',
          'last 46 mins',
          'past 45 mins',
          'last 45 mins',
          'last 26 mins',
          'last 47 mins',
          'last 58 mins',
          'next 12 mins',
          'past 54 mins',
          'last 35 mins',
          'last 12 mins',
          'last 22 mins',
          'past 14 mins',
          'next 23 mins',
          'last 16 mins',
          'next 11 mins',
          'past 28 mins',
          'next 18 mins',
          'past 36 mins',
          'next 56 mins',
          'past 52 mins',
          'last 18 mins',
          'next 42 mins',
          'last 52 mins',
          'past 60 mins',
          'past 26 mins',
          'next 33 mins',
          'last 10 mins',
          'past 43 mins',
          'last 24 mins',
          'next 52 mins',
          'last 57 mins',
          'last 29 mins',
          'past 53 mins',
          'next 51 mins',
          'past 42 mins',
          'last 28 mins',
          'past 35 mins',
          'last 53 mins',
          'past 18 mins',
          'last 37 mins',
          'next 17 mins',
          'next 15 mins',
          'past 47 mins',
          'next 14 mins',
          'next 37 mins',
          'last 33 mins',
          'next 24 mins',
          'next 30 mins',
          'next 49 mins',
          'last 19 mins',
          'past 40 mins',
          'next 58 mins',
          'next 34 mins',
          'next 26 mins',
          'last 31 mins',
          'last 54 mins',
          'past 56 mins',
          'past 49 mins',
          'past 31 mins',
          'past 30 mins',
          '19 mins ago',
          'past 2 mins',
          '39 mins ago',
          'next 8 mins',
          'next 7 mins',
          '49 mins ago',
          'next 9 mins',
          '32 mins ago',
          '59 mins ago',
          '48 mins ago',
          'past 9 mins',
          '33 mins ago',
          '51 mins ago',
          'next 2 mins',
          'next 3 mins',
          'last 9 mins',
          '18 mins ago',
          'past 3 mins',
          '52 mins ago',
          'past 6 mins',
          '60 mins ago',
          'past 4 mins',
          '42 mins ago',
          '53 mins ago',
          'past 8 mins',
          '34 mins ago',
          'last 4 mins',
          '45 mins ago',
          '40 mins ago',
          'last 6 mins',
          'next 4 mins',
          '54 mins ago',
          '44 mins ago',
          '38 mins ago',
          '21 mins ago',
          '47 mins ago',
          '36 mins ago',
          '43 mins ago',
          '10 mins ago',
          '55 mins ago',
          '13 mins ago',
          'last 7 mins',
          '30 mins ago',
          '12 mins ago',
          '58 mins ago',
          'last 3 mins',
          '15 mins ago',
          '57 mins ago',
          '24 mins ago',
          'next 5 mins',
          'past 7 mins',
          '20 mins ago',
          '22 mins ago',
          '14 mins ago',
          '25 mins ago',
          'last 8 mins',
          '56 mins ago',
          'last 5 mins',
          '27 mins ago',
          '31 mins ago',
          'last 2 mins',
          '50 mins ago',
          '11 mins ago',
          '29 mins ago',
          'past 5 mins',
          '37 mins ago',
          'next 6 mins',
          '46 mins ago',
          '23 mins ago',
          '35 mins ago',
          '26 mins ago',
          '16 mins ago',
          '41 mins ago',
          '17 mins ago',
          '28 mins ago',
          'in 42 mins',
          'in 46 mins',
          '2 mins ago',
          'in 14 mins',
          'in 53 mins',
          'in 41 mins',
          'in 21 mins',
          '9 mins ago',
          'in 36 mins',
          'in 39 mins',
          'in 37 mins',
          'in 43 mins',
          'in 56 mins',
          'in 27 mins',
          'in 52 mins',
          'in 15 mins',
          'in 31 mins',
          '7 mins ago',
          'in 48 mins',
          'in 23 mins',
          'in 40 mins',
          'in 20 mins',
          'in 54 mins',
          'in 28 mins',
          'in 29 mins',
          'in 58 mins',
          'in 32 mins',
          'in 60 mins',
          'in 18 mins',
          'in 50 mins',
          'in 19 mins',
          'in 16 mins',
          'in 55 mins',
          'in 30 mins',
          'in 35 mins',
          'in 10 mins',
          '3 mins ago',
          'in 26 mins',
          '5 mins ago',
          'in 17 mins',
          'in 49 mins',
          'in 24 mins',
          'in 12 mins',
          'in 34 mins',
          'in 45 mins',
          '6 mins ago',
          'in 22 mins',
          'in 25 mins',
          'in 11 mins',
          '8 mins ago',
          '4 mins ago',
          'in 47 mins',
          'in 33 mins',
          'in 51 mins',
          'in 13 mins',
          'in 57 mins',
          'in 44 mins',
          'in 38 mins',
          'in 59 mins',
          'in 2 mins',
          'in 8 mins',
          'in 3 mins',
          'in 4 mins',
          'in 6 mins',
          'in 9 mins',
          'in 7 mins',
          'in 5 mins'],
 'minute': ['a single minute later',
            '1 minute from now',
            'last 1 minute',
            'past 1 minute',
            'in one minute',
            'next minute',
            'in 1 minute',
            'in a minute',
            'last minute',
            'past minute'],
 "minute's": ["a single minute's later",
              "1 minute's from now",
              "last 1 minute's",
              "in one minute's",
              "past 1 minute's",
              "last minute's",
              "past minute's",
              "next minute's",
              "in a minute's",
              "in 1 minute's"],
 'minutes': ['past couple of minutes',
             'last couple of minutes',
             'couple of minutes ago',
             '53 minutes from now',
             '59 minutes from now',
             '26 minutes from now',
             '50 minutes from now',
             '18 minutes from now',
             '45 minutes from now',
             '36 minutes from now',
             '13 minutes from now',
             '30 minutes from now',
             '39 minutes from now',
             '25 minutes from now',
             '54 minutes from now',
             '12 minutes from now',
             '22 minutes from now',
             '33 minutes from now',
             '20 minutes from now',
             '31 minutes from now',
             '46 minutes from now',
             '60 minutes from now',
             '21 minutes from now',
             '37 minutes from now',
             '29 minutes from now',
             '49 minutes from now',
             '51 minutes from now',
             '35 minutes from now',
             '56 minutes from now',
             '58 minutes from now',
             'last couple minutes',
             '16 minutes from now',
             '48 minutes from now',
             '55 minutes from now',
             '27 minutes from now',
             '38 minutes from now',
             '23 minutes from now',
             '15 minutes from now',
             '14 minutes from now',
             '10 minutes from now',
             '19 minutes from now',
             '43 minutes from now',
             'past couple minutes',
             '47 minutes from now',
             '34 minutes from now',
             '41 minutes from now',
             '40 minutes from now',
             '52 minutes from now',
             '42 minutes from now',
             '32 minutes from now',
             '44 minutes from now',
             '57 minutes from now',
             '24 minutes from now',
             '11 minutes from now',
             '17 minutes from now',
             '28 minutes from now',
             '3 minutes from now',
             '2 minutes from now',
             '7 minutes from now',
             '5 minutes from now',
             '9 minutes from now',
             '4 minutes from now',
             '8 minutes from now',
             '6 minutes from now',
             'a few minutes ago',
             'past 17 minutes',
             'past 46 minutes',
             'last 23 minutes',
             'last 33 minutes',
             'past 13 minutes',
             'next 25 minutes',
             'next 24 minutes',
             'last 22 minutes',
             'last 28 minutes',
             'last 51 minutes',
             'next 41 minutes',
             'last 49 minutes',
             'next 20 minutes',
             'past 15 minutes',
             'past 21 minutes',
             'next 10 minutes',
             'last 50 minutes',
             'next 11 minutes',
             'next 59 minutes',
             'last 21 minutes',
             'last 52 minutes',
             'past 18 minutes',
             'last 60 minutes',
             'next 17 minutes',
             'past 40 minutes',
             'past 48 minutes',
             'last 45 minutes',
             'next 45 minutes',
             'next 55 minutes',
             'past 24 minutes',
             'last 11 minutes',
             'next 35 minutes',
             'past 59 minutes',
             'last 41 minutes',
             'last 14 minutes',
             'next 13 minutes',
             'past 11 minutes',
             'next 58 minutes',
             'next 52 minutes',
             'next 16 minutes',
             'next 48 minutes',
             'past 16 minutes',
             'next 56 minutes',
             'next 36 minutes',
             'past 31 minutes',
             'past 30 minutes',
             'last 56 minutes',
             'last 29 minutes',
             'next 39 minutes',
             'last 55 minutes',
             'next 33 minutes',
             'past 23 minutes',
             'last 34 minutes',
             'next 18 minutes',
             'past 39 minutes',
             'next 30 minutes',
             'next 51 minutes',
             'last 48 minutes',
             'past 56 minutes',
             'next 23 minutes',
             'last 37 minutes',
             'last 15 minutes',
             'past 47 minutes',
             'past 55 minutes',
             'next 53 minutes',
             'past 45 minutes',
             'last 43 minutes',
             'past 58 minutes',
             'past 35 minutes',
             'next 40 minutes',
             'past 27 minutes',
             'next 42 minutes',
             'next 12 minutes',
             'last 38 minutes',
             'past 43 minutes',
             'last 26 minutes',
             'past 33 minutes',
             'last 13 minutes',
             'last 53 minutes',
             'past 51 minutes',
             'next 57 minutes',
             'past 36 minutes',
             'last 40 minutes',
             'next 14 minutes',
             'past 28 minutes',
             'past 37 minutes',
             'past 42 minutes',
             'past 44 minutes',
             'last 25 minutes',
             'last 36 minutes',
             'last 42 minutes',
             'last 17 minutes',
             'past 29 minutes',
             'last 24 minutes',
             'past 20 minutes',
             'next 26 minutes',
             'past 38 minutes',
             'next 47 minutes',
             'next 21 minutes',
             'past 49 minutes',
             'last 30 minutes',
             'last 57 minutes',
             'last 31 minutes',
             'next 50 minutes',
             'last 19 minutes',
             'past 50 minutes',
             'next 37 minutes',
             'past 25 minutes',
             'past 57 minutes',
             'last 20 minutes',
             'next 49 minutes',
             'past 52 minutes',
             'last 16 minutes',
             'past 32 minutes',
             'last 35 minutes',
             'next 46 minutes',
             'next 43 minutes',
             'last 27 minutes',
             'next 22 minutes',
             'next 38 minutes',
             'past 34 minutes',
             'next 44 minutes',
             'next 15 minutes',
             'past 53 minutes',
             'next 27 minutes',
             'past 14 minutes',
             'past 19 minutes',
             'last 46 minutes',
             'past 12 minutes',
             'last 54 minutes',
             'last 47 minutes',
             'last 12 minutes',
             'last 39 minutes',
             'last 18 minutes',
             'last 44 minutes',
             'last 10 minutes',
             'next 29 minutes',
             'next 19 minutes',
             'last 59 minutes',
             'past 60 minutes',
             'past 54 minutes',
             'next 54 minutes',
             'next 32 minutes',
             'last 32 minutes',
             'next 28 minutes',
             'next 34 minutes',
             'past 22 minutes',
             'past 10 minutes',
             'past 26 minutes',
             'next 31 minutes',
             'last 58 minutes',
             'next 60 minutes',
             'past 41 minutes',
             '33 minutes ago',
             'next 6 minutes',
             '40 minutes ago',
             '18 minutes ago',
             '14 minutes ago',
             '31 minutes ago',
             '15 minutes ago',
             'last 2 minutes',
             '47 minutes ago',
             '57 minutes ago',
             'past 5 minutes',
             '60 minutes ago',
             'past 2 minutes',
             '23 minutes ago',
             'last 3 minutes',
             '13 minutes ago',
             '32 minutes ago',
             '30 minutes ago',
             'next 2 minutes',
             '35 minutes ago',
             'next 4 minutes',
             'past 6 minutes',
             '58 minutes ago',
             'past 7 minutes',
             'next 7 minutes',
             '49 minutes ago',
             '24 minutes ago',
             '25 minutes ago',
             'past 4 minutes',
             '29 minutes ago',
             '53 minutes ago',
             '48 minutes ago',
             '37 minutes ago',
             '54 minutes ago',
             'last 9 minutes',
             '52 minutes ago',
             '45 minutes ago',
             'last 8 minutes',
             'last 5 minutes',
             'last 4 minutes',
             'next 3 minutes',
             'last 7 minutes',
             '26 minutes ago',
             '41 minutes ago',
             '42 minutes ago',
             '36 minutes ago',
             '12 minutes ago',
             '44 minutes ago',
             'next 5 minutes',
             'past 9 minutes',
             '27 minutes ago',
             '46 minutes ago',
             '38 minutes ago',
             '39 minutes ago',
             '43 minutes ago',
             '11 minutes ago',
             '10 minutes ago',
             '16 minutes ago',
             'next 8 minutes',
             '22 minutes ago',
             '28 minutes ago',
             '56 minutes ago',
             'next 9 minutes',
             '59 minutes ago',
             '55 minutes ago',
             'past 8 minutes',
             '50 minutes ago',
             'past 3 minutes',
             '34 minutes ago',
             'last 6 minutes',
             '51 minutes ago',
             '21 minutes ago',
             '19 minutes ago',
             '17 minutes ago',
             '20 minutes ago',
             'in 28 minutes',
             'in 58 minutes',
             'in 51 minutes',
             'in 41 minutes',
             'in 21 minutes',
             'in 18 minutes',
             '6 minutes ago',
             'in 25 minutes',
             'in 49 minutes',
             '8 minutes ago',
             'in 13 minutes',
             'in 43 minutes',
             'in 55 minutes',
             'in 57 minutes',
             'in 45 minutes',
             'in 59 minutes',
             '5 minutes ago',
             'in 44 minutes',
             'in 54 minutes',
             'in 27 minutes',
             'in 17 minutes',
             'in 56 minutes',
             'in 34 minutes',
             'in 26 minutes',
             'in 29 minutes',
             'in 19 minutes',
             'in 42 minutes',
             'in 52 minutes',
             'in 48 minutes',
             'in 60 minutes',
             '9 minutes ago',
             'in 30 minutes',
             'in 20 minutes',
             '2 minutes ago',
             '3 minutes ago',
             'in 47 minutes',
             'in 31 minutes',
             'in 46 minutes',
             'in 16 minutes',
             'in 53 minutes',
             'in 36 minutes',
             'in 33 minutes',
             'in 50 minutes',
             'in 15 minutes',
             'in 24 minutes',
             'in 39 minutes',
             '4 minutes ago',
             'in 37 minutes',
             'in 35 minutes',
             'in 38 minutes',
             'in 32 minutes',
             'in 23 minutes',
             '7 minutes ago',
             'in 11 minutes',
             'in 12 minutes',
             'in 14 minutes',
             'in 10 minutes',
             'in 22 minutes',
             'in 40 minutes',
             'in 6 minutes',
             'in 2 minutes',
             'in 9 minutes',
             'in 4 minutes',
             'in 7 minutes',
             'in 3 minutes',
             'in 8 minutes',
             'in 5 minutes'],
 'mo': ['a single mo later',
        '1 mo from now',
        'past 1 mo',
        'in one mo',
        'last 1 mo',
        'next mo',
        'last mo',
        'in 1 mo',
        'past mo',
        'in a mo'],
 'month': ['a single month later',
           '1 month from now',
           'last 1 month',
           'in one month',
           'past 1 month',
           'past month',
           'next month',
           'in 1 month',
           'last month',
           'in a month'],
 "month's": ["a single month's later",
             "1 month's from now",
             "last 1 month's",
             "past 1 month's",
             "in one month's",
             "in 1 month's",
             "last month's",
             "past month's",
             "next month's",
             "in a month's"],
 'months': ['past couple of months',
            'last couple of months',
            'couple of months ago',
            '15 months from now',
            '13 months from now',
            '18 months from now',
            'past couple months',
            'last couple months',
            '23 months from now',
            '10 months from now',
            '21 months from now',
            '19 months from now',
            '24 months from now',
            '14 months from now',
            '17 months from now',
            '12 months from now',
            '11 months from now',
            '16 months from now',
            '20 months from now',
            '22 months from now',
            '3 months from now',
            '8 months from now',
            '2 months from now',
            '9 months from now',
            '5 months from now',
            '6 months from now',
            '4 months from now',
            '7 months from now',
            'a few months ago',
            'past 13 months',
            'next 16 months',
            'next 23 months',
            'next 17 months',
            'last 18 months',
            'last 10 months',
            'next 13 months',
            'next 14 months',
            'past 19 months',
            'last 15 months',
            'past 16 months',
            'next 20 months',
            'last 16 months',
            'past 21 months',
            'past 15 months',
            'next 21 months',
            'last 12 months',
            'past 11 months',
            'past 18 months',
            'past 23 months',
            'next 11 months',
            'last 24 months',
            'next 12 months',
            'past 22 months',
            'next 22 months',
            'next 18 months',
            'last 22 months',
            'past 17 months',
            'next 19 months',
            'next 24 months',
            'next 10 months',
            'last 19 months',
            'past 24 months',
            'last 14 months',
            'past 20 months',
            'last 21 months',
            'past 12 months',
            'last 11 months',
            'next 15 months',
            'past 14 months',
            'last 13 months',
            'past 10 months',
            'last 17 months',
            'last 20 months',
            'last 23 months',
            'past 2 months',
            'last 9 months',
            'next 8 months',
            'next 3 months',
            '17 months ago',
            'next 4 months',
            'past 6 months',
            '20 months ago',
            '21 months ago',
            '12 months ago',
            'past 3 months',
            '13 months ago',
            '19 months ago',
            '16 months ago',
            'next 2 months',
            'next 5 months',
            'past 9 months',
            '22 months ago',
            'last 6 months',
            '15 months ago',
            'last 5 months',
            '24 months ago',
            '11 months ago',
            'past 5 months',
            'last 4 months',
            'past 4 months',
            '10 months ago',
            'next 6 months',
            'past 8 months',
            '23 months ago',
            '18 months ago',
            'last 7 months',
            '14 months ago',
            'next 7 months',
            'past 7 months',
            'last 2 months',
            'next 9 months',
            'last 3 months',
            'last 8 months',
            'in 12 months',
            'in 24 months',
            'in 19 months',
            '3 months ago',
            'in 16 months',
            '5 months ago',
            '9 months ago',
            '8 months ago',
            '6 months ago',
            '2 months ago',
            'in 18 months',
            'in 11 months',
            'in 23 months',
            'in 15 months',
            'in 14 months',
            'in 20 months',
            'in 10 months',
            'in 13 months',
            'in 17 months',
            '7 months ago',
            'in 22 months',
            '4 months ago',
            'in 21 months',
            'in 5 months',
            'in 6 months',
            'in 9 months',
            'in 8 months',
            'in 7 months',
            'in 2 months',
            'in 3 months',
            'in 4 months'],
 'mos': ['past couple of mos',
         'last couple of mos',
         'couple of mos ago',
         '17 mos from now',
         '11 mos from now',
         '21 mos from now',
         'past couple mos',
         '18 mos from now',
         '14 mos from now',
         '22 mos from now',
         '20 mos from now',
         '13 mos from now',
         '10 mos from now',
         '19 mos from now',
         '16 mos from now',
         'last couple mos',
         '15 mos from now',
         '23 mos from now',
         '12 mos from now',
         '24 mos from now',
         '3 mos from now',
         '4 mos from now',
         '9 mos from now',
         '7 mos from now',
         '6 mos from now',
         '2 mos from now',
         '5 mos from now',
         '8 mos from now',
         'a few mos ago',
         'last 10 mos',
         'past 24 mos',
         'past 10 mos',
         'last 19 mos',
         'next 12 mos',
         'last 22 mos',
         'next 10 mos',
         'last 17 mos',
         'last 14 mos',
         'next 15 mos',
         'past 18 mos',
         'next 18 mos',
         'last 21 mos',
         'next 23 mos',
         'last 18 mos',
         'past 21 mos',
         'past 20 mos',
         'next 19 mos',
         'next 16 mos',
         'next 20 mos',
         'past 23 mos',
         'next 17 mos',
         'last 15 mos',
         'next 13 mos',
         'next 11 mos',
         'past 19 mos',
         'last 23 mos',
         'past 13 mos',
         'next 22 mos',
         'next 24 mos',
         'past 15 mos',
         'last 12 mos',
         'past 14 mos',
         'past 11 mos',
         'next 21 mos',
         'past 17 mos',
         'past 16 mos',
         'last 20 mos',
         'next 14 mos',
         'last 24 mos',
         'last 13 mos',
         'last 16 mos',
         'past 12 mos',
         'past 22 mos',
         'last 11 mos',
         'next 8 mos',
         '24 mos ago',
         'next 2 mos',
         'last 4 mos',
         'past 9 mos',
         'past 4 mos',
         'last 2 mos',
         'next 5 mos',
         '11 mos ago',
         'next 7 mos',
         '14 mos ago',
         '13 mos ago',
         'last 5 mos',
         'next 6 mos',
         '23 mos ago',
         'past 8 mos',
         'next 9 mos',
         '10 mos ago',
         'next 3 mos',
         '19 mos ago',
         'last 6 mos',
         '17 mos ago',
         'past 3 mos',
         'last 7 mos',
         'next 4 mos',
         '22 mos ago',
         'past 2 mos',
         '16 mos ago',
         '20 mos ago',
         'past 7 mos',
         'last 9 mos',
         'last 8 mos',
         '15 mos ago',
         '21 mos ago',
         'last 3 mos',
         '12 mos ago',
         'past 6 mos',
         '18 mos ago',
         'past 5 mos',
         '8 mos ago',
         'in 11 mos',
         'in 14 mos',
         'in 19 mos',
         'in 16 mos',
         'in 20 mos',
         '5 mos ago',
         '7 mos ago',
         'in 22 mos',
         'in 15 mos',
         '6 mos ago',
         'in 24 mos',
         'in 23 mos',
         'in 17 mos',
         'in 12 mos',
         '2 mos ago',
         'in 18 mos',
         '3 mos ago',
         '9 mos ago',
         'in 21 mos',
         'in 13 mos',
         'in 10 mos',
         '4 mos ago',
         'in 3 mos',
         'in 6 mos',
         'in 7 mos',
         'in 9 mos',
         'in 2 mos',
         'in 4 mos',
         'in 5 mos',
         'in 8 mos'],
 'next': ['next 10 seconds',
          'next 40 seconds',
          'next 25 minutes',
          'next 18 seconds',
          'next 32 seconds',
          'next 24 minutes',
          'next 41 minutes',
          'next 20 minutes',
          'next 10 minutes',
          'next 11 minutes',
          'next 59 minutes',
          'next 19 seconds',
          'next 47 seconds',
          'next 49 seconds',
          'next 57 seconds',
          'next 31 seconds',
          'next 26 seconds',
          'next 17 minutes',
          'next 35 seconds',
          'next 42 seconds',
          'next 45 minutes',
          'next 55 minutes',
          'next 20 seconds',
          'next 35 minutes',
          'next 41 seconds',
          'next 53 seconds',
          'next 13 minutes',
          'next 12 seconds',
          'next 58 minutes',
          'next 52 minutes',
          'next 16 minutes',
          'next 48 minutes',
          'next 51 seconds',
          'next 56 minutes',
          'next 34 seconds',
          'next 36 minutes',
          'next 11 seconds',
          'next 14 seconds',
          'next 39 minutes',
          'next 17 seconds',
          'next 23 seconds',
          'next 48 seconds',
          'next 33 minutes',
          'next 38 seconds',
          'next 18 minutes',
          'next 30 minutes',
          'next 51 minutes',
          'next 23 minutes',
          'next 46 seconds',
          'next 21 seconds',
          'next 53 minutes',
          'next 28 seconds',
          'next 22 seconds',
          'next 59 seconds',
          'next 40 minutes',
          'next 42 minutes',
          'next 12 minutes',
          'next 57 minutes',
          'next 14 minutes',
          'next 24 seconds',
          'next 26 minutes',
          'next 60 seconds',
          'next 47 minutes',
          'next 21 minutes',
          'next 50 minutes',
          'next 52 seconds',
          'next 37 minutes',
          'next 16 seconds',
          'next 30 seconds',
          'next 49 minutes',
          'next 46 minutes',
          'next 43 minutes',
          'next 22 minutes',
          'next 45 seconds',
          'next 38 minutes',
          'next 27 seconds',
          'next 58 seconds',
          'next 15 seconds',
          'next 44 minutes',
          'next 25 seconds',
          'next 55 seconds',
          'next 15 minutes',
          'next 56 seconds',
          'next 36 seconds',
          'next 27 minutes',
          'next 44 seconds',
          'next 29 minutes',
          'next 19 minutes',
          'next 13 seconds',
          'next 54 minutes',
          'next 29 seconds',
          'next 32 minutes',
          'next 28 minutes',
          'next 33 seconds',
          'next 34 minutes',
          'next 37 seconds',
          'next 39 seconds',
          'next 43 seconds',
          'next 31 minutes',
          'next 60 minutes',
          'next 50 seconds',
          'next 54 seconds',
          'next 6 minutes',
          'next 23 months',
          'next 17 months',
          'next 13 months',
          'next 14 months',
          'next 20 months',
          'next 22 months',
          'next 3 seconds',
          'next 2 seconds',
          'next 2 minutes',
          'next 4 minutes',
          'next 4 seconds',
          'next 16 months',
          'next 7 minutes',
          'next 5 seconds',
          'next 100 years',
          'next 19 months',
          'next 15 months',
          'next 3 minutes',
          'next 5 minutes',
          'next 21 months',
          'next 7 seconds',
          'next 12 months',
          'next 24 months',
          'next 10 months',
          'next 8 minutes',
          'next 9 minutes',
          'next 8 seconds',
          'next 11 months',
          'next 18 months',
          'next 9 seconds',
          'next 6 seconds',
          'next 278 days',
          'next 280 days',
          'next 49 years',
          'next 365 days',
          'next 309 days',
          'next 304 days',
          'next 13 weeks',
          'next 335 days',
          'next 61 years',
          'next 113 days',
          'next 319 days',
          'next 349 days',
          'next 327 days',
          'next 39 weeks',
          'next 299 days',
          'next 256 days',
          'next 233 days',
          'next 85 years',
          'next 220 days',
          'next 306 days',
          'next 119 days',
          'next 207 days',
          'next 316 days',
          'next 23 hours',
          'next 235 days',
          'next 296 days',
          'next 23 years',
          'next 29 weeks',
          'next 20 weeks',
          'next 317 days',
          'next 14 years',
          'next 359 days',
          'next 59 years',
          'next 217 days',
          'next 234 days',
          'next 247 days',
          'next 32 years',
          'next 4 months',
          'next 41 years',
          'next 184 days',
          'next 249 days',
          'next 144 days',
          'next 64 years',
          'next 11 years',
          'next 37 weeks',
          'next 301 days',
          'next 282 days',
          'next 302 days',
          'next 69 years',
          'next 279 days',
          'next 181 days',
          'next 12 hours',
          'next 214 days',
          'next 260 days',
          'next 149 days',
          'next 102 days',
          'next 106 days',
          'next 219 days',
          'next 2 months',
          'next 300 days',
          'next 252 days',
          'next 196 days',
          'next 294 days',
          'next 236 days',
          'next 307 days',
          'next 24 hours',
          'next 152 days',
          'next 145 days',
          'next 28 weeks',
          'next 160 days',
          'next 231 days',
          'next 11 weeks',
          'next 361 days',
          'next 60 years',
          'next 154 days',
          'next 180 days',
          'next 269 days',
          'next 364 days',
          'next 16 weeks',
          'next 176 days',
          'next 78 years',
          'next 97 years',
          'next 80 years',
          'next 73 years',
          'next 258 days',
          'next 240 days',
          'next 159 days',
          'next 241 days',
          'next 281 days',
          'next 6 months',
          'next 63 years',
          'next 10 years',
          'next 313 days',
          'next 255 days',
          'next 295 days',
          'next 229 days',
          'next 28 years',
          'next 246 days',
          'next 157 days',
          'next 44 weeks',
          'next 23 weeks',
          'next 341 days',
          'next 363 days',
          'next 9 months',
          'next 35 weeks',
          'next 27 weeks',
          'next 75 years',
          'next 324 days',
          'next 286 days',
          'next 115 days',
          'next 266 days',
          'next 15 weeks',
          'next 283 days',
          'next 354 days',
          'next 124 days',
          'next 190 days',
          'next 276 days',
          'next 328 days',
          'next 55 years',
          'next 362 days',
          'next 212 days',
          'next 116 days',
          'next 215 days',
          'next 353 days',
          'next 32 weeks',
          'next 46 weeks',
          'next 19 weeks',
          'next 303 days',
          'next 30 weeks',
          'next 131 days',
          'next 132 days',
          'next 21 years',
          'next 298 days',
          'next 262 days',
          'next 194 days',
          'next 74 years',
          'next 344 days',
          'next 135 days',
          'next 49 weeks',
          'next 175 days',
          'next 200 days',
          'next 331 days',
          'next 47 weeks',
          'next 267 days',
          'next 43 weeks',
          'next 248 days',
          'next 45 weeks',
          'next 147 days',
          'next 230 days',
          'next 221 days',
          'next 48 years',
          'next 82 years',
          'next 237 days',
          'next 162 days',
          'next 179 days',
          'next 239 days',
          'next 95 years',
          'next 17 hours',
          'next 24 weeks',
          'next 271 days',
          'next 153 days',
          'next 289 days',
          'next 33 weeks',
          'next 5 months',
          'next 161 days',
          'next 22 years',
          'next 358 days',
          'next 285 days',
          'next 158 days',
          'next 206 days',
          "next second's",
          'next 12 weeks',
          'next 189 days',
          'next 10 weeks',
          'next 270 days',
          'next 19 hours',
          'next 263 days',
          'next 25 weeks',
          'next 238 days',
          'next 345 days',
          'next 114 days',
          'next 125 days',
          'next 204 days',
          'next 81 years',
          'next 94 years',
          'next 202 days',
          'next 352 days',
          'next 156 days',
          'next 11 hours',
          'next 77 years',
          'next 26 years',
          'next 76 years',
          'next 305 days',
          'next 226 days',
          'next 123 days',
          'next 99 years',
          'next 121 days',
          'next 164 days',
          'next 312 days',
          'next 10 hours',
          'next 265 days',
          'next 310 days',
          'next 86 years',
          'next 21 hours',
          'next 211 days',
          'next 18 hours',
          'next 333 days',
          'next 70 years',
          'next 139 days',
          'next 293 days',
          'next 292 days',
          'next 155 days',
          'next 225 days',
          'next 31 years',
          'next 66 years',
          'next 253 days',
          'next 37 years',
          'next 79 years',
          'next 16 years',
          'next 356 days',
          'next 136 days',
          'next 45 years',
          'next 71 years',
          'next 197 days',
          'next 18 years',
          'next 227 days',
          'next 314 days',
          'next 133 days',
          'next 342 days',
          'next 288 days',
          'next 130 days',
          'next 67 years',
          'next 53 years',
          'next 38 years',
          'next 120 days',
          'next 8 months',
          'next 166 days',
          'next 325 days',
          'next 105 days',
          'next 26 weeks',
          'next 34 years',
          'next 205 days',
          'next 98 years',
          'next 127 days',
          'next 273 days',
          'next 291 days',
          'next 91 years',
          'next 16 hours',
          'next 185 days',
          'next 257 days',
          'next 14 hours',
          'next 141 days',
          'next 56 years',
          'next 193 days',
          'next 332 days',
          'next 191 days',
          'next 36 years',
          'next 330 days',
          'next 218 days',
          'next 250 days',
          'next 13 years',
          'next 140 days',
          'next 165 days',
          'next 195 days',
          'next 17 weeks',
          'next 232 days',
          'next 321 days',
          'next 320 days',
          'next 57 years',
          'next 326 days',
          'next 171 days',
          'next 117 days',
          'next 337 days',
          'next 111 days',
          'next 172 days',
          'next 169 days',
          'next 51 years',
          'next 259 days',
          'next 35 years',
          'next 89 years',
          'next 334 days',
          'next 343 days',
          'next 44 years',
          'next 216 days',
          'next 222 days',
          'next 93 years',
          'next 38 weeks',
          'next 87 years',
          'next 110 days',
          'next 311 days',
          'next 151 days',
          'next 52 weeks',
          'next 137 days',
          'next 142 days',
          'next 48 weeks',
          'next 146 days',
          'next 308 days',
          'next 208 days',
          'next 22 weeks',
          'next 318 days',
          'next 287 days',
          'next 15 hours',
          'next 143 days',
          'next 290 days',
          'next 336 days',
          'next 72 years',
          'next 182 days',
          'next 134 days',
          'next 315 days',
          'next 108 days',
          'next 340 days',
          'next 170 days',
          'next 107 days',
          'next 224 days',
          'next 22 hours',
          'next 168 days',
          'next 203 days',
          'next 213 days',
          'next 42 weeks',
          'next 284 days',
          'next 254 days',
          'next 88 years',
          'next 42 years',
          'next 43 years',
          'next 178 days',
          'next 112 days',
          'next 30 years',
          'next 209 days',
          'next 29 years',
          'next 100 days',
          'next 348 days',
          'next 297 days',
          'next 243 days',
          'next 322 days',
          'next 350 days',
          'next 17 years',
          'next 18 weeks',
          "next minute's",
          'next 148 days',
          'next 46 years',
          'next 3 months',
          'next 20 hours',
          'next 183 days',
          'next 174 days',
          'next 19 years',
          'next 90 years',
          'next 21 weeks',
          'next 31 weeks',
          'next 104 days',
          'next 173 days',
          'next 210 days',
          'next 65 years',
          'next 40 weeks',
          'next 96 years',
          'next 122 days',
          'next 25 years',
          'next 268 days',
          'next 177 days',
          'next 36 weeks',
          'next 186 days',
          'next 347 days',
          'next 275 days',
          'next 15 years',
          'next 323 days',
          'next 339 days',
          'next 68 years',
          'next 150 days',
          'next 198 days',
          'next 39 years',
          'next 128 days',
          'next 360 days',
          'next 228 days',
          'next 27 years',
          'next 192 days',
          'next 355 days',
          'next 103 days',
          'next 199 days',
          'next 13 hours',
          'next 245 days',
          'next 62 years',
          'next 52 years',
          'next 33 years',
          'next 20 years',
          'next 338 days',
          'next 50 weeks',
          'next 242 days',
          'next 41 weeks',
          'next 126 days',
          'next 50 years',
          'next 329 days',
          'next 346 days',
          'next 274 days',
          'next 188 days',
          'next 167 days',
          'next 251 days',
          'next 92 years',
          'next 58 years',
          'next 14 weeks',
          'next 272 days',
          'next 138 days',
          'next 51 weeks',
          'next 24 years',
          'next 109 days',
          'next 40 years',
          'next 201 days',
          'next 83 years',
          'next 118 days',
          'next 54 years',
          'next 34 weeks',
          'next 129 days',
          'next 7 months',
          'next 163 days',
          'next 187 days',
          'next 351 days',
          'next 277 days',
          'next 101 days',
          'next 264 days',
          'next 261 days',
          'next 223 days',
          'next 12 years',
          'next 244 days',
          'next 84 years',
          'next 357 days',
          'next 47 years',
          'next 77 days',
          'next 26 days',
          'next 35 mins',
          'next 59 mins',
          'next 57 mins',
          'next 37 days',
          'next 20 secs',
          'next 100 yrs',
          'next 31 mins',
          'next 36 mins',
          'next 45 mins',
          'next 70 days',
          'next 54 mins',
          'next 24 secs',
          'next 9 weeks',
          'next 21 mins',
          'next 13 secs',
          'next 46 secs',
          'next 52 days',
          'next 51 days',
          'next 17 secs',
          'next 4 weeks',
          'next 7 hours',
          'next 25 mins',
          'next 38 days',
          'next 53 days',
          'next 98 days',
          'next 17 days',
          'next 43 mins',
          'next 11 secs',
          'next 2 years',
          'next 56 days',
          'next 48 mins',
          'next 13 days',
          'next 8 weeks',
          'next 55 mins',
          'next 86 days',
          'next 53 mins',
          'next 21 secs',
          'next 54 secs',
          'next 72 days',
          'next 29 secs',
          'next 61 days',
          'next 41 days',
          'next 6 hours',
          'next 32 mins',
          'next 40 mins',
          'next 20 mins',
          'next 89 days',
          'next 15 secs',
          'next 11 days',
          'next 39 secs',
          'next 15 days',
          'next 38 mins',
          'next 55 days',
          'next 27 mins',
          'next 44 mins',
          'next 52 secs',
          'next 40 days',
          'next 5 years',
          'next 87 days',
          'next 88 days',
          'next 50 days',
          'next 96 days',
          'next 23 days',
          'next 58 days',
          'next 84 days',
          'next 29 mins',
          'next 45 days',
          'next 82 days',
          'next 39 mins',
          'next 57 secs',
          'next 14 secs',
          "next month's",
          'next 66 days',
          'next 20 days',
          'next 30 secs',
          'next 62 days',
          'next 56 secs',
          'next 34 days',
          'next 42 secs',
          'next 19 days',
          'next 79 days',
          'next 47 secs',
          'next 85 days',
          'next 8 hours',
          'next 4 years',
          'next 27 secs',
          'next 32 secs',
          'next 39 days',
          'next 60 mins',
          'next 73 days',
          'next 34 secs',
          'next 5 weeks',
          'next 31 secs',
          'next 10 mins',
          'next 38 secs',
          'next 48 secs',
          'next 54 days',
          'next 78 days',
          'next 47 days',
          'next 28 secs',
          'next 46 mins',
          'next 55 secs',
          'next 69 days',
          'next 3 hours',
          'next 95 days',
          'next 29 days',
          'next 59 days',
          'next 91 days',
          'next 50 mins',
          'next 81 days',
          'next 58 secs',
          'next 22 secs',
          'next 76 days',
          'next 22 days',
          'next 10 days',
          'next 13 mins',
          'next 49 secs',
          'next 25 secs',
          'next 94 days',
          'next 92 days',
          'next 16 mins',
          'next 2 weeks',
          'next 35 secs',
          'next 12 secs',
          'next 47 mins',
          'next 6 years',
          'next 41 mins',
          'next 50 secs',
          'next 28 mins',
          'next 26 secs',
          'next 19 mins',
          'next 16 secs',
          'next 9 years',
          'next 22 mins',
          'next 37 secs',
          'next 7 years',
          'next 57 days',
          'next 21 days',
          'next 27 days',
          'next 43 days',
          'next 36 secs',
          'next 45 secs',
          'next 12 mins',
          'next 46 days',
          'next 33 days',
          'next 41 secs',
          'next 2 hours',
          'next 23 mins',
          'next 60 secs',
          'next 5 hours',
          'next 64 days',
          'next 11 mins',
          'next 44 secs',
          'next 3 years',
          'next 9 hours',
          'next 18 mins',
          'next 65 days',
          'next 7 weeks',
          'next 56 mins',
          'next 32 days',
          'next 83 days',
          'next 23 secs',
          'next 14 days',
          'next 36 days',
          'next 19 secs',
          'next 6 weeks',
          'next 71 days',
          'next 68 days',
          'next 90 days',
          'next 42 mins',
          'next 80 days',
          'next 35 days',
          'next 33 mins',
          'next 12 days',
          'next 49 days',
          'next 52 mins',
          'next 67 days',
          'next 60 days',
          'next 8 years',
          'next 51 mins',
          'next 31 days',
          'next 28 days',
          'next 42 days',
          'next 43 secs',
          'next 97 days',
          'next 10 secs',
          'next 51 secs',
          'next 4 hours',
          'next 44 days',
          'next 75 days',
          'next 15 mins',
          'next 17 mins',
          'next 18 secs',
          'next 14 mins',
          'next 99 days',
          'next 37 mins',
          'next 30 days',
          'next 24 mins',
          'next 53 secs',
          'next 30 mins',
          'next 48 days',
          'next 93 days',
          'next 49 mins',
          'next 33 secs',
          'next 25 days',
          'next 58 mins',
          'next 63 days',
          'next 34 mins',
          'next 16 days',
          'next 26 mins',
          'next 59 secs',
          'next 18 days',
          'next 24 days',
          'next 74 days',
          'next 40 secs',
          'next 3 weeks',
          'next 69 yrs',
          'next 10 mos',
          'next 17 hrs',
          'next 64 yrs',
          'next 56 yrs',
          'next 8 mins',
          'next 7 mins',
          'next 59 yrs',
          'next 2 secs',
          'next 43 yrs',
          'next 9 mins',
          'next 11 hrs',
          "next hour's",
          'next 47 yrs',
          'next 76 yrs',
          'next 73 yrs',
          'next 20 mos',
          'next 48 wks',
          'next 33 yrs',
          'next 66 yrs',
          'next 12 wks',
          'next 40 wks',
          'next 62 yrs',
          'next 28 wks',
          'next 80 yrs',
          'next 50 wks',
          'next 15 wks',
          'next 3 days',
          'next 2 mins',
          'next 3 mins',
          'next 39 wks',
          'next 14 mos',
          'next 5 days',
          'next 37 wks',
          'next 38 yrs',
          'next 47 wks',
          'next 30 yrs',
          'next 27 yrs',
          'next 10 wks',
          'next 15 yrs',
          'next 39 yrs',
          'next 90 yrs',
          'next 17 wks',
          'next 70 yrs',
          'next 49 yrs',
          'next 58 yrs',
          'next 30 wks',
          'next 7 secs',
          'next 23 mos',
          'next 2 days',
          'next 72 yrs',
          'next 20 wks',
          'next 79 yrs',
          'next 4 mins',
          'next 29 yrs',
          'next 13 mos',
          'next 54 yrs',
          'next 55 yrs',
          'next 22 mos',
          'next 24 mos',
          'next 22 hrs',
          'next 44 yrs',
          'next 31 yrs',
          'next 37 yrs',
          'next 77 yrs',
          'next 57 yrs',
          'next 33 wks',
          'next 48 yrs',
          'next second',
          'next 26 wks',
          'next 10 hrs',
          'next 21 hrs',
          'next 49 wks',
          'next 14 hrs',
          'next 92 yrs',
          'next 74 yrs',
          'next 24 hrs',
          'next 43 wks',
          'next 4 days',
          'next 25 yrs',
          'next 19 hrs',
          'next 23 wks',
          'next 6 days',
          'next 24 wks',
          'next 9 secs',
          'next 34 yrs',
          'next 13 hrs',
          'next 99 yrs',
          'next 18 hrs',
          'next 46 yrs',
          "next year's",
          'next 15 hrs',
          'next 14 yrs',
          'next 12 mos',
          'next 24 yrs',
          'next 93 yrs',
          'next 53 yrs',
          'next 98 yrs',
          'next 15 mos',
          'next 18 mos',
          'next 96 yrs',
          'next 94 yrs',
          'next 16 mos',
          'next 5 secs',
          'next 67 yrs',
          'next 63 yrs',
          'next 41 yrs',
          'next 32 yrs',
          'next 17 mos',
          'next 22 wks',
          'next 36 yrs',
          'next 8 secs',
          'next 44 wks',
          'next 5 mins',
          'next 41 wks',
          'next 23 yrs',
          'next 52 wks',
          'next 8 days',
          'next 9 days',
          'next 19 yrs',
          'next 75 yrs',
          'next 84 yrs',
          'next 88 yrs',
          'next 18 wks',
          'next 31 wks',
          'next 27 wks',
          'next 35 yrs',
          'next 45 wks',
          'next 11 yrs',
          'next 22 yrs',
          'next 10 yrs',
          'next 6 secs',
          'next 7 days',
          'next 97 yrs',
          'next 21 wks',
          'next 16 yrs',
          'next 32 wks',
          'next 14 wks',
          'next 38 wks',
          'next 68 yrs',
          'next 12 hrs',
          'next 51 yrs',
          'next 18 yrs',
          'next 13 yrs',
          'next 82 yrs',
          'next 17 yrs',
          'next 71 yrs',
          'next 95 yrs',
          'next 46 wks',
          'next 65 yrs',
          'next 42 wks',
          'next 19 mos',
          'next 40 yrs',
          'next 91 yrs',
          'next 35 wks',
          'next 60 yrs',
          'next minute',
          'next 85 yrs',
          "next week's",
          'next 6 mins',
          'next 52 yrs',
          'next 11 mos',
          'next 26 yrs',
          'next 29 wks',
          'next 19 wks',
          'next 51 wks',
          'next 23 hrs',
          'next 34 wks',
          'next 21 mos',
          'next 81 yrs',
          'next 16 hrs',
          'next 13 wks',
          'next 20 yrs',
          'next 20 hrs',
          'next 36 wks',
          'next 42 yrs',
          'next 12 yrs',
          'next 87 yrs',
          'next 28 yrs',
          'next 50 yrs',
          'next 11 wks',
          'next 83 yrs',
          'next 16 wks',
          'next 45 yrs',
          'next 89 yrs',
          'next 3 secs',
          'next 4 secs',
          'next 86 yrs',
          'next 25 wks',
          'next 78 yrs',
          'next 21 yrs',
          'next 61 yrs',
          'next 3 wks',
          'next 7 yrs',
          'next 4 wks',
          'next 2 hrs',
          'next 5 yrs',
          'next 2 yrs',
          'next 2 mos',
          'next 8 yrs',
          'next 4 yrs',
          'next 7 mos',
          'next 6 hrs',
          'next 9 yrs',
          'next 4 hrs',
          'next 6 yrs',
          'next 3 hrs',
          'next 7 hrs',
          'next 3 yrs',
          'next 9 mos',
          "next day's",
          'next month',
          'next 9 wks',
          'next 2 wks',
          'next 5 wks',
          'next 5 hrs',
          'next 8 hrs',
          'next 8 mos',
          'next 8 wks',
          'next 5 mos',
          'next 6 mos',
          'next 9 hrs',
          'next 7 wks',
          'next 3 mos',
          'next 4 mos',
          'next 6 wks',
          'next hour',
          'next week',
          'next year',
          'next min',
          'next day',
          'next sec',
          'next mo',
          'next hr',
          'next wk',
          'next yr'],
 'now': ['53 minutes from now',
         '21 seconds from now',
         '59 minutes from now',
         '31 seconds from now',
         '26 minutes from now',
         '32 seconds from now',
         '50 minutes from now',
         '19 seconds from now',
         '18 minutes from now',
         '47 seconds from now',
         '45 minutes from now',
         '16 seconds from now',
         '17 seconds from now',
         '41 seconds from now',
         '18 seconds from now',
         '36 minutes from now',
         '13 minutes from now',
         '30 minutes from now',
         '59 seconds from now',
         '38 seconds from now',
         '39 minutes from now',
         '25 minutes from now',
         '10 seconds from now',
         '54 minutes from now',
         "1 second's from now",
         '12 seconds from now',
         '12 minutes from now',
         '34 seconds from now',
         '22 minutes from now',
         '33 minutes from now',
         '20 minutes from now',
         '36 seconds from now',
         '51 seconds from now',
         '35 seconds from now',
         '31 minutes from now',
         '46 minutes from now',
         '21 minutes from now',
         '37 minutes from now',
         '30 seconds from now',
         '14 seconds from now',
         '29 minutes from now',
         '53 seconds from now',
         '49 minutes from now',
         '29 seconds from now',
         '26 seconds from now',
         '58 seconds from now',
         '44 seconds from now',
         '28 seconds from now',
         '51 minutes from now',
         '35 minutes from now',
         '56 minutes from now',
         '43 seconds from now',
         "1 minute's from now",
         '58 minutes from now',
         '52 seconds from now',
         '13 seconds from now',
         '23 seconds from now',
         '16 minutes from now',
         '48 minutes from now',
         '27 seconds from now',
         '55 minutes from now',
         '27 minutes from now',
         '57 seconds from now',
         '38 minutes from now',
         '23 minutes from now',
         '15 minutes from now',
         '37 seconds from now',
         '54 seconds from now',
         '45 seconds from now',
         '20 seconds from now',
         '14 minutes from now',
         '10 minutes from now',
         '48 seconds from now',
         '19 minutes from now',
         '43 minutes from now',
         '55 seconds from now',
         '50 seconds from now',
         '47 minutes from now',
         '42 seconds from now',
         '49 seconds from now',
         '24 seconds from now',
         '39 seconds from now',
         '60 seconds from now',
         '34 minutes from now',
         '41 minutes from now',
         '40 minutes from now',
         '52 minutes from now',
         '46 seconds from now',
         '42 minutes from now',
         '15 seconds from now',
         '32 minutes from now',
         '22 seconds from now',
         '44 minutes from now',
         '57 minutes from now',
         '60 minutes from now',
         '40 seconds from now',
         '56 seconds from now',
         '24 minutes from now',
         '11 minutes from now',
         '33 seconds from now',
         '11 seconds from now',
         '25 seconds from now',
         '17 minutes from now',
         '28 minutes from now',
         '3 minutes from now',
         '21 months from now',
         '5 seconds from now',
         '17 months from now',
         '12 months from now',
         '16 months from now',
         '100 years from now',
         '2 minutes from now',
         '7 minutes from now',
         '10 months from now',
         '24 months from now',
         '14 months from now',
         '7 seconds from now',
         '22 months from now',
         '15 months from now',
         '13 months from now',
         '23 months from now',
         '5 minutes from now',
         '8 seconds from now',
         '19 months from now',
         '9 minutes from now',
         '11 months from now',
         '2 seconds from now',
         '6 seconds from now',
         '20 months from now',
         "1 month's from now",
         '4 minutes from now',
         '4 seconds from now',
         '9 seconds from now',
         '8 minutes from now',
         '3 seconds from now',
         '6 minutes from now',
         '18 months from now',
         '1 minute from now',
         '276 days from now',
         '113 days from now',
         '26 years from now',
         '182 days from now',
         '266 days from now',
         '29 years from now',
         '88 years from now',
         '151 days from now',
         '160 days from now',
         '59 years from now',
         '8 months from now',
         '47 weeks from now',
         '359 days from now',
         '308 days from now',
         '201 days from now',
         '23 weeks from now',
         '148 days from now',
         '108 days from now',
         '298 days from now',
         '313 days from now',
         '228 days from now',
         '24 years from now',
         '192 days from now',
         '11 weeks from now',
         '35 years from now',
         '98 years from now',
         "1 week's from now",
         '346 days from now',
         '251 days from now',
         '19 hours from now',
         '30 years from now',
         '202 days from now',
         '46 weeks from now',
         '29 weeks from now',
         '118 days from now',
         '205 days from now',
         '21 hours from now',
         '191 days from now',
         '69 years from now',
         '216 days from now',
         '277 days from now',
         '94 years from now',
         '12 years from now',
         '339 days from now',
         '211 days from now',
         '51 weeks from now',
         '2 months from now',
         '81 years from now',
         '19 weeks from now',
         '24 weeks from now',
         '137 days from now',
         '262 days from now',
         '275 days from now',
         '318 days from now',
         '161 days from now',
         '72 years from now',
         '14 weeks from now',
         '142 days from now',
         '93 years from now',
         '50 weeks from now',
         '120 days from now',
         '158 days from now',
         '327 days from now',
         '132 days from now',
         '10 years from now',
         '265 days from now',
         '208 days from now',
         '362 days from now',
         '171 days from now',
         '21 years from now',
         '27 weeks from now',
         '305 days from now',
         '303 days from now',
         '229 days from now',
         '232 days from now',
         '6 months from now',
         '153 days from now',
         '365 days from now',
         '226 days from now',
         '267 days from now',
         '285 days from now',
         '187 days from now',
         '164 days from now',
         '316 days from now',
         '40 weeks from now',
         '41 weeks from now',
         '33 weeks from now',
         '358 days from now',
         '65 years from now',
         '42 weeks from now',
         '244 days from now',
         '116 days from now',
         '301 days from now',
         '7 months from now',
         '181 days from now',
         '193 days from now',
         '119 days from now',
         '52 years from now',
         '39 years from now',
         '90 years from now',
         '197 days from now',
         '167 days from now',
         '170 days from now',
         '218 days from now',
         '314 days from now',
         '237 days from now',
         '11 years from now',
         '71 years from now',
         '48 weeks from now',
         '223 days from now',
         '322 days from now',
         '352 days from now',
         '56 years from now',
         '176 days from now',
         '356 days from now',
         '174 days from now',
         '68 years from now',
         '254 days from now',
         '195 days from now',
         '16 hours from now',
         '84 years from now',
         '203 days from now',
         '324 days from now',
         '96 years from now',
         '16 weeks from now',
         '152 days from now',
         '163 days from now',
         '312 days from now',
         '353 days from now',
         '97 years from now',
         '123 days from now',
         '37 years from now',
         '32 years from now',
         '12 weeks from now',
         '315 days from now',
         '219 days from now',
         '188 days from now',
         '206 days from now',
         '334 days from now',
         '15 years from now',
         '213 days from now',
         '270 days from now',
         '179 days from now',
         '299 days from now',
         '190 days from now',
         '214 days from now',
         '15 weeks from now',
         '43 weeks from now',
         '92 years from now',
         '57 years from now',
         '261 days from now',
         '78 years from now',
         '336 days from now',
         '296 days from now',
         '41 years from now',
         '242 days from now',
         '291 days from now',
         '194 days from now',
         '43 years from now',
         '13 years from now',
         '239 days from now',
         '172 days from now',
         '140 days from now',
         '310 days from now',
         '252 days from now',
         '127 days from now',
         '175 days from now',
         '129 days from now',
         '103 days from now',
         '320 days from now',
         '300 days from now',
         '77 years from now',
         '64 years from now',
         '23 years from now',
         '349 days from now',
         '209 days from now',
         '288 days from now',
         '165 days from now',
         '18 weeks from now',
         '28 weeks from now',
         '124 days from now',
         '54 years from now',
         '102 days from now',
         '36 weeks from now',
         '53 years from now',
         '146 days from now',
         '10 hours from now',
         '166 days from now',
         '141 days from now',
         '26 weeks from now',
         '255 days from now',
         '51 years from now',
         '224 days from now',
         '17 hours from now',
         '31 years from now',
         '86 years from now',
         '20 weeks from now',
         '345 days from now',
         '248 days from now',
         '155 days from now',
         '326 days from now',
         '16 years from now',
         '34 weeks from now',
         '357 days from now',
         '45 weeks from now',
         '290 days from now',
         '295 days from now',
         '259 days from now',
         '17 weeks from now',
         '319 days from now',
         '82 years from now',
         '355 days from now',
         '19 years from now',
         '4 months from now',
         '332 days from now',
         '85 years from now',
         '230 days from now',
         '39 weeks from now',
         "1 hour's from now",
         '128 days from now',
         '67 years from now',
         '20 years from now',
         '169 days from now',
         '38 weeks from now',
         '302 days from now',
         '272 days from now',
         '268 days from now',
         '3 months from now',
         '121 days from now',
         '125 days from now',
         '196 days from now',
         '344 days from now',
         '234 days from now',
         '220 days from now',
         '317 days from now',
         '338 days from now',
         '114 days from now',
         '28 years from now',
         '231 days from now',
         '46 years from now',
         '247 days from now',
         '38 years from now',
         '293 days from now',
         '23 hours from now',
         '21 weeks from now',
         '273 days from now',
         '95 years from now',
         '27 years from now',
         '42 years from now',
         '204 days from now',
         '279 days from now',
         '341 days from now',
         '227 days from now',
         '33 years from now',
         '106 days from now',
         '342 days from now',
         '347 days from now',
         '145 days from now',
         '91 years from now',
         '136 days from now',
         '364 days from now',
         '280 days from now',
         '340 days from now',
         '44 weeks from now',
         '131 days from now',
         '348 days from now',
         '126 days from now',
         '331 days from now',
         '60 years from now',
         '253 days from now',
         '189 days from now',
         '360 days from now',
         '343 days from now',
         '24 hours from now',
         '30 weeks from now',
         '350 days from now',
         '150 days from now',
         '75 years from now',
         '37 weeks from now',
         '258 days from now',
         '323 days from now',
         '225 days from now',
         '221 days from now',
         '70 years from now',
         '105 days from now',
         '55 years from now',
         '89 years from now',
         '217 days from now',
         '22 weeks from now',
         '74 years from now',
         '287 days from now',
         '110 days from now',
         '177 days from now',
         '58 years from now',
         '35 weeks from now',
         '111 days from now',
         '5 months from now',
         '149 days from now',
         '47 years from now',
         '52 weeks from now',
         '122 days from now',
         '10 weeks from now',
         '207 days from now',
         '73 years from now',
         '199 days from now',
         '13 hours from now',
         '284 days from now',
         '112 days from now',
         '245 days from now',
         '289 days from now',
         '83 years from now',
         '321 days from now',
         '257 days from now',
         '99 years from now',
         '271 days from now',
         '61 years from now',
         '154 days from now',
         '143 days from now',
         '264 days from now',
         '22 hours from now',
         '200 days from now',
         '246 days from now',
         '198 days from now',
         '80 years from now',
         '269 days from now',
         '18 hours from now',
         '329 days from now',
         '185 days from now',
         '236 days from now',
         '297 days from now',
         '159 days from now',
         '168 days from now',
         '76 years from now',
         '144 days from now',
         '34 years from now',
         '135 days from now',
         '282 days from now',
         '178 days from now',
         '307 days from now',
         '184 days from now',
         '100 days from now',
         '281 days from now',
         '309 days from now',
         '222 days from now',
         '63 years from now',
         '20 hours from now',
         '278 days from now',
         '40 years from now',
         '115 days from now',
         '233 days from now',
         '15 hours from now',
         '107 days from now',
         '351 days from now',
         '130 days from now',
         '25 weeks from now',
         '62 years from now',
         '133 days from now',
         '240 days from now',
         '109 days from now',
         '183 days from now',
         '294 days from now',
         '283 days from now',
         '79 years from now',
         '44 years from now',
         '256 days from now',
         '49 weeks from now',
         '173 days from now',
         '306 days from now',
         '363 days from now',
         '354 days from now',
         '17 years from now',
         '292 days from now',
         '250 days from now',
         '14 years from now',
         '45 years from now',
         '147 days from now',
         '243 days from now',
         '117 days from now',
         '12 hours from now',
         '286 days from now',
         '330 days from now',
         '337 days from now',
         '48 years from now',
         '31 weeks from now',
         '304 days from now',
         '325 days from now',
         '9 months from now',
         '138 days from now',
         '66 years from now',
         '238 days from now',
         '1 second from now',
         '260 days from now',
         '104 days from now',
         '25 years from now',
         '18 years from now',
         '311 days from now',
         '14 hours from now',
         '156 days from now',
         '186 days from now',
         '36 years from now',
         '274 days from now',
         '50 years from now',
         '180 days from now',
         '249 days from now',
         '49 years from now',
         '101 days from now',
         '134 days from now',
         '157 days from now',
         '241 days from now',
         '335 days from now',
         '328 days from now',
         '32 weeks from now',
         '263 days from now',
         "1 year's from now",
         '22 years from now',
         '87 years from now',
         '215 days from now',
         '235 days from now',
         '333 days from now',
         '361 days from now',
         '162 days from now',
         '212 days from now',
         '11 hours from now',
         '13 weeks from now',
         '139 days from now',
         '210 days from now',
         '21 secs from now',
         '57 days from now',
         '21 days from now',
         '22 secs from now',
         '72 days from now',
         '15 days from now',
         '16 days from now',
         '5 weeks from now',
         '17 days from now',
         '52 days from now',
         '32 mins from now',
         '75 days from now',
         '6 hours from now',
         '60 mins from now',
         '24 days from now',
         '36 mins from now',
         '17 secs from now',
         '39 days from now',
         '26 secs from now',
         '36 secs from now',
         '49 secs from now',
         '58 secs from now',
         '74 days from now',
         '40 days from now',
         '66 days from now',
         '26 mins from now',
         '57 secs from now',
         '79 days from now',
         '58 mins from now',
         '59 secs from now',
         '32 days from now',
         '54 days from now',
         '14 days from now',
         '37 secs from now',
         '53 days from now',
         '40 secs from now',
         '62 days from now',
         '8 weeks from now',
         '84 days from now',
         '90 days from now',
         '5 hours from now',
         '46 mins from now',
         '27 secs from now',
         '25 mins from now',
         '50 mins from now',
         '45 secs from now',
         '94 days from now',
         '71 days from now',
         '33 mins from now',
         '23 days from now',
         '35 mins from now',
         '58 days from now',
         '98 days from now',
         '17 mins from now',
         '16 secs from now',
         '25 days from now',
         '38 secs from now',
         '31 days from now',
         '87 days from now',
         '43 days from now',
         '38 days from now',
         '95 days from now',
         '48 secs from now',
         '55 mins from now',
         '11 secs from now',
         '47 secs from now',
         '28 mins from now',
         '34 days from now',
         '7 hours from now',
         '53 secs from now',
         '25 secs from now',
         '28 secs from now',
         '8 hours from now',
         '31 mins from now',
         '93 days from now',
         '44 secs from now',
         '54 mins from now',
         '6 weeks from now',
         '13 days from now',
         '29 secs from now',
         '4 hours from now',
         '59 mins from now',
         '28 days from now',
         '48 days from now',
         '41 mins from now',
         '63 days from now',
         '56 secs from now',
         '38 mins from now',
         '34 secs from now',
         '14 mins from now',
         '12 days from now',
         '42 days from now',
         '10 secs from now',
         '18 secs from now',
         '91 days from now',
         '49 days from now',
         '20 days from now',
         '49 mins from now',
         '80 days from now',
         '52 mins from now',
         '54 secs from now',
         '77 days from now',
         '46 days from now',
         '1 month from now',
         '48 mins from now',
         '20 mins from now',
         '99 days from now',
         '51 days from now',
         '2 years from now',
         '2 hours from now',
         '51 secs from now',
         '6 years from now',
         '29 mins from now',
         '14 secs from now',
         '20 secs from now',
         '35 secs from now',
         '43 secs from now',
         '53 mins from now',
         '31 secs from now',
         '30 mins from now',
         '30 secs from now',
         '46 secs from now',
         '50 secs from now',
         '19 days from now',
         '78 days from now',
         '76 days from now',
         '4 years from now',
         '81 days from now',
         '44 days from now',
         '9 hours from now',
         '60 secs from now',
         '22 mins from now',
         '13 secs from now',
         '92 days from now',
         '30 days from now',
         '3 hours from now',
         '34 mins from now',
         '19 mins from now',
         '85 days from now',
         '15 mins from now',
         '35 days from now',
         '9 weeks from now',
         '18 days from now',
         '26 days from now',
         '88 days from now',
         '24 secs from now',
         '55 secs from now',
         '16 mins from now',
         '2 weeks from now',
         '47 days from now',
         '29 days from now',
         '69 days from now',
         '51 mins from now',
         '32 secs from now',
         '27 mins from now',
         '56 days from now',
         '12 secs from now',
         '68 days from now',
         '39 secs from now',
         '96 days from now',
         '33 secs from now',
         '19 secs from now',
         '36 days from now',
         '89 days from now',
         '45 days from now',
         '42 mins from now',
         '70 days from now',
         '22 days from now',
         '45 mins from now',
         '23 mins from now',
         '73 days from now',
         '21 mins from now',
         '40 mins from now',
         '10 mins from now',
         '43 mins from now',
         '13 mins from now',
         '41 days from now',
         '44 mins from now',
         '55 days from now',
         '4 weeks from now',
         '37 days from now',
         '12 mins from now',
         '18 mins from now',
         '23 secs from now',
         '56 mins from now',
         '83 days from now',
         '37 mins from now',
         '97 days from now',
         '7 weeks from now',
         '82 days from now',
         '60 days from now',
         '100 yrs from now',
         '52 secs from now',
         '59 days from now',
         '11 mins from now',
         '15 secs from now',
         '8 years from now',
         '7 years from now',
         '10 days from now',
         '64 days from now',
         '57 mins from now',
         '39 mins from now',
         '5 years from now',
         '41 secs from now',
         '42 secs from now',
         "1 day's from now",
         '67 days from now',
         '86 days from now',
         '27 days from now',
         '33 days from now',
         '3 years from now',
         '24 mins from now',
         '11 days from now',
         '9 years from now',
         '50 days from now',
         '47 mins from now',
         '65 days from now',
         '3 weeks from now',
         '61 days from now',
         '20 hrs from now',
         '14 yrs from now',
         '21 mos from now',
         '45 wks from now',
         '37 yrs from now',
         '68 yrs from now',
         '96 yrs from now',
         '63 yrs from now',
         '64 yrs from now',
         '42 yrs from now',
         '18 hrs from now',
         '8 mins from now',
         '14 mos from now',
         '29 yrs from now',
         '88 yrs from now',
         '18 wks from now',
         '87 yrs from now',
         '5 days from now',
         '44 yrs from now',
         '11 wks from now',
         '17 yrs from now',
         '10 wks from now',
         '8 days from now',
         '69 yrs from now',
         '4 mins from now',
         '19 wks from now',
         '22 yrs from now',
         '20 mos from now',
         '70 yrs from now',
         '47 wks from now',
         '1 week from now',
         '21 wks from now',
         '58 yrs from now',
         '89 yrs from now',
         '10 hrs from now',
         '33 wks from now',
         '10 mos from now',
         '47 yrs from now',
         '14 wks from now',
         '40 yrs from now',
         '16 mos from now',
         '34 yrs from now',
         '42 wks from now',
         '77 yrs from now',
         '86 yrs from now',
         '3 secs from now',
         '73 yrs from now',
         '35 yrs from now',
         '1 year from now',
         '24 yrs from now',
         '22 wks from now',
         '92 yrs from now',
         '21 yrs from now',
         '40 wks from now',
         '22 hrs from now',
         '78 yrs from now',
         '51 wks from now',
         '52 yrs from now',
         '17 hrs from now',
         '36 yrs from now',
         '38 yrs from now',
         '90 yrs from now',
         '17 wks from now',
         '4 secs from now',
         '12 wks from now',
         '54 yrs from now',
         '1 hour from now',
         '27 wks from now',
         '16 hrs from now',
         '21 hrs from now',
         '95 yrs from now',
         '56 yrs from now',
         '85 yrs from now',
         '24 hrs from now',
         '39 wks from now',
         '44 wks from now',
         '94 yrs from now',
         '38 wks from now',
         '84 yrs from now',
         '98 yrs from now',
         '51 yrs from now',
         '25 yrs from now',
         '2 days from now',
         '46 yrs from now',
         '50 yrs from now',
         '11 yrs from now',
         '30 wks from now',
         '12 hrs from now',
         '13 hrs from now',
         '62 yrs from now',
         '60 yrs from now',
         '32 wks from now',
         '14 hrs from now',
         '25 wks from now',
         '31 yrs from now',
         '48 yrs from now',
         '49 yrs from now',
         '15 wks from now',
         '35 wks from now',
         '15 hrs from now',
         '7 days from now',
         '34 wks from now',
         '23 hrs from now',
         '36 wks from now',
         '8 secs from now',
         '13 yrs from now',
         '67 yrs from now',
         '83 yrs from now',
         '26 yrs from now',
         '7 secs from now',
         '72 yrs from now',
         '22 mos from now',
         '19 yrs from now',
         '41 yrs from now',
         '30 yrs from now',
         '7 mins from now',
         '33 yrs from now',
         '28 yrs from now',
         '32 yrs from now',
         '43 wks from now',
         '29 wks from now',
         '50 wks from now',
         '37 wks from now',
         '11 hrs from now',
         '82 yrs from now',
         '16 wks from now',
         '9 mins from now',
         '4 days from now',
         '26 wks from now',
         '19 hrs from now',
         '15 mos from now',
         '71 yrs from now',
         '99 yrs from now',
         '12 mos from now',
         '48 wks from now',
         '9 secs from now',
         '17 mos from now',
         '61 yrs from now',
         '80 yrs from now',
         '66 yrs from now',
         '11 mos from now',
         '27 yrs from now',
         '55 yrs from now',
         '81 yrs from now',
         '5 mins from now',
         '93 yrs from now',
         '6 secs from now',
         '18 mos from now',
         '39 yrs from now',
         '41 wks from now',
         '74 yrs from now',
         '16 yrs from now',
         '3 mins from now',
         '5 secs from now',
         '3 days from now',
         '12 yrs from now',
         '76 yrs from now',
         '10 yrs from now',
         '13 wks from now',
         '2 secs from now',
         '59 yrs from now',
         '52 wks from now',
         '49 wks from now',
         '6 mins from now',
         '97 yrs from now',
         '2 mins from now',
         '53 yrs from now',
         '15 yrs from now',
         '75 yrs from now',
         '20 yrs from now',
         '20 wks from now',
         '79 yrs from now',
         '6 days from now',
         '91 yrs from now',
         '13 mos from now',
         '43 yrs from now',
         '19 mos from now',
         '18 yrs from now',
         '65 yrs from now',
         '9 days from now',
         '57 yrs from now',
         '24 wks from now',
         '46 wks from now',
         '28 wks from now',
         '23 yrs from now',
         '31 wks from now',
         '23 mos from now',
         '23 wks from now',
         '24 mos from now',
         '45 yrs from now',
         '7 mos from now',
         '8 hrs from now',
         '6 mos from now',
         '3 wks from now',
         '7 hrs from now',
         '5 yrs from now',
         '6 wks from now',
         '3 hrs from now',
         '8 wks from now',
         '4 yrs from now',
         '9 hrs from now',
         '2 yrs from now',
         '5 mos from now',
         '3 yrs from now',
         '4 mos from now',
         '9 mos from now',
         '2 wks from now',
         '1 day from now',
         '1 sec from now',
         '7 yrs from now',
         '7 wks from now',
         '2 hrs from now',
         '9 wks from now',
         '5 hrs from now',
         '3 mos from now',
         '4 hrs from now',
         '4 wks from now',
         '2 mos from now',
         '8 yrs from now',
         '6 hrs from now',
         '9 yrs from now',
         '6 yrs from now',
         '5 wks from now',
         '1 min from now',
         '8 mos from now',
         '1 yr from now',
         '1 mo from now',
         '1 wk from now',
         '1 hr from now'],
 'of': ['past couple of seconds',
        'past couple of minutes',
        'last couple of minutes',
        'last couple of seconds',
        'couple of minutes ago',
        'last couple of months',
        'past couple of months',
        'couple of seconds ago',
        'past couple of weeks',
        'last couple of weeks',
        'last couple of years',
        'couple of months ago',
        'past couple of hours',
        'past couple of years',
        'last couple of hours',
        'couple of years ago',
        'past couple of secs',
        'couple of hours ago',
        'past couple of mins',
        'past couple of days',
        'last couple of secs',
        'last couple of days',
        'couple of weeks ago',
        'last couple of mins',
        'couple of secs ago',
        'last couple of wks',
        'last couple of hrs',
        'past couple of yrs',
        'couple of days ago',
        'past couple of wks',
        'last couple of mos',
        'couple of mins ago',
        'past couple of hrs',
        'last couple of yrs',
        'past couple of mos',
        'couple of wks ago',
        'couple of mos ago',
        'couple of hrs ago',
        'couple of yrs ago'],
 'one': ["in one second's",
         "in one minute's",
         "in one month's",
         'in one minute',
         "in one hour's",
         "in one year's",
         "in one week's",
         'in one second',
         "in one day's",
         'in one month',
         'in one week',
         'in one year',
         'in one hour',
         'in one day',
         'in one sec',
         'in one min',
         'in one hr',
         'in one wk',
         'in one yr',
         'in one mo'],
 'past': ['past couple of minutes',
          'past couple of seconds',
          'past couple of months',
          'past couple of hours',
          'past couple of weeks',
          'past couple of years',
          'past couple of secs',
          'past couple of mins',
          'past couple of days',
          'past couple minutes',
          'past couple seconds',
          'past couple of hrs',
          'past couple of wks',
          'past couple months',
          'past couple of mos',
          'past couple of yrs',
          'past couple hours',
          'past couple years',
          'past couple weeks',
          'past couple secs',
          'past couple days',
          'past couple mins',
          'past 17 minutes',
          'past 46 minutes',
          'past 49 seconds',
          'past 44 seconds',
          'past 43 seconds',
          'past 13 minutes',
          'past 25 seconds',
          'past 15 minutes',
          'past 21 minutes',
          'past 24 seconds',
          'past 18 minutes',
          'past 40 minutes',
          'past 48 minutes',
          'past couple hrs',
          'past 24 minutes',
          'past 26 seconds',
          'past 45 seconds',
          'past 59 minutes',
          'past 23 seconds',
          'past 53 seconds',
          'past 11 minutes',
          'past 27 seconds',
          'past 16 minutes',
          'past 14 seconds',
          'past 31 minutes',
          'past 30 minutes',
          'past 60 seconds',
          'past 58 seconds',
          'past 23 minutes',
          'past 50 seconds',
          'past 35 seconds',
          'past 39 minutes',
          'past 29 seconds',
          'past 56 minutes',
          'past 47 minutes',
          'past 19 seconds',
          'past 55 minutes',
          'past 45 minutes',
          'past 36 seconds',
          'past 58 minutes',
          'past 34 seconds',
          'past 35 minutes',
          'past 21 seconds',
          'past 30 seconds',
          'past 27 minutes',
          'past 20 seconds',
          'past 43 minutes',
          'past 33 minutes',
          'past 51 minutes',
          'past 36 minutes',
          'past 28 minutes',
          'past 37 minutes',
          'past 42 minutes',
          'past 15 seconds',
          'past 44 minutes',
          'past couple mos',
          'past 29 minutes',
          'past 41 seconds',
          'past 20 minutes',
          "past 1 minute's",
          'past 38 minutes',
          'past 49 minutes',
          'past 31 seconds',
          'past 32 seconds',
          'past 37 seconds',
          'past 17 seconds',
          'past 33 seconds',
          'past 50 minutes',
          'past 22 seconds',
          'past 25 minutes',
          'past couple wks',
          'past 57 minutes',
          'past 28 seconds',
          'past 52 minutes',
          'past 32 minutes',
          'past 18 seconds',
          'past 42 seconds',
          'past 38 seconds',
          'past 59 seconds',
          'past 48 seconds',
          'past couple yrs',
          'past 34 minutes',
          'past 57 seconds',
          'past 39 seconds',
          'past 53 minutes',
          'past 14 minutes',
          'past 19 minutes',
          'past 12 minutes',
          'past 47 seconds',
          'past 11 seconds',
          'past 51 seconds',
          'past 10 seconds',
          'past 12 seconds',
          'past 54 seconds',
          'past 56 seconds',
          "past 1 second's",
          'past 16 seconds',
          'past 46 seconds',
          'past 60 minutes',
          'past 54 minutes',
          'past 40 seconds',
          'past 13 seconds',
          'past 55 seconds',
          'past 22 minutes',
          'past 10 minutes',
          'past 26 minutes',
          'past 52 seconds',
          'past 41 minutes',
          'past 6 seconds',
          'past 21 months',
          'past 15 months',
          'past 11 months',
          'past 5 minutes',
          'past 2 minutes',
          'past 100 years',
          'past 6 minutes',
          'past 7 minutes',
          'past 19 months',
          'past 16 months',
          'past 4 minutes',
          'past 18 months',
          'past 17 months',
          'past 4 seconds',
          'past 3 seconds',
          'past 13 months',
          'past 9 minutes',
          "past 1 month's",
          'past 2 seconds',
          'past 9 seconds',
          'past 24 months',
          'past 20 months',
          'past 12 months',
          'past 14 months',
          'past 5 seconds',
          'past 7 seconds',
          'past 8 minutes',
          'past 3 minutes',
          'past 23 months',
          'past 22 months',
          'past 8 seconds',
          'past 10 months',
          'past 35 weeks',
          'past 301 days',
          'past 13 hours',
          'past 364 days',
          'past 83 years',
          'past 355 days',
          'past 111 days',
          'past 155 days',
          'past 126 days',
          "past 1 week's",
          'past 318 days',
          'past 352 days',
          'past 56 years',
          'past 227 days',
          'past 272 days',
          'past 43 weeks',
          'past 167 days',
          'past 102 days',
          'past 93 years',
          'past 24 hours',
          'past 197 days',
          'past 161 days',
          'past 339 days',
          'past 128 days',
          'past 158 days',
          'past 328 days',
          'past 54 years',
          'past 122 days',
          'past 19 hours',
          'past 289 days',
          'past 249 days',
          'past 35 years',
          'past 306 days',
          'past 311 days',
          'past 169 days',
          'past 24 weeks',
          'past 163 days',
          'past 284 days',
          'past 137 days',
          'past 118 days',
          'past 74 years',
          'past 14 hours',
          'past 62 years',
          'past 107 days',
          'past 89 years',
          'past 11 hours',
          'past 179 days',
          'past 28 weeks',
          'past 12 years',
          'past 51 weeks',
          'past 141 days',
          'past 184 days',
          'past 52 years',
          'past 134 days',
          'past 16 hours',
          'past 316 days',
          'past 313 days',
          'past 66 years',
          'past 12 weeks',
          'past 211 days',
          'past 165 days',
          'past 1 minute',
          'past 80 years',
          'past 45 years',
          'past 44 weeks',
          'past 335 days',
          'past 133 days',
          'past 7 months',
          'past 303 days',
          'past 37 weeks',
          'past 304 days',
          'past 232 days',
          'past 100 days',
          'past 180 days',
          'past 279 days',
          'past 213 days',
          'past 109 days',
          'past 198 days',
          'past 207 days',
          'past 29 years',
          'past 47 years',
          'past 20 years',
          'past 343 days',
          'past 153 days',
          'past 247 days',
          'past 185 days',
          'past 125 days',
          'past 356 days',
          'past 218 days',
          'past 225 days',
          'past 245 days',
          'past 10 weeks',
          'past 240 days',
          'past 38 weeks',
          'past 200 days',
          'past 238 days',
          'past 201 days',
          'past 25 years',
          'past 138 days',
          'past 317 days',
          'past 324 days',
          'past 209 days',
          'past 256 days',
          'past 231 days',
          'past 315 days',
          'past 144 days',
          'past 2 months',
          'past 30 weeks',
          'past 90 years',
          'past 16 weeks',
          'past 99 years',
          'past 17 hours',
          'past 322 days',
          'past 11 weeks',
          'past 202 days',
          'past 41 years',
          'past 49 weeks',
          'past 160 days',
          'past 349 days',
          'past 204 days',
          'past 31 years',
          'past 271 days',
          'past 15 years',
          'past 46 years',
          'past 270 days',
          'past 91 years',
          'past 26 weeks',
          'past 309 days',
          'past 29 weeks',
          'past 14 years',
          'past 307 days',
          'past 19 weeks',
          'past 341 days',
          'past 9 months',
          'past 32 weeks',
          'past 280 days',
          'past 320 days',
          'past 105 days',
          'past 191 days',
          'past 82 years',
          'past 252 days',
          'past 188 days',
          'past 323 days',
          'past 261 days',
          'past 181 days',
          'past 220 days',
          'past 359 days',
          'past 178 days',
          'past 78 years',
          'past 243 days',
          'past 37 years',
          'past 76 years',
          'past 136 days',
          'past 274 days',
          'past 305 days',
          'past 251 days',
          'past 12 hours',
          'past 177 days',
          'past 127 days',
          'past 334 days',
          'past 149 days',
          'past 139 days',
          'past 97 years',
          'past 236 days',
          'past 267 days',
          'past 326 days',
          'past 101 days',
          'past 8 months',
          'past 104 days',
          'past 119 days',
          'past 312 days',
          'past 347 days',
          'past 223 days',
          'past 286 days',
          'past 17 years',
          'past 85 years',
          'past 70 years',
          'past 47 weeks',
          'past 43 years',
          'past 81 years',
          'past 266 days',
          'past 233 days',
          'past 57 years',
          'past 206 days',
          'past 219 days',
          'past 84 years',
          'past 143 days',
          'past 108 days',
          'past 110 days',
          'past 308 days',
          'past 357 days',
          'past 48 weeks',
          'past 124 days',
          'past 27 weeks',
          'past 31 weeks',
          'past 88 years',
          'past 254 days',
          'past 64 years',
          'past 41 weeks',
          'past 294 days',
          'past 22 hours',
          'past 237 days',
          'past 333 days',
          'past 23 hours',
          'past 53 years',
          'past 117 days',
          'past 291 days',
          'past 132 days',
          'past 208 days',
          'past 229 days',
          'past 353 days',
          'past 63 years',
          'past 195 days',
          'past 296 days',
          'past 46 weeks',
          'past 30 years',
          'past 154 days',
          'past 164 days',
          'past 171 days',
          'past 285 days',
          'past 172 days',
          'past 131 days',
          "past 1 hour's",
          'past 15 weeks',
          'past 189 days',
          'past 283 days',
          'past 310 days',
          'past 330 days',
          'past 121 days',
          'past 250 days',
          'past 50 years',
          'past 183 days',
          'past 45 weeks',
          'past 6 months',
          'past 258 days',
          'past 71 years',
          'past 75 years',
          'past 14 weeks',
          'past 173 days',
          'past 94 years',
          'past 98 years',
          'past 265 days',
          'past 277 days',
          'past 58 years',
          'past 295 days',
          'past 300 days',
          'past 360 days',
          'past 170 days',
          'past 36 years',
          'past 1 second',
          'past 151 days',
          'past 273 days',
          'past 196 days',
          'past 187 days',
          'past 234 days',
          'past 244 days',
          'past 344 days',
          'past 297 days',
          'past 248 days',
          'past 65 years',
          'past 112 days',
          'past 203 days',
          "past 1 year's",
          'past 276 days',
          'past 39 weeks',
          'past 260 days',
          'past 5 months',
          'past 11 years',
          'past 4 months',
          'past 332 days',
          'past 42 weeks',
          'past 28 years',
          'past 362 days',
          'past 42 years',
          'past 268 days',
          'past 321 days',
          'past 106 days',
          'past 182 days',
          'past 21 years',
          'past 342 days',
          'past 152 days',
          'past 34 weeks',
          'past 239 days',
          'past 140 days',
          'past 142 days',
          'past 363 days',
          'past 222 days',
          "past second's",
          'past 253 days',
          'past 176 days',
          'past 259 days',
          'past 67 years',
          'past 329 days',
          'past 52 weeks',
          'past 346 days',
          'past 246 days',
          'past 33 years',
          'past 175 days',
          'past 55 years',
          'past 123 days',
          'past 217 days',
          'past 257 days',
          'past 60 years',
          'past 16 years',
          'past 348 days',
          'past 10 hours',
          'past 269 days',
          'past 299 days',
          'past 281 days',
          'past 146 days',
          'past 23 weeks',
          'past 15 hours',
          'past 292 days',
          'past 18 hours',
          'past 221 days',
          'past 262 days',
          'past 44 years',
          'past 26 years',
          'past 79 years',
          'past 22 weeks',
          'past 350 days',
          'past 27 years',
          'past 358 days',
          'past 92 years',
          'past 96 years',
          'past 40 years',
          'past 13 weeks',
          'past 216 days',
          'past 73 years',
          'past 361 days',
          'past 186 days',
          'past 51 years',
          'past 33 weeks',
          'past 263 days',
          'past 156 days',
          'past 212 days',
          'past 145 days',
          'past 193 days',
          'past 365 days',
          'past 86 years',
          'past 162 days',
          'past 39 years',
          'past 19 years',
          'past 87 years',
          'past 3 months',
          'past 298 days',
          'past 61 years',
          'past 199 days',
          'past 275 days',
          'past 32 years',
          'past 340 days',
          'past 49 years',
          'past 288 days',
          'past 287 days',
          "past minute's",
          'past 72 years',
          'past 331 days',
          'past 34 years',
          'past 135 days',
          'past 241 days',
          'past 354 days',
          'past 22 years',
          'past 113 days',
          'past 130 days',
          'past 69 years',
          'past 147 days',
          'past 157 days',
          'past 166 days',
          'past 18 years',
          'past 293 days',
          'past 327 days',
          'past 23 years',
          'past 120 days',
          'past 194 days',
          'past 235 days',
          'past 20 hours',
          'past 159 days',
          'past 20 weeks',
          'past 278 days',
          'past 228 days',
          'past 345 days',
          'past 230 days',
          'past 242 days',
          'past 103 days',
          'past 68 years',
          'past 13 years',
          'past 338 days',
          'past 224 days',
          'past 210 days',
          'past 150 days',
          'past 95 years',
          'past 116 days',
          'past 215 days',
          'past 282 days',
          'past 36 weeks',
          'past 325 days',
          'past 336 days',
          'past 255 days',
          'past 214 days',
          'past 40 weeks',
          'past 21 hours',
          'past 77 years',
          'past 129 days',
          'past 192 days',
          'past 337 days',
          'past 168 days',
          'past 50 weeks',
          'past 115 days',
          'past 174 days',
          'past 351 days',
          'past 290 days',
          'past 48 years',
          'past 302 days',
          'past 314 days',
          'past 319 days',
          'past 59 years',
          'past 21 weeks',
          'past 38 years',
          'past 24 years',
          'past 25 weeks',
          'past 226 days',
          'past 10 years',
          'past 114 days',
          'past 148 days',
          'past 205 days',
          'past 264 days',
          'past 18 weeks',
          'past 17 weeks',
          'past 190 days',
          'past 38 secs',
          'past 17 secs',
          'past 77 days',
          'past 51 mins',
          'past 7 years',
          'past 55 secs',
          'past 84 days',
          'past 43 secs',
          'past 90 days',
          'past 26 days',
          'past 47 secs',
          'past 46 secs',
          'past 11 mins',
          'past 42 days',
          'past 24 mins',
          'past 25 days',
          'past 27 secs',
          'past 35 days',
          'past 20 secs',
          'past 70 days',
          'past 45 days',
          'past 24 days',
          'past 53 secs',
          'past 40 days',
          'past 32 mins',
          'past 10 days',
          'past 31 days',
          'past 29 days',
          'past 34 mins',
          'past 25 mins',
          'past 57 mins',
          'past 33 days',
          'past 74 days',
          'past 37 secs',
          'past 12 mins',
          'past 17 days',
          'past 13 days',
          'past 94 days',
          'past 5 years',
          'past 48 mins',
          'past 21 mins',
          'past 46 mins',
          'past 98 days',
          'past 41 mins',
          'past 10 mins',
          'past 2 years',
          'past 59 secs',
          'past 44 days',
          'past 11 secs',
          'past 19 secs',
          'past 32 days',
          'past 58 days',
          'past 28 secs',
          'past 15 secs',
          'past 8 hours',
          'past 40 secs',
          'past 44 mins',
          'past 53 days',
          'past 12 secs',
          'past 6 weeks',
          'past 92 days',
          'past 4 hours',
          'past 19 mins',
          'past 3 hours',
          'past 6 hours',
          'past 80 days',
          'past 50 secs',
          'past 29 mins',
          'past 16 mins',
          'past 97 days',
          'past 20 days',
          'past 59 mins',
          'past 8 weeks',
          'past 54 secs',
          'past 12 days',
          'past 22 mins',
          'past 5 weeks',
          'past 36 days',
          'past 33 mins',
          'past 28 days',
          'past 13 mins',
          'past 66 days',
          "past 1 day's",
          'past 38 mins',
          'past 9 years',
          'past 93 days',
          'past 55 mins',
          'past 83 days',
          'past 9 hours',
          'past 39 days',
          'past 3 years',
          'past 47 days',
          'past 65 days',
          'past 14 secs',
          'past 55 days',
          'past 68 days',
          'past 16 days',
          'past 89 days',
          'past 5 hours',
          'past 14 days',
          'past 50 mins',
          'past 20 mins',
          'past 23 secs',
          'past 21 secs',
          'past 37 mins',
          'past 49 secs',
          'past 2 hours',
          'past 56 days',
          'past 27 mins',
          'past 33 secs',
          'past 82 days',
          'past 46 days',
          'past 79 days',
          'past 9 weeks',
          'past 86 days',
          'past 99 days',
          'past 44 secs',
          'past 52 secs',
          'past 42 secs',
          'past 56 secs',
          'past 52 days',
          'past 18 days',
          'past 39 mins',
          'past 75 days',
          'past 38 days',
          'past 100 yrs',
          'past 34 days',
          'past 58 mins',
          'past 23 mins',
          'past 4 years',
          'past 15 mins',
          'past 41 days',
          'past 58 secs',
          'past 17 mins',
          'past 48 days',
          'past 50 days',
          'past 91 days',
          'past 85 days',
          'past 63 days',
          'past 36 secs',
          'past 37 days',
          'past 45 mins',
          'past 45 secs',
          'past 96 days',
          'past 23 days',
          'past 49 days',
          'past 34 secs',
          'past 16 secs',
          'past 54 mins',
          'past 3 weeks',
          'past 4 weeks',
          'past 60 secs',
          'past 57 secs',
          'past 14 mins',
          'past 22 secs',
          'past 76 days',
          'past 30 days',
          'past 13 secs',
          'past 22 days',
          'past 28 mins',
          'past 69 days',
          'past 88 days',
          'past 30 secs',
          'past 32 secs',
          'past 1 month',
          'past 36 mins',
          'past 39 secs',
          "past month's",
          'past 6 years',
          'past 24 secs',
          'past 57 days',
          'past 10 secs',
          'past 25 secs',
          'past 52 mins',
          'past 51 secs',
          'past 8 years',
          'past 2 weeks',
          'past 60 mins',
          'past 26 mins',
          'past 11 days',
          'past 29 secs',
          'past 43 mins',
          'past 64 days',
          'past 27 days',
          'past 53 mins',
          'past 62 days',
          'past 42 mins',
          'past 54 days',
          'past 73 days',
          'past 26 secs',
          'past 78 days',
          'past 51 days',
          'past 67 days',
          'past 7 hours',
          'past 35 mins',
          'past 19 days',
          'past 18 mins',
          'past 72 days',
          'past 48 secs',
          'past 71 days',
          'past 31 secs',
          'past 47 mins',
          'past 87 days',
          'past 43 days',
          'past 59 days',
          'past 61 days',
          'past 95 days',
          'past 35 secs',
          'past 40 mins',
          'past 18 secs',
          'past 81 days',
          'past 21 days',
          'past 60 days',
          'past 56 mins',
          'past 49 mins',
          'past 41 secs',
          'past 15 days',
          'past 7 weeks',
          'past 31 mins',
          'past 30 mins',
          'past 49 wks',
          'past 16 hrs',
          'past 34 yrs',
          'past 11 wks',
          'past 2 mins',
          'past 41 yrs',
          'past 10 hrs',
          'past 39 yrs',
          'past 9 mins',
          'past 13 yrs',
          'past 33 yrs',
          'past 47 wks',
          'past 1 year',
          'past 24 yrs',
          'past 78 yrs',
          'past 56 yrs',
          'past 13 mos',
          'past 39 wks',
          'past 10 yrs',
          "past week's",
          'past 5 days',
          'past 67 yrs',
          'past 47 yrs',
          'past 27 wks',
          'past 57 yrs',
          'past 77 yrs',
          'past 75 yrs',
          'past 26 yrs',
          'past 31 yrs',
          'past 19 hrs',
          'past 3 mins',
          'past 26 wks',
          'past 70 yrs',
          'past 12 yrs',
          'past 34 wks',
          'past 6 mins',
          'past 30 yrs',
          'past 40 wks',
          'past 21 yrs',
          'past 19 yrs',
          'past 20 yrs',
          'past 31 wks',
          'past 15 hrs',
          'past 4 mins',
          'past 29 yrs',
          'past 18 mos',
          'past 35 yrs',
          'past 8 mins',
          'past 87 yrs',
          'past 2 secs',
          'past 28 yrs',
          'past 43 wks',
          'past 4 days',
          'past minute',
          'past 40 yrs',
          'past 79 yrs',
          'past 24 wks',
          'past 19 mos',
          'past 15 yrs',
          'past 6 days',
          'past 12 hrs',
          'past 69 yrs',
          'past 25 yrs',
          'past 18 wks',
          'past 20 wks',
          'past 55 yrs',
          'past 88 yrs',
          'past 14 hrs',
          'past 19 wks',
          'past 76 yrs',
          'past 92 yrs',
          'past 30 wks',
          'past second',
          'past 45 yrs',
          'past 21 hrs',
          'past 12 mos',
          'past 42 wks',
          'past 65 yrs',
          'past 22 mos',
          'past 25 wks',
          'past 1 hour',
          'past 68 yrs',
          'past 96 yrs',
          'past 18 hrs',
          'past 10 mos',
          'past 14 yrs',
          'past 91 yrs',
          'past 18 yrs',
          'past 36 wks',
          'past 86 yrs',
          'past 9 days',
          'past 50 wks',
          'past 97 yrs',
          'past 23 hrs',
          'past 95 yrs',
          'past 44 wks',
          'past 36 yrs',
          'past 22 wks',
          'past 98 yrs',
          'past 89 yrs',
          'past 16 yrs',
          'past 13 hrs',
          'past 33 wks',
          'past 49 yrs',
          'past 52 wks',
          'past 17 wks',
          'past 11 hrs',
          'past 7 days',
          'past 4 secs',
          'past 84 yrs',
          'past 82 yrs',
          'past 46 wks',
          'past 94 yrs',
          'past 43 yrs',
          'past 23 yrs',
          'past 7 mins',
          'past 37 wks',
          'past 99 yrs',
          'past 17 hrs',
          'past 16 wks',
          'past 45 wks',
          'past 1 week',
          'past 14 mos',
          'past 44 yrs',
          'past 52 yrs',
          'past 17 mos',
          "past year's",
          'past 48 wks',
          'past 32 wks',
          'past 59 yrs',
          'past 51 wks',
          'past 38 wks',
          'past 81 yrs',
          'past 72 yrs',
          'past 8 days',
          'past 15 wks',
          'past 3 days',
          'past 14 wks',
          'past 22 yrs',
          'past 38 yrs',
          'past 24 mos',
          'past 51 yrs',
          'past 6 secs',
          'past 60 yrs',
          'past 62 yrs',
          'past 9 secs',
          'past 90 yrs',
          'past 50 yrs',
          'past 32 yrs',
          'past 80 yrs',
          'past 21 mos',
          'past 20 mos',
          'past 29 wks',
          'past 71 yrs',
          'past 53 yrs',
          'past 11 yrs',
          "past hour's",
          'past 83 yrs',
          'past 5 mins',
          'past 23 mos',
          'past 46 yrs',
          'past 37 yrs',
          'past 10 wks',
          'past 21 wks',
          'past 3 secs',
          'past 54 yrs',
          'past 7 secs',
          'past 17 yrs',
          'past 15 mos',
          'past 58 yrs',
          'past 74 yrs',
          'past 85 yrs',
          'past 64 yrs',
          'past 22 hrs',
          'past 48 yrs',
          'past 11 mos',
          'past 41 wks',
          'past 93 yrs',
          'past 63 yrs',
          'past 16 mos',
          'past 24 hrs',
          'past 2 days',
          'past 61 yrs',
          'past 42 yrs',
          'past 35 wks',
          'past 12 wks',
          'past 66 yrs',
          'past 5 secs',
          'past 13 wks',
          'past 73 yrs',
          'past 28 wks',
          'past 27 yrs',
          'past 8 secs',
          'past 20 hrs',
          'past 23 wks',
          'past 2 yrs',
          'past 4 wks',
          'past 9 hrs',
          'past 6 hrs',
          'past 3 hrs',
          'past 2 wks',
          'past 1 min',
          'past 8 wks',
          'past 7 hrs',
          'past 6 mos',
          'past 9 wks',
          'past 7 wks',
          'past 9 mos',
          'past 8 yrs',
          "past day's",
          'past 6 yrs',
          'past 8 mos',
          'past 1 day',
          'past 4 hrs',
          'past 7 mos',
          'past 5 mos',
          'past 7 yrs',
          'past 1 sec',
          'past 5 wks',
          'past 3 mos',
          'past 2 mos',
          'past 3 wks',
          'past 5 yrs',
          'past 5 hrs',
          'past month',
          'past 4 mos',
          'past 4 yrs',
          'past 2 hrs',
          'past 3 yrs',
          'past 6 wks',
          'past 8 hrs',
          'past 9 yrs',
          'past 1 yr',
          'past hour',
          'past 1 wk',
          'past year',
          'past week',
          'past 1 mo',
          'past 1 hr',
          'past min',
          'past day',
          'past sec',
          'past yr',
          'past mo',
          'past wk',
          'past hr'],
 'sec': ['a single sec later',
         '1 sec from now',
         'past 1 sec',
         'in one sec',
         'last 1 sec',
         'last sec',
         'in 1 sec',
         'in a sec',
         'next sec',
         'past sec'],
 'second': ['a single second later',
            '1 second from now',
            'past 1 second',
            'in one second',
            'last 1 second',
            'in 1 second',
            'past second',
            'last second',
            'in a second',
            'next second'],
 "second's": ["a single second's later",
              "1 second's from now",
              "in one second's",
              "last 1 second's",
              "past 1 second's",
              "in 1 second's",
              "in a second's",
              "next second's",
              "past second's",
              "last second's"],
 'seconds': ['past couple of seconds',
             'last couple of seconds',
             'couple of seconds ago',
             '21 seconds from now',
             'last couple seconds',
             '31 seconds from now',
             '32 seconds from now',
             '19 seconds from now',
             '47 seconds from now',
             '16 seconds from now',
             '17 seconds from now',
             '45 seconds from now',
             '41 seconds from now',
             '18 seconds from now',
             '59 seconds from now',
             '38 seconds from now',
             '10 seconds from now',
             '12 seconds from now',
             '34 seconds from now',
             '36 seconds from now',
             '51 seconds from now',
             '35 seconds from now',
             '30 seconds from now',
             '14 seconds from now',
             '53 seconds from now',
             '29 seconds from now',
             '26 seconds from now',
             '58 seconds from now',
             '44 seconds from now',
             '28 seconds from now',
             '43 seconds from now',
             '13 seconds from now',
             '52 seconds from now',
             '23 seconds from now',
             '27 seconds from now',
             '57 seconds from now',
             '37 seconds from now',
             '54 seconds from now',
             '20 seconds from now',
             '48 seconds from now',
             '55 seconds from now',
             '50 seconds from now',
             '42 seconds from now',
             '49 seconds from now',
             '24 seconds from now',
             '39 seconds from now',
             '60 seconds from now',
             '46 seconds from now',
             '15 seconds from now',
             '22 seconds from now',
             'past couple seconds',
             '40 seconds from now',
             '56 seconds from now',
             '33 seconds from now',
             '11 seconds from now',
             '25 seconds from now',
             '5 seconds from now',
             '7 seconds from now',
             '8 seconds from now',
             '2 seconds from now',
             '6 seconds from now',
             '4 seconds from now',
             '9 seconds from now',
             '3 seconds from now',
             'a few seconds ago',
             'past 49 seconds',
             'past 44 seconds',
             'next 10 seconds',
             'past 43 seconds',
             'next 40 seconds',
             'next 18 seconds',
             'last 28 seconds',
             'next 32 seconds',
             'past 25 seconds',
             'last 33 seconds',
             'past 24 seconds',
             'next 47 seconds',
             'next 19 seconds',
             'next 49 seconds',
             'next 57 seconds',
             'last 12 seconds',
             'next 31 seconds',
             'next 26 seconds',
             'next 35 seconds',
             'next 42 seconds',
             'last 34 seconds',
             'next 20 seconds',
             'last 37 seconds',
             'past 26 seconds',
             'past 45 seconds',
             'next 41 seconds',
             'last 48 seconds',
             'past 23 seconds',
             'next 53 seconds',
             'past 53 seconds',
             'next 12 seconds',
             'last 30 seconds',
             'next 51 seconds',
             'past 27 seconds',
             'next 34 seconds',
             'past 14 seconds',
             'next 14 seconds',
             'next 11 seconds',
             'next 17 seconds',
             'next 23 seconds',
             'last 43 seconds',
             'past 58 seconds',
             'last 40 seconds',
             'next 48 seconds',
             'last 41 seconds',
             'next 38 seconds',
             'last 10 seconds',
             'past 50 seconds',
             'past 35 seconds',
             'past 29 seconds',
             'next 46 seconds',
             'past 19 seconds',
             'next 21 seconds',
             'last 27 seconds',
             'last 23 seconds',
             'last 20 seconds',
             'past 36 seconds',
             'last 57 seconds',
             'next 28 seconds',
             'last 11 seconds',
             'last 53 seconds',
             'past 34 seconds',
             'past 30 seconds',
             'past 21 seconds',
             'next 22 seconds',
             'next 59 seconds',
             'past 20 seconds',
             'last 38 seconds',
             'last 44 seconds',
             'last 39 seconds',
             'last 36 seconds',
             'last 25 seconds',
             'last 14 seconds',
             'last 18 seconds',
             'next 24 seconds',
             'past 15 seconds',
             'past 60 seconds',
             'last 17 seconds',
             'past 41 seconds',
             'last 22 seconds',
             'next 60 seconds',
             'last 50 seconds',
             'past 31 seconds',
             'past 32 seconds',
             'past 37 seconds',
             'past 17 seconds',
             'next 52 seconds',
             'past 33 seconds',
             'past 22 seconds',
             'next 16 seconds',
             'past 28 seconds',
             'next 30 seconds',
             'last 46 seconds',
             'last 51 seconds',
             'last 58 seconds',
             'past 18 seconds',
             'past 42 seconds',
             'next 45 seconds',
             'last 59 seconds',
             'past 38 seconds',
             'past 59 seconds',
             'next 27 seconds',
             'last 21 seconds',
             'next 58 seconds',
             'past 48 seconds',
             'next 15 seconds',
             'last 60 seconds',
             'past 57 seconds',
             'next 25 seconds',
             'next 56 seconds',
             'past 39 seconds',
             'next 55 seconds',
             'last 42 seconds',
             'last 24 seconds',
             'next 36 seconds',
             'past 47 seconds',
             'past 11 seconds',
             'past 51 seconds',
             'past 10 seconds',
             'last 32 seconds',
             'last 45 seconds',
             'past 12 seconds',
             'next 44 seconds',
             'past 56 seconds',
             'past 54 seconds',
             'last 52 seconds',
             'last 16 seconds',
             'past 16 seconds',
             'past 46 seconds',
             'last 56 seconds',
             'last 54 seconds',
             'last 13 seconds',
             'next 13 seconds',
             'past 40 seconds',
             'past 13 seconds',
             'next 29 seconds',
             'last 29 seconds',
             'last 15 seconds',
             'past 55 seconds',
             'last 35 seconds',
             'last 31 seconds',
             'next 33 seconds',
             'next 37 seconds',
             'next 39 seconds',
             'next 43 seconds',
             'last 19 seconds',
             'last 55 seconds',
             'last 26 seconds',
             'past 52 seconds',
             'last 49 seconds',
             'next 50 seconds',
             'last 47 seconds',
             'next 54 seconds',
             '51 seconds ago',
             'past 6 seconds',
             'last 5 seconds',
             '40 seconds ago',
             '58 seconds ago',
             '59 seconds ago',
             '57 seconds ago',
             'next 3 seconds',
             'next 2 seconds',
             '19 seconds ago',
             '42 seconds ago',
             '38 seconds ago',
             '30 seconds ago',
             'next 4 seconds',
             '32 seconds ago',
             '34 seconds ago',
             '35 seconds ago',
             '45 seconds ago',
             'next 5 seconds',
             '48 seconds ago',
             '22 seconds ago',
             '36 seconds ago',
             '17 seconds ago',
             '31 seconds ago',
             '16 seconds ago',
             '47 seconds ago',
             '14 seconds ago',
             '23 seconds ago',
             '43 seconds ago',
             'past 4 seconds',
             'past 3 seconds',
             '60 seconds ago',
             'last 3 seconds',
             '25 seconds ago',
             '12 seconds ago',
             'last 8 seconds',
             'next 7 seconds',
             '46 seconds ago',
             '41 seconds ago',
             '55 seconds ago',
             'past 2 seconds',
             '20 seconds ago',
             'past 9 seconds',
             'last 7 seconds',
             '18 seconds ago',
             '33 seconds ago',
             '54 seconds ago',
             '50 seconds ago',
             'past 5 seconds',
             '24 seconds ago',
             '27 seconds ago',
             '15 seconds ago',
             '10 seconds ago',
             'past 7 seconds',
             '11 seconds ago',
             '49 seconds ago',
             '53 seconds ago',
             '26 seconds ago',
             '37 seconds ago',
             'last 9 seconds',
             'next 8 seconds',
             '56 seconds ago',
             'last 4 seconds',
             '44 seconds ago',
             'last 6 seconds',
             '28 seconds ago',
             'next 9 seconds',
             '29 seconds ago',
             'next 6 seconds',
             '21 seconds ago',
             '39 seconds ago',
             'past 8 seconds',
             '13 seconds ago',
             'last 2 seconds',
             '52 seconds ago',
             'in 24 seconds',
             'in 13 seconds',
             'in 46 seconds',
             'in 48 seconds',
             'in 60 seconds',
             'in 52 seconds',
             'in 22 seconds',
             'in 15 seconds',
             'in 16 seconds',
             'in 49 seconds',
             'in 29 seconds',
             'in 20 seconds',
             'in 17 seconds',
             'in 41 seconds',
             'in 50 seconds',
             'in 27 seconds',
             'in 56 seconds',
             'in 21 seconds',
             'in 33 seconds',
             'in 53 seconds',
             'in 57 seconds',
             'in 11 seconds',
             'in 10 seconds',
             'in 30 seconds',
             '3 seconds ago',
             'in 40 seconds',
             'in 58 seconds',
             'in 43 seconds',
             'in 26 seconds',
             '8 seconds ago',
             'in 28 seconds',
             '5 seconds ago',
             '4 seconds ago',
             'in 51 seconds',
             'in 31 seconds',
             '9 seconds ago',
             'in 32 seconds',
             '7 seconds ago',
             'in 34 seconds',
             'in 19 seconds',
             'in 44 seconds',
             'in 47 seconds',
             'in 45 seconds',
             'in 18 seconds',
             'in 14 seconds',
             'in 36 seconds',
             'in 12 seconds',
             '6 seconds ago',
             'in 54 seconds',
             'in 42 seconds',
             'in 55 seconds',
             'in 38 seconds',
             'in 25 seconds',
             'in 39 seconds',
             '2 seconds ago',
             'in 37 seconds',
             'in 23 seconds',
             'in 35 seconds',
             'in 59 seconds',
             'in 3 seconds',
             'in 6 seconds',
             'in 8 seconds',
             'in 5 seconds',
             'in 2 seconds',
             'in 9 seconds',
             'in 7 seconds',
             'in 4 seconds'],
 'secs': ['past couple of secs',
          'last couple of secs',
          'couple of secs ago',
          '21 secs from now',
          '22 secs from now',
          'past couple secs',
          '17 secs from now',
          '26 secs from now',
          '36 secs from now',
          '49 secs from now',
          '58 secs from now',
          '57 secs from now',
          '59 secs from now',
          '37 secs from now',
          '40 secs from now',
          '27 secs from now',
          '45 secs from now',
          '18 secs from now',
          '38 secs from now',
          '16 secs from now',
          '48 secs from now',
          '11 secs from now',
          '47 secs from now',
          '53 secs from now',
          '25 secs from now',
          '28 secs from now',
          '44 secs from now',
          '29 secs from now',
          '56 secs from now',
          '34 secs from now',
          '10 secs from now',
          '54 secs from now',
          '51 secs from now',
          'last couple secs',
          '14 secs from now',
          '20 secs from now',
          '35 secs from now',
          '43 secs from now',
          '31 secs from now',
          '30 secs from now',
          '46 secs from now',
          '50 secs from now',
          '60 secs from now',
          '13 secs from now',
          '24 secs from now',
          '55 secs from now',
          '12 secs from now',
          '39 secs from now',
          '33 secs from now',
          '19 secs from now',
          '23 secs from now',
          '52 secs from now',
          '15 secs from now',
          '41 secs from now',
          '42 secs from now',
          '32 secs from now',
          '3 secs from now',
          '4 secs from now',
          '8 secs from now',
          '7 secs from now',
          '9 secs from now',
          '6 secs from now',
          '5 secs from now',
          '2 secs from now',
          'a few secs ago',
          'past 38 secs',
          'past 17 secs',
          'next 20 secs',
          'past 55 secs',
          'last 24 secs',
          'last 22 secs',
          'last 31 secs',
          'past 43 secs',
          'past 47 secs',
          'next 24 secs',
          'past 46 secs',
          'next 13 secs',
          'last 18 secs',
          'last 57 secs',
          'next 46 secs',
          'last 45 secs',
          'past 27 secs',
          'past 20 secs',
          'next 17 secs',
          'past 53 secs',
          'last 49 secs',
          'next 11 secs',
          'last 19 secs',
          'last 40 secs',
          'past 37 secs',
          'next 21 secs',
          'last 20 secs',
          'next 54 secs',
          'last 16 secs',
          'next 29 secs',
          'last 50 secs',
          'last 47 secs',
          'last 12 secs',
          'past 59 secs',
          'past 11 secs',
          'past 19 secs',
          'next 15 secs',
          'next 39 secs',
          'past 28 secs',
          'past 15 secs',
          'last 51 secs',
          'past 40 secs',
          'last 53 secs',
          'past 12 secs',
          'next 52 secs',
          'last 25 secs',
          'next 57 secs',
          'past 50 secs',
          'last 41 secs',
          'past 54 secs',
          'next 14 secs',
          'last 29 secs',
          'next 30 secs',
          'next 56 secs',
          'last 48 secs',
          'next 42 secs',
          'next 47 secs',
          'next 27 secs',
          'next 32 secs',
          'past 14 secs',
          'next 34 secs',
          'last 38 secs',
          'next 31 secs',
          'past 23 secs',
          'past 21 secs',
          'last 56 secs',
          'next 38 secs',
          'past 49 secs',
          'next 48 secs',
          'past 33 secs',
          'past 44 secs',
          'past 52 secs',
          'next 28 secs',
          'next 55 secs',
          'past 42 secs',
          'last 14 secs',
          'past 56 secs',
          'next 58 secs',
          'last 46 secs',
          'next 22 secs',
          'next 49 secs',
          'next 25 secs',
          'last 36 secs',
          'past 58 secs',
          'next 35 secs',
          'next 12 secs',
          'last 21 secs',
          'next 50 secs',
          'last 52 secs',
          'next 26 secs',
          'past 36 secs',
          'next 16 secs',
          'next 37 secs',
          'last 39 secs',
          'last 13 secs',
          'last 43 secs',
          'next 36 secs',
          'next 45 secs',
          'past 45 secs',
          'last 35 secs',
          'past 34 secs',
          'past 16 secs',
          'last 23 secs',
          'past 60 secs',
          'past 57 secs',
          'past 22 secs',
          'next 41 secs',
          'last 17 secs',
          'next 60 secs',
          'past 13 secs',
          'last 60 secs',
          'last 33 secs',
          'next 44 secs',
          'past 30 secs',
          'last 30 secs',
          'last 27 secs',
          'past 32 secs',
          'past 39 secs',
          'last 55 secs',
          'past 24 secs',
          'next 23 secs',
          'past 10 secs',
          'last 32 secs',
          'next 19 secs',
          'past 25 secs',
          'past 51 secs',
          'last 10 secs',
          'last 54 secs',
          'last 59 secs',
          'past 29 secs',
          'last 11 secs',
          'last 44 secs',
          'past 26 secs',
          'last 26 secs',
          'next 43 secs',
          'next 10 secs',
          'past 48 secs',
          'next 51 secs',
          'past 31 secs',
          'next 18 secs',
          'last 42 secs',
          'last 28 secs',
          'next 53 secs',
          'next 33 secs',
          'last 37 secs',
          'past 35 secs',
          'last 34 secs',
          'past 18 secs',
          'last 15 secs',
          'next 59 secs',
          'next 40 secs',
          'past 41 secs',
          'last 58 secs',
          '26 secs ago',
          '54 secs ago',
          '34 secs ago',
          '10 secs ago',
          'last 3 secs',
          '11 secs ago',
          'next 2 secs',
          '36 secs ago',
          '19 secs ago',
          'last 2 secs',
          'last 6 secs',
          '27 secs ago',
          '15 secs ago',
          '24 secs ago',
          '17 secs ago',
          '55 secs ago',
          '42 secs ago',
          '28 secs ago',
          '46 secs ago',
          'last 8 secs',
          'next 7 secs',
          '60 secs ago',
          '18 secs ago',
          'last 9 secs',
          'past 2 secs',
          '12 secs ago',
          '57 secs ago',
          '37 secs ago',
          '25 secs ago',
          '14 secs ago',
          '50 secs ago',
          '44 secs ago',
          '21 secs ago',
          '48 secs ago',
          '16 secs ago',
          'next 9 secs',
          '13 secs ago',
          '49 secs ago',
          'next 5 secs',
          '38 secs ago',
          'last 7 secs',
          '41 secs ago',
          '47 secs ago',
          '32 secs ago',
          'next 8 secs',
          'past 4 secs',
          '39 secs ago',
          '58 secs ago',
          'last 5 secs',
          '43 secs ago',
          '52 secs ago',
          'next 6 secs',
          '20 secs ago',
          '40 secs ago',
          '29 secs ago',
          '59 secs ago',
          '31 secs ago',
          'past 6 secs',
          '45 secs ago',
          '23 secs ago',
          '22 secs ago',
          'past 3 secs',
          'past 7 secs',
          '56 secs ago',
          '33 secs ago',
          '35 secs ago',
          '30 secs ago',
          'past 5 secs',
          'last 4 secs',
          '51 secs ago',
          'next 3 secs',
          'next 4 secs',
          'past 8 secs',
          'past 9 secs',
          '53 secs ago',
          'in 24 secs',
          'in 36 secs',
          'in 19 secs',
          'in 51 secs',
          'in 56 secs',
          'in 22 secs',
          'in 55 secs',
          '5 secs ago',
          'in 35 secs',
          'in 53 secs',
          '4 secs ago',
          'in 44 secs',
          'in 52 secs',
          'in 34 secs',
          'in 42 secs',
          'in 25 secs',
          'in 41 secs',
          'in 17 secs',
          'in 30 secs',
          'in 28 secs',
          'in 58 secs',
          'in 60 secs',
          '3 secs ago',
          'in 57 secs',
          'in 26 secs',
          'in 45 secs',
          'in 12 secs',
          'in 31 secs',
          'in 29 secs',
          '2 secs ago',
          'in 15 secs',
          'in 37 secs',
          'in 48 secs',
          '6 secs ago',
          'in 40 secs',
          'in 21 secs',
          'in 10 secs',
          'in 32 secs',
          '8 secs ago',
          'in 43 secs',
          'in 18 secs',
          'in 11 secs',
          'in 14 secs',
          'in 54 secs',
          'in 39 secs',
          'in 27 secs',
          'in 20 secs',
          '7 secs ago',
          'in 16 secs',
          'in 23 secs',
          '9 secs ago',
          'in 49 secs',
          'in 33 secs',
          'in 38 secs',
          'in 13 secs',
          'in 50 secs',
          'in 46 secs',
          'in 59 secs',
          'in 47 secs',
          'in 9 secs',
          'in 7 secs',
          'in 3 secs',
          'in 8 secs',
          'in 5 secs',
          'in 2 secs',
          'in 6 secs',
          'in 4 secs'],
 'single': ["a single minute's later",
            "a single second's later",
            "a single month's later",
            "a single year's later",
            'a single second later',
            "a single week's later",
            'a single minute later',
            "a single hour's later",
            "a single day's later",
            'a single month later',
            'a single hour later',
            'a single week later',
            'a single year later',
            'a single sec later',
            'a single min later',
            'a single day later',
            'a single yr later',
            'a single wk later',
            'a single hr later',
            'a single mo later'],
 'week': ['a single week later',
          '1 week from now',
          'past 1 week',
          'last 1 week',
          'in one week',
          'in 1 week',
          'in a week',
          'past week',
          'last week',
          'next week'],
 "week's": ["a single week's later",
            "1 week's from now",
            "last 1 week's",
            "in one week's",
            "past 1 week's",
            "next week's",
            "last week's",
            "past week's",
            "in a week's",
            "in 1 week's"],
 'weeks': ['past couple of weeks',
           'last couple of weeks',
           'couple of weeks ago',
           '47 weeks from now',
           '23 weeks from now',
           '11 weeks from now',
           '46 weeks from now',
           '29 weeks from now',
           '51 weeks from now',
           '19 weeks from now',
           '24 weeks from now',
           '14 weeks from now',
           '50 weeks from now',
           '27 weeks from now',
           '40 weeks from now',
           '41 weeks from now',
           '33 weeks from now',
           '42 weeks from now',
           '48 weeks from now',
           '16 weeks from now',
           '12 weeks from now',
           '15 weeks from now',
           'last couple weeks',
           '43 weeks from now',
           '18 weeks from now',
           '28 weeks from now',
           '36 weeks from now',
           '26 weeks from now',
           '20 weeks from now',
           '34 weeks from now',
           '45 weeks from now',
           '17 weeks from now',
           '39 weeks from now',
           '38 weeks from now',
           '21 weeks from now',
           '44 weeks from now',
           '30 weeks from now',
           '37 weeks from now',
           '22 weeks from now',
           '35 weeks from now',
           '52 weeks from now',
           '10 weeks from now',
           'past couple weeks',
           '25 weeks from now',
           '49 weeks from now',
           '31 weeks from now',
           '32 weeks from now',
           '13 weeks from now',
           '5 weeks from now',
           '8 weeks from now',
           '6 weeks from now',
           '9 weeks from now',
           '2 weeks from now',
           '4 weeks from now',
           '7 weeks from now',
           '3 weeks from now',
           'a few weeks ago',
           'past 35 weeks',
           'last 43 weeks',
           'last 16 weeks',
           'next 13 weeks',
           'next 39 weeks',
           'last 10 weeks',
           'past 43 weeks',
           'last 49 weeks',
           'next 29 weeks',
           'last 26 weeks',
           'next 20 weeks',
           'next 37 weeks',
           'last 51 weeks',
           'past 24 weeks',
           'next 28 weeks',
           'next 11 weeks',
           'past 28 weeks',
           'past 51 weeks',
           'next 16 weeks',
           'past 12 weeks',
           'past 44 weeks',
           'last 24 weeks',
           'next 44 weeks',
           'last 32 weeks',
           'past 37 weeks',
           'next 23 weeks',
           'last 37 weeks',
           'next 35 weeks',
           'next 27 weeks',
           'next 15 weeks',
           'past 10 weeks',
           'past 38 weeks',
           'next 32 weeks',
           'next 46 weeks',
           'next 19 weeks',
           'next 30 weeks',
           'past 30 weeks',
           'past 16 weeks',
           'last 31 weeks',
           'past 11 weeks',
           'next 49 weeks',
           'next 47 weeks',
           'past 49 weeks',
           'next 43 weeks',
           'next 45 weeks',
           'last 27 weeks',
           'past 26 weeks',
           'next 24 weeks',
           'past 29 weeks',
           'past 19 weeks',
           'next 33 weeks',
           'past 32 weeks',
           'last 11 weeks',
           'last 50 weeks',
           'next 12 weeks',
           'next 10 weeks',
           'next 25 weeks',
           'last 46 weeks',
           'last 25 weeks',
           'past 47 weeks',
           'last 44 weeks',
           'last 36 weeks',
           'past 48 weeks',
           'past 27 weeks',
           'past 31 weeks',
           'last 18 weeks',
           'past 41 weeks',
           'past 46 weeks',
           'past 15 weeks',
           'next 26 weeks',
           'last 23 weeks',
           'past 45 weeks',
           'past 14 weeks',
           'last 29 weeks',
           'last 52 weeks',
           'next 17 weeks',
           'last 35 weeks',
           'past 39 weeks',
           'past 42 weeks',
           'next 38 weeks',
           'next 52 weeks',
           'past 34 weeks',
           'next 48 weeks',
           'last 14 weeks',
           'next 22 weeks',
           'last 45 weeks',
           'past 52 weeks',
           'last 19 weeks',
           'next 42 weeks',
           'last 40 weeks',
           'past 23 weeks',
           'last 12 weeks',
           'past 22 weeks',
           'next 18 weeks',
           'last 41 weeks',
           'last 21 weeks',
           'past 13 weeks',
           'past 33 weeks',
           'next 31 weeks',
           'next 21 weeks',
           'next 40 weeks',
           'next 36 weeks',
           'last 38 weeks',
           'last 15 weeks',
           'last 17 weeks',
           'last 42 weeks',
           'last 30 weeks',
           'next 50 weeks',
           'next 41 weeks',
           'last 33 weeks',
           'last 22 weeks',
           'past 20 weeks',
           'last 13 weeks',
           'next 14 weeks',
           'next 51 weeks',
           'last 39 weeks',
           'next 34 weeks',
           'last 28 weeks',
           'past 36 weeks',
           'last 48 weeks',
           'past 40 weeks',
           'past 50 weeks',
           'last 20 weeks',
           'last 47 weeks',
           'past 21 weeks',
           'past 25 weeks',
           'last 34 weeks',
           'past 18 weeks',
           'past 17 weeks',
           '23 weeks ago',
           '27 weeks ago',
           '39 weeks ago',
           '25 weeks ago',
           '11 weeks ago',
           'next 9 weeks',
           '24 weeks ago',
           '13 weeks ago',
           'next 4 weeks',
           '15 weeks ago',
           'last 4 weeks',
           '20 weeks ago',
           '36 weeks ago',
           'last 9 weeks',
           '35 weeks ago',
           'next 8 weeks',
           '45 weeks ago',
           'last 3 weeks',
           '22 weeks ago',
           'past 6 weeks',
           '52 weeks ago',
           'past 8 weeks',
           'past 5 weeks',
           '18 weeks ago',
           '33 weeks ago',
           'last 2 weeks',
           '51 weeks ago',
           '30 weeks ago',
           '40 weeks ago',
           'last 6 weeks',
           '46 weeks ago',
           '16 weeks ago',
           '42 weeks ago',
           '12 weeks ago',
           'next 5 weeks',
           'last 8 weeks',
           'past 9 weeks',
           '48 weeks ago',
           '17 weeks ago',
           '41 weeks ago',
           '43 weeks ago',
           'next 2 weeks',
           '32 weeks ago',
           '10 weeks ago',
           '14 weeks ago',
           '34 weeks ago',
           '31 weeks ago',
           '28 weeks ago',
           'past 3 weeks',
           'past 4 weeks',
           '37 weeks ago',
           '29 weeks ago',
           '19 weeks ago',
           '47 weeks ago',
           'next 7 weeks',
           '44 weeks ago',
           '21 weeks ago',
           'next 6 weeks',
           '49 weeks ago',
           'past 2 weeks',
           '50 weeks ago',
           '26 weeks ago',
           'last 5 weeks',
           'last 7 weeks',
           '38 weeks ago',
           'past 7 weeks',
           'next 3 weeks',
           '7 weeks ago',
           '2 weeks ago',
           'in 52 weeks',
           'in 25 weeks',
           'in 11 weeks',
           'in 47 weeks',
           'in 33 weeks',
           'in 10 weeks',
           'in 48 weeks',
           'in 24 weeks',
           'in 16 weeks',
           'in 32 weeks',
           'in 20 weeks',
           'in 27 weeks',
           'in 29 weeks',
           'in 46 weeks',
           'in 34 weeks',
           'in 23 weeks',
           'in 50 weeks',
           'in 41 weeks',
           '6 weeks ago',
           '3 weeks ago',
           'in 35 weeks',
           'in 42 weeks',
           'in 45 weeks',
           '4 weeks ago',
           'in 49 weeks',
           'in 13 weeks',
           '9 weeks ago',
           'in 17 weeks',
           'in 40 weeks',
           'in 30 weeks',
           'in 14 weeks',
           'in 44 weeks',
           'in 31 weeks',
           'in 19 weeks',
           '8 weeks ago',
           'in 22 weeks',
           'in 12 weeks',
           'in 38 weeks',
           'in 26 weeks',
           '5 weeks ago',
           'in 39 weeks',
           'in 18 weeks',
           'in 43 weeks',
           'in 51 weeks',
           'in 28 weeks',
           'in 36 weeks',
           'in 21 weeks',
           'in 15 weeks',
           'in 37 weeks',
           'in 9 weeks',
           'in 2 weeks',
           'in 5 weeks',
           'in 6 weeks',
           'in 3 weeks',
           'in 8 weeks',
           'in 4 weeks',
           'in 7 weeks'],
 'wk': ['a single wk later',
        '1 wk from now',
        'in one wk',
        'past 1 wk',
        'last 1 wk',
        'in 1 wk',
        'next wk',
        'past wk',
        'last wk',
        'in a wk'],
 'wks': ['past couple of wks',
         'last couple of wks',
         'couple of wks ago',
         '45 wks from now',
         '18 wks from now',
         '11 wks from now',
         '10 wks from now',
         '19 wks from now',
         '47 wks from now',
         '21 wks from now',
         '33 wks from now',
         '14 wks from now',
         '42 wks from now',
         '22 wks from now',
         '40 wks from now',
         '51 wks from now',
         '17 wks from now',
         '12 wks from now',
         '27 wks from now',
         '39 wks from now',
         '44 wks from now',
         '38 wks from now',
         '30 wks from now',
         '32 wks from now',
         '25 wks from now',
         '15 wks from now',
         '35 wks from now',
         '34 wks from now',
         '36 wks from now',
         'last couple wks',
         'past couple wks',
         '43 wks from now',
         '29 wks from now',
         '50 wks from now',
         '37 wks from now',
         '16 wks from now',
         '26 wks from now',
         '48 wks from now',
         '41 wks from now',
         '13 wks from now',
         '52 wks from now',
         '49 wks from now',
         '20 wks from now',
         '24 wks from now',
         '46 wks from now',
         '28 wks from now',
         '31 wks from now',
         '23 wks from now',
         '3 wks from now',
         '6 wks from now',
         '8 wks from now',
         '2 wks from now',
         '7 wks from now',
         '9 wks from now',
         '4 wks from now',
         '5 wks from now',
         'a few wks ago',
         'past 49 wks',
         'last 45 wks',
         'last 50 wks',
         'past 11 wks',
         'last 13 wks',
         'last 31 wks',
         'next 48 wks',
         'next 12 wks',
         'past 47 wks',
         'next 40 wks',
         'last 15 wks',
         'next 28 wks',
         'past 39 wks',
         'last 22 wks',
         'last 36 wks',
         'next 50 wks',
         'next 15 wks',
         'past 27 wks',
         'next 39 wks',
         'next 37 wks',
         'next 47 wks',
         'next 10 wks',
         'past 26 wks',
         'past 34 wks',
         'past 40 wks',
         'last 39 wks',
         'next 17 wks',
         'last 48 wks',
         'past 31 wks',
         'last 42 wks',
         'next 30 wks',
         'next 20 wks',
         'past 43 wks',
         'past 24 wks',
         'last 43 wks',
         'past 18 wks',
         'last 17 wks',
         'next 33 wks',
         'last 44 wks',
         'past 20 wks',
         'next 26 wks',
         'past 19 wks',
         'last 37 wks',
         'past 30 wks',
         'next 49 wks',
         'last 47 wks',
         'past 42 wks',
         'last 23 wks',
         'past 25 wks',
         'next 43 wks',
         'next 23 wks',
         'next 24 wks',
         'past 36 wks',
         'past 50 wks',
         'last 35 wks',
         'past 44 wks',
         'last 25 wks',
         'last 46 wks',
         'last 49 wks',
         'past 22 wks',
         'last 29 wks',
         'past 33 wks',
         'last 51 wks',
         'past 52 wks',
         'past 17 wks',
         'next 22 wks',
         'next 44 wks',
         'past 46 wks',
         'next 41 wks',
         'past 37 wks',
         'past 16 wks',
         'past 45 wks',
         'next 52 wks',
         'last 21 wks',
         'last 27 wks',
         'past 48 wks',
         'past 32 wks',
         'next 18 wks',
         'last 32 wks',
         'next 31 wks',
         'past 51 wks',
         'past 38 wks',
         'next 27 wks',
         'next 45 wks',
         'past 15 wks',
         'next 21 wks',
         'past 14 wks',
         'next 32 wks',
         'next 14 wks',
         'next 38 wks',
         'last 20 wks',
         'last 11 wks',
         'last 12 wks',
         'last 10 wks',
         'next 46 wks',
         'last 38 wks',
         'last 14 wks',
         'next 42 wks',
         'past 29 wks',
         'last 16 wks',
         'next 35 wks',
         'last 41 wks',
         'last 26 wks',
         'past 10 wks',
         'last 28 wks',
         'last 19 wks',
         'last 30 wks',
         'last 34 wks',
         'past 21 wks',
         'next 29 wks',
         'next 19 wks',
         'next 51 wks',
         'next 34 wks',
         'past 41 wks',
         'last 18 wks',
         'last 52 wks',
         'next 13 wks',
         'last 33 wks',
         'past 35 wks',
         'past 12 wks',
         'next 36 wks',
         'past 13 wks',
         'next 11 wks',
         'next 16 wks',
         'past 28 wks',
         'last 24 wks',
         'next 25 wks',
         'past 23 wks',
         'last 40 wks',
         'last 7 wks',
         '44 wks ago',
         '38 wks ago',
         'next 3 wks',
         'past 4 wks',
         'next 4 wks',
         '18 wks ago',
         '50 wks ago',
         '30 wks ago',
         '14 wks ago',
         '39 wks ago',
         '29 wks ago',
         'past 2 wks',
         '43 wks ago',
         'past 8 wks',
         '31 wks ago',
         'last 2 wks',
         'last 3 wks',
         'past 9 wks',
         '37 wks ago',
         '12 wks ago',
         'past 7 wks',
         '51 wks ago',
         '36 wks ago',
         '16 wks ago',
         '45 wks ago',
         '34 wks ago',
         '23 wks ago',
         '52 wks ago',
         'last 9 wks',
         'last 5 wks',
         '35 wks ago',
         '27 wks ago',
         '32 wks ago',
         '20 wks ago',
         '10 wks ago',
         '24 wks ago',
         'last 8 wks',
         '47 wks ago',
         '49 wks ago',
         'last 6 wks',
         '13 wks ago',
         '40 wks ago',
         'past 5 wks',
         'next 9 wks',
         '19 wks ago',
         '28 wks ago',
         'next 2 wks',
         'next 5 wks',
         'past 3 wks',
         '22 wks ago',
         '17 wks ago',
         '33 wks ago',
         '26 wks ago',
         '41 wks ago',
         '46 wks ago',
         'next 8 wks',
         '15 wks ago',
         '21 wks ago',
         '48 wks ago',
         '11 wks ago',
         'next 7 wks',
         '42 wks ago',
         'next 6 wks',
         'past 6 wks',
         'last 4 wks',
         '25 wks ago',
         '6 wks ago',
         'in 52 wks',
         'in 15 wks',
         'in 19 wks',
         'in 23 wks',
         'in 41 wks',
         'in 50 wks',
         'in 26 wks',
         'in 35 wks',
         'in 17 wks',
         '9 wks ago',
         'in 10 wks',
         'in 22 wks',
         'in 31 wks',
         'in 46 wks',
         'in 20 wks',
         '4 wks ago',
         'in 12 wks',
         'in 29 wks',
         'in 27 wks',
         'in 16 wks',
         'in 13 wks',
         'in 43 wks',
         '8 wks ago',
         'in 24 wks',
         'in 48 wks',
         'in 25 wks',
         '2 wks ago',
         'in 18 wks',
         'in 36 wks',
         'in 37 wks',
         '7 wks ago',
         '5 wks ago',
         'in 47 wks',
         'in 14 wks',
         'in 44 wks',
         'in 39 wks',
         'in 32 wks',
         'in 21 wks',
         'in 34 wks',
         'in 45 wks',
         'in 28 wks',
         'in 40 wks',
         'in 30 wks',
         'in 49 wks',
         'in 51 wks',
         'in 33 wks',
         'in 42 wks',
         '3 wks ago',
         'in 38 wks',
         'in 11 wks',
         'in 7 wks',
         'in 2 wks',
         'in 8 wks',
         'in 6 wks',
         'in 9 wks',
         'in 3 wks',
         'in 4 wks',
         'in 5 wks'],
 'year': ['a single year later',
          '1 year from now',
          'past 1 year',
          'last 1 year',
          'in one year',
          'past year',
          'in 1 year',
          'in a year',
          'next year',
          'last year'],
 "year's": ["a single year's later",
            "1 year's from now",
            "past 1 year's",
            "in one year's",
            "last 1 year's",
            "last year's",
            "next year's",
            "in 1 year's",
            "in a year's",
            "past year's"],
 'years': ['last couple of years',
           'past couple of years',
           'couple of years ago',
           '100 years from now',
           '26 years from now',
           '29 years from now',
           '88 years from now',
           '59 years from now',
           '24 years from now',
           '35 years from now',
           '98 years from now',
           '30 years from now',
           '69 years from now',
           '12 years from now',
           '94 years from now',
           '81 years from now',
           '72 years from now',
           '93 years from now',
           '10 years from now',
           '21 years from now',
           '65 years from now',
           '52 years from now',
           '39 years from now',
           '90 years from now',
           '11 years from now',
           '71 years from now',
           '56 years from now',
           '68 years from now',
           '84 years from now',
           '96 years from now',
           '97 years from now',
           '37 years from now',
           '32 years from now',
           '15 years from now',
           '92 years from now',
           '57 years from now',
           '78 years from now',
           '41 years from now',
           '43 years from now',
           '13 years from now',
           '77 years from now',
           '64 years from now',
           '23 years from now',
           '54 years from now',
           '53 years from now',
           '51 years from now',
           '31 years from now',
           '86 years from now',
           '16 years from now',
           'past couple years',
           '82 years from now',
           '19 years from now',
           '85 years from now',
           '67 years from now',
           '20 years from now',
           'last couple years',
           '28 years from now',
           '46 years from now',
           '38 years from now',
           '95 years from now',
           '27 years from now',
           '42 years from now',
           '33 years from now',
           '91 years from now',
           '60 years from now',
           '75 years from now',
           '70 years from now',
           '55 years from now',
           '89 years from now',
           '74 years from now',
           '58 years from now',
           '47 years from now',
           '73 years from now',
           '83 years from now',
           '99 years from now',
           '61 years from now',
           '80 years from now',
           '76 years from now',
           '34 years from now',
           '63 years from now',
           '40 years from now',
           '62 years from now',
           '79 years from now',
           '44 years from now',
           '17 years from now',
           '14 years from now',
           '45 years from now',
           '48 years from now',
           '66 years from now',
           '25 years from now',
           '18 years from now',
           '36 years from now',
           '50 years from now',
           '49 years from now',
           '22 years from now',
           '87 years from now',
           '2 years from now',
           '6 years from now',
           '4 years from now',
           '8 years from now',
           '7 years from now',
           '5 years from now',
           '3 years from now',
           '9 years from now',
           'a few years ago',
           'past 100 years',
           'next 100 years',
           'last 100 years',
           'last 17 years',
           'next 49 years',
           'past 83 years',
           'next 61 years',
           'last 12 years',
           'past 56 years',
           'next 85 years',
           'past 93 years',
           'next 23 years',
           'next 14 years',
           'next 59 years',
           'last 80 years',
           'next 32 years',
           'next 41 years',
           'last 95 years',
           'next 64 years',
           'next 11 years',
           'next 69 years',
           'last 31 years',
           'past 54 years',
           'past 35 years',
           'last 84 years',
           'last 97 years',
           'last 32 years',
           'last 78 years',
           'last 62 years',
           'past 74 years',
           'next 60 years',
           'past 62 years',
           'last 90 years',
           '100 years ago',
           'past 89 years',
           'past 12 years',
           'next 78 years',
           'next 97 years',
           'next 80 years',
           'next 73 years',
           'past 52 years',
           'last 38 years',
           'past 66 years',
           'next 63 years',
           'next 10 years',
           'last 65 years',
           'past 80 years',
           'last 71 years',
           'last 18 years',
           'next 28 years',
           'past 45 years',
           'last 91 years',
           'last 11 years',
           'last 44 years',
           'last 35 years',
           'next 75 years',
           'past 29 years',
           'past 47 years',
           'past 20 years',
           'next 55 years',
           'last 70 years',
           'last 21 years',
           'past 25 years',
           'last 49 years',
           'last 48 years',
           'last 79 years',
           'next 21 years',
           'last 73 years',
           'past 90 years',
           'last 41 years',
           'next 74 years',
           'past 99 years',
           'last 15 years',
           'past 41 years',
           'past 31 years',
           'past 15 years',
           'past 46 years',
           'next 48 years',
           'next 82 years',
           'last 16 years',
           'last 19 years',
           'past 91 years',
           'next 95 years',
           'last 45 years',
           'past 14 years',
           'last 23 years',
           'last 92 years',
           'last 63 years',
           'last 59 years',
           'next 22 years',
           'last 53 years',
           'last 20 years',
           'last 25 years',
           'past 82 years',
           'last 36 years',
           'last 57 years',
           'last 96 years',
           'past 78 years',
           'past 37 years',
           'past 76 years',
           'next 81 years',
           'next 94 years',
           'next 77 years',
           'next 26 years',
           'next 76 years',
           'next 99 years',
           'last 56 years',
           'next 86 years',
           'past 97 years',
           'last 52 years',
           'past 17 years',
           'next 70 years',
           'past 85 years',
           'past 70 years',
           'next 31 years',
           'next 66 years',
           'last 42 years',
           'past 43 years',
           'next 37 years',
           'past 81 years',
           'next 79 years',
           'past 57 years',
           'next 16 years',
           'past 84 years',
           'last 33 years',
           'last 98 years',
           'last 86 years',
           'next 45 years',
           'past 88 years',
           'last 82 years',
           'next 71 years',
           'past 64 years',
           'next 18 years',
           'past 53 years',
           'last 69 years',
           'last 93 years',
           'past 63 years',
           'last 66 years',
           'next 67 years',
           'next 53 years',
           'last 64 years',
           'next 38 years',
           'past 30 years',
           'last 26 years',
           'last 30 years',
           'next 34 years',
           'next 98 years',
           'last 34 years',
           'last 74 years',
           'past 50 years',
           'next 91 years',
           'past 71 years',
           'last 37 years',
           'past 75 years',
           'last 75 years',
           'past 94 years',
           'past 98 years',
           'last 54 years',
           'next 56 years',
           'next 36 years',
           'past 58 years',
           'next 13 years',
           'last 87 years',
           'last 47 years',
           'past 36 years',
           'last 77 years',
           'next 57 years',
           'past 65 years',
           'next 51 years',
           'next 35 years',
           'last 55 years',
           'past 11 years',
           'next 89 years',
           'past 28 years',
           'next 44 years',
           'past 42 years',
           'next 93 years',
           'next 87 years',
           'past 21 years',
           'past 67 years',
           'last 72 years',
           'next 72 years',
           'last 46 years',
           'past 33 years',
           'past 55 years',
           'last 10 years',
           'past 60 years',
           'past 16 years',
           'next 88 years',
           'next 42 years',
           'next 43 years',
           'last 39 years',
           'next 30 years',
           'last 99 years',
           'next 29 years',
           'past 44 years',
           'past 26 years',
           'past 79 years',
           'past 27 years',
           'last 68 years',
           'next 17 years',
           'last 83 years',
           'past 92 years',
           'past 96 years',
           'past 40 years',
           'next 46 years',
           'past 73 years',
           'past 51 years',
           'next 19 years',
           'next 90 years',
           'last 24 years',
           'next 65 years',
           'last 50 years',
           'next 96 years',
           'next 25 years',
           'past 86 years',
           'last 76 years',
           'past 39 years',
           'last 28 years',
           'past 19 years',
           'past 87 years',
           'next 15 years',
           'last 22 years',
           'last 94 years',
           'past 61 years',
           'next 68 years',
           'last 67 years',
           'past 32 years',
           'past 49 years',
           'next 39 years',
           'next 27 years',
           'last 58 years',
           'past 72 years',
           'past 34 years',
           'past 22 years',
           'next 62 years',
           'last 81 years',
           'next 52 years',
           'next 33 years',
           'last 60 years',
           'last 89 years',
           'next 20 years',
           'last 29 years',
           'past 69 years',
           'last 13 years',
           'last 88 years',
           'last 40 years',
           'next 50 years',
           'past 18 years',
           'past 23 years',
           'last 51 years',
           'next 92 years',
           'next 58 years',
           'past 68 years',
           'past 13 years',
           'next 24 years',
           'next 40 years',
           'next 83 years',
           'next 54 years',
           'past 95 years',
           'last 85 years',
           'next 12 years',
           'past 77 years',
           'last 14 years',
           'last 43 years',
           'next 84 years',
           'past 48 years',
           'past 59 years',
           'last 61 years',
           'past 38 years',
           'past 24 years',
           'past 10 years',
           'last 27 years',
           'next 47 years',
           '38 years ago',
           'past 7 years',
           '22 years ago',
           '85 years ago',
           '68 years ago',
           '45 years ago',
           '42 years ago',
           '86 years ago',
           '47 years ago',
           '62 years ago',
           '66 years ago',
           '37 years ago',
           '72 years ago',
           '13 years ago',
           '50 years ago',
           'next 2 years',
           'in 100 years',
           '53 years ago',
           '30 years ago',
           '90 years ago',
           '93 years ago',
           '51 years ago',
           '88 years ago',
           'last 6 years',
           'past 5 years',
           '49 years ago',
           '70 years ago',
           '18 years ago',
           'past 2 years',
           '84 years ago',
           '20 years ago',
           '67 years ago',
           'next 5 years',
           '96 years ago',
           '63 years ago',
           '77 years ago',
           '39 years ago',
           '15 years ago',
           '98 years ago',
           '27 years ago',
           '29 years ago',
           '74 years ago',
           '31 years ago',
           '25 years ago',
           'past 9 years',
           '83 years ago',
           '92 years ago',
           '95 years ago',
           'next 4 years',
           'past 3 years',
           '64 years ago',
           '40 years ago',
           '99 years ago',
           '71 years ago',
           '52 years ago',
           '76 years ago',
           '41 years ago',
           '79 years ago',
           '11 years ago',
           '78 years ago',
           '58 years ago',
           '80 years ago',
           '60 years ago',
           '19 years ago',
           '17 years ago',
           '54 years ago',
           'last 2 years',
           'last 5 years',
           '61 years ago',
           '26 years ago',
           'past 4 years',
           '36 years ago',
           'next 6 years',
           '89 years ago',
           '23 years ago',
           '46 years ago',
           '59 years ago',
           '69 years ago',
           'next 9 years',
           '33 years ago',
           '34 years ago',
           'next 7 years',
           '94 years ago',
           'last 8 years',
           '32 years ago',
           '65 years ago',
           '44 years ago',
           '81 years ago',
           '75 years ago',
           '56 years ago',
           '12 years ago',
           'next 3 years',
           'past 6 years',
           '21 years ago',
           '57 years ago',
           '28 years ago',
           'last 7 years',
           '87 years ago',
           '48 years ago',
           '24 years ago',
           '14 years ago',
           'past 8 years',
           '82 years ago',
           '35 years ago',
           'next 8 years',
           '16 years ago',
           '43 years ago',
           '55 years ago',
           '91 years ago',
           '10 years ago',
           'last 4 years',
           '97 years ago',
           'last 9 years',
           'last 3 years',
           '73 years ago',
           'in 80 years',
           'in 28 years',
           'in 48 years',
           'in 25 years',
           'in 62 years',
           'in 96 years',
           'in 20 years',
           'in 21 years',
           '3 years ago',
           'in 17 years',
           'in 23 years',
           'in 43 years',
           'in 15 years',
           'in 49 years',
           'in 44 years',
           'in 14 years',
           'in 59 years',
           'in 47 years',
           '6 years ago',
           'in 30 years',
           'in 52 years',
           'in 37 years',
           'in 54 years',
           'in 32 years',
           'in 42 years',
           'in 35 years',
           '9 years ago',
           'in 82 years',
           'in 26 years',
           'in 70 years',
           'in 77 years',
           'in 61 years',
           'in 64 years',
           'in 73 years',
           'in 46 years',
           '2 years ago',
           'in 34 years',
           'in 11 years',
           'in 84 years',
           '7 years ago',
           'in 75 years',
           'in 63 years',
           'in 74 years',
           'in 79 years',
           'in 45 years',
           'in 85 years',
           'in 27 years',
           'in 50 years',
           'in 24 years',
           'in 93 years',
           'in 68 years',
           'in 69 years',
           'in 78 years',
           'in 56 years',
           'in 86 years',
           'in 71 years',
           'in 13 years',
           'in 55 years',
           'in 19 years',
           'in 31 years',
           'in 40 years',
           'in 88 years',
           'in 12 years',
           'in 57 years',
           'in 81 years',
           'in 97 years',
           '5 years ago',
           'in 16 years',
           '8 years ago',
           'in 33 years',
           'in 38 years',
           'in 92 years',
           'in 29 years',
           'in 58 years',
           'in 98 years',
           'in 89 years',
           'in 36 years',
           'in 83 years',
           'in 94 years',
           'in 66 years',
           'in 41 years',
           'in 51 years',
           '4 years ago',
           'in 72 years',
           'in 18 years',
           'in 87 years',
           'in 99 years',
           'in 60 years',
           'in 76 years',
           'in 67 years',
           'in 53 years',
           'in 90 years',
           'in 65 years',
           'in 91 years',
           'in 22 years',
           'in 10 years',
           'in 39 years',
           'in 95 years',
           'in 7 years',
           'in 2 years',
           'in 3 years',
           'in 6 years',
           'in 5 years',
           'in 8 years',
           'in 4 years',
           'in 9 years'],
 'yr': ['a single yr later',
        '1 yr from now',
        'past 1 yr',
        'last 1 yr',
        'in one yr',
        'next yr',
        'in 1 yr',
        'in a yr',
        'last yr',
        'past yr'],
 'yrs': ['past couple of yrs',
         'last couple of yrs',
         'couple of yrs ago',
         '100 yrs from now',
         '14 yrs from now',
         '37 yrs from now',
         '68 yrs from now',
         '96 yrs from now',
         '63 yrs from now',
         '64 yrs from now',
         '42 yrs from now',
         '29 yrs from now',
         '88 yrs from now',
         '87 yrs from now',
         '44 yrs from now',
         '17 yrs from now',
         '69 yrs from now',
         '22 yrs from now',
         '70 yrs from now',
         '58 yrs from now',
         '89 yrs from now',
         '47 yrs from now',
         '40 yrs from now',
         '34 yrs from now',
         '77 yrs from now',
         '86 yrs from now',
         '73 yrs from now',
         '35 yrs from now',
         '24 yrs from now',
         '92 yrs from now',
         '21 yrs from now',
         '78 yrs from now',
         '52 yrs from now',
         '36 yrs from now',
         '38 yrs from now',
         '90 yrs from now',
         '54 yrs from now',
         '95 yrs from now',
         '56 yrs from now',
         '85 yrs from now',
         '94 yrs from now',
         '84 yrs from now',
         '98 yrs from now',
         '25 yrs from now',
         '51 yrs from now',
         '46 yrs from now',
         '50 yrs from now',
         '11 yrs from now',
         '62 yrs from now',
         '60 yrs from now',
         '31 yrs from now',
         '48 yrs from now',
         '49 yrs from now',
         '13 yrs from now',
         '67 yrs from now',
         '83 yrs from now',
         '26 yrs from now',
         '72 yrs from now',
         '19 yrs from now',
         '41 yrs from now',
         '30 yrs from now',
         '33 yrs from now',
         '28 yrs from now',
         '32 yrs from now',
         '82 yrs from now',
         '71 yrs from now',
         '99 yrs from now',
         '61 yrs from now',
         '80 yrs from now',
         '66 yrs from now',
         'past couple yrs',
         '27 yrs from now',
         '55 yrs from now',
         '81 yrs from now',
         '93 yrs from now',
         '39 yrs from now',
         '74 yrs from now',
         '16 yrs from now',
         '12 yrs from now',
         '76 yrs from now',
         '10 yrs from now',
         '59 yrs from now',
         '97 yrs from now',
         '53 yrs from now',
         '15 yrs from now',
         '75 yrs from now',
         '20 yrs from now',
         '79 yrs from now',
         'last couple yrs',
         '91 yrs from now',
         '43 yrs from now',
         '18 yrs from now',
         '65 yrs from now',
         '57 yrs from now',
         '23 yrs from now',
         '45 yrs from now',
         '5 yrs from now',
         '4 yrs from now',
         '2 yrs from now',
         '3 yrs from now',
         '7 yrs from now',
         '8 yrs from now',
         '9 yrs from now',
         '6 yrs from now',
         'a few yrs ago',
         'next 100 yrs',
         'last 100 yrs',
         'past 100 yrs',
         'last 41 yrs',
         'last 12 yrs',
         'last 23 yrs',
         'last 69 yrs',
         'last 17 yrs',
         'last 53 yrs',
         'past 34 yrs',
         'next 69 yrs',
         'past 41 yrs',
         'next 64 yrs',
         'next 56 yrs',
         'next 59 yrs',
         'last 64 yrs',
         'next 43 yrs',
         'last 98 yrs',
         'last 20 yrs',
         'last 34 yrs',
         'last 10 yrs',
         'next 47 yrs',
         'next 76 yrs',
         'past 39 yrs',
         'next 73 yrs',
         'next 33 yrs',
         'last 81 yrs',
         'next 66 yrs',
         'past 13 yrs',
         'past 33 yrs',
         'next 62 yrs',
         'last 73 yrs',
         'last 93 yrs',
         'last 85 yrs',
         'past 24 yrs',
         'past 78 yrs',
         'past 56 yrs',
         'last 89 yrs',
         'past 10 yrs',
         'next 80 yrs',
         'past 67 yrs',
         'last 84 yrs',
         'past 47 yrs',
         'last 94 yrs',
         'last 51 yrs',
         'past 57 yrs',
         'last 14 yrs',
         'last 16 yrs',
         'past 77 yrs',
         'last 21 yrs',
         'past 75 yrs',
         'last 67 yrs',
         'next 38 yrs',
         'past 26 yrs',
         'next 30 yrs',
         'past 31 yrs',
         'last 44 yrs',
         'next 27 yrs',
         'last 55 yrs',
         'next 15 yrs',
         'next 39 yrs',
         'past 70 yrs',
         'last 86 yrs',
         'last 57 yrs',
         'last 75 yrs',
         'next 90 yrs',
         'past 12 yrs',
         'last 80 yrs',
         'past 30 yrs',
         'last 37 yrs',
         'past 21 yrs',
         'past 19 yrs',
         'last 49 yrs',
         'past 20 yrs',
         'next 70 yrs',
         'next 49 yrs',
         'past 29 yrs',
         'next 58 yrs',
         'last 18 yrs',
         'last 63 yrs',
         'last 45 yrs',
         'past 35 yrs',
         'last 15 yrs',
         'past 87 yrs',
         'last 74 yrs',
         'last 58 yrs',
         'next 72 yrs',
         'last 42 yrs',
         'last 48 yrs',
         'next 79 yrs',
         'last 22 yrs',
         'past 28 yrs',
         'last 47 yrs',
         'next 29 yrs',
         'past 40 yrs',
         'last 40 yrs',
         'past 79 yrs',
         'next 54 yrs',
         'past 15 yrs',
         'next 55 yrs',
         'last 83 yrs',
         'last 33 yrs',
         'next 44 yrs',
         'past 69 yrs',
         'next 31 yrs',
         'past 25 yrs',
         'next 37 yrs',
         'last 96 yrs',
         'next 77 yrs',
         'next 57 yrs',
         'last 35 yrs',
         'last 95 yrs',
         'next 48 yrs',
         'past 55 yrs',
         'past 88 yrs',
         'last 90 yrs',
         'last 24 yrs',
         'last 79 yrs',
         'past 76 yrs',
         'past 92 yrs',
         'past 45 yrs',
         'last 68 yrs',
         'last 11 yrs',
         'next 92 yrs',
         'next 74 yrs',
         'past 65 yrs',
         'last 30 yrs',
         'last 76 yrs',
         'next 25 yrs',
         'past 68 yrs',
         'past 96 yrs',
         'last 62 yrs',
         'next 34 yrs',
         'next 99 yrs',
         'last 71 yrs',
         'next 46 yrs',
         'past 14 yrs',
         'next 14 yrs',
         'past 91 yrs',
         'next 24 yrs',
         'next 93 yrs',
         'past 18 yrs',
         'past 86 yrs',
         'next 53 yrs',
         'next 98 yrs',
         'past 97 yrs',
         'next 96 yrs',
         'last 29 yrs',
         'past 95 yrs',
         'past 36 yrs',
         'last 54 yrs',
         'next 94 yrs',
         'last 60 yrs',
         'last 66 yrs',
         'next 67 yrs',
         'past 98 yrs',
         'past 89 yrs',
         'past 16 yrs',
         'next 63 yrs',
         'past 49 yrs',
         'last 32 yrs',
         'next 41 yrs',
         'next 32 yrs',
         'last 13 yrs',
         'last 50 yrs',
         'next 36 yrs',
         'last 59 yrs',
         'last 28 yrs',
         'last 65 yrs',
         'last 56 yrs',
         'past 84 yrs',
         'past 82 yrs',
         'past 94 yrs',
         'past 43 yrs',
         'past 23 yrs',
         'past 99 yrs',
         'next 23 yrs',
         'last 97 yrs',
         'next 19 yrs',
         'next 75 yrs',
         'past 44 yrs',
         'next 84 yrs',
         'past 52 yrs',
         'next 88 yrs',
         'last 77 yrs',
         'past 59 yrs',
         'last 72 yrs',
         'last 91 yrs',
         'last 61 yrs',
         'past 81 yrs',
         'past 72 yrs',
         'next 35 yrs',
         'next 11 yrs',
         'next 22 yrs',
         'last 99 yrs',
         'next 10 yrs',
         'next 97 yrs',
         'next 16 yrs',
         'last 39 yrs',
         'past 22 yrs',
         'past 38 yrs',
         'past 51 yrs',
         'next 68 yrs',
         'last 38 yrs',
         'next 51 yrs',
         'last 78 yrs',
         'next 18 yrs',
         'next 13 yrs',
         'next 82 yrs',
         'next 17 yrs',
         'next 71 yrs',
         'past 60 yrs',
         'next 95 yrs',
         'past 62 yrs',
         '100 yrs ago',
         'last 52 yrs',
         'past 90 yrs',
         'past 50 yrs',
         'past 32 yrs',
         'next 65 yrs',
         'past 80 yrs',
         'next 40 yrs',
         'next 91 yrs',
         'past 71 yrs',
         'next 60 yrs',
         'past 53 yrs',
         'past 11 yrs',
         'past 83 yrs',
         'past 46 yrs',
         'next 85 yrs',
         'past 37 yrs',
         'last 31 yrs',
         'last 19 yrs',
         'next 52 yrs',
         'next 26 yrs',
         'past 54 yrs',
         'past 17 yrs',
         'last 70 yrs',
         'past 58 yrs',
         'past 74 yrs',
         'past 85 yrs',
         'last 26 yrs',
         'past 64 yrs',
         'past 48 yrs',
         'next 81 yrs',
         'past 93 yrs',
         'past 63 yrs',
         'last 92 yrs',
         'past 61 yrs',
         'last 87 yrs',
         'past 42 yrs',
         'next 20 yrs',
         'last 46 yrs',
         'past 66 yrs',
         'next 42 yrs',
         'next 87 yrs',
         'next 12 yrs',
         'last 36 yrs',
         'next 28 yrs',
         'last 27 yrs',
         'next 50 yrs',
         'last 25 yrs',
         'past 73 yrs',
         'next 83 yrs',
         'last 88 yrs',
         'last 43 yrs',
         'next 45 yrs',
         'next 89 yrs',
         'past 27 yrs',
         'next 86 yrs',
         'next 78 yrs',
         'next 21 yrs',
         'next 61 yrs',
         'last 82 yrs',
         '52 yrs ago',
         '76 yrs ago',
         '10 yrs ago',
         'past 2 yrs',
         '24 yrs ago',
         '20 yrs ago',
         'next 7 yrs',
         '51 yrs ago',
         'last 7 yrs',
         '23 yrs ago',
         '62 yrs ago',
         'last 8 yrs',
         '88 yrs ago',
         '74 yrs ago',
         '40 yrs ago',
         '19 yrs ago',
         '84 yrs ago',
         '80 yrs ago',
         '34 yrs ago',
         '86 yrs ago',
         '96 yrs ago',
         '45 yrs ago',
         'next 5 yrs',
         'last 9 yrs',
         'next 2 yrs',
         'last 2 yrs',
         '16 yrs ago',
         '42 yrs ago',
         '41 yrs ago',
         '93 yrs ago',
         '79 yrs ago',
         'next 8 yrs',
         'next 4 yrs',
         '70 yrs ago',
         'past 8 yrs',
         '33 yrs ago',
         '47 yrs ago',
         '11 yrs ago',
         'past 6 yrs',
         'next 9 yrs',
         '30 yrs ago',
         '53 yrs ago',
         '48 yrs ago',
         '68 yrs ago',
         '50 yrs ago',
         'next 6 yrs',
         '39 yrs ago',
         '82 yrs ago',
         '44 yrs ago',
         '58 yrs ago',
         '22 yrs ago',
         '92 yrs ago',
         '35 yrs ago',
         '64 yrs ago',
         'next 3 yrs',
         '66 yrs ago',
         '43 yrs ago',
         '67 yrs ago',
         'last 6 yrs',
         '13 yrs ago',
         '78 yrs ago',
         '17 yrs ago',
         'past 7 yrs',
         'last 4 yrs',
         '31 yrs ago',
         '65 yrs ago',
         '63 yrs ago',
         '18 yrs ago',
         '77 yrs ago',
         '75 yrs ago',
         '99 yrs ago',
         '56 yrs ago',
         '26 yrs ago',
         '54 yrs ago',
         '87 yrs ago',
         '57 yrs ago',
         '83 yrs ago',
         '61 yrs ago',
         '49 yrs ago',
         '90 yrs ago',
         '28 yrs ago',
         '73 yrs ago',
         '21 yrs ago',
         '55 yrs ago',
         'past 5 yrs',
         'last 3 yrs',
         '69 yrs ago',
         '94 yrs ago',
         '81 yrs ago',
         '91 yrs ago',
         'last 5 yrs',
         '85 yrs ago',
         '98 yrs ago',
         '15 yrs ago',
         '29 yrs ago',
         '32 yrs ago',
         '95 yrs ago',
         'past 4 yrs',
         '37 yrs ago',
         '97 yrs ago',
         '14 yrs ago',
         '12 yrs ago',
         '72 yrs ago',
         '60 yrs ago',
         'past 3 yrs',
         'in 100 yrs',
         '27 yrs ago',
         '71 yrs ago',
         '36 yrs ago',
         '89 yrs ago',
         '25 yrs ago',
         'past 9 yrs',
         '38 yrs ago',
         '46 yrs ago',
         '59 yrs ago',
         'in 39 yrs',
         'in 28 yrs',
         'in 56 yrs',
         'in 94 yrs',
         'in 86 yrs',
         'in 96 yrs',
         'in 11 yrs',
         'in 87 yrs',
         'in 38 yrs',
         'in 89 yrs',
         '9 yrs ago',
         'in 27 yrs',
         'in 90 yrs',
         'in 80 yrs',
         'in 70 yrs',
         'in 34 yrs',
         'in 58 yrs',
         'in 97 yrs',
         'in 76 yrs',
         'in 82 yrs',
         'in 60 yrs',
         'in 53 yrs',
         'in 19 yrs',
         'in 81 yrs',
         'in 74 yrs',
         'in 29 yrs',
         'in 66 yrs',
         'in 31 yrs',
         'in 18 yrs',
         'in 63 yrs',
         'in 14 yrs',
         'in 65 yrs',
         'in 23 yrs',
         'in 54 yrs',
         'in 51 yrs',
         'in 42 yrs',
         'in 33 yrs',
         'in 88 yrs',
         'in 15 yrs',
         'in 68 yrs',
         'in 93 yrs',
         'in 32 yrs',
         'in 45 yrs',
         '5 yrs ago',
         'in 44 yrs',
         'in 59 yrs',
         'in 13 yrs',
         'in 26 yrs',
         'in 12 yrs',
         'in 25 yrs',
         'in 20 yrs',
         'in 37 yrs',
         'in 52 yrs',
         'in 61 yrs',
         '8 yrs ago',
         'in 24 yrs',
         'in 47 yrs',
         'in 30 yrs',
         'in 62 yrs',
         'in 83 yrs',
         'in 22 yrs',
         'in 95 yrs',
         'in 57 yrs',
         'in 21 yrs',
         'in 35 yrs',
         'in 55 yrs',
         'in 48 yrs',
         'in 46 yrs',
         '7 yrs ago',
         'in 79 yrs',
         'in 73 yrs',
         'in 84 yrs',
         'in 78 yrs',
         'in 10 yrs',
         'in 49 yrs',
         '3 yrs ago',
         '6 yrs ago',
         'in 71 yrs',
         'in 92 yrs',
         'in 98 yrs',
         'in 91 yrs',
         'in 77 yrs',
         'in 75 yrs',
         'in 36 yrs',
         'in 50 yrs',
         'in 41 yrs',
         '4 yrs ago',
         'in 64 yrs',
         'in 40 yrs',
         'in 85 yrs',
         'in 67 yrs',
         'in 17 yrs',
         'in 69 yrs',
         'in 72 yrs',
         'in 43 yrs',
         '2 yrs ago',
         'in 16 yrs',
         'in 99 yrs',
         'in 7 yrs',
         'in 3 yrs',
         'in 2 yrs',
         'in 8 yrs',
         'in 5 yrs',
         'in 4 yrs',
         'in 6 yrs',
         'in 9 yrs']}
